REGIONS_TIMEZONES = {('AF', 'Jowzjān', 'AF-JOW'): 'Asia/Kabul', ('AF', 'Zābul', 'AF-ZAB'): 'Asia/Kabul',
 ('AF', 'Kābul', 'AF-KAB'): 'Asia/Kabul', ('AF', 'Kandahār', 'AF-KAN'): 'Asia/Kabul',
 ('AF', 'Kāpīsā', 'AF-KAP'): 'Africa/Kampala', ('AF', 'Kunduz', 'AF-KDZ'): 'Asia/Kabul',
 ('AF', 'Khōst', 'AF-KHO'): 'Asia/Kabul', ('AF', 'Kunaṟ', 'AF-KNR'): 'Asia/Kabul',
 ('AF', 'Laghmān', 'AF-LAG'): 'Asia/Kabul', ('AF', 'Lōgar', 'AF-LOG'): 'Asia/Kabul',
 ('AF', 'Nangarhār', 'AF-NAN'): 'Asia/Kabul', ('AF', 'Balkh', 'AF-BAL'): 'Asia/Kabul',
 ('AF', 'Nīmrōz', 'AF-NIM'): 'Asia/Kabul', ('AF', 'Bāmyān', 'AF-BAM'): 'Asia/Kabul',
 ('AF', 'Nūristān', 'AF-NUR'): 'Asia/Kabul', ('AF', 'Bādghīs', 'AF-BDG'): 'Asia/Kabul',
 ('AF', 'Panjshayr', 'AF-PAN'): 'Asia/Kabul', ('AF', 'Badakhshān', 'AF-BDS'): 'Asia/Kabul',
 ('AF', 'Parwān', 'AF-PAR'): 'Asia/Kabul', ('AF', 'Baghlān', 'AF-BGL'): 'Asia/Kabul',
 ('AF', 'Paktiyā', 'AF-PIA'): 'Asia/Kabul', ('AF', 'Dāykundī', 'AF-DAY'): 'Asia/Kabul',
 ('AF', 'Paktīkā', 'AF-PKA'): 'Asia/Kabul', ('AF', 'Farāh', 'AF-FRA'): 'Asia/Kabul',
 ('AF', 'Samangān', 'AF-SAM'): 'Asia/Kabul', ('AF', 'Fāryāb', 'AF-FYB'): 'Asia/Kabul',
 ('AF', 'Sar-e Pul', 'AF-SAR'): 'Asia/Kabul', ('AF', 'Ghaznī', 'AF-GHA'): 'Asia/Kabul',
 ('AF', 'Takhār', 'AF-TAK'): 'Asia/Kolkata', ('AF', 'Ghōr', 'AF-GHO'): 'Asia/Kabul',
 ('AF', 'Uruzgān', 'AF-URU'): 'Asia/Kabul', ('AF', 'Helmand', 'AF-HEL'): 'Asia/Kabul',
 ('AF', 'Wardak', 'AF-WAR'): 'Asia/Kabul', ('AF', 'Herāt', 'AF-HER'): 'Asia/Kabul',
 ('AO', 'Cunene', 'AO-CNN'): 'Africa/Luanda', ('AO', 'Namibe', 'AO-NAM'): 'Africa/Luanda',
 ('AO', 'Bengo', 'AO-BGO'): 'Africa/Luanda', ('AO', 'Lunda-Norte', 'AO-LNO'): 'Africa/Luanda',
 ('AO', 'Cuanza-Norte', 'AO-CNO'): 'Africa/Luanda', ('AO', 'Uíge', 'AO-UIG'): 'Africa/Luanda',
 ('AO', 'Benguela', 'AO-BGU'): 'Africa/Luanda', ('AO', 'Lunda-Sul', 'AO-LSU'): 'Africa/Luanda',
 ('AO', 'Cuanza-Sul', 'AO-CUS'): 'Africa/Luanda', ('AO', 'Zaire', 'AO-ZAI'): 'Africa/Kinshasa',
 ('AO', 'Bié', 'AO-BIE'): 'Africa/Luanda', ('AO', 'Luanda', 'AO-LUA'): 'Africa/Luanda',
 ('AO', 'Huambo', 'AO-HUA'): 'Africa/Luanda', ('AO', 'Moxico', 'AO-MOX'): 'Africa/Luanda',
 ('AO', 'Cabinda', 'AO-CAB'): 'Africa/Luanda', ('AO', 'Malange', 'AO-MAL'): 'Europe/Paris',
 ('AO', 'Huíla', 'AO-HUI'): 'Africa/Luanda', ('AO', 'Cuando Cubango', 'AO-CCU'): 'Africa/Luanda',
 ('AL', 'Durrës', 'AL-02'): 'Europe/Tirane', ('AL', 'Lezhë', 'AL-08'): 'Europe/Tirane',
 ('AL', 'Elbasan', 'AL-03'): 'Europe/Tirane', ('AL', 'Dibër', 'AL-09'): 'Europe/Tirane',
 ('AL', 'Fier', 'AL-04'): 'Europe/Tirane', ('AL', 'Shkodër', 'AL-10'): 'Europe/Tirane',
 ('AL', 'Gjirokastër', 'AL-05'): 'Europe/Tirane', ('AL', 'Tiranë', 'AL-11'): 'Europe/Tirane',
 ('AL', 'Korçë', 'AL-06'): 'Europe/Tirane', ('AL', 'Berat', 'AL-01'): 'Europe/Tirane',
 ('AL', 'Vlorë', 'AL-12'): 'Europe/Tirane', ('AL', 'Kukës', 'AL-07'): 'Europe/Tirane',
 ('AD', 'Andorra la Vella', 'AD-07'): 'Europe/Andorra', ('AD', 'Canillo', 'AD-02'): 'Europe/Andorra',
 ('AD', 'Escaldes-Engordany', 'AD-08'): 'Europe/Andorra', ('AD', 'Encamp', 'AD-03'): 'Europe/Andorra',
 ('AD', 'La Massana', 'AD-04'): 'Europe/Andorra', ('AD', 'Ordino', 'AD-05'): 'Europe/Andorra',
 ('AD', 'Sant Julià de Lòria', 'AD-06'): 'Europe/Andorra', ('AE', 'Al Fujayrah', 'AE-FU'): 'Asia/Dubai',
 ('AE', 'Ra’s al Khaymah', 'AE-RK'): 'Asia/Dubai', ('AE', 'Ash Shāriqah', 'AE-SH'): 'Asia/Dubai',
 ('AE', '‘Ajmān', 'AE-AJ'): 'Asia/Dubai', ('AE', 'Umm al Qaywayn', 'AE-UQ'): 'Asia/Dubai',
 ('AE', 'Abū Z̧aby', 'AE-AZ'): 'Asia/Dubai', ('AE', 'Dubayy', 'AE-DU'): 'Asia/Dubai',
 ('AR', 'Formosa', 'AR-P'): 'Asia/Taipei', ('AR', 'Neuquén', 'AR-Q'): 'America/Argentina/Salta',
 ('AR', 'Río Negro', 'AR-R'): 'America/Argentina/Salta', ('AR', 'Santa Fe', 'AR-S'): 'America/Argentina/Cordoba',
 ('AR', 'Tucumán', 'AR-T'): 'America/Argentina/Tucuman', ('AR', 'Chubut', 'AR-U'): 'America/Argentina/Catamarca',
 ('AR', 'Tierra del Fuego', 'AR-V'): 'America/Punta_Arenas', ('AR', 'Corrientes', 'AR-W'): 'America/Argentina/Cordoba',
 ('AR', 'Córdoba', 'AR-X'): 'Europe/Madrid', ('AR', 'Salta', 'AR-A'): 'America/Argentina/Salta',
 ('AR', 'Jujuy', 'AR-Y'): 'America/Argentina/Jujuy', ('AR', 'Buenos Aires', 'AR-B'): 'America/Argentina/Buenos_Aires',
 ('AR', 'Santa Cruz', 'AR-Z'): 'Atlantic/Canary',
 ('AR', 'Ciudad Autónoma de Buenos Aires', 'AR-C'): 'America/Argentina/Buenos_Aires',
 ('AR', 'San Luis', 'AR-D'): 'America/Chicago', ('AR', 'Entre Ríos', 'AR-E'): 'America/Argentina/Cordoba',
 ('AR', 'La Rioja', 'AR-F'): 'Europe/Madrid', ('AR', 'Santiago del Estero', 'AR-G'): 'America/Argentina/Cordoba',
 ('AR', 'Chaco', 'AR-H'): 'America/Argentina/Cordoba', ('AR', 'San Juan', 'AR-J'): 'America/Puerto_Rico',
 ('AR', 'Catamarca', 'AR-K'): 'America/Argentina/Catamarca', ('AR', 'La Pampa', 'AR-L'): 'America/Argentina/Salta',
 ('AR', 'Mendoza', 'AR-M'): 'America/Argentina/Mendoza', ('AR', 'Misiones', 'AR-N'): 'America/Argentina/Cordoba',
 ('AM', "Kotayk'", 'AM-KT'): 'Asia/Yerevan', ('AM', 'Aragac̣otn', 'AM-AG'): 'Asia/Yerevan',
 ('AM', 'Loṙi', 'AM-LO'): 'Asia/Yerevan', ('AM', 'Ararat', 'AM-AR'): 'Europe/Istanbul',
 ('AM', 'Širak', 'AM-SH'): 'Europe/Bratislava', ('AM', 'Armavir', 'AM-AV'): 'Europe/Moscow',
 ('AM', "Syunik'", 'AM-SU'): 'Asia/Yerevan', ('AM', 'Erevan', 'AM-ER'): 'Asia/Yerevan',
 ('AM', 'Tavuš', 'AM-TV'): 'Asia/Yerevan', ('AM', "Geġark'unik'", 'AM-GR'): 'Asia/Yerevan',
 ('AM', 'Vayoć Jor', 'AM-VD'): 'Asia/Yerevan', ('AG', 'Saint Peter', 'AG-07'): 'America/Chicago',
 ('AG', 'Saint Philip', 'AG-08'): 'America/Barbados', ('AG', 'Saint George', 'AG-03'): 'America/Grenada',
 ('AG', 'Barbuda', 'AG-10'): 'America/Antigua', ('AG', 'Saint John', 'AG-04'): 'America/Moncton',
 ('AG', 'Redonda', 'AG-11'): 'America/Antigua', ('AG', 'Saint Mary', 'AG-05'): 'Europe/Paris',
 ('AG', 'Saint Paul', 'AG-06'): 'America/Chicago', ('AU', 'Victoria', 'AU-VIC'): 'Australia/Melbourne',
 ('AU', 'New South Wales', 'AU-NSW'): 'Australia/Sydney', ('AU', 'Western Australia', 'AU-WA'): 'Australia/Perth',
 ('AU', 'Northern Territory', 'AU-NT'): 'Australia/Darwin', ('AU', 'Queensland', 'AU-QLD'): 'Australia/Brisbane',
 ('AU', 'South Australia', 'AU-SA'): 'Australia/Adelaide',
 ('AU', 'Australian Capital Territory', 'AU-ACT'): 'Australia/Sydney', ('AU', 'Tasmania', 'AU-TAS'): 'Australia/Hobart',
 ('AT', 'Steiermark', 'AT-6'): 'Europe/Vienna', ('AT', 'Burgenland', 'AT-1'): 'Europe/Vienna',
 ('AT', 'Tirol', 'AT-7'): 'Europe/Vienna', ('AT', 'Kärnten', 'AT-2'): 'Europe/Vienna',
 ('AT', 'Vorarlberg', 'AT-8'): 'Europe/Vienna', ('AT', 'Niederösterreich', 'AT-3'): 'Europe/Vienna',
 ('AT', 'Wien', 'AT-9'): 'Europe/Vienna', ('AT', 'Oberösterreich', 'AT-4'): 'Europe/Vienna',
 ('AT', 'Salzburg', 'AT-5'): 'Europe/Vienna', ('AZ', 'Naftalan', 'AZ-NA'): 'Asia/Baku',
 ('AZ', 'Neftçala', 'AZ-NEF'): 'Asia/Baku', ('AZ', 'Naxçıvan', 'AZ-NV'): 'Asia/Baku',
 ('AZ', 'Naxçıvan', 'AZ-NX'): 'Asia/Baku', ('AZ', 'Oğuz', 'AZ-OGU'): 'Asia/Baku',
 ('AZ', 'Ordubad', 'AZ-ORD'): 'Asia/Baku', ('AZ', 'Qəbələ', 'AZ-QAB'): 'Asia/Baku',
 ('AZ', 'Abşeron', 'AZ-ABS'): 'Asia/Baku', ('AZ', 'Qax', 'AZ-QAX'): 'Asia/Baku',
 ('AZ', 'Ağstafa', 'AZ-AGA'): 'Asia/Baku', ('AZ', 'Qazax', 'AZ-QAZ'): 'Asia/Baku',
 ('AZ', 'Ağcabədi', 'AZ-AGC'): 'Asia/Baku', ('AZ', 'Quba', 'AZ-QBA'): 'Asia/Baku',
 ('AZ', 'Ağdam', 'AZ-AGM'): 'Asia/Baku', ('AZ', 'Qubadlı', 'AZ-QBI'): 'Asia/Baku',
 ('AZ', 'Ağdaş', 'AZ-AGS'): 'Asia/Baku', ('AZ', 'Qobustan', 'AZ-QOB'): 'Asia/Baku',
 ('AZ', 'Ağsu', 'AZ-AGU'): 'Asia/Baku', ('AZ', 'Qusar', 'AZ-QUS'): 'Asia/Baku', ('AZ', 'Astara', 'AZ-AST'): 'Asia/Baku',
 ('AZ', 'Şəki', 'AZ-SA'): 'Asia/Baku', ('AZ', 'Bakı', 'AZ-BA'): 'Asia/Baku', ('AZ', 'Sabirabad', 'AZ-SAB'): 'Asia/Baku',
 ('AZ', 'Babək', 'AZ-BAB'): 'Asia/Baku', ('AZ', 'Sədərək', 'AZ-SAD'): 'Asia/Baku',
 ('AZ', 'Balakən', 'AZ-BAL'): 'Asia/Baku', ('AZ', 'Şahbuz', 'AZ-SAH'): 'Asia/Baku',
 ('AZ', 'Bərdə', 'AZ-BAR'): 'Asia/Baku', ('AZ', 'Şəki', 'AZ-SAK'): 'Asia/Baku',
 ('AZ', 'Beyləqan', 'AZ-BEY'): 'Asia/Baku', ('AZ', 'Salyan', 'AZ-SAL'): 'Asia/Baku',
 ('AZ', 'Biləsuvar', 'AZ-BIL'): 'Asia/Baku', ('AZ', 'Şərur', 'AZ-SAR'): 'Asia/Baku',
 ('AZ', 'Saatlı', 'AZ-SAT'): 'Asia/Baku', ('AZ', 'Cəbrayıl', 'AZ-CAB'): 'Asia/Baku',
 ('AZ', 'Cəlilabad', 'AZ-CAL'): 'Asia/Baku', ('AZ', 'Şabran', 'AZ-SBN'): 'Asia/Baku',
 ('AZ', 'Culfa', 'AZ-CUL'): 'Asia/Baku', ('AZ', 'Siyəzən', 'AZ-SIY'): 'Asia/Baku',
 ('AZ', 'Daşkəsən', 'AZ-DAS'): 'Asia/Baku', ('AZ', 'Şəmkir', 'AZ-SKR'): 'Asia/Baku',
 ('AZ', 'Füzuli', 'AZ-FUZ'): 'Asia/Baku', ('AZ', 'Sumqayıt', 'AZ-SM'): 'Asia/Baku',
 ('AZ', 'Gəncə', 'AZ-GA'): 'Asia/Baku', ('AZ', 'Şamaxı', 'AZ-SMI'): 'Asia/Baku',
 ('AZ', 'Gədəbəy', 'AZ-GAD'): 'Asia/Baku', ('AZ', 'Samux', 'AZ-SMX'): 'Asia/Baku',
 ('AZ', 'Goranboy', 'AZ-GOR'): 'Asia/Baku', ('AZ', 'Şirvan', 'AZ-SR'): 'Asia/Baku',
 ('AZ', 'Göyçay', 'AZ-GOY'): 'Asia/Baku', ('AZ', 'Şuşa', 'AZ-SUS'): 'Asia/Baku',
 ('AZ', 'Göygöl', 'AZ-GYG'): 'Asia/Baku', ('AZ', 'Tərtər', 'AZ-TAR'): 'Asia/Baku',
 ('AZ', 'Hacıqabul', 'AZ-HAC'): 'Asia/Baku', ('AZ', 'Tovuz', 'AZ-TOV'): 'Asia/Baku',
 ('AZ', 'İmişli', 'AZ-IMI'): 'Asia/Baku', ('AZ', 'Ucar', 'AZ-UCA'): 'Asia/Baku',
 ('AZ', 'İsmayıllı', 'AZ-ISM'): 'Asia/Baku', ('AZ', 'Xankəndi', 'AZ-XA'): 'Asia/Baku',
 ('AZ', 'Kəlbəcər', 'AZ-KAL'): 'Asia/Baku', ('AZ', 'Xaçmaz', 'AZ-XAC'): 'Asia/Baku',
 ('AZ', 'Kǝngǝrli', 'AZ-KAN'): 'Asia/Baku', ('AZ', 'Xocalı', 'AZ-XCI'): 'Asia/Baku',
 ('AZ', 'Kürdəmir', 'AZ-KUR'): 'Asia/Baku', ('AZ', 'Xızı', 'AZ-XIZ'): 'Asia/Baku',
 ('AZ', 'Lənkəran', 'AZ-LA'): 'Asia/Baku', ('AZ', 'Xocavənd', 'AZ-XVD'): 'Asia/Baku',
 ('AZ', 'Laçın', 'AZ-LAC'): 'Asia/Baku', ('AZ', 'Yardımlı', 'AZ-YAR'): 'Asia/Baku',
 ('AZ', 'Lənkəran', 'AZ-LAN'): 'Asia/Baku', ('AZ', 'Yevlax', 'AZ-YE'): 'Asia/Baku',
 ('AZ', 'Lerik', 'AZ-LER'): 'Asia/Baku', ('AZ', 'Yevlax', 'AZ-YEV'): 'Asia/Baku',
 ('AZ', 'Masallı', 'AZ-MAS'): 'Asia/Baku', ('AZ', 'Zəngilan', 'AZ-ZAN'): 'Asia/Baku',
 ('AZ', 'Zaqatala', 'AZ-ZAQ'): 'Asia/Baku', ('AZ', 'Mingəçevir', 'AZ-MI'): 'Asia/Baku',
 ('AZ', 'Zərdab', 'AZ-ZAR'): 'Asia/Baku', ('BA', 'Brčko distrikt', 'BA-BRC'): 'Europe/Sarajevo',
 ('BA', 'Federacija Bosne i Hercegovine', 'BA-BIH'): 'Europe/Sarajevo',
 ('BA', 'Republika Srpska', 'BA-SRP'): 'Europe/Sarajevo', ('BB', 'Saint Lucy', 'BB-07'): 'America/Barbados',
 ('BB', 'Saint Andrew', 'BB-02'): 'America/Jamaica', ('BB', 'Saint Michael', 'BB-08'): 'America/Barbados',
 ('BB', 'Saint George', 'BB-03'): 'America/Grenada', ('BB', 'Saint Peter', 'BB-09'): 'America/Chicago',
 ('BB', 'Saint James', 'BB-04'): 'America/Chicago', ('BB', 'Saint Philip', 'BB-10'): 'America/Barbados',
 ('BB', 'Saint John', 'BB-05'): 'America/Moncton', ('BB', 'Saint Thomas', 'BB-11'): 'Europe/Paris',
 ('BB', 'Saint Joseph', 'BB-06'): 'Europe/Paris', ('BB', 'Christ Church', 'BB-01'): 'Europe/London',
 ('BI', 'Cankuzo', 'BI-CA'): 'Africa/Bujumbura', ('BI', 'Rumonge', 'BI-RM'): 'Africa/Bujumbura',
 ('BI', 'Makamba', 'BI-MA'): 'Africa/Bujumbura', ('BI', 'Cibitoke', 'BI-CI'): 'Africa/Bujumbura',
 ('BI', 'Bubanza', 'BI-BB'): 'Africa/Bujumbura', ('BI', 'Rutana', 'BI-RT'): 'Africa/Bujumbura',
 ('BI', 'Muramvya', 'BI-MU'): 'Africa/Bujumbura', ('BI', 'Gitega', 'BI-GI'): 'Africa/Bujumbura',
 ('BI', 'Bujumbura Rural', 'BI-BL'): 'Africa/Bujumbura', ('BI', 'Ruyigi', 'BI-RY'): 'Africa/Bujumbura',
 ('BI', 'Mwaro', 'BI-MW'): 'Africa/Bujumbura', ('BI', 'Kirundo', 'BI-KI'): 'Africa/Bujumbura',
 ('BI', 'Bujumbura Mairie', 'BI-BM'): 'Africa/Bujumbura', ('BI', 'Muyinga', 'BI-MY'): 'Africa/Bujumbura',
 ('BI', 'Karuzi', 'BI-KR'): 'Africa/Bujumbura', ('BI', 'Bururi', 'BI-BR'): 'Africa/Bujumbura',
 ('BI', 'Ngozi', 'BI-NG'): 'Africa/Bujumbura', ('BI', 'Kayanza', 'BI-KY'): 'Africa/Bujumbura',
 ('BE', 'wallonne, Région', 'BE-WAL'): 'Europe/Brussels', ('BE', 'Vlaams-Brabant', 'BE-VBR'): 'Europe/Brussels',
 ('BE', 'Brabant wallon', 'BE-WBR'): 'Europe/Brussels', ('BE', 'Vlaams Gewest', 'BE-VLG'): 'Europe/Brussels',
 ('BE', 'Hainaut', 'BE-WHT'): 'Europe/Brussels', ('BE', 'Limburg', 'BE-VLI'): 'Europe/Amsterdam',
 ('BE', 'Liège', 'BE-WLG'): 'Europe/Brussels', ('BE', 'Oost-Vlaanderen', 'BE-VOV'): 'Europe/Brussels',
 ('BE', 'Brussels Hoofdstedelijk Gewest', 'BE-BRU'): 'Europe/Brussels',
 ('BE', 'Luxembourg', 'BE-WLX'): 'Europe/Luxembourg', ('BE', 'West-Vlaanderen', 'BE-VWV'): 'Europe/Brussels',
 ('BE', 'Antwerpen', 'BE-VAN'): 'Europe/Brussels', ('BE', 'Namur', 'BE-WNA'): 'Europe/Brussels',
 ('BH', 'Al ‘Āşimah', 'BH-13'): 'Asia/Amman', ('BH', 'Ash Shamālīyah', 'BH-17'): 'Asia/Aden',
 ('BH', 'Al Muḩarraq', 'BH-15'): 'Asia/Bahrain', ('BH', 'Al Janūbīyah', 'BH-14'): 'Asia/Aden',
 ('BJ', 'Littoral', 'BJ-LI'): 'Africa/Douala', ('BJ', 'Atlantique', 'BJ-AQ'): 'Africa/Porto-Novo',
 ('BJ', 'Mono', 'BJ-MO'): 'America/Los_Angeles', ('BJ', 'Borgou', 'BJ-BO'): 'Africa/Porto-Novo',
 ('BJ', 'Ouémé', 'BJ-OU'): 'Africa/Porto-Novo', ('BJ', 'Collines', 'BJ-CO'): 'Africa/Porto-Novo',
 ('BJ', 'Atacora', 'BJ-AK'): 'Africa/Porto-Novo', ('BJ', 'Plateau', 'BJ-PL'): 'Africa/Lagos',
 ('BJ', 'Donga', 'BJ-DO'): 'Africa/Porto-Novo', ('BJ', 'Zou', 'BJ-ZO'): 'Africa/Porto-Novo',
 ('BJ', 'Alibori', 'BJ-AL'): 'Africa/Porto-Novo', ('BJ', 'Couffo', 'BJ-KO'): 'Africa/Porto-Novo',
 ('BQ', 'Sint Eustatius', 'BQ-SE'): 'America/Kralendijk', ('BQ', 'Saba', 'BQ-SA'): 'America/Kralendijk',
 ('BQ', 'Bonaire', 'BQ-BO'): 'America/Kralendijk', ('BF', 'Centre-Ouest', 'BF-06'): 'Africa/Ouagadougou',
 ('BF', 'Sanmatenga', 'BF-SMT'): 'Africa/Ouagadougou', ('BF', 'Kadiogo', 'BF-KAD'): 'Africa/Ouagadougou',
 ('BF', 'Centre-Sud', 'BF-07'): 'Africa/Ouagadougou', ('BF', 'Sanguié', 'BF-SNG'): 'Africa/Ouagadougou',
 ('BF', 'Kénédougou', 'BF-KEN'): 'Africa/Ouagadougou', ('BF', 'Est', 'BF-08'): 'Europe/Tallinn',
 ('BF', 'Soum', 'BF-SOM'): 'Europe/Helsinki', ('BF', 'Komondjari', 'BF-KMD'): 'Africa/Ouagadougou',
 ('BF', 'Hauts-Bassins', 'BF-09'): 'Africa/Ouagadougou', ('BF', 'Sourou', 'BF-SOR'): 'Africa/Ouagadougou',
 ('BF', 'Kompienga', 'BF-KMP'): 'Africa/Ouagadougou', ('BF', 'Nord', 'BF-10'): 'Europe/Paris',
 ('BF', 'Tapoa', 'BF-TAP'): 'Africa/Ouagadougou', ('BF', 'Koulpélogo', 'BF-KOP'): 'Africa/Ouagadougou',
 ('BF', 'Plateau-Central', 'BF-11'): 'Africa/Ouagadougou', ('BF', 'Tuy', 'BF-TUI'): 'Europe/Madrid',
 ('BF', 'Kossi', 'BF-KOS'): 'Africa/Ouagadougou', ('BF', 'Sahel', 'BF-12'): 'Africa/Ouagadougou',
 ('BF', 'Yagha', 'BF-YAG'): 'Africa/Ouagadougou', ('BF', 'Kouritenga', 'BF-KOT'): 'Africa/Ouagadougou',
 ('BF', 'Sud-Ouest', 'BF-13'): 'Africa/Ouagadougou', ('BF', 'Yatenga', 'BF-YAT'): 'Africa/Ouagadougou',
 ('BF', 'Kourwéogo', 'BF-KOW'): 'Africa/Ouagadougou', ('BF', 'Balé', 'BF-BAL'): 'Africa/Ouagadougou',
 ('BF', 'Ziro', 'BF-ZIR'): 'Africa/Ouagadougou', ('BF', 'Léraba', 'BF-LER'): 'Africa/Ouagadougou',
 ('BF', 'Bam', 'BF-BAM'): 'Asia/Kabul', ('BF', 'Zondoma', 'BF-ZON'): 'Africa/Ouagadougou',
 ('BF', 'Loroum', 'BF-LOR'): 'Africa/Ouagadougou', ('BF', 'Banwa', 'BF-BAN'): 'Africa/Ouagadougou',
 ('BF', 'Zoundwéogo', 'BF-ZOU'): 'Africa/Ouagadougou', ('BF', 'Mouhoun', 'BF-MOU'): 'Africa/Ouagadougou',
 ('BF', 'Bazèga', 'BF-BAZ'): 'Africa/Ouagadougou', ('BF', 'Namentenga', 'BF-NAM'): 'Africa/Ouagadougou',
 ('BF', 'Bougouriba', 'BF-BGR'): 'Africa/Ouagadougou', ('BF', 'Nahouri', 'BF-NAO'): 'Africa/Ouagadougou',
 ('BF', 'Boulgou', 'BF-BLG'): 'Africa/Ouagadougou', ('BF', 'Nayala', 'BF-NAY'): 'Africa/Ouagadougou',
 ('BF', 'Boulkiemdé', 'BF-BLK'): 'Africa/Ouagadougou', ('BF', 'Noumbiel', 'BF-NOU'): 'Africa/Ouagadougou',
 ('BF', 'Comoé', 'BF-COM'): 'Africa/Abidjan', ('BF', 'Oubritenga', 'BF-OUB'): 'Africa/Ouagadougou',
 ('BF', 'Sissili', 'BF-SIS'): 'Africa/Ouagadougou', ('BF', 'Ganzourgou', 'BF-GAN'): 'Africa/Ouagadougou',
 ('BF', 'Boucle du Mouhoun', 'BF-01'): 'Africa/Ouagadougou', ('BF', 'Oudalan', 'BF-OUD'): 'Africa/Ouagadougou',
 ('BF', 'Gnagna', 'BF-GNA'): 'Africa/Ouagadougou', ('BF', 'Cascades', 'BF-02'): 'Africa/Ouagadougou',
 ('BF', 'Passoré', 'BF-PAS'): 'Africa/Ouagadougou', ('BF', 'Gourma', 'BF-GOU'): 'Africa/Ouagadougou',
 ('BF', 'Centre', 'BF-03'): 'Europe/Paris', ('BF', 'Poni', 'BF-PON'): 'Africa/Ouagadougou',
 ('BF', 'Houet', 'BF-HOU'): 'Africa/Ouagadougou', ('BF', 'Centre-Est', 'BF-04'): 'Africa/Ouagadougou',
 ('BF', 'Séno', 'BF-SEN'): 'Africa/Ouagadougou', ('BF', 'Ioba', 'BF-IOB'): 'Africa/Ouagadougou',
 ('BF', 'Centre-Nord', 'BF-05'): 'Africa/Ouagadougou', ('BD', 'Bhola', 'BD-07'): 'Asia/Dhaka',
 ('BD', 'Pabna', 'BD-49'): 'Europe/London', ('BD', 'Kurigram', 'BD-28'): 'Asia/Dhaka',
 ('BD', 'Rangpur', 'BD-F'): 'Asia/Dhaka', ('BD', 'Cumilla', 'BD-08'): 'Asia/Dhaka',
 ('BD', 'Pirojpur', 'BD-50'): 'Asia/Dhaka', ('BD', 'Khagrachhari', 'BD-29'): 'Asia/Dhaka',
 ('BD', 'Sylhet', 'BD-G'): 'Asia/Dhaka', ('BD', 'Chandpur', 'BD-09'): 'Asia/Kolkata',
 ('BD', 'Patuakhali', 'BD-51'): 'Asia/Dhaka', ('BD', 'Kushtia', 'BD-30'): 'Asia/Kolkata',
 ('BD', 'Mymensingh', 'BD-H'): 'Asia/Dhaka', ('BD', 'Chattogram', 'BD-10'): 'Asia/Dhaka',
 ('BD', 'Panchagarh', 'BD-52'): 'Asia/Dhaka', ('BD', 'Lakshmipur', 'BD-31'): 'Asia/Kolkata',
 ('BD', "Cox's Bazar", 'BD-11'): 'Asia/Dhaka', ('BD', 'Rajbari', 'BD-53'): 'Asia/Dhaka',
 ('BD', 'Lalmonirhat', 'BD-32'): 'Asia/Dhaka', ('BD', 'Chuadanga', 'BD-12'): 'Asia/Dhaka',
 ('BD', 'Rajshahi', 'BD-54'): 'Asia/Dhaka', ('BD', 'Manikganj', 'BD-33'): 'Asia/Dhaka',
 ('BD', 'Dhaka', 'BD-13'): 'Asia/Dhaka', ('BD', 'Rangpur', 'BD-55'): 'Asia/Dhaka',
 ('BD', 'Mymensingh', 'BD-34'): 'Asia/Dhaka', ('BD', 'Dinajpur', 'BD-14'): 'Asia/Dhaka',
 ('BD', 'Rangamati', 'BD-56'): 'Asia/Kolkata', ('BD', 'Munshiganj', 'BD-35'): 'Asia/Dhaka',
 ('BD', 'Faridpur', 'BD-15'): 'Asia/Kolkata', ('BD', 'Sherpur', 'BD-57'): 'Asia/Kolkata',
 ('BD', 'Madaripur', 'BD-36'): 'Asia/Kolkata', ('BD', 'Feni', 'BD-16'): 'Africa/Lusaka',
 ('BD', 'Satkhira', 'BD-58'): 'Asia/Dhaka', ('BD', 'Magura', 'BD-37'): 'Europe/Bucharest',
 ('BD', 'Gopalganj', 'BD-17'): 'Asia/Kolkata', ('BD', 'Sirajganj', 'BD-59'): 'Asia/Dhaka',
 ('BD', 'Moulvibazar', 'BD-38'): 'Asia/Dhaka', ('BD', 'Gazipur', 'BD-18'): 'Asia/Kolkata',
 ('BD', 'Sylhet', 'BD-60'): 'Asia/Dhaka', ('BD', 'Meherpur', 'BD-39'): 'Asia/Kolkata',
 ('BD', 'Gaibandha', 'BD-19'): 'Asia/Dhaka', ('BD', 'Sunamganj', 'BD-61'): 'Asia/Dhaka',
 ('BD', 'Narayanganj', 'BD-40'): 'Asia/Kolkata', ('BD', 'Habiganj', 'BD-20'): 'Asia/Dhaka',
 ('BD', 'Shariatpur', 'BD-62'): 'Asia/Dhaka', ('BD', 'Netrakona', 'BD-41'): 'Asia/Dhaka',
 ('BD', 'Jamalpur', 'BD-21'): 'Asia/Kolkata', ('BD', 'Tangail', 'BD-63'): 'Asia/Dhaka',
 ('BD', 'Narsingdi', 'BD-42'): 'Asia/Dhaka', ('BD', 'Jashore', 'BD-22'): 'Asia/Dhaka',
 ('BD', 'Thakurgaon', 'BD-64'): 'Asia/Dhaka', ('BD', 'Bandarban', 'BD-01'): 'Asia/Dhaka',
 ('BD', 'Narail', 'BD-43'): 'Asia/Dhaka', ('BD', 'Jhenaidah', 'BD-23'): 'Asia/Dhaka',
 ('BD', 'Barishal', 'BD-A'): 'Asia/Dhaka', ('BD', 'Barguna', 'BD-02'): 'Asia/Dhaka',
 ('BD', 'Natore', 'BD-44'): 'Asia/Dhaka', ('BD', 'Joypurhat', 'BD-24'): 'Asia/Dhaka',
 ('BD', 'Chattogram', 'BD-B'): 'Asia/Dhaka', ('BD', 'Bogura', 'BD-03'): 'Asia/Kolkata',
 ('BD', 'Chapai Nawabganj', 'BD-45'): 'Asia/Dhaka', ('BD', 'Rajshahi', 'BD-E'): 'Asia/Dhaka',
 ('BD', 'Jhalakathi', 'BD-25'): 'Asia/Dhaka', ('BD', 'Dhaka', 'BD-C'): 'Asia/Dhaka',
 ('BD', 'Brahmanbaria', 'BD-04'): 'Asia/Dhaka', ('BD', 'Nilphamari', 'BD-46'): 'Asia/Dhaka',
 ('BD', 'Naogaon', 'BD-48'): 'Asia/Kolkata', ('BD', 'Kishoreganj', 'BD-26'): 'Asia/Dhaka',
 ('BD', 'Khulna', 'BD-D'): 'Asia/Dhaka', ('BD', 'Bagerhat', 'BD-05'): 'Asia/Dhaka',
 ('BD', 'Noakhali', 'BD-47'): 'Asia/Dhaka', ('BD', 'Khulna', 'BD-27'): 'Asia/Dhaka',
 ('BD', 'Barishal', 'BD-06'): 'Asia/Dhaka', ('BG', 'Lovech', 'BG-11'): 'Europe/Sofia',
 ('BG', 'Montana', 'BG-12'): 'America/Denver', ('BG', 'Pazardzhik', 'BG-13'): 'Europe/Sofia',
 ('BG', 'Pernik', 'BG-14'): 'Europe/Sofia', ('BG', 'Pleven', 'BG-15'): 'Europe/Paris',
 ('BG', 'Plovdiv', 'BG-16'): 'Europe/Sofia', ('BG', 'Razgrad', 'BG-17'): 'Europe/Sofia',
 ('BG', 'Ruse', 'BG-18'): 'Europe/Sofia', ('BG', 'Silistra', 'BG-19'): 'Europe/Sofia',
 ('BG', 'Sliven', 'BG-20'): 'Europe/Sofia', ('BG', 'Smolyan', 'BG-21'): 'Europe/Sofia',
 ('BG', 'Blagoevgrad', 'BG-01'): 'Europe/Sofia', ('BG', 'Sofia (stolitsa)', 'BG-22'): 'Europe/Sofia',
 ('BG', 'Burgas', 'BG-02'): 'Europe/Sofia', ('BG', 'Sofia', 'BG-23'): 'Indian/Antananarivo',
 ('BG', 'Varna', 'BG-03'): 'Europe/Sofia', ('BG', 'Stara Zagora', 'BG-24'): 'Europe/Sofia',
 ('BG', 'Veliko Tarnovo', 'BG-04'): 'Europe/Sofia', ('BG', 'Targovishte', 'BG-25'): 'Europe/Sofia',
 ('BG', 'Vidin', 'BG-05'): 'Europe/Sofia', ('BG', 'Haskovo', 'BG-26'): 'Europe/Sofia',
 ('BG', 'Vratsa', 'BG-06'): 'Europe/Sofia', ('BG', 'Shumen', 'BG-27'): 'Europe/Sofia',
 ('BG', 'Gabrovo', 'BG-07'): 'Europe/Sofia', ('BG', 'Yambol', 'BG-28'): 'Europe/Sofia',
 ('BG', 'Dobrich', 'BG-08'): 'Europe/Sofia', ('BG', 'Kardzhali', 'BG-09'): 'Europe/Sofia',
 ('BG', 'Kyustendil', 'BG-10'): 'Europe/Sofia', ('BS', 'Exuma', 'BS-EX'): 'America/Nassau',
 ('BS', 'West Grand Bahama', 'BS-WG'): 'America/Nassau', ('BS', 'City of Freeport', 'BS-FP'): 'America/Nassau',
 ('BS', 'Grand Cay', 'BS-GC'): 'America/Nassau', ('BS', 'Harbour Island', 'BS-HI'): 'America/Nassau',
 ('BS', 'Hope Town', 'BS-HT'): 'America/Toronto', ('BS', 'Inagua', 'BS-IN'): 'America/Nassau',
 ('BS', 'Long Island', 'BS-LI'): 'America/New_York', ('BS', 'Mangrove Cay', 'BS-MC'): 'America/Nassau',
 ('BS', 'Mayaguana', 'BS-MG'): 'America/Nassau', ('BS', "Moore's Island", 'BS-MI'): 'America/Nassau',
 ('BS', 'North Eleuthera', 'BS-NE'): 'America/Nassau', ('BS', 'North Abaco', 'BS-NO'): 'America/Nassau',
 ('BS', 'Acklins', 'BS-AK'): 'America/Nassau', ('BS', 'New Providence', 'BS-NP'): 'America/Nassau',
 ('BS', 'Bimini', 'BS-BI'): 'America/Nassau', ('BS', 'North Andros', 'BS-NS'): 'America/Nassau',
 ('BS', 'Black Point', 'BS-BP'): 'America/Nassau', ('BS', 'Rum Cay', 'BS-RC'): 'America/Nassau',
 ('BS', 'Berry Islands', 'BS-BY'): 'America/Nassau', ('BS', 'Ragged Island', 'BS-RI'): 'America/Punta_Arenas',
 ('BS', 'Central Eleuthera', 'BS-CE'): 'America/Nassau', ('BS', 'South Andros', 'BS-SA'): 'America/Nassau',
 ('BS', 'Cat Island', 'BS-CI'): 'America/Nassau', ('BS', 'South Eleuthera', 'BS-SE'): 'America/Nassau',
 ('BS', 'Crooked Island and Long Cay', 'BS-CK'): 'America/Nassau', ('BS', 'South Abaco', 'BS-SO'): 'America/Nassau',
 ('BS', 'Central Abaco', 'BS-CO'): 'America/Nassau', ('BS', 'San Salvador', 'BS-SS'): 'America/El_Salvador',
 ('BS', 'Central Andros', 'BS-CS'): 'America/Nassau', ('BS', 'Spanish Wells', 'BS-SW'): 'America/Nassau',
 ('BS', 'East Grand Bahama', 'BS-EG'): 'America/Nassau', ('BY', 'Bresckaja voblasć', 'BY-BR'): 'Europe/Minsk',
 ('BY', "Minskaja oblast'", 'BY-MI'): 'Europe/Minsk', ('BY', 'Gorod Minsk', 'BY-HM'): 'Europe/Minsk',
 ('BY', 'Viciebskaja voblasć', 'BY-VI'): 'Europe/Minsk', ('BY', "Gomel'skaja oblast'", 'BY-HO'): 'Europe/Minsk',
 ('BY', "Grodnenskaja oblast'", 'BY-HR'): 'Europe/Moscow', ('BY', 'Mahilioŭskaja voblasć', 'BY-MA'): 'Europe/Minsk',
 ('BZ', 'Orange Walk', 'BZ-OW'): 'America/Belize', ('BZ', 'Stann Creek', 'BZ-SC'): 'America/Belize',
 ('BZ', 'Toledo', 'BZ-TOL'): 'Europe/Madrid', ('BZ', 'Belize', 'BZ-BZ'): 'America/Belize',
 ('BZ', 'Cayo', 'BZ-CY'): 'America/Belize', ('BZ', 'Corozal', 'BZ-CZL'): 'America/Bogota',
 ('BO', 'Santa Cruz', 'BO-S'): 'Atlantic/Canary', ('BO', 'Chuquisaca', 'BO-H'): 'America/La_Paz',
 ('BO', 'Tarija', 'BO-T'): 'America/La_Paz', ('BO', 'La Paz', 'BO-L'): 'America/La_Paz',
 ('BO', 'Pando', 'BO-N'): 'America/La_Paz', ('BO', 'Oruro', 'BO-O'): 'America/La_Paz',
 ('BO', 'El Beni', 'BO-B'): 'Africa/Algiers', ('BO', 'Potosí', 'BO-P'): 'America/La_Paz',
 ('BO', 'Cochabamba', 'BO-C'): 'America/La_Paz', ('BR', 'Piauí', 'BR-PI'): 'America/Fortaleza',
 ('BR', 'Paraná', 'BR-PR'): 'America/Sao_Paulo', ('BR', 'Rio de Janeiro', 'BR-RJ'): 'America/Sao_Paulo',
 ('BR', 'Rio Grande do Norte', 'BR-RN'): 'America/Belem', ('BR', 'Rondônia', 'BR-RO'): 'America/Porto_Velho',
 ('BR', 'Acre', 'BR-AC'): 'Asia/Jerusalem', ('BR', 'Roraima', 'BR-RR'): 'America/Boa_Vista',
 ('BR', 'Alagoas', 'BR-AL'): 'America/Maceio', ('BR', 'Rio Grande do Sul', 'BR-RS'): 'America/Sao_Paulo',
 ('BR', 'Amazonas', 'BR-AM'): 'America/Manaus', ('BR', 'Santa Catarina', 'BR-SC'): 'America/Sao_Paulo',
 ('BR', 'Amapá', 'BR-AP'): 'America/Belem', ('BR', 'Sergipe', 'BR-SE'): 'America/Maceio',
 ('BR', 'Bahia', 'BR-BA'): 'America/Bahia', ('BR', 'São Paulo', 'BR-SP'): 'America/Belem',
 ('BR', 'Ceará', 'BR-CE'): 'America/Fortaleza', ('BR', 'Tocantins', 'BR-TO'): 'America/Araguaina',
 ('BR', 'Distrito Federal', 'BR-DF'): 'America/Sao_Paulo', ('BR', 'Espírito Santo', 'BR-ES'): 'America/Sao_Paulo',
 ('BR', 'Goiás', 'BR-GO'): 'America/Sao_Paulo', ('BR', 'Maranhão', 'BR-MA'): 'America/Fortaleza',
 ('BR', 'Minas Gerais', 'BR-MG'): 'America/Sao_Paulo', ('BR', 'Mato Grosso do Sul', 'BR-MS'): 'America/Campo_Grande',
 ('BR', 'Mato Grosso', 'BR-MT'): 'America/Cuiaba', ('BR', 'Pará', 'BR-PA'): 'America/Belem',
 ('BR', 'Paraíba', 'BR-PB'): 'America/Fortaleza', ('BR', 'Pernambuco', 'BR-PE'): 'America/Recife',
 ('BN', 'Belait', 'BN-BE'): 'Asia/Brunei', ('BN', 'Tutong', 'BN-TU'): 'Asia/Brunei',
 ('BN', 'Temburong', 'BN-TE'): 'Asia/Brunei', ('BN', 'Brunei-Muara', 'BN-BM'): 'Asia/Brunei',
 ('BT', 'Paro', 'BT-11'): 'Asia/Thimphu', ('BT', 'Chhukha', 'BT-12'): 'Asia/Thimphu',
 ('BT', 'Haa', 'BT-13'): 'Asia/Thimphu', ('BT', 'Samtse', 'BT-14'): 'Asia/Thimphu',
 ('BT', 'Thimphu', 'BT-15'): 'Asia/Thimphu', ('BT', 'Tsirang', 'BT-21'): 'Asia/Thimphu',
 ('BT', 'Dagana', 'BT-22'): 'Asia/Thimphu', ('BT', 'Punakha', 'BT-23'): 'Asia/Thimphu',
 ('BT', 'Wangdue Phodrang', 'BT-24'): 'Asia/Thimphu', ('BT', 'Sarpang', 'BT-31'): 'Asia/Thimphu',
 ('BT', 'Trongsa', 'BT-32'): 'Asia/Thimphu', ('BT', 'Bumthang', 'BT-33'): 'Asia/Thimphu',
 ('BT', 'Zhemgang', 'BT-34'): 'Asia/Thimphu', ('BT', 'Trashigang', 'BT-41'): 'Asia/Thimphu',
 ('BT', 'Monggar', 'BT-42'): 'Asia/Jakarta', ('BT', 'Pema Gatshel', 'BT-43'): 'Asia/Thimphu',
 ('BT', 'Lhuentse', 'BT-44'): 'Asia/Thimphu', ('BT', 'Samdrup Jongkhar', 'BT-45'): 'Asia/Thimphu',
 ('BT', 'Gasa', 'BT-GA'): 'Asia/Thimphu', ('BT', 'Trashi Yangtse', 'BT-TY'): 'Asia/Thimphu',
 ('BW', 'Jwaneng', 'BW-JW'): 'Africa/Gaborone', ('BW', 'Central', 'BW-CE'): 'Africa/Lusaka',
 ('BW', 'North West', 'BW-NW'): 'Africa/Gaborone', ('BW', 'Kgalagadi', 'BW-KG'): 'Africa/Gaborone',
 ('BW', 'Chobe', 'BW-CH'): 'Africa/Gaborone', ('BW', 'South East', 'BW-SE'): 'Africa/Gaborone',
 ('BW', 'Kgatleng', 'BW-KL'): 'Africa/Gaborone', ('BW', 'Francistown', 'BW-FR'): 'Africa/Gaborone',
 ('BW', 'Southern', 'BW-SO'): 'Africa/Lusaka', ('BW', 'Kweneng', 'BW-KW'): 'Africa/Gaborone',
 ('BW', 'Gaborone', 'BW-GA'): 'Africa/Gaborone', ('BW', 'Selibe Phikwe', 'BW-SP'): 'Africa/Gaborone',
 ('BW', 'Lobatse', 'BW-LO'): 'Africa/Gaborone', ('BW', 'Ghanzi', 'BW-GH'): 'Africa/Gaborone',
 ('BW', 'Sowa Town', 'BW-ST'): 'Africa/Gaborone', ('BW', 'North East', 'BW-NE'): 'Africa/Gaborone',
 ('CF', 'Haut-Mbomou', 'CF-HM'): 'Africa/Bangui', ('CF', 'Ouham', 'CF-AC'): 'Africa/Bangui',
 ('CF', 'Vakaga', 'CF-VK'): 'Africa/Bangui', ('CF', 'Ombella-Mpoko', 'CF-MP'): 'Africa/Bangui',
 ('CF', 'Haute-Sangha / Mambéré-Kadéï', 'CF-HS'): 'Africa/Bangui',
 ('CF', 'Bamingui-Bangoran', 'CF-BB'): 'Africa/Bangui', ('CF', 'Nana-Mambéré', 'CF-NM'): 'Africa/Bangui',
 ('CF', 'Gribingui', 'CF-KB'): 'Africa/Bangui', ('CF', 'Bangui', 'CF-BGF'): 'Africa/Bangui',
 ('CF', 'Ouham-Pendé', 'CF-OP'): 'Africa/Bangui', ('CF', 'Kemö-Gïrïbïngï', 'CF-KG'): 'Africa/Bangui',
 ('CF', 'Basse-Kotto', 'CF-BK'): 'Africa/Bangui', ('CF', 'Sangha', 'CF-SE'): 'Africa/Brazzaville',
 ('CF', 'Lobaye', 'CF-LB'): 'Africa/Bangui', ('CF', 'Haute-Kotto', 'CF-HK'): 'Africa/Bangui',
 ('CF', 'Ouaka', 'CF-UK'): 'Africa/Bangui', ('CF', 'Mbomou', 'CF-MB'): 'Africa/Bangui',
 ('CA', 'Manitoba', 'CA-MB'): 'America/Winnipeg', ('CA', 'Ontario', 'CA-ON'): 'America/Toronto',
 ('CA', 'New Brunswick', 'CA-NB'): 'America/Moncton', ('CA', 'Prince Edward Island', 'CA-PE'): 'America/Halifax',
 ('CA', 'Newfoundland and Labrador', 'CA-NL'): 'America/Goose_Bay', ('CA', 'Quebec', 'CA-QC'): 'America/Toronto',
 ('CA', 'Nova Scotia', 'CA-NS'): 'America/Halifax', ('CA', 'Alberta', 'CA-AB'): 'America/Edmonton',
 ('CA', 'Saskatchewan', 'CA-SK'): 'America/Regina', ('CA', 'Northwest Territories', 'CA-NT'): 'America/Edmonton',
 ('CA', 'British Columbia', 'CA-BC'): 'America/Vancouver', ('CA', 'Yukon', 'CA-YT'): 'America/Whitehorse',
 ('CA', 'Nunavut', 'CA-NU'): 'America/Rankin_Inlet', ('CH', 'Glarus', 'CH-GL'): 'Europe/Zurich',
 ('CH', 'Graubünden', 'CH-GR'): 'Europe/Zurich', ('CH', 'Jura', 'CH-JU'): 'Europe/Paris',
 ('CH', 'Luzern', 'CH-LU'): 'Europe/Zurich', ('CH', 'Neuchâtel', 'CH-NE'): 'Europe/Zurich',
 ('CH', 'Nidwalden', 'CH-NW'): 'Europe/Zurich', ('CH', 'Obwalden', 'CH-OW'): 'Europe/Zurich',
 ('CH', 'Sankt Gallen', 'CH-SG'): 'Europe/Zurich', ('CH', 'Schaffhausen', 'CH-SH'): 'Europe/Zurich',
 ('CH', 'Solothurn', 'CH-SO'): 'Europe/Zurich', ('CH', 'Schwyz', 'CH-SZ'): 'Europe/Zurich',
 ('CH', 'Thurgau', 'CH-TG'): 'Europe/Zurich', ('CH', 'Ticino', 'CH-TI'): 'Europe/Zurich',
 ('CH', 'Aargau', 'CH-AG'): 'Europe/Zurich', ('CH', 'Uri', 'CH-UR'): 'Europe/Zurich',
 ('CH', 'Appenzell Innerrhoden', 'CH-AI'): 'Europe/Zurich', ('CH', 'Vaud', 'CH-VD'): 'Europe/Zurich',
 ('CH', 'Appenzell Ausserrhoden', 'CH-AR'): 'Europe/Zurich', ('CH', 'Valais', 'CH-VS'): 'Europe/Zurich',
 ('CH', 'Bern', 'CH-BE'): 'Europe/Zurich', ('CH', 'Zug', 'CH-ZG'): 'Europe/Zurich',
 ('CH', 'Basel-Landschaft', 'CH-BL'): 'Europe/Zurich', ('CH', 'Zürich', 'CH-ZH'): 'Europe/Zurich',
 ('CH', 'Basel-Stadt', 'CH-BS'): 'Europe/Zurich', ('CH', 'Freiburg', 'CH-FR'): 'Europe/Berlin',
 ('CH', 'Genève', 'CH-GE'): 'Europe/Zurich', ('CL', 'Biobío', 'CL-BI'): 'America/Santiago',
 ('CL', 'Valparaíso', 'CL-VS'): 'America/Santiago',
 ('CL', 'Aisén del General Carlos Ibañez del Campo', 'CL-AI'): 'America/Santiago',
 ('CL', 'Magallanes', 'CL-MA'): 'America/Punta_Arenas', ('CL', 'Tarapacá', 'CL-TA'): 'America/Santiago',
 ('CL', 'Coquimbo', 'CL-CO'): 'America/Santiago', ('CL', 'Antofagasta', 'CL-AN'): 'America/Santiago',
 ('CL', 'Maule', 'CL-ML'): 'America/Santiago',
 ('CL', "Libertador General Bernardo O'Higgins", 'CL-LI'): 'America/Santiago',
 ('CL', 'Arica y Parinacota', 'CL-AP'): 'America/Santiago', ('CL', 'Ñuble', 'CL-NB'): 'America/Santiago',
 ('CL', 'Los Lagos', 'CL-LL'): 'America/Santiago', ('CL', 'La Araucanía', 'CL-AR'): 'America/Santiago',
 ('CL', 'Región Metropolitana de Santiago', 'CL-RM'): 'America/Santiago',
 ('CL', 'Los Ríos', 'CL-LR'): 'America/Guayaquil', ('CL', 'Atacama', 'CL-AT'): 'America/Santiago',
 ('CN', 'Gansu Sheng', 'CN-GS'): 'Asia/Shanghai', ('CN', 'Shaanxi Sheng', 'CN-SN'): 'Asia/Shanghai',
 ('CN', 'Guangxi Zhuangzu Zizhiqu', 'CN-GX'): 'Asia/Shanghai', ('CN', 'Shanxi Sheng', 'CN-SX'): 'Asia/Shanghai',
 ('CN', 'Guizhou Sheng', 'CN-GZ'): 'Asia/Shanghai', ('CN', 'Tianjin Shi', 'CN-TJ'): 'Asia/Shanghai',
 ('CN', 'Henan Sheng', 'CN-HA'): 'Asia/Shanghai', ('CN', 'Taiwan Sheng', 'CN-TW'): 'Africa/Algiers',
 ('CN', 'Hubei Sheng', 'CN-HB'): 'Asia/Shanghai', ('CN', 'Xinjiang Uygur Zizhiqu', 'CN-XJ'): 'Asia/Urumqi',
 ('CN', 'Hebei Sheng', 'CN-HE'): 'Asia/Shanghai', ('CN', 'Xizang Zizhiqu', 'CN-XZ'): 'Asia/Shanghai',
 ('CN', 'Hainan Sheng', 'CN-HI'): 'Asia/Shanghai', ('CN', 'Yunnan Sheng', 'CN-YN'): 'Asia/Shanghai',
 ('CN', 'Hong Kong SAR', 'CN-HK'): 'Asia/Hong_Kong', ('CN', 'Zhejiang Sheng', 'CN-ZJ'): 'Asia/Shanghai',
 ('CN', 'Heilongjiang Sheng', 'CN-HL'): 'Asia/Shanghai', ('CN', 'Hunan Sheng', 'CN-HN'): 'Asia/Shanghai',
 ('CN', 'Jilin Sheng', 'CN-JL'): 'Asia/Shanghai', ('CN', 'Jiangsu Sheng', 'CN-JS'): 'Asia/Shanghai',
 ('CN', 'Jiangxi Sheng', 'CN-JX'): 'Asia/Shanghai', ('CN', 'Liaoning Sheng', 'CN-LN'): 'Asia/Shanghai',
 ('CN', 'Macao SAR', 'CN-MO'): 'Europe/Rome', ('CN', 'Nei Mongol Zizhiqu', 'CN-NM'): 'Asia/Shanghai',
 ('CN', 'Ningxia Huizi Zizhiqu', 'CN-NX'): 'Asia/Shanghai', ('CN', 'Anhui Sheng', 'CN-AH'): 'Asia/Shanghai',
 ('CN', 'Qinghai Sheng', 'CN-QH'): 'Asia/Shanghai', ('CN', 'Beijing Shi', 'CN-BJ'): 'Asia/Shanghai',
 ('CN', 'Sichuan Sheng', 'CN-SC'): 'Asia/Shanghai', ('CN', 'Chongqing Shi', 'CN-CQ'): 'Asia/Shanghai',
 ('CN', 'Shandong Sheng', 'CN-SD'): 'Asia/Shanghai', ('CN', 'Fujian Sheng', 'CN-FJ'): 'Asia/Shanghai',
 ('CN', 'Shanghai Shi', 'CN-SH'): 'Asia/Shanghai', ('CN', 'Guangdong Sheng', 'CN-GD'): 'Asia/Shanghai',
 ('CI', 'Sassandra-Marahoué', 'CI-SM'): 'Africa/Abidjan', ('CI', 'Denguélé', 'CI-DN'): 'Africa/Abidjan',
 ('CI', 'Savanes', 'CI-SV'): 'Africa/Abidjan', ('CI', 'Gôh-Djiboua', 'CI-GD'): 'Africa/Abidjan',
 ('CI', 'Vallée du Bandama', 'CI-VB'): 'Africa/Abidjan', ('CI', 'Lacs', 'CI-LC'): 'Africa/Abidjan',
 ('CI', 'Abidjan', 'CI-AB'): 'Africa/Abidjan', ('CI', 'Woroba', 'CI-WR'): 'Africa/Abidjan',
 ('CI', 'Lagunes', 'CI-LG'): 'Africa/Abidjan', ('CI', 'Bas-Sassandra', 'CI-BS'): 'Africa/Abidjan',
 ('CI', 'Yamoussoukro', 'CI-YM'): 'Africa/Abidjan', ('CI', 'Montagnes', 'CI-MG'): 'Africa/Abidjan',
 ('CI', 'Comoé', 'CI-CM'): 'Africa/Abidjan', ('CI', 'Zanzan', 'CI-ZZ'): 'Africa/Abidjan',
 ('CM', 'Littoral', 'CM-LT'): 'Africa/Douala', ('CM', 'North', 'CM-NO'): 'Africa/Douala',
 ('CM', 'Adamaoua', 'CM-AD'): 'Africa/Douala', ('CM', 'North-West', 'CM-NW'): 'Africa/Gaborone',
 ('CM', 'Centre', 'CM-CE'): 'Europe/Paris', ('CM', 'West', 'CM-OU'): 'Africa/Nairobi',
 ('CM', 'Far North', 'CM-EN'): 'Africa/Douala', ('CM', 'South', 'CM-SU'): 'Africa/Douala',
 ('CM', 'East', 'CM-ES'): 'Africa/Douala', ('CM', 'South-West', 'CM-SW'): 'Asia/Kuala_Lumpur',
 ('CD', 'Kongo Central', 'CD-BC'): 'Africa/Kinshasa', ('CD', 'Sud-Kivu', 'CD-SK'): 'Africa/Lubumbashi',
 ('CD', 'Bas-Uélé', 'CD-BU'): 'Africa/Lubumbashi', ('CD', 'Sud-Ubangi', 'CD-SU'): 'Africa/Kinshasa',
 ('CD', 'Équateur', 'CD-EQ'): 'Africa/Kinshasa', ('CD', 'Tanganyika', 'CD-TA'): 'Africa/Lubumbashi',
 ('CD', 'Haut-Katanga', 'CD-HK'): 'Africa/Lubumbashi', ('CD', 'Tshopo', 'CD-TO'): 'Africa/Lubumbashi',
 ('CD', 'Haut-Lomami', 'CD-HL'): 'Africa/Lubumbashi', ('CD', 'Tshuapa', 'CD-TU'): 'Africa/Kinshasa',
 ('CD', 'Haut-Uélé', 'CD-HU'): 'Africa/Lubumbashi', ('CD', 'Ituri', 'CD-IT'): 'Africa/Lubumbashi',
 ('CD', 'Kasaï Central', 'CD-KC'): 'Africa/Lubumbashi', ('CD', 'Kasaï Oriental', 'CD-KE'): 'Africa/Lubumbashi',
 ('CD', 'Kwango', 'CD-KG'): 'Africa/Kinshasa', ('CD', 'Kwilu', 'CD-KL'): 'Africa/Kinshasa',
 ('CD', 'Kinshasa', 'CD-KN'): 'Africa/Kinshasa', ('CD', 'Kasaï', 'CD-KS'): 'Africa/Lubumbashi',
 ('CD', 'Lomami', 'CD-LO'): 'Africa/Lubumbashi', ('CD', 'Lualaba', 'CD-LU'): 'Africa/Lubumbashi',
 ('CD', 'Maniema', 'CD-MA'): 'Africa/Lubumbashi', ('CD', 'Mai-Ndombe', 'CD-MN'): 'Africa/Kinshasa',
 ('CD', 'Mongala', 'CD-MO'): 'Africa/Kinshasa', ('CD', 'Nord-Kivu', 'CD-NK'): 'Africa/Lubumbashi',
 ('CD', 'Nord-Ubangi', 'CD-NU'): 'Africa/Kinshasa', ('CD', 'Sankuru', 'CD-SA'): 'Africa/Lubumbashi',
 ('CG', 'Cuvette-Ouest', 'CG-15'): 'Africa/Brazzaville', ('CG', 'Niari', 'CG-9'): 'Africa/Brazzaville',
 ('CG', 'Pointe-Noire', 'CG-16'): 'Africa/Brazzaville', ('CG', 'Bouenza', 'CG-11'): 'Africa/Brazzaville',
 ('CG', 'Brazzaville', 'CG-BZV'): 'Africa/Brazzaville', ('CG', 'Lékoumou', 'CG-2'): 'Africa/Brazzaville',
 ('CG', 'Pool', 'CG-12'): 'Africa/Brazzaville', ('CG', 'Kouilou', 'CG-5'): 'Africa/Brazzaville',
 ('CG', 'Sangha', 'CG-13'): 'Africa/Brazzaville', ('CG', 'Likouala', 'CG-7'): 'Africa/Brazzaville',
 ('CG', 'Plateaux', 'CG-14'): 'Africa/Brazzaville', ('CG', 'Cuvette', 'CG-8'): 'Africa/Brazzaville',
 ('CO', 'Cundinamarca', 'CO-CUN'): 'America/Bogota', ('CO', 'Distrito Capital de Bogotá', 'CO-DC'): 'America/Bogota',
 ('CO', 'Guainía', 'CO-GUA'): 'America/Bogota', ('CO', 'Guaviare', 'CO-GUV'): 'America/Bogota',
 ('CO', 'Huila', 'CO-HUI'): 'America/Bogota', ('CO', 'La Guajira', 'CO-LAG'): 'America/Bogota',
 ('CO', 'Magdalena', 'CO-MAG'): 'America/Bogota', ('CO', 'Meta', 'CO-MET'): 'America/Bogota',
 ('CO', 'Nariño', 'CO-NAR'): 'America/Bogota', ('CO', 'Amazonas', 'CO-AMA'): 'America/Manaus',
 ('CO', 'Norte de Santander', 'CO-NSA'): 'America/Bogota', ('CO', 'Antioquia', 'CO-ANT'): 'America/Bogota',
 ('CO', 'Putumayo', 'CO-PUT'): 'America/Bogota', ('CO', 'Arauca', 'CO-ARA'): 'America/Bogota',
 ('CO', 'Quindío', 'CO-QUI'): 'America/Bogota', ('CO', 'Atlántico', 'CO-ATL'): 'America/Bogota',
 ('CO', 'Risaralda', 'CO-RIS'): 'America/Bogota', ('CO', 'Bolívar', 'CO-BOL'): 'America/Guayaquil',
 ('CO', 'Santander', 'CO-SAN'): 'Europe/Madrid', ('CO', 'Boyacá', 'CO-BOY'): 'America/Bogota',
 ('CO', 'San Andrés, Providencia y Santa Catalina', 'CO-SAP'): 'America/Bogota',
 ('CO', 'Caldas', 'CO-CAL'): 'America/Bogota', ('CO', 'Sucre', 'CO-SUC'): 'America/La_Paz',
 ('CO', 'Caquetá', 'CO-CAQ'): 'America/Bogota', ('CO', 'Tolima', 'CO-TOL'): 'America/Bogota',
 ('CO', 'Casanare', 'CO-CAS'): 'America/Bogota', ('CO', 'Valle del Cauca', 'CO-VAC'): 'America/Bogota',
 ('CO', 'Cauca', 'CO-CAU'): 'America/Bogota', ('CO', 'Vaupés', 'CO-VAU'): 'America/Bogota',
 ('CO', 'Cesar', 'CO-CES'): 'America/Bogota', ('CO', 'Vichada', 'CO-VID'): 'America/Bogota',
 ('CO', 'Chocó', 'CO-CHO'): 'America/Bogota', ('CO', 'Córdoba', 'CO-COR'): 'Europe/Madrid',
 ('KM', 'Mohéli', 'KM-M'): 'Indian/Comoro', ('KM', 'Andjazîdja', 'KM-G'): 'Africa/Algiers',
 ('KM', 'Andjouân', 'KM-A'): 'Africa/Abidjan', ('CV', 'São Salvador do Mundo', 'CV-SS'): 'Atlantic/Cape_Verde',
 ('CV', 'Ilhas de Barlavento', 'CV-B'): 'Pacific/Tahiti', ('CV', 'São Vicente', 'CV-SV'): 'America/Sao_Paulo',
 ('CV', 'Brava', 'CV-BR'): 'Atlantic/Cape_Verde', ('CV', 'Tarrafal', 'CV-TA'): 'Atlantic/Cape_Verde',
 ('CV', 'Boa Vista', 'CV-BV'): 'America/Boa_Vista', ('CV', 'Tarrafal de São Nicolau', 'CV-TS'): 'Atlantic/Cape_Verde',
 ('CV', 'Santa Catarina', 'CV-CA'): 'America/Sao_Paulo',
 ('CV', 'Santa Catarina do Fogo', 'CV-CF'): 'Atlantic/Cape_Verde', ('CV', 'Santa Cruz', 'CV-CR'): 'Atlantic/Canary',
 ('CV', 'Maio', 'CV-MA'): 'Atlantic/Cape_Verde', ('CV', 'Mosteiros', 'CV-MO'): 'Atlantic/Cape_Verde',
 ('CV', 'Paul', 'CV-PA'): 'Europe/London', ('CV', 'Porto Novo', 'CV-PN'): 'Africa/Porto-Novo',
 ('CV', 'Praia', 'CV-PR'): 'Atlantic/Cape_Verde', ('CV', 'Ribeira Brava', 'CV-RB'): 'Atlantic/Madeira',
 ('CV', 'Ribeira Grande', 'CV-RG'): 'Atlantic/Azores',
 ('CV', 'Ribeira Grande de Santiago', 'CV-RS'): 'Atlantic/Cape_Verde',
 ('CV', 'Ilhas de Sotavento', 'CV-S'): 'Pacific/Tahiti', ('CV', 'São Domingos', 'CV-SD'): 'America/Santo_Domingo',
 ('CV', 'São Filipe', 'CV-SF'): 'Atlantic/Cape_Verde', ('CV', 'Sal', 'CV-SL'): 'Atlantic/Cape_Verde',
 ('CV', 'São Miguel', 'CV-SM'): 'Atlantic/Azores', ('CV', 'São Lourenço dos Órgãos', 'CV-SO'): 'Atlantic/Cape_Verde',
 ('CR', 'San José', 'CR-SJ'): 'America/Costa_Rica', ('CR', 'Cartago', 'CR-C'): 'America/Costa_Rica',
 ('CR', 'Guanacaste', 'CR-G'): 'America/Costa_Rica', ('CR', 'Heredia', 'CR-H'): 'America/Costa_Rica',
 ('CR', 'Limón', 'CR-L'): 'America/Costa_Rica', ('CR', 'Alajuela', 'CR-A'): 'America/Costa_Rica',
 ('CR', 'Puntarenas', 'CR-P'): 'America/Costa_Rica', ('CU', 'Cienfuegos', 'CU-06'): 'America/Havana',
 ('CU', 'Isla de la Juventud', 'CU-99'): 'America/Havana', ('CU', 'Granma', 'CU-12'): 'America/Havana',
 ('CU', 'Sancti Spíritus', 'CU-07'): 'Europe/Madrid', ('CU', 'Pinar del Río', 'CU-01'): 'America/Havana',
 ('CU', 'Santiago de Cuba', 'CU-13'): 'America/Havana', ('CU', 'Ciego de Ávila', 'CU-08'): 'America/Havana',
 ('CU', 'La Habana', 'CU-03'): 'America/Havana', ('CU', 'Guantánamo', 'CU-14'): 'America/Havana',
 ('CU', 'Camagüey', 'CU-09'): 'America/Havana', ('CU', 'Matanzas', 'CU-04'): 'America/Havana',
 ('CU', 'Artemisa', 'CU-15'): 'America/Havana', ('CU', 'Las Tunas', 'CU-10'): 'America/Havana',
 ('CU', 'Villa Clara', 'CU-05'): 'America/Havana', ('CU', 'Mayabeque', 'CU-16'): 'America/Havana',
 ('CU', 'Holguín', 'CU-11'): 'America/Havana', ('CY', 'Lemesos', 'CY-02'): 'Asia/Nicosia',
 ('CY', 'Larnaka', 'CY-03'): 'Asia/Nicosia', ('CY', 'Ammochostos', 'CY-04'): 'Asia/Famagusta',
 ('CY', 'Baf', 'CY-05'): 'Asia/Nicosia', ('CY', 'Girne', 'CY-06'): 'Asia/Famagusta',
 ('CY', 'Lefkosia', 'CY-01'): 'Asia/Nicosia', ('CZ', 'Olomouc', 'CZ-712'): 'Europe/Prague',
 ('CZ', 'Prostějov', 'CZ-713'): 'Europe/Prague', ('CZ', 'Přerov', 'CZ-714'): 'Europe/Prague',
 ('CZ', 'Šumperk', 'CZ-715'): 'Europe/Prague', ('CZ', 'Zlínský kraj', 'CZ-72'): 'Europe/Prague',
 ('CZ', 'Kroměříž', 'CZ-721'): 'Europe/Prague', ('CZ', 'Uherské Hradiště', 'CZ-722'): 'Europe/Prague',
 ('CZ', 'Vsetín', 'CZ-723'): 'Europe/Prague', ('CZ', 'Zlín', 'CZ-724'): 'Europe/Prague',
 ('CZ', 'Moravskoslezský kraj', 'CZ-80'): 'Europe/Prague', ('CZ', 'Bruntál', 'CZ-801'): 'Europe/Prague',
 ('CZ', 'Frýdek-Místek', 'CZ-802'): 'Europe/Prague', ('CZ', 'Karviná', 'CZ-803'): 'Europe/Prague',
 ('CZ', 'Cheb', 'CZ-411'): 'Europe/Prague', ('CZ', 'Nový Jičín', 'CZ-804'): 'Europe/Prague',
 ('CZ', 'Opava', 'CZ-805'): 'Europe/Prague', ('CZ', 'Ostrava-město', 'CZ-806'): 'Europe/Prague',
 ('CZ', 'Karlovy Vary', 'CZ-412'): 'Europe/Prague', ('CZ', 'Sokolov', 'CZ-413'): 'Europe/Prague',
 ('CZ', 'Ústecký kraj', 'CZ-42'): 'Europe/Prague', ('CZ', 'Děčín', 'CZ-421'): 'Europe/Prague',
 ('CZ', 'Chomutov', 'CZ-422'): 'Europe/Prague', ('CZ', 'Litoměřice', 'CZ-423'): 'Europe/Prague',
 ('CZ', 'Louny', 'CZ-424'): 'Europe/Prague', ('CZ', 'Most', 'CZ-425'): 'Europe/Prague',
 ('CZ', 'Teplice', 'CZ-426'): 'Europe/Prague', ('CZ', 'Ústí nad Labem', 'CZ-427'): 'Europe/Prague',
 ('CZ', 'Praha, Hlavní město', 'CZ-10'): 'Europe/Prague', ('CZ', 'Liberecký kraj', 'CZ-51'): 'Europe/Prague',
 ('CZ', 'Středočeský kraj', 'CZ-20'): 'Europe/Prague', ('CZ', 'Česká Lípa', 'CZ-511'): 'Europe/Prague',
 ('CZ', 'Benešov', 'CZ-201'): 'Europe/Prague', ('CZ', 'Jablonec nad Nisou', 'CZ-512'): 'Europe/Prague',
 ('CZ', 'Beroun', 'CZ-202'): 'Europe/Prague', ('CZ', 'Liberec', 'CZ-513'): 'Europe/Prague',
 ('CZ', 'Kladno', 'CZ-203'): 'Europe/Prague', ('CZ', 'Semily', 'CZ-514'): 'Europe/Prague',
 ('CZ', 'Kolín', 'CZ-204'): 'Europe/Prague', ('CZ', 'Královéhradecký kraj', 'CZ-52'): 'Europe/Prague',
 ('CZ', 'Kutná Hora', 'CZ-205'): 'Europe/Prague', ('CZ', 'Hradec Králové', 'CZ-521'): 'Europe/Prague',
 ('CZ', 'Mělník', 'CZ-206'): 'Europe/Prague', ('CZ', 'Jičín', 'CZ-522'): 'Europe/Prague',
 ('CZ', 'Mladá Boleslav', 'CZ-207'): 'Europe/Prague', ('CZ', 'Náchod', 'CZ-523'): 'Europe/Prague',
 ('CZ', 'Nymburk', 'CZ-208'): 'Europe/Prague', ('CZ', 'Rychnov nad Kněžnou', 'CZ-524'): 'Europe/Prague',
 ('CZ', 'Trutnov', 'CZ-525'): 'Europe/Prague', ('CZ', 'Praha-východ', 'CZ-209'): 'Europe/Prague',
 ('CZ', 'Praha-západ', 'CZ-20A'): 'Europe/Prague', ('CZ', 'Pardubický kraj', 'CZ-53'): 'Europe/Prague',
 ('CZ', 'Příbram', 'CZ-20B'): 'Europe/Prague', ('CZ', 'Chrudim', 'CZ-531'): 'Europe/Prague',
 ('CZ', 'Rakovník', 'CZ-20C'): 'Europe/Prague', ('CZ', 'Pardubice', 'CZ-532'): 'Europe/Prague',
 ('CZ', 'Jihočeský kraj', 'CZ-31'): 'Europe/Prague', ('CZ', 'Svitavy', 'CZ-533'): 'Europe/Prague',
 ('CZ', 'České Budějovice', 'CZ-311'): 'Europe/Prague', ('CZ', 'Ústí nad Orlicí', 'CZ-534'): 'Europe/Prague',
 ('CZ', 'Český Krumlov', 'CZ-312'): 'Europe/Prague', ('CZ', 'Kraj Vysočina', 'CZ-63'): 'Europe/Prague',
 ('CZ', 'Jindřichův Hradec', 'CZ-313'): 'Europe/Prague', ('CZ', 'Havlíčkův Brod', 'CZ-631'): 'Europe/Prague',
 ('CZ', 'Písek', 'CZ-314'): 'Europe/Prague', ('CZ', 'Jihlava', 'CZ-632'): 'Europe/Prague',
 ('CZ', 'Prachatice', 'CZ-315'): 'Europe/Prague', ('CZ', 'Pelhřimov', 'CZ-633'): 'Europe/Prague',
 ('CZ', 'Strakonice', 'CZ-316'): 'Europe/Prague', ('CZ', 'Třebíč', 'CZ-634'): 'Europe/Prague',
 ('CZ', 'Tábor', 'CZ-317'): 'Europe/Prague', ('CZ', 'Žďár nad Sázavou', 'CZ-635'): 'Europe/Prague',
 ('CZ', 'Plzeňský kraj', 'CZ-32'): 'Europe/Prague', ('CZ', 'Jihomoravský kraj', 'CZ-64'): 'Europe/Prague',
 ('CZ', 'Domažlice', 'CZ-321'): 'Europe/Prague', ('CZ', 'Blansko', 'CZ-641'): 'Europe/Prague',
 ('CZ', 'Klatovy', 'CZ-322'): 'Europe/Prague', ('CZ', 'Brno-město', 'CZ-642'): 'Europe/Prague',
 ('CZ', 'Plzeň-město', 'CZ-323'): 'Europe/Prague', ('CZ', 'Brno-venkov', 'CZ-643'): 'Europe/Prague',
 ('CZ', 'Plzeň-jih', 'CZ-324'): 'Europe/Prague', ('CZ', 'Břeclav', 'CZ-644'): 'Europe/Prague',
 ('CZ', 'Plzeň-sever', 'CZ-325'): 'Europe/Prague', ('CZ', 'Hodonín', 'CZ-645'): 'Europe/Prague',
 ('CZ', 'Rokycany', 'CZ-326'): 'Europe/Bratislava', ('CZ', 'Vyškov', 'CZ-646'): 'Europe/Prague',
 ('CZ', 'Tachov', 'CZ-327'): 'Europe/Prague', ('CZ', 'Znojmo', 'CZ-647'): 'Europe/Prague',
 ('CZ', 'Karlovarský kraj', 'CZ-41'): 'Europe/Prague', ('CZ', 'Olomoucký kraj', 'CZ-71'): 'Europe/Prague',
 ('CZ', 'Jeseník', 'CZ-711'): 'Europe/Prague', ('DE', 'Rheinland-Pfalz', 'DE-RP'): 'Europe/Berlin',
 ('DE', 'Hessen', 'DE-HE'): 'Europe/Berlin', ('DE', 'Brandenburg', 'DE-BB'): 'Europe/Berlin',
 ('DE', 'Schleswig-Holstein', 'DE-SH'): 'Europe/Berlin', ('DE', 'Hamburg', 'DE-HH'): 'Europe/Berlin',
 ('DE', 'Berlin', 'DE-BE'): 'Europe/Berlin', ('DE', 'Saarland', 'DE-SL'): 'Europe/Berlin',
 ('DE', 'Mecklenburg-Vorpommern', 'DE-MV'): 'Europe/Berlin', ('DE', 'Baden-Württemberg', 'DE-BW'): 'Europe/Berlin',
 ('DE', 'Sachsen', 'DE-SN'): 'Europe/Berlin', ('DE', 'Niedersachsen', 'DE-NI'): 'Europe/Berlin',
 ('DE', 'Bayern', 'DE-BY'): 'Europe/Berlin', ('DE', 'Sachsen-Anhalt', 'DE-ST'): 'Europe/Berlin',
 ('DE', 'Nordrhein-Westfalen', 'DE-NW'): 'Europe/Berlin', ('DE', 'Bremen', 'DE-HB'): 'Europe/Berlin',
 ('DE', 'Thüringen', 'DE-TH'): 'Europe/Berlin', ('DJ', 'Tadjourah', 'DJ-TA'): 'Africa/Djibouti',
 ('DJ', 'Arta', 'DJ-AR'): 'Africa/Djibouti', ('DJ', 'Ali Sabieh', 'DJ-AS'): 'Africa/Djibouti',
 ('DJ', 'Dikhil', 'DJ-DI'): 'Africa/Djibouti', ('DJ', 'Djibouti', 'DJ-DJ'): 'Africa/Djibouti',
 ('DJ', 'Awbūk', 'DJ-OB'): 'Europe/Istanbul', ('DM', 'Saint Peter', 'DM-11'): 'America/Chicago',
 ('DM', 'Saint Joseph', 'DM-06'): 'Europe/Paris', ('DM', 'Saint Luke', 'DM-07'): 'America/New_York',
 ('DM', 'Saint Andrew', 'DM-02'): 'America/Jamaica', ('DM', 'Saint Mark', 'DM-08'): 'Europe/London',
 ('DM', 'Saint David', 'DM-03'): 'America/Toronto', ('DM', 'Saint Patrick', 'DM-09'): 'America/Grenada',
 ('DM', 'Saint George', 'DM-04'): 'America/Grenada', ('DM', 'Saint Paul', 'DM-10'): 'America/Chicago',
 ('DM', 'Saint John', 'DM-05'): 'America/Moncton', ('DK', 'Sjælland', 'DK-85'): 'Europe/Copenhagen',
 ('DK', 'Nordjylland', 'DK-81'): 'Europe/Copenhagen', ('DK', 'Midtjylland', 'DK-82'): 'Europe/Copenhagen',
 ('DK', 'Syddanmark', 'DK-83'): 'Europe/Copenhagen', ('DK', 'Hovedstaden', 'DK-84'): 'Europe/Copenhagen',
 ('DO', 'La Altagracia', 'DO-11'): 'America/Santo_Domingo', ('DO', 'Santo Domingo', 'DO-32'): 'America/Santo_Domingo',
 ('DO', 'La Romana', 'DO-12'): 'Europe/Madrid', ('DO', 'Cibao Nordeste', 'DO-33'): 'America/Santo_Domingo',
 ('DO', 'La Vega', 'DO-13'): 'America/Santo_Domingo', ('DO', 'Cibao Noroeste', 'DO-34'): 'America/Santo_Domingo',
 ('DO', 'María Trinidad Sánchez', 'DO-14'): 'America/Santo_Domingo',
 ('DO', 'Cibao Norte', 'DO-35'): 'America/Santo_Domingo', ('DO', 'Monte Cristi', 'DO-15'): 'America/Santo_Domingo',
 ('DO', 'Cibao Sur', 'DO-36'): 'America/Santo_Domingo', ('DO', 'Pedernales', 'DO-16'): 'America/Guayaquil',
 ('DO', 'El Valle', 'DO-37'): 'Europe/Madrid', ('DO', 'Peravia', 'DO-17'): 'America/Santo_Domingo',
 ('DO', 'Enriquillo', 'DO-38'): 'America/Santo_Domingo', ('DO', 'Puerto Plata', 'DO-18'): 'America/Santo_Domingo',
 ('DO', 'Higuamo', 'DO-39'): 'America/Santo_Domingo', ('DO', 'Hermanas Mirabal', 'DO-19'): 'America/Santo_Domingo',
 ('DO', 'Ozama', 'DO-40'): 'America/Santo_Domingo', ('DO', 'Samaná', 'DO-20'): 'America/Santo_Domingo',
 ('DO', 'Valdesia', 'DO-41'): 'America/Santo_Domingo', ('DO', 'San Cristóbal', 'DO-21'): 'America/Santo_Domingo',
 ('DO', 'Yuma', 'DO-42'): 'America/Phoenix', ('DO', 'San Juan', 'DO-22'): 'America/Puerto_Rico',
 ('DO', 'Distrito Nacional (Santo Domingo)', 'DO-01'): 'America/Santo_Domingo',
 ('DO', 'San Pedro de Macorís', 'DO-23'): 'America/Santo_Domingo', ('DO', 'Azua', 'DO-02'): 'America/Santo_Domingo',
 ('DO', 'Sánchez Ramírez', 'DO-24'): 'America/Santo_Domingo', ('DO', 'Baoruco', 'DO-03'): 'America/Santo_Domingo',
 ('DO', 'Santiago', 'DO-25'): 'America/Costa_Rica', ('DO', 'Barahona', 'DO-04'): 'America/Santo_Domingo',
 ('DO', 'Santiago Rodríguez', 'DO-26'): 'America/Santo_Domingo', ('DO', 'Dajabón', 'DO-05'): 'America/Santo_Domingo',
 ('DO', 'Valverde', 'DO-27'): 'Europe/Rome', ('DO', 'Duarte', 'DO-06'): 'America/Los_Angeles',
 ('DO', 'Monseñor Nouel', 'DO-28'): 'America/Santo_Domingo', ('DO', 'Elías Piña', 'DO-07'): 'America/Santo_Domingo',
 ('DO', 'Monte Plata', 'DO-29'): 'America/Santo_Domingo', ('DO', 'El Seibo', 'DO-08'): 'America/Santo_Domingo',
 ('DO', 'Hato Mayor', 'DO-30'): 'America/Santo_Domingo', ('DO', 'Espaillat', 'DO-09'): 'America/Santo_Domingo',
 ('DO', 'San José de Ocoa', 'DO-31'): 'America/Santo_Domingo',
 ('DO', 'Independencia', 'DO-10'): 'America/Santo_Domingo', ('DZ', 'Tamanrasset', 'DZ-11'): 'Africa/Algiers',
 ('DZ', 'El Bayadh', 'DZ-32'): 'Africa/Algiers', ('DZ', 'Tébessa', 'DZ-12'): 'Africa/Algiers',
 ('DZ', 'Illizi', 'DZ-33'): 'Africa/Algiers', ('DZ', 'Tlemcen', 'DZ-13'): 'Africa/Algiers',
 ('DZ', 'Bordj Bou Arréridj', 'DZ-34'): 'Africa/Algiers', ('DZ', 'Tiaret', 'DZ-14'): 'Africa/Algiers',
 ('DZ', 'Boumerdès', 'DZ-35'): 'Africa/Algiers', ('DZ', 'Tizi Ouzou', 'DZ-15'): 'Africa/Algiers',
 ('DZ', 'El Tarf', 'DZ-36'): 'Africa/Algiers', ('DZ', 'Alger', 'DZ-16'): 'Africa/Algiers',
 ('DZ', 'Tindouf', 'DZ-37'): 'Africa/Algiers', ('DZ', 'Djelfa', 'DZ-17'): 'Africa/Algiers',
 ('DZ', 'Tissemsilt', 'DZ-38'): 'Africa/Algiers', ('DZ', 'Jijel', 'DZ-18'): 'Africa/Algiers',
 ('DZ', 'El Oued', 'DZ-39'): 'Africa/Algiers', ('DZ', 'Sétif', 'DZ-19'): 'Africa/Algiers',
 ('DZ', 'Khenchela', 'DZ-40'): 'Africa/Algiers', ('DZ', 'Saïda', 'DZ-20'): 'Africa/Algiers',
 ('DZ', 'Souk Ahras', 'DZ-41'): 'Africa/Algiers', ('DZ', 'Skikda', 'DZ-21'): 'Africa/Algiers',
 ('DZ', 'Tipaza', 'DZ-42'): 'Africa/Algiers', ('DZ', 'Sidi Bel Abbès', 'DZ-22'): 'Africa/Algiers',
 ('DZ', 'Adrar', 'DZ-01'): 'Africa/Algiers', ('DZ', 'Mila', 'DZ-43'): 'Africa/Algiers',
 ('DZ', 'Annaba', 'DZ-23'): 'Africa/Algiers', ('DZ', 'Chlef', 'DZ-02'): 'Africa/Algiers',
 ('DZ', 'Aïn Defla', 'DZ-44'): 'Africa/Algiers', ('DZ', 'Guelma', 'DZ-24'): 'Africa/Algiers',
 ('DZ', 'Laghouat', 'DZ-03'): 'Africa/Algiers', ('DZ', 'Naama', 'DZ-45'): 'Africa/Algiers',
 ('DZ', 'Constantine', 'DZ-25'): 'Africa/Algiers', ('DZ', 'Oum el Bouaghi', 'DZ-04'): 'Africa/Algiers',
 ('DZ', 'Aïn Témouchent', 'DZ-46'): 'Africa/Algiers', ('DZ', 'Médéa', 'DZ-26'): 'Africa/Algiers',
 ('DZ', 'Batna', 'DZ-05'): 'Africa/Algiers', ('DZ', 'Ghardaïa', 'DZ-47'): 'Africa/Algiers',
 ('DZ', 'Mostaganem', 'DZ-27'): 'Africa/Algiers', ('DZ', 'Béjaïa', 'DZ-06'): 'Africa/Algiers',
 ('DZ', 'Relizane', 'DZ-48'): 'Africa/Algiers', ('DZ', "M'sila", 'DZ-28'): 'Africa/Algiers',
 ('DZ', 'Biskra', 'DZ-07'): 'Africa/Algiers', ('DZ', 'Mascara', 'DZ-29'): 'Africa/Algiers',
 ('DZ', 'Béchar', 'DZ-08'): 'Africa/Algiers', ('DZ', 'Ouargla', 'DZ-30'): 'Africa/Algiers',
 ('DZ', 'Blida', 'DZ-09'): 'Africa/Algiers', ('DZ', 'Oran', 'DZ-31'): 'Africa/Algiers',
 ('DZ', 'Bouira', 'DZ-10'): 'Africa/Algiers', ('EC', 'Esmeraldas', 'EC-E'): 'America/Guayaquil',
 ('EC', 'Cañar', 'EC-F'): 'America/Guayaquil', ('EC', 'Guayas', 'EC-G'): 'America/Guayaquil',
 ('EC', 'Chimborazo', 'EC-H'): 'America/Guayaquil', ('EC', 'Imbabura', 'EC-I'): 'America/Guayaquil',
 ('EC', 'Loja', 'EC-L'): 'America/Guayaquil', ('EC', 'Manabí', 'EC-M'): 'America/Guayaquil',
 ('EC', 'Napo', 'EC-N'): 'America/Guayaquil', ('EC', 'El Oro', 'EC-O'): 'America/Guayaquil',
 ('EC', 'Pichincha', 'EC-P'): 'America/Guayaquil', ('EC', 'Los Ríos', 'EC-R'): 'America/Guayaquil',
 ('EC', 'Morona Santiago', 'EC-S'): 'America/Guayaquil',
 ('EC', 'Santo Domingo de los Tsáchilas', 'EC-SD'): 'America/Guayaquil',
 ('EC', 'Santa Elena', 'EC-SE'): 'Atlantic/St_Helena', ('EC', 'Tungurahua', 'EC-T'): 'America/Guayaquil',
 ('EC', 'Sucumbíos', 'EC-U'): 'America/Guayaquil', ('EC', 'Galápagos', 'EC-W'): 'Pacific/Galapagos',
 ('EC', 'Cotopaxi', 'EC-X'): 'America/Guayaquil', ('EC', 'Azuay', 'EC-A'): 'America/Guayaquil',
 ('EC', 'Pastaza', 'EC-Y'): 'America/Guayaquil', ('EC', 'Bolívar', 'EC-B'): 'America/Guayaquil',
 ('EC', 'Zamora Chinchipe', 'EC-Z'): 'America/Guayaquil', ('EC', 'Carchi', 'EC-C'): 'America/Guayaquil',
 ('EC', 'Orellana', 'EC-D'): 'America/Guayaquil', ('EG', "Al Ismā'īlīyah", 'EG-IS'): 'Africa/Cairo',
 ('EG', "Janūb Sīnā'", 'EG-JS'): 'Africa/Cairo', ('EG', 'Al Qalyūbīyah', 'EG-KB'): 'Africa/Cairo',
 ('EG', 'Kafr ash Shaykh', 'EG-KFS'): 'Africa/Cairo', ('EG', 'Qinā', 'EG-KN'): 'Africa/Cairo',
 ('EG', 'Al Uqşur', 'EG-LX'): 'Africa/Cairo', ('EG', 'Al Minyā', 'EG-MN'): 'Africa/Cairo',
 ('EG', 'Al Minūfīyah', 'EG-MNF'): 'Africa/Cairo', ('EG', 'Maţrūḩ', 'EG-MT'): 'Asia/Aden',
 ('EG', 'Būr Sa‘īd', 'EG-PTS'): 'Africa/Cairo', ('EG', 'Al Iskandarīyah', 'EG-ALX'): 'Asia/Baghdad',
 ('EG', 'Sūhāj', 'EG-SHG'): 'Africa/Cairo', ('EG', 'Aswān', 'EG-ASN'): 'Africa/Cairo',
 ('EG', 'Ash Sharqīyah', 'EG-SHR'): 'Asia/Riyadh', ('EG', 'Asyūţ', 'EG-AST'): 'Africa/Cairo',
 ('EG', "Shamāl Sīnā'", 'EG-SIN'): 'Africa/Cairo', ('EG', 'Al Baḩr al Aḩmar', 'EG-BA'): 'Africa/Khartoum',
 ('EG', 'As Suways', 'EG-SUZ'): 'Africa/Cairo', ('EG', 'Al Buḩayrah', 'EG-BH'): 'Africa/Cairo',
 ('EG', 'Al Wādī al Jadīd', 'EG-WAD'): 'Africa/Cairo', ('EG', 'Banī Suwayf', 'EG-BNS'): 'Africa/Cairo',
 ('EG', 'Al Qāhirah', 'EG-C'): 'Africa/Cairo', ('EG', 'Ad Daqahlīyah', 'EG-DK'): 'Africa/Cairo',
 ('EG', 'Dumyāţ', 'EG-DT'): 'Africa/Cairo', ('EG', 'Al Fayyūm', 'EG-FYM'): 'Africa/Cairo',
 ('EG', 'Al Gharbīyah', 'EG-GH'): 'Africa/Cairo', ('EG', 'Al Jīzah', 'EG-GZ'): 'Africa/Cairo',
 ('ER', 'Debubawi K’eyyĭḥ Baḥri', 'ER-DK'): 'Africa/Asmara', ('ER', 'Al Janūbī', 'ER-DU'): 'America/Sao_Paulo',
 ('ER', 'Gash-Barka', 'ER-GB'): 'Africa/Asmara', ('ER', 'Al Awsaţ', 'ER-MA'): 'Asia/Riyadh',
 ('ER', 'Semienawi K’eyyĭḥ Baḥri', 'ER-SK'): 'Africa/Asmara', ('ER', 'Ansabā', 'ER-AN'): 'Africa/Asmara',
 ('ES', 'Castelló*', 'ES-CS'): 'Europe/Madrid', ('ES', 'Valencia', 'ES-V'): 'Europe/Madrid',
 ('ES', 'Alacant*', 'ES-A'): 'Europe/Madrid', ('ES', 'Melilla', 'ES-ML'): 'Africa/Ceuta',
 ('ES', 'Catalunya [Cataluña]', 'ES-CT'): 'Europe/Madrid', ('ES', 'Valladolid', 'ES-VA'): 'Europe/Madrid',
 ('ES', 'Albacete', 'ES-AB'): 'Europe/Madrid', ('ES', 'Murcia', 'ES-MU'): 'Europe/Madrid',
 ('ES', 'Cuenca', 'ES-CU'): 'Europe/Madrid', ('ES', 'Valenciana, Comunidad', 'ES-VC'): 'Europe/Madrid',
 ('ES', 'Almería', 'ES-AL'): 'Europe/Madrid', ('ES', 'Nafarroa*', 'ES-NA'): 'Europe/Madrid',
 ('ES', 'Extremadura', 'ES-EX'): 'Europe/Madrid', ('ES', 'Araba*', 'ES-VI'): 'Europe/Madrid',
 ('ES', 'Andalucía', 'ES-AN'): 'Europe/Madrid', ('ES', 'Nafarroako Foru Komunitatea*', 'ES-NC'): 'Europe/Madrid',
 ('ES', 'Galicia [Galicia]', 'ES-GA'): 'Europe/Madrid', ('ES', 'Zaragoza', 'ES-Z'): 'Europe/Madrid',
 ('ES', 'Aragón', 'ES-AR'): 'Europe/Madrid', ('ES', 'Asturias', 'ES-O'): 'Europe/Madrid',
 ('ES', 'Las Palmas', 'ES-GC'): 'Atlantic/Canary', ('ES', 'Zamora', 'ES-ZA'): 'Europe/Madrid',
 ('ES', 'Asturias, Principado de', 'ES-AS'): 'Europe/Madrid', ('ES', 'Ourense [Orense]', 'ES-OR'): 'Europe/Madrid',
 ('ES', 'Girona [Gerona]', 'ES-GI'): 'Europe/Madrid', ('ES', 'Ávila', 'ES-AV'): 'Europe/Madrid',
 ('ES', 'Palencia', 'ES-P'): 'Europe/Madrid', ('ES', 'Granada', 'ES-GR'): 'Europe/Madrid',
 ('ES', 'Barcelona [Barcelona]', 'ES-B'): 'Europe/Madrid',
 ('ES', 'Illes Balears [Islas Baleares]', 'ES-PM'): 'Europe/Madrid',
 ('ES', 'Guadalajara', 'ES-GU'): 'America/Mexico_City', ('ES', 'Badajoz', 'ES-BA'): 'Europe/Madrid',
 ('ES', 'Pontevedra [Pontevedra]', 'ES-PO'): 'Europe/Madrid', ('ES', 'Huelva', 'ES-H'): 'Europe/Madrid',
 ('ES', 'Bizkaia', 'ES-BI'): 'Europe/Madrid', ('ES', 'Euskal Herria', 'ES-PV'): 'Europe/Madrid',
 ('ES', 'Huesca', 'ES-HU'): 'Europe/Madrid', ('ES', 'Burgos', 'ES-BU'): 'Europe/Madrid',
 ('ES', 'La Rioja', 'ES-RI'): 'Europe/Madrid', ('ES', 'Illes Balears [Islas Baleares]', 'ES-IB'): 'Europe/Madrid',
 ('ES', 'A Coruña [La Coruña]', 'ES-C'): 'Europe/Madrid', ('ES', 'Cantabria', 'ES-S'): 'Europe/Madrid',
 ('ES', 'Jaén', 'ES-J'): 'Europe/Madrid', ('ES', 'Cádiz', 'ES-CA'): 'Europe/Madrid',
 ('ES', 'Salamanca', 'ES-SA'): 'Europe/Madrid', ('ES', 'Lleida [Lérida]', 'ES-L'): 'Europe/Madrid',
 ('ES', 'Cantabria', 'ES-CB'): 'Europe/Madrid', ('ES', 'Sevilla', 'ES-SE'): 'Europe/Madrid',
 ('ES', 'León', 'ES-LE'): 'Europe/Madrid', ('ES', 'Cáceres', 'ES-CC'): 'Europe/Madrid',
 ('ES', 'Segovia', 'ES-SG'): 'Europe/Madrid', ('ES', 'La Rioja', 'ES-LO'): 'Europe/Madrid',
 ('ES', 'Ceuta', 'ES-CE'): 'Africa/Ceuta', ('ES', 'Soria', 'ES-SO'): 'Europe/Madrid',
 ('ES', 'Lugo [Lugo]', 'ES-LU'): 'Europe/Madrid', ('ES', 'Castilla y León', 'ES-CL'): 'Europe/Madrid',
 ('ES', 'Gipuzkoa', 'ES-SS'): 'Europe/Madrid', ('ES', 'Madrid', 'ES-M'): 'Europe/Madrid',
 ('ES', 'Toledo', 'ES-TO'): 'Europe/Madrid', ('ES', 'Castilla-La Mancha', 'ES-CM'): 'Europe/Madrid',
 ('ES', 'Tarragona [Tarragona]', 'ES-T'): 'Europe/Madrid', ('ES', 'Málaga', 'ES-MA'): 'Europe/Madrid',
 ('ES', 'Canarias', 'ES-CN'): 'Atlantic/Canary', ('ES', 'Teruel', 'ES-TE'): 'Europe/Madrid',
 ('ES', 'Murcia, Región de', 'ES-MC'): 'Europe/Madrid', ('ES', 'Córdoba', 'ES-CO'): 'Europe/Madrid',
 ('ES', 'Santa Cruz de Tenerife', 'ES-TF'): 'Atlantic/Canary', ('ES', 'Madrid, Comunidad de', 'ES-MD'): 'Europe/Madrid',
 ('ES', 'Ciudad Real', 'ES-CR'): 'Europe/Madrid', ('EE', 'Nõo', 'EE-528'): 'Europe/Tallinn',
 ('EE', 'Viimsi', 'EE-890'): 'Europe/Tallinn', ('EE', 'Otepää', 'EE-557'): 'Europe/Tallinn',
 ('EE', 'Viljandi', 'EE-897'): 'Europe/Tallinn', ('EE', 'Läänemaa', 'EE-56'): 'Europe/Tallinn',
 ('EE', 'Viljandi', 'EE-899'): 'Europe/Tallinn', ('EE', 'Paide', 'EE-567'): 'Europe/Tallinn',
 ('EE', 'Vinni', 'EE-901'): 'Europe/Tallinn', ('EE', 'Peipsiääre', 'EE-586'): 'Europe/Tallinn',
 ('EE', 'Viru-Nigula', 'EE-903'): 'Europe/Tallinn', ('EE', 'Lääne-Virumaa', 'EE-60'): 'Europe/Tallinn',
 ('EE', 'Vormsi', 'EE-907'): 'Europe/Tallinn', ('EE', 'Põhja-Sakala', 'EE-615'): 'Europe/Tallinn',
 ('EE', 'Võru', 'EE-917'): 'Europe/Tallinn', ('EE', 'Põltsamaa', 'EE-618'): 'Europe/Tallinn',
 ('EE', 'Võru', 'EE-919'): 'Europe/Tallinn', ('EE', 'Põlva', 'EE-622'): 'Europe/Tallinn',
 ('EE', 'Väike-Maarja', 'EE-928'): 'Europe/Tallinn', ('EE', 'Pärnu', 'EE-624'): 'Europe/Tallinn',
 ('EE', 'Põhja-Pärnumaa', 'EE-638'): 'Europe/Tallinn', ('EE', 'Põlvamaa', 'EE-64'): 'Europe/Tallinn',
 ('EE', 'Raasiku', 'EE-651'): 'Europe/Tallinn', ('EE', 'Rae', 'EE-653'): 'Asia/Bangkok',
 ('EE', 'Rakvere', 'EE-661'): 'Europe/Tallinn', ('EE', 'Rakvere', 'EE-663'): 'Europe/Tallinn',
 ('EE', 'Rapla', 'EE-668'): 'Europe/Tallinn', ('EE', 'Pärnumaa', 'EE-68'): 'Europe/Tallinn',
 ('EE', 'Ruhnu', 'EE-689'): 'Europe/Tallinn', ('EE', 'Rõuge', 'EE-698'): 'Europe/Tallinn',
 ('EE', 'Räpina', 'EE-708'): 'Europe/Tallinn', ('EE', 'Raplamaa', 'EE-71'): 'Europe/Tallinn',
 ('EE', 'Saarde', 'EE-712'): 'Europe/Tallinn', ('EE', 'Saaremaa', 'EE-714'): 'Europe/Tallinn',
 ('EE', 'Saku', 'EE-719'): 'Africa/Nairobi', ('EE', 'Saue', 'EE-726'): 'Europe/Tallinn',
 ('EE', 'Setomaa', 'EE-732'): 'Europe/Tallinn', ('EE', 'Sillamäe', 'EE-735'): 'Europe/Tallinn',
 ('EE', 'Saaremaa', 'EE-74'): 'Europe/Tallinn', ('EE', 'Tallinn', 'EE-784'): 'Europe/Tallinn',
 ('EE', 'Tartumaa', 'EE-79'): 'Europe/Tallinn', ('EE', 'Tapa', 'EE-792'): 'Asia/Kolkata',
 ('EE', 'Tartu', 'EE-793'): 'Europe/Tallinn', ('EE', 'Tartu', 'EE-796'): 'Europe/Tallinn',
 ('EE', 'Toila', 'EE-803'): 'Europe/Tallinn', ('EE', 'Tori', 'EE-809'): 'Europe/Tallinn',
 ('EE', 'Valgamaa', 'EE-81'): 'Europe/Tallinn', ('EE', 'Tõrva', 'EE-824'): 'Europe/Tallinn',
 ('EE', 'Türi', 'EE-834'): 'Europe/Tallinn', ('EE', 'Viljandimaa', 'EE-84'): 'Europe/Tallinn',
 ('EE', 'Valga', 'EE-855'): 'Europe/Tallinn', ('EE', 'Võrumaa', 'EE-87'): 'Europe/Tallinn',
 ('EE', 'Anija', 'EE-141'): 'Europe/Tallinn', ('EE', 'Antsla', 'EE-142'): 'Europe/Tallinn',
 ('EE', 'Elva', 'EE-171'): 'Europe/Rome', ('EE', 'Haapsalu', 'EE-184'): 'Europe/Tallinn',
 ('EE', 'Haljala', 'EE-191'): 'Europe/Tallinn', ('EE', 'Harku', 'EE-198'): 'Europe/Tallinn',
 ('EE', 'Hiiumaa', 'EE-205'): 'Europe/Tallinn', ('EE', 'Häädemeeste', 'EE-214'): 'Europe/Tallinn',
 ('EE', 'Jõelähtme', 'EE-245'): 'Europe/Tallinn', ('EE', 'Jõgeva', 'EE-247'): 'Europe/Tallinn',
 ('EE', 'Jõhvi', 'EE-251'): 'Europe/Tallinn', ('EE', 'Järva', 'EE-255'): 'Europe/Stockholm',
 ('EE', 'Kadrina', 'EE-272'): 'Europe/Tallinn', ('EE', 'Kambja', 'EE-283'): 'Europe/Tallinn',
 ('EE', 'Alutaguse', 'EE-130'): 'Europe/Tallinn', ('EE', 'Kanepi', 'EE-284'): 'Europe/Tallinn',
 ('EE', 'Kastre', 'EE-291'): 'Europe/Tallinn',
 ('EE', 'Kehtna EE-293 Europe/TallinnEE Keila', 'EE-296'): 'Europe/Tallinn',
 ('EE', 'Kihnu', 'EE-303'): 'Europe/Tallinn', ('EE', 'Kiili', 'EE-305'): 'Europe/Tallinn',
 ('EE', 'Kohila', 'EE-317'): 'Europe/Tallinn', ('EE', 'Kohtla-Järve', 'EE-321'): 'Europe/Tallinn',
 ('EE', 'Kose', 'EE-338'): 'Europe/Tallinn', ('EE', 'Kuusalu', 'EE-353'): 'Europe/Tallinn',
 ('EE', 'Harjumaa', 'EE-37'): 'Europe/Tallinn', ('EE', 'Hiiumaa', 'EE-39'): 'Europe/Tallinn',
 ('EE', 'Loksa', 'EE-424'): 'Europe/Tallinn', ('EE', 'Lääneranna', 'EE-430'): 'Europe/Tallinn',
 ('EE', 'Lääne-Harju', 'EE-431'): 'Europe/Tallinn', ('EE', 'Luunja', 'EE-432'): 'Europe/Tallinn',
 ('EE', 'Lääne-Nigula', 'EE-441'): 'Europe/Tallinn', ('EE', 'Lüganuse', 'EE-442'): 'Europe/Tallinn',
 ('EE', 'Maardu', 'EE-446'): 'Europe/Tallinn', ('EE', 'Ida-Virumaa', 'EE-45'): 'Europe/Tallinn',
 ('EE', 'Muhu', 'EE-478'): 'Europe/Tallinn', ('EE', 'Mulgi', 'EE-480'): 'Europe/Tallinn',
 ('EE', 'Mustvee', 'EE-486'): 'Europe/Tallinn', ('EE', 'Jõgevamaa', 'EE-50'): 'Europe/Tallinn',
 ('EE', 'Märjamaa', 'EE-503'): 'Europe/Tallinn', ('EE', 'Narva', 'EE-511'): 'Europe/Tallinn',
 ('EE', 'Narva-Jõesuu', 'EE-514'): 'Europe/Tallinn', ('EE', 'Järvamaa', 'EE-52'): 'Europe/Tallinn',
 ('ET', 'Tigrai', 'ET-TI'): 'Europe/Rome', ('ET', 'Gambela Peoples', 'ET-GA'): 'Africa/Addis_Ababa',
 ('ET', 'Addis Ababa', 'ET-AA'): 'Africa/Addis_Ababa', ('ET', 'Harari People', 'ET-HA'): 'Africa/Addis_Ababa',
 ('ET', 'Afar', 'ET-AF'): 'Africa/Addis_Ababa', ('ET', 'Oromia', 'ET-OR'): 'Africa/Addis_Ababa',
 ('ET', 'Amara', 'ET-AM'): 'Africa/Addis_Ababa',
 ('ET', 'Southern Nations, Nationalities and Peoples', 'ET-SN'): 'Africa/Addis_Ababa',
 ('ET', 'Benshangul-Gumaz', 'ET-BE'): 'Africa/Addis_Ababa', ('ET', 'Somali', 'ET-SO'): 'Africa/Addis_Ababa',
 ('ET', 'Dire Dawa', 'ET-DD'): 'Africa/Addis_Ababa', ('FI', 'Kainuu', 'FI-05'): 'Europe/Helsinki',
 ('FI', 'Egentliga Tavastland', 'FI-06'): 'Europe/Helsinki', ('FI', 'Keski-Pohjanmaa', 'FI-07'): 'Europe/Helsinki',
 ('FI', 'Keski-Suomi', 'FI-08'): 'Europe/Helsinki', ('FI', 'Kymenlaakso', 'FI-09'): 'Europe/Helsinki',
 ('FI', 'Lappi', 'FI-10'): 'Europe/Helsinki', ('FI', 'Birkaland', 'FI-11'): 'Europe/Helsinki',
 ('FI', 'Pohjanmaa', 'FI-12'): 'Europe/Helsinki', ('FI', 'Norra Karelen', 'FI-13'): 'Europe/Helsinki',
 ('FI', 'Norra Österbotten', 'FI-14'): 'Europe/Helsinki', ('FI', 'Norra Savolax', 'FI-15'): 'Europe/Helsinki',
 ('FI', 'Päijänne-Tavastland', 'FI-16'): 'Europe/Helsinki', ('FI', 'Satakunda', 'FI-17'): 'Europe/Helsinki',
 ('FI', 'Nyland', 'FI-18'): 'Europe/Helsinki', ('FI', 'Egentliga Finland', 'FI-19'): 'Europe/Helsinki',
 ('FI', 'Ahvenanmaan maakunta', 'FI-01'): 'Europe/Mariehamn', ('FI', 'Etelä-Karjala', 'FI-02'): 'Europe/Helsinki',
 ('FI', 'Etelä-Pohjanmaa', 'FI-03'): 'Europe/Helsinki', ('FI', 'Etelä-Savo', 'FI-04'): 'Europe/Helsinki',
 ('FJ', 'Macuata', 'FJ-07'): 'Pacific/Fiji', ('FJ', 'Nadroga and Navosa', 'FJ-08'): 'Pacific/Fiji',
 ('FJ', 'Naitasiri', 'FJ-09'): 'Pacific/Fiji', ('FJ', 'Namosi', 'FJ-10'): 'Pacific/Fiji',
 ('FJ', 'Ra', 'FJ-11'): 'Europe/London', ('FJ', 'Rewa', 'FJ-12'): 'Asia/Kolkata',
 ('FJ', 'Serua', 'FJ-13'): 'Pacific/Fiji', ('FJ', 'Tailevu', 'FJ-14'): 'Pacific/Fiji',
 ('FJ', 'Central', 'FJ-C'): 'Africa/Lusaka', ('FJ', 'Eastern', 'FJ-E'): 'Africa/Nairobi',
 ('FJ', 'Northern', 'FJ-N'): 'Africa/Accra', ('FJ', 'Rotuma', 'FJ-R'): 'Pacific/Fiji',
 ('FJ', 'Western', 'FJ-W'): 'Africa/Nairobi', ('FJ', 'Ba', 'FJ-01'): 'America/Bahia',
 ('FJ', 'Bua', 'FJ-02'): 'Pacific/Fiji', ('FJ', 'Cakaudrove', 'FJ-03'): 'Pacific/Fiji',
 ('FJ', 'Kadavu', 'FJ-04'): 'Pacific/Fiji', ('FJ', 'Lau', 'FJ-05'): 'Pacific/Fiji',
 ('FJ', 'Lomaiviti', 'FJ-06'): 'Pacific/Fiji', ('FR', 'Loiret', 'FR-45'): 'Europe/Paris',
 ('FR', 'Lot', 'FR-46'): 'Europe/Paris', ('FR', 'Lot-et-Garonne', 'FR-47'): 'Europe/Paris',
 ('FR', 'Lozère', 'FR-48'): 'Europe/Paris', ('FR', 'Maine-et-Loire', 'FR-49'): 'Europe/Paris',
 ('FR', 'Manche', 'FR-50'): 'Etc/GMT', ('FR', 'Marne', 'FR-51'): 'Europe/Paris',
 ('FR', 'Haute-Marne', 'FR-52'): 'Europe/Paris', ('FR', 'Mayenne', 'FR-53'): 'Europe/Paris',
 ('FR', 'Meurthe-et-Moselle', 'FR-54'): 'Europe/Paris', ('FR', 'Meuse', 'FR-55'): 'Europe/Paris',
 ('FR', 'Morbihan', 'FR-56'): 'Europe/Paris', ('FR', 'Moselle', 'FR-57'): 'Europe/Paris',
 ('FR', 'Nièvre', 'FR-58'): 'Europe/Paris', ('FR', 'Nord', 'FR-59'): 'Europe/Paris',
 ('FR', 'Oise', 'FR-60'): 'Europe/Paris', ('FR', 'Orne', 'FR-61'): 'Europe/Paris',
 ('FR', 'Pas-de-Calais', 'FR-62'): 'Europe/Paris', ('FR', 'Puy-de-Dôme', 'FR-63'): 'Europe/Paris',
 ('FR', 'Pyrénées-Atlantiques', 'FR-64'): 'Europe/Paris', ('FR', 'Hautes-Pyrénées', 'FR-65'): 'Europe/Paris',
 ('FR', 'Pyrénées-Orientales', 'FR-66'): 'Europe/Paris', ('FR', 'Bas-Rhin', 'FR-67'): 'Europe/Paris',
 ('FR', 'Haut-Rhin', 'FR-68'): 'Europe/Paris', ('FR', 'Rhône', 'FR-69'): 'Europe/Paris',
 ('FR', 'Haute-Saône', 'FR-70'): 'Europe/Paris', ('FR', 'Saône-et-Loire', 'FR-71'): 'Europe/Paris',
 ('FR', 'Sarthe', 'FR-72'): 'Europe/Paris', ('FR', 'Savoie', 'FR-73'): 'Europe/Paris',
 ('FR', 'Haute-Savoie', 'FR-74'): 'Europe/Paris', ('FR', 'Paris', 'FR-75'): 'Europe/Paris',
 ('FR', 'Seine-Maritime', 'FR-76'): 'Europe/Paris', ('FR', 'Seine-et-Marne', 'FR-77'): 'Europe/Paris',
 ('FR', 'Yvelines', 'FR-78'): 'Europe/Paris', ('FR', 'Deux-Sèvres', 'FR-79'): 'Europe/Paris',
 ('FR', 'Somme', 'FR-80'): 'Europe/Paris', ('FR', 'Tarn', 'FR-81'): 'Europe/Paris',
 ('FR', 'Tarn-et-Garonne', 'FR-82'): 'Europe/Paris', ('FR', 'Ain', 'FR-01'): 'Europe/Paris',
 ('FR', 'Var', 'FR-83'): 'Europe/Paris', ('FR', 'Aisne', 'FR-02'): 'Europe/Paris',
 ('FR', 'Vaucluse', 'FR-84'): 'Europe/Paris', ('FR', 'Allier', 'FR-03'): 'Europe/Paris',
 ('FR', 'Vendée', 'FR-85'): 'Europe/Paris', ('FR', 'Alpes-de-Haute-Provence', 'FR-04'): 'Europe/Paris',
 ('FR', 'Vienne', 'FR-86'): 'Europe/Vienna', ('FR', 'Hautes-Alpes', 'FR-05'): 'Europe/Paris',
 ('FR', 'Haute-Vienne', 'FR-87'): 'Europe/Paris', ('FR', 'Alpes-Maritimes', 'FR-06'): 'Europe/Paris',
 ('FR', 'Vosges', 'FR-88'): 'Europe/Paris', ('FR', 'Ardèche', 'FR-07'): 'Europe/Paris',
 ('FR', 'Yonne', 'FR-89'): 'Europe/Paris', ('FR', 'Ardennes', 'FR-08'): 'Europe/Paris',
 ('FR', 'Territoire de Belfort', 'FR-90'): 'Europe/Paris', ('FR', 'Ariège', 'FR-09'): 'Europe/Paris',
 ('FR', 'Essonne', 'FR-91'): 'Europe/Paris', ('FR', 'Aube', 'FR-10'): 'Europe/Paris',
 ('FR', 'Hauts-de-Seine', 'FR-92'): 'Europe/Paris', ('FR', 'Aude', 'FR-11'): 'Europe/Paris',
 ('FR', 'Seine-Saint-Denis', 'FR-93'): 'Europe/Paris', ('FR', 'Aveyron', 'FR-12'): 'Europe/Paris',
 ('FR', 'Val-de-Marne', 'FR-94'): 'Europe/Paris', ('FR', 'Bouches-du-Rhône', 'FR-13'): 'Europe/Paris',
 ('FR', "Val-d'Oise", 'FR-95'): 'Europe/Paris', ('FR', 'Calvados', 'FR-14'): 'Europe/Paris',
 ('FR', 'Guadeloupe', 'FR-971'): 'America/Guadeloupe', ('FR', 'Cantal', 'FR-15'): 'Europe/Paris',
 ('FR', 'Martinique', 'FR-972'): 'America/Martinique', ('FR', 'Charente', 'FR-16'): 'Europe/Paris',
 ('FR', 'Guyane (française)', 'FR-973'): 'America/Cayenne', ('FR', 'Charente-Maritime', 'FR-17'): 'Europe/Paris',
 ('FR', 'La Réunion', 'FR-974'): 'Indian/Reunion', ('FR', 'Cher', 'FR-18'): 'Europe/Paris',
 ('FR', 'Mayotte', 'FR-976'): 'Indian/Mayotte', ('FR', 'Corrèze', 'FR-19'): 'Europe/Paris',
 ('FR', 'Auvergne-Rhône-Alpes', 'FR-ARA'): 'Europe/Paris', ('FR', 'Corse', 'FR-20R'): 'Europe/Paris',
 ('FR', 'Bourgogne-Franche-Comté', 'FR-BFC'): 'Europe/Paris', ('FR', "Côte-d'Or", 'FR-21'): 'Europe/Paris',
 ('FR', 'Saint-Barthélemy', 'FR-BL'): 'America/St_Barthelemy', ('FR', "Côtes-d'Armor", 'FR-22'): 'Europe/Paris',
 ('FR', 'Bretagne', 'FR-BRE'): 'Europe/Paris', ('FR', 'Creuse', 'FR-23'): 'Europe/Paris',
 ('FR', 'Clipperton', 'FR-CP'): 'Etc/GMT+7', ('FR', 'Dordogne', 'FR-24'): 'Europe/Paris',
 ('FR', 'Centre-Val de Loire', 'FR-CVL'): 'Europe/Paris', ('FR', 'Doubs', 'FR-25'): 'Europe/Paris',
 ('FR', 'Grand-Est', 'FR-GES'): 'Europe/Paris', ('FR', 'Drôme', 'FR-26'): 'Europe/Paris',
 ('FR', 'Guyane (française)', 'FR-GF'): 'America/Cayenne', ('FR', 'Eure', 'FR-27'): 'Europe/Paris',
 ('FR', 'Guadeloupe', 'FR-GP'): 'America/Guadeloupe', ('FR', 'Eure-et-Loir', 'FR-28'): 'Europe/Paris',
 ('FR', 'Hauts-de-France', 'FR-HDF'): 'Europe/Paris', ('FR', 'Finistère', 'FR-29'): 'Europe/Paris',
 ('FR', 'Île-de-France', 'FR-IDF'): 'Europe/Paris', ('FR', 'Corse-du-Sud', 'FR-2A'): 'Europe/Paris',
 ('FR', 'Saint-Martin', 'FR-MF'): 'America/Marigot', ('FR', 'Haute-Corse', 'FR-2B'): 'Europe/Paris',
 ('FR', 'Martinique', 'FR-MQ'): 'America/Martinique', ('FR', 'Gard', 'FR-30'): 'Europe/Paris',
 ('FR', 'Nouvelle-Aquitaine', 'FR-NAQ'): 'Europe/Paris', ('FR', 'Haute-Garonne', 'FR-31'): 'Europe/Paris',
 ('FR', 'Nouvelle-Calédonie', 'FR-NC'): 'Pacific/Noumea', ('FR', 'Gers', 'FR-32'): 'Europe/Paris',
 ('FR', 'Normandie', 'FR-NOR'): 'Europe/Paris', ('FR', 'Gironde', 'FR-33'): 'Europe/Paris',
 ('FR', 'Occitanie', 'FR-OCC'): 'Europe/Paris', ('FR', 'Hérault', 'FR-34'): 'Europe/Paris',
 ('FR', 'Provence-Alpes-Côte-d’Azur', 'FR-PAC'): 'Europe/Paris', ('FR', 'Ille-et-Vilaine', 'FR-35'): 'Europe/Paris',
 ('FR', 'Pays-de-la-Loire', 'FR-PDL'): 'Europe/Paris', ('FR', 'Indre', 'FR-36'): 'Europe/Paris',
 ('FR', 'Polynésie française', 'FR-PF'): 'Pacific/Tahiti', ('FR', 'Indre-et-Loire', 'FR-37'): 'Europe/Paris',
 ('FR', 'Saint-Pierre-et-Miquelon', 'FR-PM'): 'America/Miquelon', ('FR', 'Isère', 'FR-38'): 'Europe/Paris',
 ('FR', 'La Réunion', 'FR-RE'): 'Indian/Reunion', ('FR', 'Jura', 'FR-39'): 'Europe/Paris',
 ('FR', 'Terres australes françaises', 'FR-TF'): 'Indian/Kerguelen', ('FR', 'Landes', 'FR-40'): 'Europe/Paris',
 ('FR', 'Wallis-et-Futuna', 'FR-WF'): 'Pacific/Wallis', ('FR', 'Loir-et-Cher', 'FR-41'): 'Europe/Paris',
 ('FR', 'Mayotte', 'FR-YT'): 'Indian/Mayotte', ('FR', 'Loire', 'FR-42'): 'Europe/Paris',
 ('FR', 'Haute-Loire', 'FR-43'): 'Europe/Paris', ('FR', 'Loire-Atlantique', 'FR-44'): 'Europe/Paris',
 ('FM', 'Kosrae', 'FM-KSA'): 'Pacific/Kosrae', ('FM', 'Yap', 'FM-YAP'): 'Pacific/Chuuk',
 ('FM', 'Chuuk', 'FM-TRK'): 'Pacific/Chuuk', ('FM', 'Pohnpei', 'FM-PNI'): 'Pacific/Pohnpei',
 ('GA', 'Woleu-Ntem', 'GA-9'): 'Africa/Libreville', ('GA', 'Ngounié', 'GA-4'): 'Africa/Libreville',
 ('GA', 'Nyanga', 'GA-5'): 'Africa/Harare', ('GA', 'Estuaire', 'GA-1'): 'Africa/Libreville',
 ('GA', 'Ogooué-Ivindo', 'GA-6'): 'Africa/Libreville', ('GA', 'Haut-Ogooué', 'GA-2'): 'Africa/Libreville',
 ('GA', 'Ogooué-Lolo', 'GA-7'): 'Africa/Libreville', ('GA', 'Moyen-Ogooué', 'GA-3'): 'Africa/Libreville',
 ('GA', 'Ogooué-Maritime', 'GA-8'): 'Africa/Libreville', ('GB', 'Wolverhampton', 'GB-WLV'): 'Europe/London',
 ('GB', 'Wandsworth', 'GB-WND'): 'Europe/London', ('GB', 'Windsor and Maidenhead', 'GB-WNM'): 'Europe/London',
 ('GB', 'Wokingham', 'GB-WOK'): 'Europe/London', ('GB', 'Worcestershire', 'GB-WOR'): 'Europe/London',
 ('GB', 'West Lothian', 'GB-WLN'): 'Europe/London', ('GB', 'Wirral', 'GB-WRL'): 'Europe/London',
 ('GB', 'Warrington', 'GB-WRT'): 'Europe/London', ('GB', 'Wrexham [Wrecsam GB-WRC]', 'GB-WRX'): 'Europe/London',
 ('GB', 'Westminster', 'GB-WSM'): 'Europe/London', ('GB', 'West Sussex', 'GB-WSX'): 'Europe/London',
 ('GB', 'York', 'GB-YOR'): 'Europe/London', ('GB', 'Shetland Islands', 'GB-ZET'): 'Europe/London',
 ('GB', 'Cheshire West and Chester', 'GB-CHW'): 'Europe/London', ('GB', 'Gwynedd', 'GB-GWN'): 'Europe/London',
 ('GB', 'Merton', 'GB-MRT'): 'Europe/London', ('GB', 'Suffolk', 'GB-SFK'): 'Europe/London',
 ('GB', 'Calderdale', 'GB-CLD'): 'Europe/London', ('GB', 'Halton', 'GB-HAL'): 'Europe/London',
 ('GB', 'Moray', 'GB-MRY'): 'Europe/London', ('GB', 'Sefton', 'GB-SFT'): 'Europe/London',
 ('GB', 'Clackmannanshire', 'GB-CLK'): 'Europe/London', ('GB', 'Hampshire', 'GB-HAM'): 'Europe/London',
 ('GB', 'Merthyr Tydfil [Merthyr Tudful GB-MTU]', 'GB-MTY'): 'Europe/London',
 ('GB', 'South Gloucestershire', 'GB-SGC'): 'Europe/London', ('GB', 'Cumbria', 'GB-CMA'): 'Europe/London',
 ('GB', 'Havering', 'GB-HAV'): 'Europe/London', ('GB', 'Mid-Ulster', 'GB-MUL'): 'Europe/London',
 ('GB', 'Sheffield', 'GB-SHF'): 'Europe/London', ('GB', 'Camden', 'GB-CMD'): 'America/New_York',
 ('GB', 'Hackney', 'GB-HCK'): 'Europe/London', ('GB', 'North Ayrshire', 'GB-NAY'): 'Europe/London',
 ('GB', 'St. Helens', 'GB-SHN'): 'Europe/London',
 ('GB', 'Carmarthenshire [Sir Gaerfyrddin GB-GFY]', 'GB-CMN'): 'Europe/London',
 ('GB', 'Herefordshire', 'GB-HEF'): 'Europe/London', ('GB', 'Northumberland', 'GB-NBL'): 'Europe/London',
 ('GB', 'Shropshire', 'GB-SHR'): 'Europe/London',
 ('GB', 'Armagh City, Banbridge and Craigavon', 'GB-ABC'): 'Europe/London',
 ('GB', 'Cornwall', 'GB-CON'): 'Europe/London', ('GB', 'Hillingdon', 'GB-HIL'): 'Europe/London',
 ('GB', 'North East Lincolnshire', 'GB-NEL'): 'Europe/London', ('GB', 'Stockport', 'GB-SKP'): 'Europe/London',
 ('GB', 'Aberdeenshire', 'GB-ABD'): 'Europe/London', ('GB', 'Coventry', 'GB-COV'): 'Europe/London',
 ('GB', 'Highland', 'GB-HLD'): 'Europe/London', ('GB', 'Newcastle upon Tyne', 'GB-NET'): 'Europe/London',
 ('GB', 'Salford', 'GB-SLF'): 'Europe/London', ('GB', 'Aberdeen City', 'GB-ABE'): 'Europe/London',
 ('GB', 'Cardiff [Caerdydd GB-CRD]', 'GB-CRF'): 'Europe/London',
 ('GB', 'Hammersmith and Fulham', 'GB-HMF'): 'Europe/London', ('GB', 'Norfolk', 'GB-NFK'): 'Europe/London',
 ('GB', 'Slough', 'GB-SLG'): 'Europe/London', ('GB', 'Argyll and Bute', 'GB-AGB'): 'Europe/London',
 ('GB', 'Croydon', 'GB-CRY'): 'Europe/London', ('GB', 'Hounslow', 'GB-HNS'): 'Europe/London',
 ('GB', 'Nottingham', 'GB-NGM'): 'Europe/London', ('GB', 'South Lanarkshire', 'GB-SLK'): 'Europe/London',
 ('GB', 'Isle of Anglesey [Sir Ynys Môn GB-YNM]', 'GB-AGY'): 'Europe/London',
 ('GB', 'Conwy', 'GB-CWY'): 'Europe/London', ('GB', 'Hartlepool', 'GB-HPL'): 'Europe/London',
 ('GB', 'North Lanarkshire', 'GB-NLK'): 'Europe/London', ('GB', 'Sunderland', 'GB-SND'): 'Europe/London',
 ('GB', 'Ards and North Down', 'GB-AND'): 'Europe/London', ('GB', 'Darlington', 'GB-DAL'): 'Europe/London',
 ('GB', 'Hertfordshire', 'GB-HRT'): 'Europe/London', ('GB', 'North Lincolnshire', 'GB-NLN'): 'Europe/London',
 ('GB', 'Solihull', 'GB-SOL'): 'Europe/London', ('GB', 'Antrim and Newtownabbey', 'GB-ANN'): 'Europe/London',
 ('GB', 'Derbyshire', 'GB-DBY'): 'Europe/London', ('GB', 'Harrow', 'GB-HRW'): 'Europe/London',
 ('GB', 'Newry, Mourne and Down', 'GB-NMD'): 'Europe/London', ('GB', 'Somerset', 'GB-SOM'): 'Europe/London',
 ('GB', 'Angus', 'GB-ANS'): 'Europe/London', ('GB', 'Denbighshire [Sir Ddinbych GB-DDB]', 'GB-DEN'): 'Europe/London',
 ('GB', 'Haringey', 'GB-HRY'): 'Asia/Nicosia', ('GB', 'North Somerset', 'GB-NSM'): 'Europe/London',
 ('GB', 'Southend-on-Sea', 'GB-SOS'): 'Europe/London',
 ('GB', 'Bath and North East Somerset', 'GB-BAS'): 'Europe/London', ('GB', 'Derby', 'GB-DER'): 'Europe/London',
 ('GB', 'Isles of Scilly', 'GB-IOS'): 'Europe/London', ('GB', 'Northamptonshire', 'GB-NTH'): 'Europe/London',
 ('GB', 'Surrey', 'GB-SRY'): 'Europe/London', ('GB', 'Blackburn with Darwen', 'GB-BBD'): 'Europe/London',
 ('GB', 'Devon', 'GB-DEV'): 'Europe/London', ('GB', 'Isle of Wight', 'GB-IOW'): 'Europe/London',
 ('GB', 'Neath Port Talbot [Castell-nedd Port Talbot GB-CTL]', 'GB-NTL'): 'Europe/London',
 ('GB', 'Stoke-on-Trent', 'GB-STE'): 'Europe/London',
 ('GB', 'Bournemouth, Christchurch and Poole', 'GB-BCP'): 'Europe/London',
 ('GB', 'Dumfries and Galloway', 'GB-DGY'): 'Europe/London', ('GB', 'Islington', 'GB-ISL'): 'Europe/London',
 ('GB', 'Nottinghamshire', 'GB-NTT'): 'Europe/London', ('GB', 'Stirling', 'GB-STG'): 'Europe/London',
 ('GB', 'Bedford', 'GB-BDF'): 'America/New_York', ('GB', 'Doncaster', 'GB-DNC'): 'Europe/London',
 ('GB', 'Inverclyde', 'GB-IVC'): 'Europe/London', ('GB', 'North Tyneside', 'GB-NTY'): 'Europe/London',
 ('GB', 'Southampton', 'GB-STH'): 'Europe/London', ('GB', 'Barking and Dagenham', 'GB-BDG'): 'Europe/London',
 ('GB', 'Dundee City', 'GB-DND'): 'Europe/London', ('GB', 'Kensington and Chelsea', 'GB-KEC'): 'Europe/London',
 ('GB', 'Newham', 'GB-NWM'): 'Europe/London', ('GB', 'Sutton', 'GB-STN'): 'America/Chicago',
 ('GB', 'Brent', 'GB-BEN'): 'America/Chicago', ('GB', 'Dorset', 'GB-DOR'): 'Europe/London',
 ('GB', 'Kent', 'GB-KEN'): 'Europe/London', ('GB', 'Newport [Casnewydd GB-CNW]', 'GB-NWP'): 'Europe/London',
 ('GB', 'Staffordshire', 'GB-STS'): 'Europe/London', ('GB', 'Derry and Strabane', 'GB-DRS'): 'Europe/London',
 ('GB', 'Bexley', 'GB-BEX'): 'America/New_York', ('GB', 'Kingston upon Hull', 'GB-KHL'): 'Europe/London',
 ('GB', 'North Yorkshire', 'GB-NYK'): 'Europe/London', ('GB', 'Stockton-on-Tees', 'GB-STT'): 'Europe/London',
 ('GB', 'Belfast City', 'GB-BFS'): 'Europe/London', ('GB', 'Dudley', 'GB-DUD'): 'Europe/London',
 ('GB', 'Kirklees', 'GB-KIR'): 'Europe/London', ('GB', 'Oldham', 'GB-OLD'): 'America/Chicago',
 ('GB', 'South Tyneside', 'GB-STY'): 'Europe/London',
 ('GB', 'Bridgend [Pen-y-bont ar Ogwr GB-POG]', 'GB-BGE'): 'Europe/London',
 ('GB', 'Durham, County', 'GB-DUR'): 'Europe/London', ('GB', 'Kingston upon Thames', 'GB-KTT'): 'Europe/London',
 ('GB', 'Orkney Islands', 'GB-ORK'): 'Europe/London', ('GB', 'Swansea [Abertawe GB-ATA]', 'GB-SWA'): 'Europe/London',
 ('GB', 'Blaenau Gwent', 'GB-BGW'): 'Europe/London', ('GB', 'Ealing', 'GB-EAL'): 'Europe/London',
 ('GB', 'Knowsley', 'GB-KWL'): 'Europe/London', ('GB', 'Oxfordshire', 'GB-OXF'): 'Europe/London',
 ('GB', 'Swindon', 'GB-SWD'): 'Europe/London', ('GB', 'Birmingham', 'GB-BIR'): 'Europe/London',
 ('GB', 'East Ayrshire', 'GB-EAY'): 'Europe/London', ('GB', 'Lancashire', 'GB-LAN'): 'Europe/London',
 ('GB', 'Pembrokeshire [Sir Benfro GB-BNF]', 'GB-PEM'): 'Europe/London', ('GB', 'Southwark', 'GB-SWK'): 'Europe/London',
 ('GB', 'Buckinghamshire', 'GB-BKM'): 'Europe/London', ('GB', 'Edinburgh, City of', 'GB-EDH'): 'Europe/London',
 ('GB', 'Lisburn and Castlereagh', 'GB-LBC'): 'Europe/London', ('GB', 'Perth and Kinross', 'GB-PKN'): 'Europe/London',
 ('GB', 'Tameside', 'GB-TAM'): 'Europe/London', ('GB', 'Barnet', 'GB-BNE'): 'Europe/London',
 ('GB', 'East Dunbartonshire', 'GB-EDU'): 'Europe/London', ('GB', 'Greenwich', 'GB-GRE'): 'Europe/London',
 ('GB', 'Lambeth', 'GB-LBH'): 'Europe/London', ('GB', 'Plymouth', 'GB-PLY'): 'Europe/London',
 ('GB', 'Telford and Wrekin', 'GB-TFW'): 'Europe/London', ('GB', 'Brighton and Hove', 'GB-BNH'): 'Europe/London',
 ('GB', 'East Lothian', 'GB-ELN'): 'Europe/London', ('GB', 'Leicester', 'GB-LCE'): 'Europe/London',
 ('GB', 'Portsmouth', 'GB-POR'): 'Europe/London', ('GB', 'Thurrock', 'GB-THR'): 'Europe/London',
 ('GB', 'Barnsley', 'GB-BNS'): 'Europe/London', ('GB', 'Eilean Siar', 'GB-ELS'): 'Europe/London',
 ('GB', 'Leeds', 'GB-LDS'): 'Europe/London', ('GB', 'Powys', 'GB-POW'): 'Europe/London',
 ('GB', 'Torbay', 'GB-TOB'): 'Europe/London', ('GB', 'Bolton', 'GB-BOL'): 'Europe/London',
 ('GB', 'Enfield', 'GB-ENF'): 'Europe/London', ('GB', 'Leicestershire', 'GB-LEC'): 'Europe/London',
 ('GB', 'Peterborough', 'GB-PTE'): 'Europe/London', ('GB', 'Torfaen [Tor-faen]', 'GB-TOF'): 'Europe/London',
 ('GB', 'Blackpool', 'GB-BPL'): 'Europe/London', ('GB', 'East Renfrewshire', 'GB-ERW'): 'Europe/London',
 ('GB', 'Lewisham', 'GB-LEW'): 'Europe/London', ('GB', 'Redcar and Cleveland', 'GB-RCC'): 'Europe/London',
 ('GB', 'Trafford', 'GB-TRF'): 'Europe/London', ('GB', 'Bracknell Forest', 'GB-BRC'): 'Europe/London',
 ('GB', 'East Riding of Yorkshire', 'GB-ERY'): 'Europe/London', ('GB', 'Lincolnshire', 'GB-LIN'): 'Europe/London',
 ('GB', 'Rochdale', 'GB-RCH'): 'Europe/London', ('GB', 'Monmouthshire [Sir Fynwy GB-FYN]', 'GB-MON'): 'Europe/London',
 ('GB', 'Tower Hamlets', 'GB-TWH'): 'Europe/London', ('GB', 'Bradford', 'GB-BRD'): 'Europe/London',
 ('GB', 'Essex', 'GB-ESS'): 'Europe/London', ('GB', 'Liverpool', 'GB-LIV'): 'Europe/London',
 ('GB', 'Rhondda Cynon Taff [Rhondda CynonTaf]', 'GB-RCT'): 'Europe/London',
 ('GB', 'Vale of Glamorgan, The [Bro Morgannwg GB-BMG]', 'GB-VGL'): 'Europe/London',
 ('GB', 'Bromley', 'GB-BRY'): 'Europe/London', ('GB', 'East Sussex', 'GB-ESX'): 'Europe/London',
 ('GB', 'London, City of', 'GB-LND'): 'Asia/Manila', ('GB', 'Redbridge', 'GB-RDB'): 'Europe/London',
 ('GB', 'Warwickshire', 'GB-WAR'): 'Europe/London', ('GB', 'Bristol, City of', 'GB-BST'): 'Europe/London',
 ('GB', 'Falkirk', 'GB-FAL'): 'Europe/London', ('GB', 'Luton', 'GB-LUT'): 'Europe/London',
 ('GB', 'Reading', 'GB-RDG'): 'Europe/London', ('GB', 'West Berkshire', 'GB-WBK'): 'Europe/London',
 ('GB', 'Bury', 'GB-BUR'): 'Europe/Paris', ('GB', 'Fife', 'GB-FIF'): 'Europe/London',
 ('GB', 'Manchester', 'GB-MAN'): 'Europe/London', ('GB', 'Renfrewshire', 'GB-RFW'): 'Europe/London',
 ('GB', 'West Dunbartonshire', 'GB-WDU'): 'Europe/London', ('GB', 'Cambridgeshire', 'GB-CAM'): 'Europe/London',
 ('GB', 'Flintshire [Sir y Fflint GB-FFL]', 'GB-FLN'): 'Europe/London',
 ('GB', 'Middlesbrough', 'GB-MDB'): 'Europe/London', ('GB', 'Richmond upon Thames', 'GB-RIC'): 'Europe/London',
 ('GB', 'Waltham Forest', 'GB-WFT'): 'Europe/London',
 ('GB', 'Caerphilly [Caerffili GB-CAF]', 'GB-CAY'): 'Europe/London',
 ('GB', 'Fermanagh and Omagh', 'GB-FMO'): 'Europe/London', ('GB', 'Medway', 'GB-MDW'): 'Europe/London',
 ('GB', 'Rotherham', 'GB-ROT'): 'Europe/London', ('GB', 'Wigan', 'GB-WGN'): 'Europe/London',
 ('GB', 'Central Bedfordshire', 'GB-CBF'): 'Europe/London', ('GB', 'Gateshead', 'GB-GAT'): 'Europe/London',
 ('GB', 'Mid and East Antrim', 'GB-MEA'): 'Europe/London', ('GB', 'Rutland', 'GB-RUT'): 'Europe/London',
 ('GB', 'Wiltshire', 'GB-WIL'): 'Europe/London', ('GB', 'Causeway Coast and Glens', 'GB-CCG'): 'Europe/London',
 ('GB', 'Glasgow City', 'GB-GLG'): 'Europe/London', ('GB', 'Milton Keynes', 'GB-MIK'): 'Europe/London',
 ('GB', 'Sandwell', 'GB-SAW'): 'Europe/London', ('GB', 'Scottish Borders', 'GB-SCB'): 'Europe/London',
 ('GB', 'Wakefield', 'GB-WKF'): 'Europe/London', ('GB', 'Ceredigion [Sir Ceredigion]', 'GB-CGN'): 'Europe/London',
 ('GB', 'Gloucestershire', 'GB-GLS'): 'Europe/London', ('GB', 'Midlothian', 'GB-MLN'): 'Europe/London',
 ('GB', 'South Ayrshire', 'GB-SAY'): 'Europe/London', ('GB', 'Walsall', 'GB-WLL'): 'Europe/London',
 ('GB', 'Cheshire East', 'GB-CHE'): 'Europe/London', ('GD', 'Saint Mark', 'GD-05'): 'Europe/London',
 ('GD', 'Saint Patrick', 'GD-06'): 'America/Grenada', ('GD', 'Saint Andrew', 'GD-01'): 'America/Jamaica',
 ('GD', 'Southern Grenadine Islands', 'GD-10'): 'America/St_Vincent', ('GD', 'Saint David', 'GD-02'): 'America/Toronto',
 ('GD', 'Saint George', 'GD-03'): 'America/Grenada', ('GD', 'Saint John', 'GD-04'): 'America/Moncton',
 ('GE', "Rach'a-Lechkhumi-Kvemo Svaneti", 'GE-RL'): 'Asia/Tbilisi', ('GE', 'Guria', 'GE-GU'): 'Asia/Kolkata',
 ('GE', 'Samtskhe-Javakheti', 'GE-SJ'): 'Asia/Tbilisi', ('GE', 'Imereti', 'GE-IM'): 'Asia/Tbilisi',
 ('GE', 'Shida Kartli', 'GE-SK'): 'Asia/Tbilisi', ('GE', "K'akheti", 'GE-KA'): 'Asia/Kolkata',
 ('GE', 'Samegrelo-Zemo Svaneti', 'GE-SZ'): 'Asia/Tbilisi', ('GE', 'Kvemo Kartli', 'GE-KK'): 'Asia/Tbilisi',
 ('GE', 'Abkhazia', 'GE-AB'): 'Asia/Tbilisi', ('GE', 'Tbilisi', 'GE-TB'): 'Asia/Tbilisi',
 ('GE', 'Mtskheta-Mtianeti', 'GE-MM'): 'Asia/Tbilisi', ('GE', 'Ajaria', 'GE-AJ'): 'America/La_Paz',
 ('GH', 'Eastern', 'GH-EP'): 'Africa/Nairobi', ('GH', 'Ahafo', 'GH-AF'): 'Africa/Accra',
 ('GH', 'Volta', 'GH-TV'): 'Africa/Accra', ('GH', 'North East', 'GH-NE'): 'Africa/Gaborone',
 ('GH', 'Ashanti', 'GH-AH'): 'Africa/Accra', ('GH', 'Upper East', 'GH-UE'): 'Africa/Accra',
 ('GH', 'Northern', 'GH-NP'): 'Africa/Accra', ('GH', 'Bono East', 'GH-BE'): 'Africa/Accra',
 ('GH', 'Upper West', 'GH-UW'): 'Africa/Accra', ('GH', 'Oti', 'GH-OT'): 'Europe/Tallinn',
 ('GH', 'Bono', 'GH-BO'): 'Europe/Paris', ('GH', 'Western North', 'GH-WN'): 'America/Chicago',
 ('GH', 'Savannah', 'GH-SV'): 'America/New_York', ('GH', 'Central', 'GH-CP'): 'Africa/Lusaka',
 ('GH', 'Western', 'GH-WP'): 'Africa/Nairobi', ('GH', 'Greater Accra', 'GH-AA'): 'Africa/Accra',
 ('GL', 'Avannaata Kommunia', 'GL-AV'): 'America/Nuuk', ('GL', 'Kommune Kujalleq', 'GL-KU'): 'America/Nuuk',
 ('GL', 'Qeqqata Kommunia', 'GL-QE'): 'America/Nuuk', ('GL', 'Kommune Qeqertalik', 'GL-QT'): 'America/Nuuk',
 ('GL', 'Kommuneqarfik Sermersooq', 'GL-SM'): 'America/Nuuk', ('GN', 'Coyah', 'GN-CO'): 'Africa/Conakry',
 ('GN', 'Labé', 'GN-LA'): 'Africa/Conakry', ('GN', 'Kindia', 'GN-D'): 'Africa/Conakry',
 ('GN', 'Lélouma', 'GN-LE'): 'Africa/Conakry', ('GN', 'Dabola', 'GN-DB'): 'Africa/Conakry',
 ('GN', 'Lola', 'GN-LO'): 'America/Panama', ('GN', 'Dinguiraye', 'GN-DI'): 'Africa/Conakry',
 ('GN', 'Mamou', 'GN-M'): 'Africa/Conakry', ('GN', 'Dalaba', 'GN-DL'): 'Africa/Conakry',
 ('GN', 'Macenta', 'GN-MC'): 'Africa/Conakry', ('GN', 'Dubréka', 'GN-DU'): 'Africa/Conakry',
 ('GN', 'Mandiana', 'GN-MD'): 'Africa/Conakry', ('GN', 'Faranah', 'GN-F'): 'Africa/Conakry',
 ('GN', 'Mali', 'GN-ML'): 'Africa/Bamako', ('GN', 'Faranah', 'GN-FA'): 'Africa/Conakry',
 ('GN', 'Mamou', 'GN-MM'): 'Africa/Conakry', ('GN', 'Forécariah', 'GN-FO'): 'Africa/Conakry',
 ('GN', 'Nzérékoré', 'GN-N'): 'Africa/Conakry', ('GN', 'Fria', 'GN-FR'): 'Africa/Conakry',
 ('GN', 'Nzérékoré', 'GN-NZ'): 'Africa/Conakry', ('GN', 'Gaoual', 'GN-GA'): 'Africa/Conakry',
 ('GN', 'Pita', 'GN-PI'): 'Africa/Conakry', ('GN', 'Guékédou', 'GN-GU'): 'Africa/Conakry',
 ('GN', 'Siguiri', 'GN-SI'): 'Africa/Conakry', ('GN', 'Kankan', 'GN-K'): 'Africa/Conakry',
 ('GN', 'Télimélé', 'GN-TE'): 'Africa/Conakry', ('GN', 'Kankan', 'GN-KA'): 'Africa/Conakry',
 ('GN', 'Tougué', 'GN-TO'): 'Africa/Conakry', ('GN', 'Koubia', 'GN-KB'): 'Africa/Conakry',
 ('GN', 'Yomou', 'GN-YO'): 'Africa/Conakry', ('GN', 'Kindia', 'GN-KD'): 'Africa/Conakry',
 ('GN', 'Kérouané', 'GN-KE'): 'Africa/Conakry', ('GN', 'Boké', 'GN-B'): 'Africa/Conakry',
 ('GN', 'Koundara', 'GN-KN'): 'Africa/Conakry', ('GN', 'Beyla', 'GN-BE'): 'Africa/Conakry',
 ('GN', 'Kouroussa', 'GN-KO'): 'Africa/Conakry', ('GN', 'Boffa', 'GN-BF'): 'Africa/Conakry',
 ('GN', 'Kissidougou', 'GN-KS'): 'Africa/Conakry', ('GN', 'Boké', 'GN-BK'): 'Africa/Conakry',
 ('GN', 'Labé', 'GN-L'): 'Africa/Conakry', ('GN', 'Conakry', 'GN-C'): 'Africa/Conakry',
 ('GM', 'Banjul', 'GM-B'): 'Africa/Banjul', ('GM', 'Lower River', 'GM-L'): 'Africa/Banjul',
 ('GM', 'Central River', 'GM-M'): 'Africa/Banjul', ('GM', 'North Bank', 'GM-N'): 'Africa/Banjul',
 ('GM', 'Upper River', 'GM-U'): 'Africa/Banjul', ('GM', 'Western', 'GM-W'): 'Africa/Nairobi',
 ('GW', 'Norte', 'GW-N'): 'Europe/Lisbon', ('GW', 'Biombo', 'GW-BM'): 'Africa/Bissau',
 ('GW', 'Oio', 'GW-OI'): 'Africa/Bissau', ('GW', 'Bissau', 'GW-BS'): 'Africa/Bissau',
 ('GW', 'Quinara', 'GW-QU'): 'Africa/Bissau', ('GW', 'Cacheu', 'GW-CA'): 'Africa/Bissau',
 ('GW', 'Sul', 'GW-S'): 'America/Sao_Paulo', ('GW', 'Gabú', 'GW-GA'): 'Africa/Bissau',
 ('GW', 'Bafatá', 'GW-BA'): 'Africa/Bissau', ('GW', 'Tombali', 'GW-TO'): 'Africa/Bissau',
 ('GW', 'Leste', 'GW-L'): 'America/Sao_Paulo', ('GW', 'Bolama / Bijagós', 'GW-BL'): 'Africa/Bissau',
 ('GQ', 'Região Insular', 'GQ-I'): 'Africa/Malabo', ('GQ', 'Bioko Nord', 'GQ-BN'): 'Africa/Malabo',
 ('GQ', 'Kié-Ntem', 'GQ-KN'): 'Africa/Malabo', ('GQ', 'Bioko Sud', 'GQ-BS'): 'Africa/Malabo',
 ('GQ', 'Litoral', 'GQ-LI'): 'Africa/Douala', ('GQ', 'Região Continental', 'GQ-C'): 'Africa/Malabo',
 ('GQ', 'Wele-Nzas', 'GQ-WN'): 'Africa/Malabo', ('GQ', 'Centro Sud', 'GQ-CS'): 'Europe/Paris',
 ('GQ', 'Djibloho', 'GQ-DJ'): 'Africa/Malabo', ('GQ', 'Annobon', 'GQ-AN'): 'Africa/Malabo',
 ('GR', 'Anatolikí Makedonía kai Thráki', 'GR-A'): 'Europe/Athens', ('GR', 'Nótio Aigaío', 'GR-L'): 'Europe/Athens',
 ('GR', 'Dytikí Elláda', 'GR-G'): 'Europe/Athens', ('GR', 'Kentrikí Makedonía', 'GR-B'): 'Europe/Athens',
 ('GR', 'Kríti', 'GR-M'): 'Asia/Kolkata', ('GR', 'Stereá Elláda', 'GR-H'): 'Europe/Athens',
 ('GR', 'Dytikí Makedonía', 'GR-C'): 'Europe/Athens', ('GR', 'Attikí', 'GR-I'): 'Europe/Athens',
 ('GR', 'Ípeiros', 'GR-D'): 'Europe/Athens', ('GR', 'Pelopónnisos', 'GR-J'): 'Europe/Athens',
 ('GR', 'Thessalía', 'GR-E'): 'America/New_York', ('GR', 'Ágion Óros', 'GR-69'): 'Europe/Athens',
 ('GR', 'Vóreio Aigaío', 'GR-K'): 'Europe/Athens', ('GR', 'Ionía Nísia', 'GR-F'): 'Europe/Athens',
 ('GT', 'Chiquimula', 'GT-CQ'): 'America/Guatemala', ('GT', 'Escuintla', 'GT-ES'): 'America/Guatemala',
 ('GT', 'Guatemala', 'GT-GU'): 'America/Guatemala', ('GT', 'Huehuetenango', 'GT-HU'): 'America/Guatemala',
 ('GT', 'Izabal', 'GT-IZ'): 'America/Guatemala', ('GT', 'Jalapa', 'GT-JA'): 'America/Guatemala',
 ('GT', 'Jutiapa', 'GT-JU'): 'America/Guatemala', ('GT', 'Petén', 'GT-PE'): 'America/Guatemala',
 ('GT', 'El Progreso', 'GT-PR'): 'America/Guatemala', ('GT', 'Quiché', 'GT-QC'): 'America/Guatemala',
 ('GT', 'Quetzaltenango', 'GT-QZ'): 'America/Guatemala', ('GT', 'Retalhuleu', 'GT-RE'): 'America/Guatemala',
 ('GT', 'Sacatepéquez', 'GT-SA'): 'America/Guatemala', ('GT', 'San Marcos', 'GT-SM'): 'America/Chicago',
 ('GT', 'Sololá', 'GT-SO'): 'America/Guatemala', ('GT', 'Santa Rosa', 'GT-SR'): 'America/Los_Angeles',
 ('GT', 'Suchitepéquez', 'GT-SU'): 'America/Guatemala', ('GT', 'Totonicapán', 'GT-TO'): 'America/Guatemala',
 ('GT', 'Alta Verapaz', 'GT-AV'): 'America/Guatemala', ('GT', 'Zacapa', 'GT-ZA'): 'America/Guatemala',
 ('GT', 'Baja Verapaz', 'GT-BV'): 'America/Guatemala', ('GT', 'Chimaltenango', 'GT-CM'): 'America/Guatemala',
 ('GY', 'Pomeroon-Supenaam', 'GY-PM'): 'America/Guyana', ('GY', 'Cuyuni-Mazaruni', 'GY-CU'): 'America/Guyana',
 ('GY', 'Potaro-Siparuni', 'GY-PT'): 'America/Guyana', ('GY', 'Demerara-Mahaica', 'GY-DE'): 'America/Guyana',
 ('GY', 'Upper Demerara-Berbice', 'GY-UD'): 'America/Guyana',
 ('GY', 'East Berbice-Corentyne', 'GY-EB'): 'America/Guyana',
 ('GY', 'Upper Takutu-Upper Essequibo', 'GY-UT'): 'America/Guyana',
 ('GY', 'Essequibo Islands-West Demerara', 'GY-ES'): 'America/Guyana',
 ('GY', 'Mahaica-Berbice', 'GY-MA'): 'America/Guyana', ('GY', 'Barima-Waini', 'GY-BA'): 'America/Guyana',
 ('HN', 'Lempira', 'HN-LE'): 'America/Tegucigalpa', ('HN', 'El Paraíso', 'HN-EP'): 'America/Tegucigalpa',
 ('HN', 'Choluteca', 'HN-CH'): 'America/Tegucigalpa', ('HN', 'Yoro', 'HN-YO'): 'America/Tegucigalpa',
 ('HN', 'La Paz', 'HN-LP'): 'America/La_Paz', ('HN', 'Francisco Morazán', 'HN-FM'): 'America/Tegucigalpa',
 ('HN', 'Colón', 'HN-CL'): 'America/Panama', ('HN', 'Intibucá', 'HN-IN'): 'America/Tegucigalpa',
 ('HN', 'Ocotepeque', 'HN-OC'): 'America/Tegucigalpa', ('HN', 'Gracias a Dios', 'HN-GD'): 'America/Tegucigalpa',
 ('HN', 'Comayagua', 'HN-CM'): 'America/Tegucigalpa', ('HN', 'Olancho', 'HN-OL'): 'America/Tegucigalpa',
 ('HN', 'Islas de la Bahía', 'HN-IB'): 'America/Tegucigalpa', ('HN', 'Copán', 'HN-CP'): 'America/Tegucigalpa',
 ('HN', 'Santa Bárbara', 'HN-SB'): 'America/Los_Angeles', ('HN', 'Atlántida', 'HN-AT'): 'America/Tegucigalpa',
 ('HN', 'Cortés', 'HN-CR'): 'America/Tegucigalpa', ('HN', 'Valle', 'HN-VA'): 'America/Tegucigalpa',
 ('HR', 'Varaždinska županija', 'HR-05'): 'Europe/Zagreb',
 ('HR', 'Koprivničko-križevačka županija', 'HR-06'): 'Europe/Zagreb',
 ('HR', 'Bjelovarsko-bilogorska županija', 'HR-07'): 'Europe/Zagreb',
 ('HR', 'Primorsko-goranska županija', 'HR-08'): 'Europe/Zagreb',
 ('HR', 'Ličko-senjska županija', 'HR-09'): 'Europe/Zagreb',
 ('HR', 'Virovitičko-podravska županija', 'HR-10'): 'Europe/Zagreb',
 ('HR', 'Požeško-slavonska županija', 'HR-11'): 'Europe/Zagreb',
 ('HR', 'Brodsko-posavska županija', 'HR-12'): 'Europe/Zagreb', ('HR', 'Zadarska županija', 'HR-13'): 'Europe/Zagreb',
 ('HR', 'Osječko-baranjska županija', 'HR-14'): 'Europe/Zagreb',
 ('HR', 'Šibensko-kninska županija', 'HR-15'): 'Europe/Zagreb',
 ('HR', 'Vukovarsko-srijemska županija', 'HR-16'): 'Europe/Zagreb',
 ('HR', 'Splitsko-dalmatinska županija', 'HR-17'): 'Europe/Zagreb',
 ('HR', 'Istarska županija', 'HR-18'): 'Europe/Zagreb',
 ('HR', 'Dubrovačko-neretvanska županija', 'HR-19'): 'Europe/Zagreb',
 ('HR', 'Međimurska županija', 'HR-20'): 'Europe/Zagreb', ('HR', 'Grad Zagreb', 'HR-21'): 'Europe/Zagreb',
 ('HR', 'Zagrebačka županija', 'HR-01'): 'Europe/Zagreb',
 ('HR', 'Krapinsko-zagorska županija', 'HR-02'): 'Europe/Zagreb',
 ('HR', 'Sisačko-moslavačka županija', 'HR-03'): 'Europe/Zagreb',
 ('HR', 'Karlovačka županija', 'HR-04'): 'Europe/Zagreb', ('HT', 'Sidès', 'HT-SE'): 'America/Port-au-Prince',
 ('HT', 'Nord-Est', 'HT-NE'): 'America/Port-au-Prince', ('HT', 'Artibonite', 'HT-AR'): 'America/Port-au-Prince',
 ('HT', 'Nip', 'HT-NI'): 'America/Port-au-Prince', ('HT', 'Centre', 'HT-CE'): 'Europe/Paris',
 ('HT', 'Nord-Ouest', 'HT-NO'): 'Africa/Johannesburg', ('HT', 'Grandans', 'HT-GA'): 'America/Port-au-Prince',
 ('HT', 'Lwès', 'HT-OU'): 'America/Port-au-Prince', ('HT', 'Nord', 'HT-ND'): 'Europe/Paris',
 ('HT', 'Sid', 'HT-SD'): 'America/Port-au-Prince', ('HU', 'Heves', 'HU-HE'): 'Europe/Budapest',
 ('HU', 'Tatabánya', 'HU-TB'): 'Europe/Budapest', ('HU', 'Hódmezővásárhely', 'HU-HV'): 'Europe/Budapest',
 ('HU', 'Tolna', 'HU-TO'): 'Europe/Budapest', ('HU', 'Jász-Nagykun-Szolnok', 'HU-JN'): 'Europe/Budapest',
 ('HU', 'Vas', 'HU-VA'): 'Europe/Budapest', ('HU', 'Komárom-Esztergom', 'HU-KE'): 'Europe/Budapest',
 ('HU', 'Veszprém', 'HU-VE'): 'Europe/Budapest', ('HU', 'Kecskemét', 'HU-KM'): 'Europe/Budapest',
 ('HU', 'Veszprém', 'HU-VM'): 'Europe/Budapest', ('HU', 'Kaposvár', 'HU-KV'): 'Europe/Budapest',
 ('HU', 'Zala', 'HU-ZA'): 'Europe/Budapest', ('HU', 'Miskolc', 'HU-MI'): 'Europe/Budapest',
 ('HU', 'Baranya', 'HU-BA'): 'Europe/Budapest', ('HU', 'Zalaegerszeg', 'HU-ZE'): 'Europe/Budapest',
 ('HU', 'Nagykanizsa', 'HU-NK'): 'Europe/Budapest', ('HU', 'Békéscsaba', 'HU-BC'): 'Europe/Budapest',
 ('HU', 'Nógrád', 'HU-NO'): 'Europe/Budapest', ('HU', 'Békés', 'HU-BE'): 'Europe/Budapest',
 ('HU', 'Nyíregyháza', 'HU-NY'): 'Europe/Budapest', ('HU', 'Bács-Kiskun', 'HU-BK'): 'Europe/Budapest',
 ('HU', 'Pest', 'HU-PE'): 'Europe/Budapest', ('HU', 'Budapest', 'HU-BU'): 'Europe/Budapest',
 ('HU', 'Pécs', 'HU-PS'): 'Europe/Budapest', ('HU', 'Borsod-Abaúj-Zemplén', 'HU-BZ'): 'Europe/Budapest',
 ('HU', 'Szeged', 'HU-SD'): 'Europe/Budapest', ('HU', 'Csongrád', 'HU-CS'): 'Europe/Budapest',
 ('HU', 'Székesfehérvár', 'HU-SF'): 'Europe/Budapest', ('HU', 'Debrecen', 'HU-DE'): 'Europe/Budapest',
 ('HU', 'Szombathely', 'HU-SH'): 'Europe/Budapest', ('HU', 'Dunaújváros', 'HU-DU'): 'Europe/Budapest',
 ('HU', 'Szolnok', 'HU-SK'): 'Europe/Budapest', ('HU', 'Eger', 'HU-EG'): 'Europe/Budapest',
 ('HU', 'Sopron', 'HU-SN'): 'Europe/Budapest', ('HU', 'Érd', 'HU-ER'): 'Europe/Budapest',
 ('HU', 'Somogy', 'HU-SO'): 'Europe/Budapest', ('HU', 'Fejér', 'HU-FE'): 'Europe/Budapest',
 ('HU', 'Szekszárd', 'HU-SS'): 'Europe/Budapest', ('HU', 'Győr-Moson-Sopron', 'HU-GS'): 'Europe/Budapest',
 ('HU', 'Salgótarján', 'HU-ST'): 'Europe/Budapest', ('HU', 'Győr', 'HU-GY'): 'Europe/Budapest',
 ('HU', 'Szabolcs-Szatmár-Bereg', 'HU-SZ'): 'Europe/Budapest', ('HU', 'Hajdú-Bihar', 'HU-HB'): 'Europe/Budapest',
 ('ID', 'Kalimantan Timur', 'ID-KI'): 'Asia/Makassar', ('ID', 'Sulawesi Selatan', 'ID-SN'): 'Asia/Makassar',
 ('ID', 'Kepulauan Riau', 'ID-KR'): 'Asia/Jakarta', ('ID', 'Sulawesi Barat', 'ID-SR'): 'Asia/Makassar',
 ('ID', 'Kalimantan Selatan', 'ID-KS'): 'Asia/Makassar', ('ID', 'Sumatera Selatan', 'ID-SS'): 'Asia/Jakarta',
 ('ID', 'Kalimantan Tengah', 'ID-KT'): 'Asia/Pontianak', ('ID', 'Sulawesi Tengah', 'ID-ST'): 'Asia/Makassar',
 ('ID', 'Kalimantan Utara', 'ID-KU'): 'Asia/Makassar', ('ID', 'Sumatera Utara', 'ID-SU'): 'Asia/Jakarta',
 ('ID', 'Lampung', 'ID-LA'): 'Asia/Jakarta', ('ID', 'Yogyakarta', 'ID-YO'): 'Asia/Jakarta',
 ('ID', 'Maluku', 'ID-MA'): 'Asia/Jayapura', ('ID', 'Maluku', 'ID-ML'): 'Asia/Jayapura',
 ('ID', 'Aceh', 'ID-AC'): 'Asia/Jakarta', ('ID', 'Maluku Utara', 'ID-MU'): 'Asia/Jayapura',
 ('ID', 'Bali', 'ID-BA'): 'Asia/Makassar', ('ID', 'Nusa Tenggara Barat', 'ID-NB'): 'Asia/Makassar',
 ('ID', 'Kepulauan Bangka Belitung', 'ID-BB'): 'Asia/Jakarta', ('ID', 'Nusa Tenggara Timur', 'ID-NT'): 'Asia/Makassar',
 ('ID', 'Bengkulu', 'ID-BE'): 'Asia/Jakarta', ('ID', 'Nusa Tenggara', 'ID-NU'): 'Asia/Makassar',
 ('ID', 'Banten', 'ID-BT'): 'Asia/Jakarta', ('ID', 'Papua', 'ID-PA'): 'Pacific/Port_Moresby',
 ('ID', 'Gorontalo', 'ID-GO'): 'Asia/Makassar', ('ID', 'Papua Barat', 'ID-PB'): 'Asia/Jayapura',
 ('ID', 'Jambi', 'ID-JA'): 'Asia/Jakarta', ('ID', 'Papua', 'ID-PP'): 'Pacific/Port_Moresby',
 ('ID', 'Jawa Barat', 'ID-JB'): 'Asia/Jakarta', ('ID', 'Riau', 'ID-RI'): 'Asia/Jakarta',
 ('ID', 'Jawa Timur', 'ID-JI'): 'Asia/Jakarta', ('ID', 'Sulawesi Utara', 'ID-SA'): 'Asia/Makassar',
 ('ID', 'Jakarta Raya', 'ID-JK'): 'Asia/Jakarta', ('ID', 'Sumatera Barat', 'ID-SB'): 'Asia/Jakarta',
 ('ID', 'Jawa Tengah', 'ID-JT'): 'Asia/Jakarta', ('ID', 'Sulawesi Tenggara', 'ID-SG'): 'Asia/Makassar',
 ('ID', 'Jawa', 'ID-JW'): 'Asia/Jakarta', ('ID', 'Sulawesi', 'ID-SL'): 'Asia/Makassar',
 ('ID', 'Kalimantan', 'ID-KA'): 'Asia/Makassar', ('ID', 'Sumatera', 'ID-SM'): 'Asia/Jakarta',
 ('ID', 'Kalimantan Barat', 'ID-KB'): 'Asia/Pontianak', ('IL', 'H̱efa', 'IL-HA'): 'Asia/Shanghai',
 ('IL', 'Al Quds', 'IL-JM'): 'Asia/Riyadh', ('IL', 'Al Awsaţ', 'IL-M'): 'Asia/Riyadh',
 ('IL', 'Tall Abīb', 'IL-TA'): 'Asia/Jerusalem', ('IL', 'Ash Shamālī', 'IL-Z'): 'Asia/Muscat',
 ('IL', 'Al Janūbī', 'IL-D'): 'America/Sao_Paulo', ('IN', 'Manipur', 'IN-MN'): 'Asia/Kolkata',
 ('IN', 'Andaman and Nicobar Islands', 'IN-AN'): 'Asia/Kolkata', ('IN', 'Madhya Pradesh', 'IN-MP'): 'Asia/Kolkata',
 ('IN', 'Andhra Pradesh', 'IN-AP'): 'Asia/Kolkata', ('IN', 'Mizoram', 'IN-MZ'): 'Asia/Kolkata',
 ('IN', 'Arunāchal Pradesh', 'IN-AR'): 'Asia/Kolkata', ('IN', 'Nāgāland', 'IN-NL'): 'Asia/Kolkata',
 ('IN', 'Assam', 'IN-AS'): 'Asia/Kolkata', ('IN', 'Odisha', 'IN-OR'): 'Asia/Kolkata',
 ('IN', 'Bihār', 'IN-BR'): 'Asia/Kolkata', ('IN', 'Punjab', 'IN-PB'): 'Asia/Kolkata',
 ('IN', 'Chandīgarh', 'IN-CH'): 'Asia/Kolkata', ('IN', 'Puducherry', 'IN-PY'): 'Asia/Kolkata',
 ('IN', 'Chhattīsgarh', 'IN-CT'): 'Asia/Kolkata', ('IN', 'Rājasthān', 'IN-RJ'): 'Asia/Kolkata',
 ('IN', 'Dādra and Nagar Haveli and Damān and Diu', 'IN-DH'): 'Asia/Kolkata', ('IN', 'Sikkim', 'IN-SK'): 'Asia/Kolkata',
 ('IN', 'Delhi', 'IN-DL'): 'Asia/Kolkata', ('IN', 'Telangāna', 'IN-TG'): 'Asia/Kolkata',
 ('IN', 'Goa', 'IN-GA'): 'Asia/Kolkata', ('IN', 'Tamil Nādu', 'IN-TN'): 'Asia/Kolkata',
 ('IN', 'Gujarāt', 'IN-GJ'): 'Asia/Kolkata', ('IN', 'Tripura', 'IN-TR'): 'Asia/Kolkata',
 ('IN', 'Himāchal Pradesh', 'IN-HP'): 'Asia/Kolkata', ('IN', 'Uttar Pradesh', 'IN-UP'): 'Asia/Kolkata',
 ('IN', 'Haryāna', 'IN-HR'): 'Asia/Kolkata', ('IN', 'Uttarākhand', 'IN-UT'): 'Asia/Kolkata',
 ('IN', 'Jhārkhand', 'IN-JH'): 'Asia/Kolkata', ('IN', 'West Bengal', 'IN-WB'): 'Asia/Kolkata',
 ('IN', 'Jammu and Kashmīr', 'IN-JK'): 'Asia/Kolkata', ('IN', 'Karnātaka', 'IN-KA'): 'Asia/Kolkata',
 ('IN', 'Kerala', 'IN-KL'): 'Asia/Kolkata', ('IN', 'Ladākh', 'IN-LA'): 'Asia/Kolkata',
 ('IN', 'Lakshadweep', 'IN-LD'): 'Asia/Kolkata', ('IN', 'Mahārāshtra', 'IN-MH'): 'Asia/Kolkata',
 ('IN', 'Meghālaya', 'IN-ML'): 'Asia/Kolkata', ('IE', 'Leitrim', 'IE-LM'): 'Europe/Dublin',
 ('IE', 'Laois', 'IE-LS'): 'Europe/Dublin', ('IE', 'Munster', 'IE-M'): 'Europe/Dublin',
 ('IE', 'Meath', 'IE-MH'): 'Europe/Dublin', ('IE', 'Monaghan', 'IE-MN'): 'Europe/Dublin',
 ('IE', 'Mayo', 'IE-MO'): 'Europe/Dublin', ('IE', 'Offaly', 'IE-OY'): 'Europe/Dublin',
 ('IE', 'Connaught', 'IE-C'): 'America/Edmonton', ('IE', 'Roscommon', 'IE-RN'): 'America/Detroit',
 ('IE', 'Clare', 'IE-CE'): 'Europe/Dublin', ('IE', 'Sligo', 'IE-SO'): 'Europe/Dublin',
 ('IE', 'Cavan', 'IE-CN'): 'Europe/Paris', ('IE', 'Tipperary', 'IE-TA'): 'Europe/Dublin',
 ('IE', 'Cork', 'IE-CO'): 'Europe/Dublin', ('IE', 'Ulster', 'IE-U'): 'Europe/Dublin',
 ('IE', 'Carlow', 'IE-CW'): 'Europe/Dublin', ('IE', 'Waterford', 'IE-WD'): 'Europe/Dublin',
 ('IE', 'Dublin', 'IE-D'): 'Europe/Dublin', ('IE', 'Westmeath', 'IE-WH'): 'Europe/Dublin',
 ('IE', 'Donegal', 'IE-DL'): 'Europe/Dublin', ('IE', 'Wicklow', 'IE-WW'): 'Europe/Dublin',
 ('IE', 'Galway', 'IE-G'): 'Europe/Dublin', ('IE', 'Wexford', 'IE-WX'): 'Europe/Dublin',
 ('IE', 'Kildare', 'IE-KE'): 'Europe/Dublin', ('IE', 'Kilkenny', 'IE-KK'): 'Europe/Dublin',
 ('IE', 'Kerry', 'IE-KY'): 'Europe/Dublin', ('IE', 'Leinster', 'IE-L'): 'Europe/Dublin',
 ('IE', 'Longford', 'IE-LD'): 'Europe/Dublin', ('IE', 'Louth', 'IE-LH'): 'Europe/Dublin',
 ('IE', 'Limerick', 'IE-LK'): 'Europe/Dublin', ('IR', 'Khorāsān-e Raẕavī', 'IR-09'): 'Asia/Tehran',
 ('IR', 'Alborz', 'IR-30'): 'Asia/Tehran', ('IR', 'Eşfahān', 'IR-10'): 'Asia/Tehran',
 ('IR', 'Sīstān va Balūchestān', 'IR-11'): 'Asia/Tehran', ('IR', 'Kordestān', 'IR-12'): 'Asia/Tehran',
 ('IR', 'Hamadān', 'IR-13'): 'Asia/Tehran', ('IR', 'Chahār Maḩāl va Bakhtīārī', 'IR-14'): 'Asia/Tehran',
 ('IR', 'Lorestān', 'IR-15'): 'Asia/Tehran', ('IR', 'Īlām', 'IR-16'): 'Asia/Tehran',
 ('IR', 'Kohgīlūyeh va Bowyer Aḩmad', 'IR-17'): 'Asia/Tehran', ('IR', 'Būshehr', 'IR-18'): 'Asia/Tehran',
 ('IR', 'Zanjān', 'IR-19'): 'Asia/Tehran', ('IR', 'Semnān', 'IR-20'): 'Asia/Tehran',
 ('IR', 'Yazd', 'IR-21'): 'Asia/Tehran', ('IR', 'Markazī', 'IR-00'): 'Asia/Tehran',
 ('IR', 'Hormozgān', 'IR-22'): 'Asia/Tehran', ('IR', 'Gīlān', 'IR-01'): 'Asia/Tehran',
 ('IR', 'Tehrān', 'IR-23'): 'Asia/Tehran', ('IR', 'Māzandarān', 'IR-02'): 'Asia/Tehran',
 ('IR', 'Ardabīl', 'IR-24'): 'Asia/Tehran', ('IR', 'Āz̄ārbāyjān-e Shārqī', 'IR-03'): 'Asia/Tehran',
 ('IR', 'Qom', 'IR-25'): 'Asia/Tehran', ('IR', 'Āz̄ārbāyjān-e Ghārbī', 'IR-04'): 'Asia/Tehran',
 ('IR', 'Qazvīn', 'IR-26'): 'Asia/Tehran', ('IR', 'Kermānshāh', 'IR-05'): 'Asia/Tehran',
 ('IR', 'Golestān', 'IR-27'): 'Asia/Tehran', ('IR', 'Khūzestān', 'IR-06'): 'Asia/Tehran',
 ('IR', 'Khorāsān-e Shomālī', 'IR-28'): 'Asia/Tehran', ('IR', 'Fārs', 'IR-07'): 'Asia/Tehran',
 ('IR', 'Khorāsān-e Jonūbī', 'IR-29'): 'Asia/Tehran', ('IR', 'Kermān', 'IR-08'): 'Asia/Tehran',
 ('IQ', 'As Sulaymānīyah', 'IQ-SU'): 'Asia/Baghdad', ('IQ', 'Arbīl', 'IQ-AR'): 'Asia/Baghdad',
 ('IQ', 'Al Muthanná', 'IQ-MU'): 'Asia/Baghdad', ('IQ', 'Diyālá', 'IQ-DI'): 'Asia/Baghdad',
 ('IQ', 'Şalāḩ ad Dīn', 'IQ-SD'): 'Asia/Baghdad', ('IQ', 'Wāsiţ', 'IQ-WA'): 'Asia/Aden',
 ('IQ', 'Al Başrah', 'IQ-BA'): 'Asia/Baghdad', ('IQ', 'An Najaf', 'IQ-NA'): 'Asia/Baghdad',
 ('IQ', 'Dhī Qār', 'IQ-DQ'): 'Asia/Baghdad', ('IQ', 'Maysān', 'IQ-MA'): 'Asia/Baghdad',
 ('IQ', 'Bābil', 'IQ-BB'): 'Asia/Baghdad', ('IQ', 'Nīnawá', 'IQ-NI'): 'Asia/Baghdad',
 ('IQ', 'Karbalā’', 'IQ-KA'): 'Asia/Baghdad', ('IQ', 'Baghdād', 'IQ-BG'): 'Asia/Baghdad',
 ('IQ', 'Al Qādisīyah', 'IQ-QA'): 'Asia/Baghdad', ('IQ', 'Kirkūk', 'IQ-KI'): 'Asia/Baghdad',
 ('IQ', 'Dahūk', 'IQ-DA'): 'Asia/Baghdad', ('IQ', 'Al Anbār', 'IQ-AN'): 'Asia/Baghdad',
 ('IS', 'Ísafjarðarbær', 'IS-ISA'): 'Atlantic/Reykjavik', ('IS', 'Kaldrananeshreppur', 'IS-KAL'): 'Atlantic/Reykjavik',
 ('IS', 'Kjósarhreppur', 'IS-KJO'): 'Atlantic/Reykjavik', ('IS', 'Kópavogsbær', 'IS-KOP'): 'Atlantic/Reykjavik',
 ('IS', 'Langanesbyggð', 'IS-LAN'): 'Atlantic/Reykjavik', ('IS', 'Mosfellsbær', 'IS-MOS'): 'Atlantic/Reykjavik',
 ('IS', 'Mýrdalshreppur', 'IS-MYR'): 'Atlantic/Reykjavik', ('IS', 'Norðurþing', 'IS-NOR'): 'Atlantic/Reykjavik',
 ('IS', 'Rangárþing eystra', 'IS-RGE'): 'Atlantic/Reykjavik', ('IS', 'Rangárþing ytra', 'IS-RGY'): 'Atlantic/Reykjavik',
 ('IS', 'Reykhólahreppur', 'IS-RHH'): 'Atlantic/Reykjavik', ('IS', 'Reykjanesbær', 'IS-RKN'): 'Atlantic/Reykjavik',
 ('IS', 'Reykjavíkurborg', 'IS-RKV'): 'Atlantic/Reykjavik', ('IS', 'Svalbarðshreppur', 'IS-SBH'): 'Atlantic/Reykjavik',
 ('IS', 'Svalbarðsstrandarhreppur', 'IS-SBT'): 'Atlantic/Reykjavik',
 ('IS', 'Suðurnesjabær', 'IS-SDN'): 'Atlantic/Reykjavik', ('IS', 'Súðavíkurhreppur', 'IS-SDV'): 'Atlantic/Reykjavik',
 ('IS', 'Seltjarnarnesbær', 'IS-SEL'): 'Atlantic/Reykjavik',
 ('IS', 'Seyðisfjarðarkaupstaður', 'IS-SEY'): 'Atlantic/Reykjavik',
 ('IS', 'Sveitarfélagið Árborg', 'IS-SFA'): 'Atlantic/Reykjavik',
 ('IS', 'Sveitarfélagið Hornafjörður', 'IS-SHF'): 'Atlantic/Reykjavik',
 ('IS', 'Skaftárhreppur', 'IS-SKF'): 'Atlantic/Reykjavik', ('IS', 'Skagabyggð', 'IS-SKG'): 'Atlantic/Reykjavik',
 ('IS', 'Skorradalshreppur', 'IS-SKO'): 'Atlantic/Reykjavik',
 ('IS', 'Skútustaðahreppur', 'IS-SKU'): 'Atlantic/Reykjavik', ('IS', 'Snæfellsbær', 'IS-SNF'): 'Atlantic/Reykjavik',
 ('IS', 'Sveitarfélagið Skagafjörður', 'IS-SSF'): 'Atlantic/Reykjavik',
 ('IS', 'Sveitarfélagið Skagaströnd', 'IS-SSS'): 'Atlantic/Reykjavik',
 ('IS', 'Strandabyggð', 'IS-STR'): 'Atlantic/Reykjavik', ('IS', 'Stykkishólmsbær', 'IS-STY'): 'Atlantic/Reykjavik',
 ('IS', 'Sveitarfélagið Vogar', 'IS-SVG'): 'Atlantic/Reykjavik',
 ('IS', 'Tálknafjarðarhreppur', 'IS-TAL'): 'Atlantic/Reykjavik',
 ('IS', 'Þingeyjarsveit', 'IS-THG'): 'Atlantic/Reykjavik', ('IS', 'Tjörneshreppur', 'IS-TJO'): 'Atlantic/Reykjavik',
 ('IS', 'Vestmannaeyjabær', 'IS-VEM'): 'Atlantic/Reykjavik', ('IS', 'Vesturbyggð', 'IS-VER'): 'Atlantic/Reykjavik',
 ('IS', 'Vopnafjarðarhreppur', 'IS-VOP'): 'Atlantic/Reykjavik',
 ('IS', 'Höfuðborgarsvæði', 'IS-1'): 'Atlantic/Reykjavik', ('IS', 'Suðurnes', 'IS-2'): 'Atlantic/Reykjavik',
 ('IS', 'Vesturland', 'IS-3'): 'Atlantic/Reykjavik', ('IS', 'Vestfirðir', 'IS-4'): 'Atlantic/Reykjavik',
 ('IS', 'Norðurland vestra', 'IS-5'): 'Atlantic/Reykjavik', ('IS', 'Norðurland eystra', 'IS-6'): 'Atlantic/Reykjavik',
 ('IS', 'Austurland', 'IS-7'): 'Atlantic/Reykjavik', ('IS', 'Suðurland', 'IS-8'): 'Atlantic/Reykjavik',
 ('IT', 'Cremona', 'IT-CR'): 'Europe/Rome', ('IT', 'Prato', 'IT-PO'): 'Europe/Rome',
 ('IT', 'Cosenza', 'IT-CS'): 'Europe/Rome', ('IT', 'Parma', 'IT-PR'): 'Europe/Rome',
 ('IT', 'Catania', 'IT-CT'): 'Europe/Rome', ('IT', 'Pistoia', 'IT-PT'): 'Europe/Rome',
 ('IT', 'Catanzaro', 'IT-CZ'): 'Europe/Rome', ('IT', 'Pesaro e Urbino', 'IT-PU'): 'Europe/Rome',
 ('IT', 'Enna', 'IT-EN'): 'Europe/Rome', ('IT', 'Pavia', 'IT-PV'): 'Europe/Rome',
 ('IT', 'Forlì-Cesena', 'IT-FC'): 'Europe/Rome', ('IT', 'Potenza', 'IT-PZ'): 'Europe/Rome',
 ('IT', 'Ferrara', 'IT-FE'): 'Europe/Rome', ('IT', 'Ravenna', 'IT-RA'): 'Europe/Rome',
 ('IT', 'Foggia', 'IT-FG'): 'Europe/Rome', ('IT', 'Reggio Calabria', 'IT-RC'): 'Europe/Rome',
 ('IT', 'Firenze', 'IT-FI'): 'Europe/Rome', ('IT', 'Reggio Emilia', 'IT-RE'): 'Europe/Rome',
 ('IT', 'Fermo', 'IT-FM'): 'Europe/Rome', ('IT', 'Ragusa', 'IT-RG'): 'Europe/Zagreb',
 ('IT', 'Frosinone', 'IT-FR'): 'Europe/Rome', ('IT', 'Rieti', 'IT-RI'): 'Europe/Rome',
 ('IT', 'Genova', 'IT-GE'): 'Europe/Rome', ('IT', 'Roma', 'IT-RM'): 'Europe/Rome',
 ('IT', 'Gorizia', 'IT-GO'): 'Europe/Rome', ('IT', 'Rimini', 'IT-RN'): 'Europe/Rome',
 ('IT', 'Grosseto', 'IT-GR'): 'Europe/Rome', ('IT', 'Rovigo', 'IT-RO'): 'Europe/Rome',
 ('IT', 'Imperia', 'IT-IM'): 'Europe/Rome', ('IT', 'Salerno', 'IT-SA'): 'Europe/Rome',
 ('IT', 'Isernia', 'IT-IS'): 'Europe/Rome', ('IT', 'Siena', 'IT-SI'): 'Europe/Rome',
 ('IT', 'Crotone', 'IT-KR'): 'Europe/Rome', ('IT', 'Sondrio', 'IT-SO'): 'Europe/Rome',
 ('IT', 'Lecco', 'IT-LC'): 'Europe/Rome', ('IT', 'La Spezia', 'IT-SP'): 'Europe/Rome',
 ('IT', 'Lecce', 'IT-LE'): 'Europe/Rome', ('IT', 'Siracusa', 'IT-SR'): 'Europe/Rome',
 ('IT', 'Livorno', 'IT-LI'): 'Europe/Rome', ('IT', 'Sassari', 'IT-SS'): 'Europe/Rome',
 ('IT', 'Lodi', 'IT-LO'): 'Europe/Rome', ('IT', 'Sud Sardegna', 'IT-SU'): 'Europe/Rome',
 ('IT', 'Latina', 'IT-LT'): 'Europe/Rome', ('IT', 'Savona', 'IT-SV'): 'Europe/Rome',
 ('IT', 'Lucca', 'IT-LU'): 'Europe/Rome', ('IT', 'Taranto', 'IT-TA'): 'Europe/Rome',
 ('IT', 'Monza e Brianza', 'IT-MB'): 'Europe/Rome', ('IT', 'Teramo', 'IT-TE'): 'Europe/Rome',
 ('IT', 'Macerata', 'IT-MC'): 'Europe/Rome', ('IT', 'Trento', 'IT-TN'): 'Europe/Rome',
 ('IT', 'Messina', 'IT-ME'): 'Europe/Rome', ('IT', 'Torino', 'IT-TO'): 'Europe/Rome',
 ('IT', 'Milano', 'IT-MI'): 'Europe/Rome', ('IT', 'Trapani', 'IT-TP'): 'Europe/Rome',
 ('IT', 'Mantova', 'IT-MN'): 'Europe/Rome', ('IT', 'Terni', 'IT-TR'): 'Europe/Rome',
 ('IT', 'Modena', 'IT-MO'): 'Europe/Rome', ('IT', 'Trieste', 'IT-TS'): 'Europe/Rome',
 ('IT', 'Massa-Carrara', 'IT-MS'): 'Europe/Rome', ('IT', 'Treviso', 'IT-TV'): 'Europe/Rome',
 ('IT', 'Matera', 'IT-MT'): 'Europe/Rome', ('IT', 'Udine', 'IT-UD'): 'Europe/Rome',
 ('IT', 'Napoli', 'IT-NA'): 'Europe/Rome', ('IT', 'Varese', 'IT-VA'): 'Europe/Rome',
 ('IT', 'Novara', 'IT-NO'): 'Europe/Rome', ('IT', 'Verbano-Cusio-Ossola', 'IT-VB'): 'Europe/Rome',
 ('IT', 'Nuoro', 'IT-NU'): 'Europe/Rome', ('IT', 'Vercelli', 'IT-VC'): 'Europe/Rome',
 ('IT', 'Oristano', 'IT-OR'): 'Europe/Rome', ('IT', 'Venezia', 'IT-VE'): 'Europe/Rome',
 ('IT', 'Palermo', 'IT-PA'): 'Europe/Rome', ('IT', 'Vicenza', 'IT-VI'): 'Europe/Rome',
 ('IT', 'Piacenza', 'IT-PC'): 'Europe/Rome', ('IT', 'Verona', 'IT-VR'): 'Europe/Rome',
 ('IT', 'Padova', 'IT-PD'): 'Europe/Rome', ('IT', 'Viterbo', 'IT-VT'): 'Europe/Rome',
 ('IT', 'Pescara', 'IT-PE'): 'Europe/Rome', ('IT', 'Vibo Valentia', 'IT-VV'): 'Europe/Rome',
 ('IT', 'Piemonte', 'IT-21'): 'Europe/Rome', ('IT', 'Perugia', 'IT-PG'): 'Europe/Rome',
 ('IT', "Val d'Aoste", 'IT-23'): 'Europe/Rome', ('IT', 'Pisa', 'IT-PI'): 'Europe/Rome',
 ('IT', 'Lombardia', 'IT-25'): 'Europe/Rome', ('IT', 'Pordenone', 'IT-PN'): 'Europe/Rome',
 ('IT', 'Trentino-Alto Adige', 'IT-32'): 'Europe/Rome', ('IT', 'Veneto', 'IT-34'): 'Europe/Rome',
 ('IT', 'Friuli Venezia Giulia', 'IT-36'): 'Europe/Rome', ('IT', 'Liguria', 'IT-42'): 'Europe/Rome',
 ('IT', 'Emilia-Romagna', 'IT-45'): 'Europe/Rome', ('IT', 'Toscana', 'IT-52'): 'Europe/Rome',
 ('IT', 'Umbria', 'IT-55'): 'Europe/Rome', ('IT', 'Marche', 'IT-57'): 'Europe/Rome',
 ('IT', 'Lazio', 'IT-62'): 'Europe/Rome', ('IT', 'Abruzzo', 'IT-65'): 'Europe/Rome',
 ('IT', 'Molise', 'IT-67'): 'Europe/Rome', ('IT', 'Campania', 'IT-72'): 'Europe/Rome',
 ('IT', 'Puglia', 'IT-75'): 'Europe/Rome', ('IT', 'Basilicata', 'IT-77'): 'Europe/Rome',
 ('IT', 'Calabria', 'IT-78'): 'Europe/Rome', ('IT', 'Sicilia', 'IT-82'): 'Europe/Rome',
 ('IT', 'Sardegna', 'IT-88'): 'Europe/Rome', ('IT', 'Agrigento', 'IT-AG'): 'Europe/Rome',
 ('IT', 'Alessandria', 'IT-AL'): 'Europe/Rome', ('IT', 'Ancona', 'IT-AN'): 'Europe/Rome',
 ('IT', 'Ascoli Piceno', 'IT-AP'): 'Europe/Rome', ('IT', "L'Aquila", 'IT-AQ'): 'Europe/Rome',
 ('IT', 'Arezzo', 'IT-AR'): 'Europe/Rome', ('IT', 'Asti', 'IT-AT'): 'Europe/Rome',
 ('IT', 'Avellino', 'IT-AV'): 'Europe/Rome', ('IT', 'Bari', 'IT-BA'): 'Europe/Rome',
 ('IT', 'Bergamo', 'IT-BG'): 'Europe/Rome', ('IT', 'Biella', 'IT-BI'): 'Europe/Rome',
 ('IT', 'Belluno', 'IT-BL'): 'Europe/Rome', ('IT', 'Benevento', 'IT-BN'): 'Europe/Rome',
 ('IT', 'Bologna', 'IT-BO'): 'Europe/Rome', ('IT', 'Brindisi', 'IT-BR'): 'Europe/Rome',
 ('IT', 'Brescia', 'IT-BS'): 'Europe/Rome', ('IT', 'Barletta-Andria-Trani', 'IT-BT'): 'Europe/Rome',
 ('IT', 'Bolzano', 'IT-BZ'): 'Europe/Rome', ('IT', 'Cagliari', 'IT-CA'): 'Europe/Rome',
 ('IT', 'Campobasso', 'IT-CB'): 'Europe/Rome', ('IT', 'Caserta', 'IT-CE'): 'Europe/Rome',
 ('IT', 'Chieti', 'IT-CH'): 'Europe/Rome', ('IT', 'Caltanissetta', 'IT-CL'): 'Europe/Rome',
 ('IT', 'Cuneo', 'IT-CN'): 'Europe/Rome', ('IT', 'Como', 'IT-CO'): 'Europe/Rome',
 ('JM', 'Saint Catherine', 'JM-14'): 'America/Jamaica', ('JM', 'Hanover', 'JM-09'): 'Europe/Berlin',
 ('JM', 'Portland', 'JM-04'): 'America/Los_Angeles', ('JM', 'Westmoreland', 'JM-10'): 'America/New_York',
 ('JM', 'Saint Mary', 'JM-05'): 'Europe/Paris', ('JM', 'Clarendon', 'JM-13'): 'America/Chicago',
 ('JM', 'Kingston', 'JM-01'): 'America/Jamaica', ('JM', 'Saint Elizabeth', 'JM-11'): 'America/Jamaica',
 ('JM', 'Saint Ann', 'JM-06'): 'America/Jamaica', ('JM', 'Saint Andrew', 'JM-02'): 'America/Jamaica',
 ('JM', 'Manchester', 'JM-12'): 'Europe/London', ('JM', 'Trelawny', 'JM-07'): 'America/Jamaica',
 ('JM', 'Saint Thomas', 'JM-03'): 'Europe/Paris', ('JM', 'Saint James', 'JM-08'): 'America/Chicago',
 ('JO', 'Mādabā', 'JO-MD'): 'Asia/Amman', ('JO', 'Al Balqā’', 'JO-BA'): 'Asia/Amman',
 ('JO', '‘Ajlūn', 'JO-AJ'): 'Asia/Amman', ('JO', 'Ma‘ān', 'JO-MN'): 'Asia/Amman',
 ('JO', 'Irbid', 'JO-IR'): 'Asia/Amman', ('JO', 'Al ‘A̅şimah', 'JO-AM'): 'Asia/Kuwait',
 ('JO', 'Jarash', 'JO-JA'): 'Asia/Kolkata', ('JO', 'Al ‘Aqabah', 'JO-AQ'): 'Asia/Amman',
 ('JO', 'Al Karak', 'JO-KA'): 'Asia/Amman', ('JO', 'Aţ Ţafīlah', 'JO-AT'): 'Asia/Amman',
 ('JO', 'Al Mafraq', 'JO-MA'): 'Asia/Amman', ('JO', 'Az Zarqā’', 'JO-AZ'): 'Asia/Amman',
 ('JP', 'Saga', 'JP-41'): 'Asia/Tokyo', ('JP', 'Nagano', 'JP-20'): 'Asia/Tokyo',
 ('JP', 'Nagasaki', 'JP-42'): 'Asia/Tokyo', ('JP', 'Gifu', 'JP-21'): 'Asia/Tokyo',
 ('JP', 'Hokkaido', 'JP-01'): 'Asia/Tokyo', ('JP', 'Kumamoto', 'JP-43'): 'Asia/Tokyo',
 ('JP', 'Shizuoka', 'JP-22'): 'Asia/Tokyo', ('JP', 'Aomori', 'JP-02'): 'Asia/Tokyo',
 ('JP', 'Oita', 'JP-44'): 'Asia/Tokyo', ('JP', 'Aichi', 'JP-23'): 'Asia/Tokyo', ('JP', 'Iwate', 'JP-03'): 'Asia/Tokyo',
 ('JP', 'Miyazaki', 'JP-45'): 'Asia/Tokyo', ('JP', 'Mie', 'JP-24'): 'Africa/Douala',
 ('JP', 'Miyagi', 'JP-04'): 'Asia/Tokyo', ('JP', 'Kagoshima', 'JP-46'): 'Asia/Tokyo',
 ('JP', 'Shiga', 'JP-25'): 'Asia/Tokyo', ('JP', 'Akita', 'JP-05'): 'Asia/Tokyo',
 ('JP', 'Okinawa', 'JP-47'): 'Asia/Tokyo', ('JP', 'Kyoto', 'JP-26'): 'Asia/Tokyo',
 ('JP', 'Yamagata', 'JP-06'): 'Asia/Tokyo', ('JP', 'Osaka', 'JP-27'): 'Asia/Tokyo',
 ('JP', 'Fukushima', 'JP-07'): 'Asia/Tokyo', ('JP', 'Hyogo', 'JP-28'): 'Asia/Tokyo',
 ('JP', 'Ibaraki', 'JP-08'): 'Asia/Tokyo', ('JP', 'Nara', 'JP-29'): 'Pacific/Nauru',
 ('JP', 'Tochigi', 'JP-09'): 'Asia/Tokyo', ('JP', 'Wakayama', 'JP-30'): 'Asia/Tokyo',
 ('JP', 'Gunma', 'JP-10'): 'Asia/Tokyo', ('JP', 'Tottori', 'JP-31'): 'Asia/Tokyo',
 ('JP', 'Saitama', 'JP-11'): 'Asia/Tokyo', ('JP', 'Shimane', 'JP-32'): 'Asia/Tokyo',
 ('JP', 'Chiba', 'JP-12'): 'Asia/Tokyo', ('JP', 'Okayama', 'JP-33'): 'Asia/Tokyo',
 ('JP', 'Tokyo', 'JP-13'): 'Asia/Tokyo', ('JP', 'Hiroshima', 'JP-34'): 'Asia/Tokyo',
 ('JP', 'Kanagawa', 'JP-14'): 'Asia/Tokyo', ('JP', 'Yamaguchi', 'JP-35'): 'Asia/Tokyo',
 ('JP', 'Niigata', 'JP-15'): 'Asia/Tokyo', ('JP', 'Tokushima', 'JP-36'): 'Asia/Tokyo',
 ('JP', 'Toyama', 'JP-16'): 'Asia/Tokyo', ('JP', 'Kagawa', 'JP-37'): 'Asia/Tokyo',
 ('JP', 'Ishikawa', 'JP-17'): 'Asia/Tokyo', ('JP', 'Ehime', 'JP-38'): 'Asia/Tokyo',
 ('JP', 'Fukui', 'JP-18'): 'Asia/Tokyo', ('JP', 'Kochi', 'JP-39'): 'Asia/Kolkata',
 ('JP', 'Yamanashi', 'JP-19'): 'Asia/Tokyo', ('JP', 'Fukuoka', 'JP-40'): 'Asia/Tokyo',
 ('KZ', 'Shymkent', 'KZ-SHY'): 'Asia/Almaty', ('KZ', "Kostanajskaja oblast'", 'KZ-KUS'): 'Asia/Qostanay',
 ('KZ', 'Almaty', 'KZ-ALA'): 'Asia/Almaty', ('KZ', "Severo-Kazahstanskaja oblast'", 'KZ-SEV'): 'Asia/Almaty',
 ('KZ', 'Shyghys Qazaqstan oblysy', 'KZ-VOS'): 'Asia/Almaty',
 ('KZ', "Kyzylordinskaja oblast'", 'KZ-KZY'): 'Asia/Qyzylorda', ('KZ', "Almatinskaja oblast'", 'KZ-ALM'): 'Asia/Almaty',
 ('KZ', "Turkestankaya oblast'", 'KZ-YUZ'): 'Asia/Almaty', ('KZ', 'Mangghystaū oblysy', 'KZ-MAN'): 'Asia/Aqtau',
 ('KZ', 'Nur-Sultan', 'KZ-AST'): 'Asia/Almaty', ('KZ', 'Batys Qazaqstan oblysy', 'KZ-ZAP'): 'Asia/Oral',
 ('KZ', "Akmolinskaja oblast'", 'KZ-AKM'): 'Asia/Almaty', ('KZ', 'Pavlodar oblysy', 'KZ-PAV'): 'Asia/Almaty',
 ('KZ', "Atyrauskaja oblast'", 'KZ-ATY'): 'Asia/Atyrau', ('KZ', 'Zhambyl oblysy', 'KZ-ZHA'): 'Asia/Almaty',
 ('KZ', "Aktjubinskaja oblast'", 'KZ-AKT'): 'Asia/Aqtobe', ('KZ', "Karagandinskaja oblast'", 'KZ-KAR'): 'Asia/Almaty',
 ('KE', 'Nyeri', 'KE-36'): 'Africa/Nairobi', ('KE', 'Kirinyaga', 'KE-15'): 'Africa/Nairobi',
 ('KE', 'Samburu', 'KE-37'): 'Africa/Nairobi', ('KE', 'Kisii', 'KE-16'): 'Africa/Nairobi',
 ('KE', 'Siaya', 'KE-38'): 'Africa/Nairobi', ('KE', 'Kisumu', 'KE-17'): 'Africa/Nairobi',
 ('KE', 'Taita/Taveta', 'KE-39'): 'Africa/Nairobi', ('KE', 'Kitui', 'KE-18'): 'Africa/Nairobi',
 ('KE', 'Tana River', 'KE-40'): 'Africa/Nairobi', ('KE', 'Kwale', 'KE-19'): 'Africa/Nairobi',
 ('KE', 'Tharaka-Nithi', 'KE-41'): 'Africa/Nairobi', ('KE', 'Laikipia', 'KE-20'): 'Africa/Nairobi',
 ('KE', 'Trans Nzoia', 'KE-42'): 'Africa/Nairobi', ('KE', 'Lamu', 'KE-21'): 'Africa/Nairobi',
 ('KE', 'Baringo', 'KE-01'): 'Africa/Nairobi', ('KE', 'Turkana', 'KE-43'): 'Africa/Nairobi',
 ('KE', 'Machakos', 'KE-22'): 'Africa/Nairobi', ('KE', 'Bomet', 'KE-02'): 'Africa/Nairobi',
 ('KE', 'Uasin Gishu', 'KE-44'): 'Africa/Nairobi', ('KE', 'Makueni', 'KE-23'): 'Africa/Nairobi',
 ('KE', 'Bungoma', 'KE-03'): 'Africa/Nairobi', ('KE', 'Vihiga', 'KE-45'): 'Africa/Nairobi',
 ('KE', 'Mandera', 'KE-24'): 'Africa/Nairobi', ('KE', 'Busia', 'KE-04'): 'Africa/Kampala',
 ('KE', 'Wajir', 'KE-46'): 'Africa/Nairobi', ('KE', 'Marsabit', 'KE-25'): 'Africa/Nairobi',
 ('KE', 'Elgeyo/Marakwet', 'KE-05'): 'Africa/Nairobi', ('KE', 'West Pokot', 'KE-47'): 'Africa/Nairobi',
 ('KE', 'Meru', 'KE-26'): 'Africa/Dar_es_Salaam', ('KE', 'Embu', 'KE-06'): 'America/Sao_Paulo',
 ('KE', 'Migori', 'KE-27'): 'Africa/Nairobi', ('KE', 'Garissa', 'KE-07'): 'Africa/Nairobi',
 ('KE', 'Mombasa', 'KE-28'): 'Africa/Nairobi', ('KE', 'Homa Bay', 'KE-08'): 'Africa/Nairobi',
 ('KE', "Murang'a", 'KE-29'): 'Africa/Nairobi', ('KE', 'Isiolo', 'KE-09'): 'Africa/Nairobi',
 ('KE', 'Nairobi City', 'KE-30'): 'Africa/Nairobi', ('KE', 'Kajiado', 'KE-10'): 'Africa/Nairobi',
 ('KE', 'Nakuru', 'KE-31'): 'Africa/Nairobi', ('KE', 'Kakamega', 'KE-11'): 'Africa/Nairobi',
 ('KE', 'Nandi', 'KE-32'): 'Africa/Nairobi', ('KE', 'Kericho', 'KE-12'): 'Africa/Nairobi',
 ('KE', 'Narok', 'KE-33'): 'Africa/Nairobi', ('KE', 'Kiambu', 'KE-13'): 'Africa/Nairobi',
 ('KE', 'Nyamira', 'KE-34'): 'Africa/Nairobi', ('KE', 'Kilifi', 'KE-14'): 'Africa/Nairobi',
 ('KE', 'Nyandarua', 'KE-35'): 'Africa/Nairobi', ('KG', "Dzhalal-Abadskaya oblast'", 'KG-J'): 'Asia/Bishkek',
 ('KG', 'Naryn', 'KG-N'): 'Asia/Bishkek', ('KG', 'Batken', 'KG-B'): 'Asia/Bishkek',
 ('KG', 'Osh', 'KG-O'): 'Asia/Bishkek', ('KG', "Chuyskaya oblast'", 'KG-C'): 'Asia/Bishkek',
 ('KG', 'Talas', 'KG-T'): 'Asia/Bishkek', ('KG', 'Bishkek Shaary', 'KG-GB'): 'Asia/Bishkek',
 ('KG', "Issyk-Kul'skaja oblast'", 'KG-Y'): 'Asia/Bishkek', ('KG', 'Gorod Osh', 'KG-GO'): 'Asia/Bishkek',
 ('KH', 'Kampong Thum', 'KH-6'): 'Asia/Phnom_Penh', ('KH', 'Banteay Mean Choăy', 'KH-1'): 'Asia/Phnom_Penh',
 ('KH', 'Kampot', 'KH-7'): 'Asia/Phnom_Penh', ('KH', 'Kracheh', 'KH-10'): 'Asia/Phnom_Penh',
 ('KH', 'Kandaal', 'KH-8'): 'Asia/Kolkata', ('KH', 'Mondol Kiri', 'KH-11'): 'Asia/Phnom_Penh',
 ('KH', 'Kaoh Kong', 'KH-9'): 'Asia/Phnom_Penh', ('KH', 'Phnom Penh', 'KH-12'): 'Asia/Phnom_Penh',
 ('KH', 'Preah Vihear', 'KH-13'): 'Asia/Phnom_Penh', ('KH', 'Prey Veaeng', 'KH-14'): 'Asia/Phnom_Penh',
 ('KH', 'Pousaat', 'KH-15'): 'Asia/Phnom_Penh', ('KH', 'Rotanak Kiri', 'KH-16'): 'Asia/Phnom_Penh',
 ('KH', 'Siem Reab', 'KH-17'): 'Asia/Phnom_Penh', ('KH', 'Preah Sihanouk', 'KH-18'): 'Asia/Phnom_Penh',
 ('KH', 'Stoĕng Trêng', 'KH-19'): 'Asia/Phnom_Penh', ('KH', 'Baat Dambang', 'KH-2'): 'Asia/Phnom_Penh',
 ('KH', 'Svaay Rieng', 'KH-20'): 'Asia/Phnom_Penh', ('KH', 'Taakaev', 'KH-25'): 'Asia/Phnom_Penh',
 ('KH', 'Otdar Mean Chey', 'KH-22'): 'Asia/Phnom_Penh', ('KH', 'Kaeb', 'KH-23'): 'Europe/Berlin',
 ('KH', 'Pailin', 'KH-24'): 'Asia/Phnom_Penh', ('KH', 'Tbong Khmum', 'KH-25'): 'Asia/Phnom_Penh',
 ('KH', 'Kampong Chaam', 'KH-3'): 'Asia/Phnom_Penh', ('KH', 'Kampong Chhnang', 'KH-4'): 'Asia/Phnom_Penh',
 ('KH', 'Kampong Spueu', 'KH-5'): 'Asia/Phnom_Penh', ('KI', 'Line Islands', 'KI-L'): 'Pacific/Kiritimati',
 ('KI', 'Gilbert Islands', 'KI-G'): 'Pacific/Tarawa', ('KI', 'Phoenix Islands', 'KI-P'): 'Pacific/Kanton',
 ('KN', 'Saint John Figtree', 'KN-07'): 'America/St_Kitts',
 ('KN', 'Saint Anne Sandy Point', 'KN-02'): 'America/St_Kitts',
 ('KN', 'Saint Thomas Lowland', 'KN-12'): 'America/St_Kitts', ('KN', 'Nevis', 'KN-N'): 'America/St_Kitts',
 ('KN', 'Saint Mary Cayon', 'KN-08'): 'America/St_Kitts',
 ('KN', 'Saint George Basseterre', 'KN-03'): 'America/St_Kitts',
 ('KN', 'Saint Thomas Middle Island', 'KN-13'): 'America/St_Kitts',
 ('KN', 'Saint Paul Capisterre', 'KN-09'): 'America/St_Kitts',
 ('KN', 'Saint George Gingerland', 'KN-04'): 'America/St_Kitts',
 ('KN', 'Trinity Palmetto Point', 'KN-15'): 'America/St_Kitts',
 ('KN', 'Saint Paul Charlestown', 'KN-10'): 'America/St_Kitts',
 ('KN', 'Saint James Windward', 'KN-05'): 'America/St_Kitts', ('KN', 'Saint Kitts', 'KN-K'): 'America/St_Kitts',
 ('KN', 'Saint Peter Basseterre', 'KN-11'): 'America/St_Kitts',
 ('KN', 'Saint John Capisterre', 'KN-06'): 'America/St_Kitts',
 ('KN', 'Christ Church Nichola Town', 'KN-01'): 'America/St_Kitts', ('KR', 'Chungcheongbuk-do', 'KR-43'): 'Asia/Seoul',
 ('KR', 'Gwangju-gwangyeoksi', 'KR-29'): 'Asia/Seoul', ('KR', 'Jeju-teukbyeoljachido', 'KR-49'): 'Asia/Seoul',
 ('KR', 'Chungcheongnam-do', 'KR-44'): 'Asia/Seoul', ('KR', 'Daejeon-gwangyeoksi', 'KR-30'): 'Asia/Seoul',
 ('KR', 'Seoul-teukbyeolsi', 'KR-11'): 'Asia/Seoul', ('KR', 'Sejong', 'KR-50'): 'Asia/Seoul',
 ('KR', 'Jeollabuk-do', 'KR-45'): 'Asia/Seoul', ('KR', 'Ulsan-gwangyeoksi', 'KR-31'): 'Asia/Seoul',
 ('KR', 'Busan-gwangyeoksi', 'KR-26'): 'Asia/Seoul', ('KR', 'Jeollanam-do', 'KR-46'): 'Asia/Seoul',
 ('KR', 'Gyeonggi-do', 'KR-41'): 'Asia/Seoul', ('KR', 'Daegu-gwangyeoksi', 'KR-27'): 'Asia/Seoul',
 ('KR', 'Gyeongsangbuk-do', 'KR-47'): 'Asia/Seoul', ('KR', 'Gangwon-do', 'KR-42'): 'Asia/Seoul',
 ('KR', 'Incheon-gwangyeoksi', 'KR-28'): 'Asia/Seoul', ('KR', 'Gyeongsangnam-do', 'KR-48'): 'Asia/Seoul',
 ('KW', 'Al Jahrā’', 'KW-JA'): 'Asia/Kuwait', ('KW', 'Al ‘Āşimah', 'KW-KU'): 'Asia/Amman',
 ('KW', 'Mubārak al Kabīr', 'KW-MU'): 'Asia/Kuwait', ('KW', 'Al Aḩmadī', 'KW-AH'): 'Asia/Kuwait',
 ('KW', 'Al Farwānīyah', 'KW-FA'): 'Asia/Kuwait', ('KW', 'Ḩawallī', 'KW-HA'): 'Asia/Kuwait',
 ('LA', 'Savannakhét', 'LA-SV'): 'Asia/Vientiane', ('LA', 'Louang Namtha', 'LA-LM'): 'Asia/Vientiane',
 ('LA', 'Bokèo', 'LA-BK'): 'Asia/Vientiane', ('LA', 'Xaisômboun', 'LA-XS'): 'Asia/Vientiane',
 ('LA', 'Viangchan', 'LA-VI'): 'Asia/Vientiane', ('LA', 'Louangphabang', 'LA-LP'): 'Asia/Vientiane',
 ('LA', 'Bolikhamxai', 'LA-BL'): 'Asia/Vientiane', ('LA', 'Viangchan', 'LA-VT'): 'Asia/Vientiane',
 ('LA', 'Oudômxai', 'LA-OU'): 'Asia/Vientiane', ('LA', 'Champasak', 'LA-CH'): 'Asia/Vientiane',
 ('LA', 'Xaignabouli', 'LA-XA'): 'Asia/Vientiane', ('LA', 'Phôngsali', 'LA-PH'): 'Asia/Vientiane',
 ('LA', 'Houaphan', 'LA-HO'): 'Asia/Vientiane', ('LA', 'Xiangkhouang', 'LA-XI'): 'Asia/Vientiane',
 ('LA', 'Xékong', 'LA-XE'): 'Asia/Vientiane', ('LA', 'Salavan', 'LA-SL'): 'Asia/Vientiane',
 ('LA', 'Khammouan', 'LA-KH'): 'Asia/Vientiane', ('LA', 'Attapu', 'LA-AT'): 'Asia/Vientiane',
 ('LB', 'Al Biqā‘', 'LB-BI'): 'Asia/Riyadh', ('LB', 'Al Janūb', 'LB-JA'): 'Asia/Jerusalem',
 ('LB', 'Aakkâr', 'LB-AK'): 'Asia/Beirut', ('LB', 'Jabal Lubnān', 'LB-JL'): 'Asia/Beirut',
 ('LB', 'Ash Shimāl', 'LB-AS'): 'Asia/Aden', ('LB', 'An Nabaţīyah', 'LB-NA'): 'Asia/Beirut',
 ('LB', 'Bayrūt', 'LB-BA'): 'Asia/Beirut', ('LB', 'Baalbek-Hermel', 'LB-BH'): 'Asia/Beirut',
 ('LR', 'Sinoe', 'LR-SI'): 'Africa/Monrovia', ('LR', 'Grand Kru', 'LR-GK'): 'Africa/Monrovia',
 ('LR', 'Grand Gedeh', 'LR-GG'): 'Africa/Monrovia', ('LR', 'Gbarpolu', 'LR-GP'): 'Africa/Monrovia',
 ('LR', 'River Cess', 'LR-RI'): 'Africa/Monrovia', ('LR', 'Bong', 'LR-BG'): 'Africa/Monrovia',
 ('LR', 'Montserrado', 'LR-MO'): 'Africa/Monrovia', ('LR', 'River Gee', 'LR-RG'): 'Africa/Monrovia',
 ('LR', 'Bomi', 'LR-BM'): 'Asia/Shanghai', ('LR', 'Lofa', 'LR-LO'): 'Africa/Monrovia',
 ('LR', 'Grand Cape Mount', 'LR-CM'): 'Africa/Monrovia', ('LR', 'Margibi', 'LR-MG'): 'Africa/Monrovia',
 ('LR', 'Maryland', 'LR-MY'): 'America/New_York', ('LR', 'Grand Bassa', 'LR-GB'): 'Africa/Monrovia',
 ('LR', 'Nimba', 'LR-NI'): 'Africa/Monrovia', ('LY', 'Al Jabal al Akhḑar', 'LY-JA'): 'Africa/Tripoli',
 ('LY', 'Al Jabal al Gharbī', 'LY-JG'): 'Africa/Tripoli', ('LY', 'Al Jafārah', 'LY-JI'): 'Africa/Tripoli',
 ('LY', 'Al Jufrah', 'LY-JU'): 'Africa/Tripoli', ('LY', 'Al Kufrah', 'LY-KF'): 'Africa/Tripoli',
 ('LY', 'Al Marqab', 'LY-MB'): 'Africa/Tripoli', ('LY', 'Mişrātah', 'LY-MI'): 'Africa/Tripoli',
 ('LY', 'Al Marj', 'LY-MJ'): 'Africa/Tripoli', ('LY', 'Murzuq', 'LY-MQ'): 'Africa/Tripoli',
 ('LY', 'Nālūt', 'LY-NL'): 'Africa/Tripoli', ('LY', 'An Nuqāţ al Khams', 'LY-NQ'): 'Africa/Tripoli',
 ('LY', 'Sabhā', 'LY-SB'): 'Africa/Tripoli', ('LY', 'Surt', 'LY-SR'): 'Africa/Tripoli',
 ('LY', 'Ţarābulus', 'LY-TB'): 'Africa/Tripoli', ('LY', 'Al Wāḩāt', 'LY-WA'): 'Africa/Tripoli',
 ('LY', 'Wādī al Ḩayāt', 'LY-WD'): 'Africa/Tripoli', ('LY', 'Wādī ash Shāţi’', 'LY-WS'): 'Africa/Tripoli',
 ('LY', 'Az Zāwiyah', 'LY-ZA'): 'Africa/Tripoli', ('LY', 'Banghāzī', 'LY-BA'): 'Asia/Amman',
 ('LY', 'Al Buţnān', 'LY-BU'): 'Africa/Tripoli', ('LY', 'Darnah', 'LY-DR'): 'Africa/Tripoli',
 ('LY', 'Ghāt', 'LY-GT'): 'Asia/Kolkata', ('LC', 'Micoud', 'LC-08'): 'America/St_Lucia',
 ('LC', 'Castries', 'LC-02'): 'Europe/Paris', ('LC', 'Soufrière', 'LC-10'): 'America/St_Lucia',
 ('LC', 'Choiseul', 'LC-03'): 'Europe/Paris', ('LC', 'Vieux Fort', 'LC-11'): 'America/Guadeloupe',
 ('LC', 'Dennery', 'LC-05'): 'America/St_Lucia', ('LC', 'Canaries', 'LC-12'): 'Atlantic/Canary',
 ('LC', 'Gros Islet', 'LC-06'): 'America/St_Lucia', ('LC', 'Anse la Raye', 'LC-01'): 'America/St_Lucia',
 ('LC', 'Laborie', 'LC-07'): 'America/St_Lucia', ('LI', 'Eschen', 'LI-02'): 'Europe/Paris',
 ('LI', 'Schellenberg', 'LI-08'): 'Europe/Vaduz', ('LI', 'Gamprin', 'LI-03'): 'Europe/Vaduz',
 ('LI', 'Triesen', 'LI-09'): 'Europe/Vaduz', ('LI', 'Mauren', 'LI-04'): 'Europe/Vaduz',
 ('LI', 'Triesenberg', 'LI-10'): 'Europe/Vaduz', ('LI', 'Planken', 'LI-05'): 'Europe/Vaduz',
 ('LI', 'Vaduz', 'LI-11'): 'Europe/Vaduz', ('LI', 'Ruggell', 'LI-06'): 'Europe/Vaduz',
 ('LI', 'Balzers', 'LI-01'): 'Europe/Vaduz', ('LI', 'Schaan', 'LI-07'): 'Europe/Vaduz',
 ('LK', 'Colombo', 'LK-11'): 'Asia/Colombo', ('LK', 'North Western Province', 'LK-6'): 'Africa/Lusaka',
 ('LK', 'Gampaha', 'LK-12'): 'Asia/Colombo', ('LK', 'Kurunegala', 'LK-61'): 'Asia/Colombo',
 ('LK', 'Kalutara', 'LK-13'): 'Asia/Colombo', ('LK', 'Puttalam', 'LK-62'): 'Asia/Colombo',
 ('LK', 'Central Province', 'LK-2'): 'Africa/Lusaka', ('LK', 'North Central Province', 'LK-7'): 'Asia/Colombo',
 ('LK', 'Kandy', 'LK-21'): 'Asia/Colombo', ('LK', 'Anuradhapura', 'LK-71'): 'Asia/Colombo',
 ('LK', 'Matale', 'LK-22'): 'Asia/Colombo', ('LK', 'Polonnaruwa', 'LK-72'): 'Asia/Colombo',
 ('LK', 'Nuwara Eliya', 'LK-23'): 'Asia/Colombo', ('LK', 'Uva Province', 'LK-8'): 'Asia/Colombo',
 ('LK', 'Southern Province', 'LK-3'): 'Africa/Lusaka', ('LK', 'Badulla', 'LK-81'): 'Asia/Colombo',
 ('LK', 'Galle', 'LK-31'): 'Asia/Colombo', ('LK', 'Monaragala', 'LK-82'): 'Asia/Colombo',
 ('LK', 'Matara', 'LK-32'): 'Asia/Colombo', ('LK', 'Sabaragamuwa Province', 'LK-9'): 'Asia/Colombo',
 ('LK', 'Hambantota', 'LK-33'): 'Asia/Colombo', ('LK', 'Ratnapura', 'LK-91'): 'Asia/Colombo',
 ('LK', 'Northern Province', 'LK-4'): 'Africa/Lusaka', ('LK', 'Kegalla', 'LK-92'): 'Asia/Colombo',
 ('LK', 'Jaffna', 'LK-41'): 'Asia/Colombo', ('LK', 'Kilinochchi', 'LK-42'): 'Asia/Colombo',
 ('LK', 'Mannar', 'LK-43'): 'Etc/GMT-5', ('LK', 'Vavuniya', 'LK-44'): 'Asia/Colombo',
 ('LK', 'Mullaittivu', 'LK-45'): 'Asia/Colombo', ('LK', 'Eastern Province', 'LK-5'): 'Asia/Colombo',
 ('LK', 'Batticaloa', 'LK-51'): 'Asia/Colombo', ('LK', 'Ampara', 'LK-52'): 'Asia/Colombo',
 ('LK', 'Trincomalee', 'LK-53'): 'Asia/Colombo', ('LK', 'Western Province', 'LK-1'): 'Africa/Lusaka',
 ('LS', "Mohale's Hoek", 'LS-F'): 'Africa/Maseru', ('LS', 'Maseru', 'LS-A'): 'Africa/Maseru',
 ('LS', 'Quthing', 'LS-G'): 'Africa/Maseru', ('LS', 'Leribe', 'LS-C'): 'Africa/Maseru',
 ('LS', "Qacha's Nek", 'LS-H'): 'Africa/Maseru', ('LS', 'Thaba-Tseka', 'LS-K'): 'Africa/Maseru',
 ('LS', 'Mokhotlong', 'LS-J'): 'Africa/Maseru', ('LS', 'Berea', 'LS-D'): 'Africa/Maseru',
 ('LS', 'Botha-Bothe', 'LS-B'): 'Africa/Maseru', ('LS', 'Mafeteng', 'LS-E'): 'Africa/Maseru',
 ('LT', 'Raseiniai', 'LT-38'): 'Europe/Vilnius', ('LT', 'Kazlų Rūdos', 'LT-17'): 'Europe/Vilnius',
 ('LT', 'Visaginas', 'LT-59'): 'Europe/Vilnius', ('LT', 'Rietavo', 'LT-39'): 'Europe/Vilnius',
 ('LT', 'Kėdainiai', 'LT-18'): 'Europe/Vilnius', ('LT', 'Zarasai', 'LT-60'): 'Europe/Vilnius',
 ('LT', 'Rokiškis', 'LT-40'): 'Europe/Vilnius', ('LT', 'Kelmė', 'LT-19'): 'Europe/Vilnius',
 ('LT', 'Alytaus apskritis', 'LT-AL'): 'Europe/Vilnius', ('LT', 'Šakiai', 'LT-41'): 'Europe/Vilnius',
 ('LT', 'Klaipėdos miestas', 'LT-20'): 'Europe/Vilnius', ('LT', 'Klaipėdos apskritis', 'LT-KL'): 'Europe/Vilnius',
 ('LT', 'Šalčininkai', 'LT-42'): 'Europe/Vilnius', ('LT', 'Klaipėda', 'LT-21'): 'Europe/Vilnius',
 ('LT', 'Kauno apskritis', 'LT-KU'): 'Europe/Vilnius', ('LT', 'Akmenė', 'LT-01'): 'Europe/Vilnius',
 ('LT', 'Šiaulių miestas', 'LT-43'): 'Europe/Vilnius', ('LT', 'Kretinga', 'LT-22'): 'Europe/Vilnius',
 ('LT', 'Vilniaus miestas', 'LT-57'): 'Europe/Vilnius', ('LT', 'Marijampolės apskritis', 'LT-MR'): 'Europe/Vilnius',
 ('LT', 'Alytaus miestas', 'LT-02'): 'Europe/Vilnius', ('LT', 'Šiauliai', 'LT-44'): 'Europe/Vilnius',
 ('LT', 'Kupiškis', 'LT-23'): 'Europe/Vilnius', ('LT', 'Panevėžio apskritis', 'LT-PN'): 'Europe/Vilnius',
 ('LT', 'Alytus', 'LT-03'): 'Europe/Vilnius', ('LT', 'Šilalė', 'LT-45'): 'Europe/Vilnius',
 ('LT', 'Lazdijai', 'LT-24'): 'Europe/Vilnius', ('LT', 'Šiaulių apskritis', 'LT-SA'): 'Europe/Vilnius',
 ('LT', 'Anykščiai', 'LT-04'): 'Europe/Vilnius', ('LT', 'Šilutė', 'LT-46'): 'Europe/Vilnius',
 ('LT', 'Marijampolė', 'LT-25'): 'Europe/Vilnius', ('LT', 'Tauragės apskritis', 'LT-TA'): 'Europe/Vilnius',
 ('LT', 'Birštono', 'LT-05'): 'Europe/Vilnius', ('LT', 'Širvintos', 'LT-47'): 'Europe/Vilnius',
 ('LT', 'Mažeikiai', 'LT-26'): 'Europe/Vilnius', ('LT', 'Telšių apskritis', 'LT-TE'): 'Europe/Vilnius',
 ('LT', 'Biržai', 'LT-06'): 'Europe/Vilnius', ('LT', 'Skuodas', 'LT-48'): 'Europe/Vilnius',
 ('LT', 'Molėtai', 'LT-27'): 'Europe/Vilnius', ('LT', 'Vilnius', 'LT-58'): 'Europe/Vilnius',
 ('LT', 'Utenos apskritis', 'LT-UT'): 'Europe/Vilnius', ('LT', 'Druskininkai', 'LT-07'): 'Europe/Vilnius',
 ('LT', 'Švenčionys', 'LT-49'): 'Europe/Vilnius', ('LT', 'Neringa', 'LT-28'): 'Europe/Vilnius',
 ('LT', 'Vilniaus apskritis', 'LT-VL'): 'Europe/Vilnius', ('LT', 'Elektrėnai', 'LT-08'): 'Europe/Vilnius',
 ('LT', 'Tauragė', 'LT-50'): 'Europe/Vilnius', ('LT', 'Pagėgiai', 'LT-29'): 'Europe/Vilnius',
 ('LT', 'Ignalina', 'LT-09'): 'Europe/Vilnius', ('LT', 'Telšiai', 'LT-51'): 'Europe/Vilnius',
 ('LT', 'Pakruojis', 'LT-30'): 'Europe/Vilnius', ('LT', 'Jonava', 'LT-10'): 'Europe/Vilnius',
 ('LT', 'Trakai', 'LT-52'): 'Europe/Vilnius', ('LT', 'Palangos miestas', 'LT-31'): 'Europe/Vilnius',
 ('LT', 'Joniškis', 'LT-11'): 'Europe/Vilnius', ('LT', 'Ukmergė', 'LT-53'): 'Europe/Vilnius',
 ('LT', 'Panevėžio miestas', 'LT-32'): 'Europe/Vilnius', ('LT', 'Jurbarkas', 'LT-12'): 'Europe/Vilnius',
 ('LT', 'Utena', 'LT-54'): 'Europe/Vilnius', ('LT', 'Panevėžys', 'LT-33'): 'Europe/Vilnius',
 ('LT', 'Kaišiadorys', 'LT-13'): 'Europe/Vilnius', ('LT', 'Varėna', 'LT-55'): 'Europe/Vilnius',
 ('LT', 'Pasvalys', 'LT-34'): 'Europe/Vilnius', ('LT', 'Kalvarijos', 'LT-14'): 'Europe/Vilnius',
 ('LT', 'Vilkaviškis', 'LT-56'): 'Europe/Vilnius', ('LT', 'Plungė', 'LT-35'): 'Europe/Vilnius',
 ('LT', 'Kauno miestas', 'LT-15'): 'Europe/Vilnius', ('LT', 'Prienai', 'LT-36'): 'Europe/Vilnius',
 ('LT', 'Kaunas', 'LT-16'): 'Europe/Vilnius', ('LT', 'Radviliškis', 'LT-37'): 'Europe/Vilnius',
 ('LU', 'Echternach', 'LU-EC'): 'Europe/Luxembourg', ('LU', 'Remich', 'LU-RM'): 'Europe/Luxembourg',
 ('LU', 'Esch an der Alzette', 'LU-ES'): 'Europe/Luxembourg', ('LU', 'Veianen', 'LU-VD'): 'Europe/Luxembourg',
 ('LU', 'Grevenmacher', 'LU-GR'): 'Europe/Luxembourg', ('LU', 'Capellen', 'LU-CA'): 'Europe/Luxembourg',
 ('LU', 'Wiltz', 'LU-WI'): 'Europe/Luxembourg', ('LU', 'Luxembourg', 'LU-LU'): 'Europe/Luxembourg',
 ('LU', 'Clerf', 'LU-CL'): 'Europe/Luxembourg', ('LU', 'Mersch', 'LU-ME'): 'Europe/Luxembourg',
 ('LU', 'Diekirch', 'LU-DI'): 'Europe/Luxembourg', ('LU', 'Redange', 'LU-RD'): 'Europe/Luxembourg',
 ('LV', 'Burtnieku novads', 'LV-019'): 'Europe/Riga', ('LV', 'Vārkavas novads', 'LV-103'): 'Europe/Riga',
 ('LV', 'Carnikavas novads', 'LV-020'): 'Europe/Riga', ('LV', 'Vecpiebalgas novads', 'LV-104'): 'Europe/Riga',
 ('LV', 'Cesvaines novads', 'LV-021'): 'Europe/Riga', ('LV', 'Vecumnieku novads', 'LV-105'): 'Europe/Riga',
 ('LV', 'Cēsu novads', 'LV-022'): 'Europe/Riga', ('LV', 'Ventspils novads', 'LV-106'): 'Europe/Riga',
 ('LV', 'Ciblas novads', 'LV-023'): 'Europe/Riga', ('LV', 'Viesītes novads', 'LV-107'): 'Europe/Riga',
 ('LV', 'Dagdas novads', 'LV-024'): 'Europe/Riga', ('LV', 'Viļakas novads', 'LV-108'): 'Europe/Riga',
 ('LV', 'Daugavpils novads', 'LV-025'): 'Europe/Riga', ('LV', 'Viļānu novads', 'LV-109'): 'Europe/Riga',
 ('LV', 'Dobeles novads', 'LV-026'): 'Europe/Riga', ('LV', 'Zilupes novads', 'LV-110'): 'Europe/Riga',
 ('LV', 'Dundagas novads', 'LV-027'): 'Europe/Riga', ('LV', 'Daugavpils', 'LV-DGV'): 'Europe/Riga',
 ('LV', 'Durbes novads', 'LV-028'): 'Europe/Riga', ('LV', 'Jelgava', 'LV-JEL'): 'Europe/Riga',
 ('LV', 'Engures novads', 'LV-029'): 'Europe/Riga', ('LV', 'Jēkabpils', 'LV-JKB'): 'Europe/Riga',
 ('LV', 'Ērgļu novads', 'LV-030'): 'Europe/Riga', ('LV', 'Jūrmala', 'LV-JUR'): 'Europe/Riga',
 ('LV', 'Garkalnes novads', 'LV-031'): 'Europe/Riga', ('LV', 'Liepāja', 'LV-LPX'): 'Europe/Riga',
 ('LV', 'Grobiņas novads', 'LV-032'): 'Europe/Riga', ('LV', 'Rēzekne', 'LV-REZ'): 'Europe/Riga',
 ('LV', 'Gulbenes novads', 'LV-033'): 'Europe/Riga', ('LV', 'Rīga', 'LV-RIX'): 'Europe/Riga',
 ('LV', 'Iecavas novads', 'LV-034'): 'Europe/Riga', ('LV', 'Ventspils', 'LV-VEN'): 'Europe/Riga',
 ('LV', 'Ikšķiles novads', 'LV-035'): 'Europe/Riga', ('LV', 'Valmiera', 'LV-VMR'): 'Europe/Riga',
 ('LV', 'Ilūkstes novads', 'LV-036'): 'Europe/Riga', ('LV', 'Inčukalna novads', 'LV-037'): 'Europe/Riga',
 ('LV', 'Jaunjelgavas novads', 'LV-038'): 'Europe/Riga', ('LV', 'Jaunpiebalgas novads', 'LV-039'): 'Europe/Riga',
 ('LV', 'Jaunpils novads', 'LV-040'): 'Europe/Riga', ('LV', 'Jelgavas novads', 'LV-041'): 'Europe/Riga',
 ('LV', 'Jēkabpils novads', 'LV-042'): 'Europe/Riga', ('LV', 'Aglonas novads', 'LV-001'): 'Europe/Riga',
 ('LV', 'Kandavas novads', 'LV-043'): 'Europe/Riga', ('LV', 'Aizkraukles novads', 'LV-002'): 'Europe/Riga',
 ('LV', 'Kārsavas novads', 'LV-044'): 'Europe/Riga', ('LV', 'Aizputes novads', 'LV-003'): 'Europe/Riga',
 ('LV', 'Kocēnu novads', 'LV-045'): 'Europe/Riga', ('LV', 'Aknīstes novads', 'LV-004'): 'Europe/Riga',
 ('LV', 'Kokneses novads', 'LV-046'): 'Europe/Riga', ('LV', 'Alojas novads', 'LV-005'): 'Europe/Riga',
 ('LV', 'Krāslavas novads', 'LV-047'): 'Europe/Riga', ('LV', 'Alsungas novads', 'LV-006'): 'Europe/Riga',
 ('LV', 'Krimuldas novads', 'LV-048'): 'Europe/Riga', ('LV', 'Alūksnes novads', 'LV-007'): 'Europe/Riga',
 ('LV', 'Krustpils novads', 'LV-049'): 'Europe/Riga', ('LV', 'Amatas novads', 'LV-008'): 'Europe/Riga',
 ('LV', 'Kuldīgas novads', 'LV-050'): 'Europe/Riga', ('LV', 'Apes novads', 'LV-009'): 'Europe/Riga',
 ('LV', 'Ķeguma novads', 'LV-051'): 'Europe/Riga', ('LV', 'Auces novads', 'LV-010'): 'Europe/Riga',
 ('LV', 'Ķekavas novads', 'LV-052'): 'Europe/Riga', ('LV', 'Ādažu novads', 'LV-011'): 'Europe/Riga',
 ('LV', 'Lielvārdes novads', 'LV-053'): 'Europe/Riga', ('LV', 'Babītes novads', 'LV-012'): 'Europe/Riga',
 ('LV', 'Limbažu novads', 'LV-054'): 'Europe/Riga', ('LV', 'Baldones novads', 'LV-013'): 'Europe/Riga',
 ('LV', 'Līgatnes novads', 'LV-055'): 'Europe/Riga', ('LV', 'Baltinavas novads', 'LV-014'): 'Europe/Riga',
 ('LV', 'Līvānu novads', 'LV-056'): 'Europe/Riga', ('LV', 'Balvu novads', 'LV-015'): 'Europe/Riga',
 ('LV', 'Lubānas novads', 'LV-057'): 'Europe/Riga', ('LV', 'Bauskas novads', 'LV-016'): 'Europe/Riga',
 ('LV', 'Ludzas novads', 'LV-058'): 'Europe/Riga', ('LV', 'Madonas novads', 'LV-059'): 'Europe/Riga',
 ('LV', 'Beverīnas novads', 'LV-017'): 'Europe/Riga', ('LV', 'Mazsalacas novads', 'LV-060'): 'Europe/Riga',
 ('LV', 'Brocēnu novads', 'LV-018'): 'Europe/Riga', ('LV', 'Mālpils novads', 'LV-061'): 'Europe/Riga',
 ('LV', 'Mārupes novads', 'LV-062'): 'Europe/Riga', ('LV', 'Mērsraga novads', 'LV-063'): 'Europe/Riga',
 ('LV', 'Naukšēnu novads', 'LV-064'): 'Europe/Riga', ('LV', 'Neretas novads', 'LV-065'): 'Europe/Riga',
 ('LV', 'Nīcas novads', 'LV-066'): 'Europe/Riga', ('LV', 'Ogres novads', 'LV-067'): 'Europe/Riga',
 ('LV', 'Olaines novads', 'LV-068'): 'Europe/Riga', ('LV', 'Ozolnieku novads', 'LV-069'): 'Europe/Riga',
 ('LV', 'Pārgaujas novads', 'LV-070'): 'Europe/Riga', ('LV', 'Pāvilostas novads', 'LV-071'): 'Europe/Riga',
 ('LV', 'Pļaviņu novads', 'LV-072'): 'Europe/Riga', ('LV', 'Preiļu novads', 'LV-073'): 'Europe/Riga',
 ('LV', 'Priekules novads', 'LV-074'): 'Europe/Riga', ('LV', 'Priekuļu novads', 'LV-075'): 'Europe/Riga',
 ('LV', 'Raunas novads', 'LV-076'): 'Europe/Riga', ('LV', 'Rēzeknes novads', 'LV-077'): 'Europe/Riga',
 ('LV', 'Riebiņu novads', 'LV-078'): 'Europe/Riga', ('LV', 'Rojas novads', 'LV-079'): 'Europe/Riga',
 ('LV', 'Ropažu novads', 'LV-080'): 'Europe/Riga', ('LV', 'Rucavas novads', 'LV-081'): 'Europe/Riga',
 ('LV', 'Rugāju novads', 'LV-082'): 'Europe/Riga', ('LV', 'Rundāles novads', 'LV-083'): 'Europe/Riga',
 ('LV', 'Rūjienas novads', 'LV-084'): 'Europe/Riga', ('LV', 'Salas novads', 'LV-085'): 'Europe/Riga',
 ('LV', 'Salacgrīvas novads', 'LV-086'): 'Europe/Riga', ('LV', 'Salaspils novads', 'LV-087'): 'Europe/Riga',
 ('LV', 'Saldus novads', 'LV-088'): 'Europe/Riga', ('LV', 'Saulkrastu novads', 'LV-089'): 'Europe/Riga',
 ('LV', 'Sējas novads', 'LV-090'): 'Europe/Riga', ('LV', 'Siguldas novads', 'LV-091'): 'Europe/Riga',
 ('LV', 'Skrīveru novads', 'LV-092'): 'Europe/Riga', ('LV', 'Skrundas novads', 'LV-093'): 'Europe/Riga',
 ('LV', 'Smiltenes novads', 'LV-094'): 'Europe/Riga', ('LV', 'Stopiņu novads', 'LV-095'): 'Europe/Riga',
 ('LV', 'Strenču novads', 'LV-096'): 'Europe/Riga', ('LV', 'Talsu novads', 'LV-097'): 'Europe/Riga',
 ('LV', 'Tērvetes novads', 'LV-098'): 'Europe/Riga', ('LV', 'Tukuma novads', 'LV-099'): 'Europe/Riga',
 ('LV', 'Vaiņodes novads', 'LV-100'): 'Europe/Riga', ('LV', 'Valkas novads', 'LV-101'): 'Europe/Riga',
 ('LV', 'Varakļānu novads', 'LV-102'): 'Europe/Riga', ('MA', 'Rabat-Salé-Kénitra', 'MA-04'): 'Africa/Casablanca',
 ('MA', 'Béni Mellal-Khénifra', 'MA-05'): 'Africa/Casablanca',
 ('MA', 'Casablanca-Settat', 'MA-06'): 'Africa/Casablanca', ('MA', 'Marrakech-Safi', 'MA-07'): 'Africa/Casablanca',
 ('MA', 'Drâa-Tafilalet', 'MA-08'): 'Africa/Casablanca', ('MA', 'Souss-Massa', 'MA-09'): 'Africa/Casablanca',
 ('MA', 'Guelmim-Oued Noun (EH-partial)', 'MA-10'): 'Africa/Casablanca',
 ('MA', 'Laâyoune-Sakia El Hamra (EH-partial)', 'MA-11'): 'Africa/El_Aaiun',
 ('MA', 'Dakhla-Oued Ed-Dahab (EH)', 'MA-12'): 'Africa/El_Aaiun',
 ('MA', 'Agadir-Ida-Ou-Tanane', 'MA-AGD'): 'Africa/Casablanca', ('MA', 'Aousserd (EH)', 'MA-AOU'): 'Africa/El_Aaiun',
 ('MA', 'Assa-Zag (EH-partial)', 'MA-ASZ'): 'Africa/Casablanca', ('MA', 'Azilal', 'MA-AZI'): 'Africa/Casablanca',
 ('MA', 'Béni Mellal', 'MA-BEM'): 'Africa/Casablanca', ('MA', 'Berkane', 'MA-BER'): 'Africa/Casablanca',
 ('MA', 'Benslimane', 'MA-BES'): 'Africa/Casablanca', ('MA', 'Boujdour (EH)', 'MA-BOD'): 'Africa/El_Aaiun',
 ('MA', 'Boulemane', 'MA-BOM'): 'Africa/Casablanca', ('MA', 'Berrechid', 'MA-BRR'): 'Africa/Casablanca',
 ('MA', 'Casablanca', 'MA-CAS'): 'Africa/Casablanca', ('MA', 'Chefchaouen', 'MA-CHE'): 'Africa/Casablanca',
 ('MA', 'Chichaoua', 'MA-CHI'): 'Africa/Casablanca', ('MA', 'Chtouka-Ait Baha', 'MA-CHT'): 'Africa/Casablanca',
 ('MA', 'Driouch', 'MA-DRI'): 'Africa/Casablanca', ('MA', 'Errachidia', 'MA-ERR'): 'Africa/Casablanca',
 ('MA', 'Essaouira', 'MA-ESI'): 'Africa/Casablanca', ('MA', 'Es-Semara (EH-partial)', 'MA-ESM'): 'Europe/Helsinki',
 ('MA', 'Fahs-Anjra', 'MA-FAH'): 'Africa/Casablanca', ('MA', 'Fès', 'MA-FES'): 'Africa/Casablanca',
 ('MA', 'Figuig', 'MA-FIG'): 'Africa/Casablanca', ('MA', 'Fquih Ben Salah', 'MA-FQH'): 'Africa/Casablanca',
 ('MA', 'Guelmim', 'MA-GUE'): 'Africa/Casablanca', ('MA', 'Guercif', 'MA-GUF'): 'Africa/Casablanca',
 ('MA', 'El Hajeb', 'MA-HAJ'): 'Africa/Casablanca', ('MA', 'Al Haouz', 'MA-HAO'): 'Africa/Casablanca',
 ('MA', 'Al Hoceïma', 'MA-HOC'): 'Africa/Casablanca', ('MA', 'Ifrane', 'MA-IFR'): 'Africa/Casablanca',
 ('MA', 'Inezgane-Ait Melloul', 'MA-INE'): 'Africa/Casablanca', ('MA', 'El Jadida', 'MA-JDI'): 'Africa/Casablanca',
 ('MA', 'Tanger-Tétouan-Al Hoceïma', 'MA-01'): 'Africa/Casablanca', ('MA', 'Jerada', 'MA-JRA'): 'Africa/Casablanca',
 ('MA', 'Kénitra', 'MA-KEN'): 'Africa/Casablanca', ('MA', "L'Oriental", 'MA-02'): 'Europe/Madrid',
 ('MA', 'El Kelâa des Sraghna', 'MA-KES'): 'Africa/Casablanca', ('MA', 'Fès-Meknès', 'MA-03'): 'Africa/Casablanca',
 ('MA', 'Khémisset', 'MA-KHE'): 'Africa/Casablanca', ('MA', 'Khénifra', 'MA-KHN'): 'Africa/Casablanca',
 ('MA', 'Khouribga', 'MA-KHO'): 'Africa/Casablanca', ('MA', 'Laâyoune (EH)', 'MA-LAA'): 'Africa/El_Aaiun',
 ('MA', 'Larache', 'MA-LAR'): 'Africa/Casablanca', ('MA', 'Marrakech', 'MA-MAR'): 'Africa/Casablanca',
 ('MA', 'M’diq-Fnideq', 'MA-MDF'): 'Africa/Casablanca', ('MA', 'Médiouna', 'MA-MED'): 'Africa/Casablanca',
 ('MA', 'Meknès', 'MA-MEK'): 'Africa/Casablanca', ('MA', 'Midelt', 'MA-MID'): 'Africa/Casablanca',
 ('MA', 'Mohammadia', 'MA-MOH'): 'Africa/Casablanca', ('MA', 'Moulay Yacoub', 'MA-MOU'): 'Africa/Casablanca',
 ('MA', 'Nador', 'MA-NAD'): 'Africa/Casablanca', ('MA', 'Nouaceur', 'MA-NOU'): 'Africa/Casablanca',
 ('MA', 'Ouarzazate', 'MA-OUA'): 'Africa/Casablanca', ('MA', 'Oued Ed-Dahab (EH)', 'MA-OUD'): 'Africa/El_Aaiun',
 ('MA', 'Oujda-Angad', 'MA-OUJ'): 'Africa/Casablanca', ('MA', 'Ouezzane', 'MA-OUZ'): 'Africa/Casablanca',
 ('MA', 'Rabat', 'MA-RAB'): 'Africa/Casablanca', ('MA', 'Rehamna', 'MA-REH'): 'Africa/Casablanca',
 ('MA', 'Safi', 'MA-SAF'): 'Africa/Casablanca', ('MA', 'Salé', 'MA-SAL'): 'Africa/Casablanca',
 ('MA', 'Sefrou', 'MA-SEF'): 'Africa/Casablanca', ('MA', 'Settat', 'MA-SET'): 'Africa/Casablanca',
 ('MA', 'Sidi Bennour', 'MA-SIB'): 'Africa/Casablanca', ('MA', 'Sidi Ifni', 'MA-SIF'): 'Africa/Casablanca',
 ('MA', 'Sidi Kacem', 'MA-SIK'): 'Africa/Casablanca', ('MA', 'Sidi Slimane', 'MA-SIL'): 'Africa/Casablanca',
 ('MA', 'Skhirate-Témara', 'MA-SKH'): 'Africa/Casablanca',
 ('MA', 'Tarfaya (EH-partial)', 'MA-TAR'): 'Africa/Casablanca', ('MA', 'Taourirt', 'MA-TAI'): 'Africa/Casablanca',
 ('MA', 'Taounate', 'MA-TAO'): 'Africa/Casablanca', ('MA', 'Taroudannt', 'MA-TAR'): 'Africa/Casablanca',
 ('MA', 'Tata', 'MA-TAT'): 'Europe/Budapest', ('MA', 'Taza', 'MA-TAZ'): 'Africa/Casablanca',
 ('MA', 'Tétouan', 'MA-TET'): 'Africa/Casablanca', ('MA', 'Tinghir', 'MA-TIN'): 'Africa/Casablanca',
 ('MA', 'Tiznit', 'MA-TIZ'): 'Africa/Casablanca', ('MA', 'Tanger-Assilah', 'MA-TNG'): 'Africa/Casablanca',
 ('MA', 'Tan-Tan (EH-partial)', 'MA-TNT'): 'Asia/Bangkok', ('MC', 'Saint-Roman', 'MC-SR'): 'Europe/Paris',
 ('MC', 'Moulins', 'MC-MU'): 'Europe/Paris', ('MC', 'Larvotto', 'MC-LA'): 'Europe/Monaco',
 ('MC', 'La Colle', 'MC-CL'): 'Europe/Paris', ('MC', 'Vallon de la Rousse', 'MC-VR'): 'Europe/Paris',
 ('MC', 'Port-Hercule', 'MC-PH'): 'Europe/Monaco', ('MC', 'Malbousquet', 'MC-MA'): 'Europe/Paris',
 ('MC', 'La Condamine', 'MC-CO'): 'Europe/Monaco', ('MC', 'Sainte-Dévote', 'MC-SD'): 'Europe/Monaco',
 ('MC', 'Monte-Carlo', 'MC-MC'): 'Europe/Monaco', ('MC', 'Fontvieille', 'MC-FO'): 'Europe/Paris',
 ('MC', 'La Source', 'MC-SO'): 'America/Port-au-Prince', ('MC', 'Moneghetti', 'MC-MG'): 'Europe/Monaco',
 ('MC', 'La Gare', 'MC-GA'): 'Europe/Paris', ('MC', 'Spélugues', 'MC-SP'): 'Europe/Monaco',
 ('MC', 'Monaco-Ville', 'MC-MO'): 'Europe/Monaco', ('MC', 'Jardin Exotique', 'MC-JE'): 'Europe/Monaco',
 ('MD', 'Basarabeasca', 'MD-BS'): 'Europe/Chisinau', ('MD', 'Orhei', 'MD-OR'): 'Europe/Chisinau',
 ('MD', 'Cahul', 'MD-CA'): 'Europe/Chisinau', ('MD', 'Rezina', 'MD-RE'): 'Europe/Chisinau',
 ('MD', 'Călărași', 'MD-CL'): 'Europe/Bucharest', ('MD', 'Rîșcani', 'MD-RI'): 'Europe/Chisinau',
 ('MD', 'Cimișlia', 'MD-CM'): 'Europe/Chisinau', ('MD', 'Șoldănești', 'MD-SD'): 'Europe/Chisinau',
 ('MD', 'Criuleni', 'MD-CR'): 'Europe/Chisinau', ('MD', 'Sîngerei', 'MD-SI'): 'Europe/Chisinau',
 ('MD', 'Căușeni', 'MD-CS'): 'Europe/Chisinau',
 ('MD', 'Stînga Nistrului, unitatea teritorială din', 'MD-SN'): 'Europe/Chisinau',
 ('MD', 'Cantemir', 'MD-CT'): 'Europe/Chisinau', ('MD', 'Soroca', 'MD-SO'): 'Europe/Chisinau',
 ('MD', 'Chișinău', 'MD-CU'): 'Europe/Chisinau', ('MD', 'Strășeni', 'MD-ST'): 'Europe/Chisinau',
 ('MD', 'Dondușeni', 'MD-DO'): 'Europe/Chisinau', ('MD', 'Ștefan Vodă', 'MD-SV'): 'Europe/Chisinau',
 ('MD', 'Drochia', 'MD-DR'): 'Europe/Chisinau', ('MD', 'Taraclia', 'MD-TA'): 'Europe/Chisinau',
 ('MD', 'Dubăsari', 'MD-DU'): 'Europe/Chisinau', ('MD', 'Telenești', 'MD-TE'): 'Europe/Chisinau',
 ('MD', 'Edineț', 'MD-ED'): 'Europe/Chisinau', ('MD', 'Ungheni', 'MD-UN'): 'Europe/Bucharest',
 ('MD', 'Fălești', 'MD-FA'): 'Europe/Chisinau', ('MD', 'Florești', 'MD-FL'): 'Europe/Bucharest',
 ('MD', 'Găgăuzia, Unitatea teritorială autonomă (UTAG)', 'MD-GA'): 'Europe/Chisinau',
 ('MD', 'Glodeni', 'MD-GL'): 'Europe/Bucharest', ('MD', 'Hîncești', 'MD-HI'): 'Europe/Chisinau',
 ('MD', 'Ialoveni', 'MD-IA'): 'Europe/Chisinau', ('MD', 'Anenii Noi', 'MD-AN'): 'Europe/Chisinau',
 ('MD', 'Leova', 'MD-LE'): 'Europe/Chisinau', ('MD', 'Bălți', 'MD-BA'): 'Europe/Chisinau',
 ('MD', 'Nisporeni', 'MD-NI'): 'Europe/Chisinau', ('MD', 'Bender [Tighina]', 'MD-BD'): 'Europe/Chisinau',
 ('MD', 'Ocnița', 'MD-OC'): 'Europe/Chisinau', ('MD', 'Briceni', 'MD-BR'): 'Europe/Chisinau',
 ('MG', 'Antsiranana', 'MG-D'): 'Indian/Antananarivo', ('MG', 'Fianarantsoa', 'MG-F'): 'Indian/Antananarivo',
 ('MG', 'Mahajanga', 'MG-M'): 'Indian/Antananarivo', ('MG', 'Antananarivo', 'MG-T'): 'Indian/Antananarivo',
 ('MG', 'Toliara', 'MG-U'): 'Indian/Antananarivo', ('MG', 'Toamasina', 'MG-A'): 'Indian/Antananarivo',
 ('MV', 'Faadhippolhu', 'MV-03'): 'Indian/Maldives', ('MV', 'Felidhu Atoll', 'MV-04'): 'Indian/Maldives',
 ('MV', 'Hahdhunmathi', 'MV-05'): 'Indian/Maldives', ('MV', 'North Thiladhunmathi', 'MV-07'): 'Indian/Maldives',
 ('MV', 'Kolhumadulu', 'MV-08'): 'Indian/Maldives', ('MV', 'Mulaku Atoll', 'MV-12'): 'Indian/Maldives',
 ('MV', 'North Maalhosmadulu', 'MV-13'): 'Indian/Maldives', ('MV', 'North Nilandhe Atoll', 'MV-14'): 'Indian/Maldives',
 ('MV', 'South Nilandhe Atoll', 'MV-17'): 'Indian/Maldives', ('MV', 'South Maalhosmadulu', 'MV-20'): 'Indian/Maldives',
 ('MV', 'South Thiladhunmathi', 'MV-23'): 'Indian/Maldives', ('MV', 'North Miladhunmadulu', 'MV-24'): 'Indian/Maldives',
 ('MV', 'South Miladhunmadulu', 'MV-25'): 'Indian/Maldives', ('MV', 'Male Atoll', 'MV-26'): 'Indian/Maldives',
 ('MV', 'North Huvadhu Atoll', 'MV-27'): 'Indian/Maldives', ('MV', 'South Huvadhu Atoll', 'MV-28'): 'Indian/Maldives',
 ('MV', 'Fuvammulah', 'MV-29'): 'Indian/Maldives', ('MV', 'Male', 'MV-MLE'): 'Indian/Maldives',
 ('MV', 'South Ari Atoll', 'MV-00'): 'Indian/Maldives', ('MV', 'Addu City', 'MV-01'): 'Indian/Maldives',
 ('MV', 'North Ari Atoll', 'MV-02'): 'Indian/Maldives', ('MX', 'México', 'MX-MEX'): 'America/Mexico_City',
 ('MX', 'Michoacán de Ocampo', 'MX-MIC'): 'America/Mexico_City', ('MX', 'Morelos', 'MX-MOR'): 'America/Mexico_City',
 ('MX', 'Nayarit', 'MX-NAY'): 'America/Mazatlan', ('MX', 'Nuevo León', 'MX-NLE'): 'America/Monterrey',
 ('MX', 'Oaxaca', 'MX-OAX'): 'America/Mexico_City', ('MX', 'Puebla', 'MX-PUE'): 'America/Mexico_City',
 ('MX', 'Querétaro', 'MX-QUE'): 'America/Mexico_City', ('MX', 'Aguascalientes', 'MX-AGU'): 'America/Mexico_City',
 ('MX', 'Quintana Roo', 'MX-ROO'): 'America/Cancun', ('MX', 'Baja California', 'MX-BCN'): 'America/Tijuana',
 ('MX', 'Sinaloa', 'MX-SIN'): 'America/Mazatlan', ('MX', 'Baja California Sur', 'MX-BCS'): 'America/Mazatlan',
 ('MX', 'San Luis Potosí', 'MX-SLP'): 'America/Mexico_City', ('MX', 'Campeche', 'MX-CAM'): 'America/Merida',
 ('MX', 'Sonora', 'MX-SON'): 'America/Hermosillo', ('MX', 'Chihuahua', 'MX-CHH'): 'America/Chihuahua',
 ('MX', 'Tabasco', 'MX-TAB'): 'America/Mexico_City', ('MX', 'Chiapas', 'MX-CHP'): 'America/Mexico_City',
 ('MX', 'Tamaulipas', 'MX-TAM'): 'America/Monterrey', ('MX', 'Ciudad de México', 'MX-CMX'): 'America/Mexico_City',
 ('MX', 'Tlaxcala', 'MX-TLA'): 'America/Mexico_City', ('MX', 'Coahuila de Zaragoza', 'MX-COA'): 'America/Matamoros',
 ('MX', 'Veracruz de Ignacio de la Llave', 'MX-VER'): 'America/Mexico_City',
 ('MX', 'Colima', 'MX-COL'): 'America/Mexico_City', ('MX', 'Yucatán', 'MX-YUC'): 'America/Merida',
 ('MX', 'Durango', 'MX-DUR'): 'America/Monterrey', ('MX', 'Zacatecas', 'MX-ZAC'): 'America/Mexico_City',
 ('MX', 'Guerrero', 'MX-GRO'): 'America/Mexico_City', ('MX', 'Guanajuato', 'MX-GUA'): 'America/Mexico_City',
 ('MX', 'Hidalgo', 'MX-HID'): 'America/Mexico_City', ('MX', 'Jalisco', 'MX-JAL'): 'America/Mexico_City',
 ('MH', 'Ratak chain', 'MH-T'): 'Pacific/Majuro', ('MH', 'Ailuk', 'MH-ALK'): 'Pacific/Majuro',
 ('MH', 'Ujae', 'MH-UJA'): 'Pacific/Majuro', ('MH', 'Ailinglaplap', 'MH-ALL'): 'Pacific/Majuro',
 ('MH', 'Utrik', 'MH-UTI'): 'Pacific/Majuro', ('MH', 'Arno', 'MH-ARN'): 'Pacific/Majuro',
 ('MH', 'Wotho', 'MH-WTH'): 'Pacific/Majuro', ('MH', 'Aur', 'MH-AUR'): 'Pacific/Majuro',
 ('MH', 'Wotje', 'MH-WTJ'): 'Pacific/Majuro', ('MH', 'Ebon', 'MH-EBO'): 'Pacific/Majuro',
 ('MH', 'Enewetak & Ujelang', 'MH-ENI'): 'Pacific/Majuro', ('MH', 'Jabat', 'MH-JAB'): 'Pacific/Majuro',
 ('MH', 'Jaluit', 'MH-JAL'): 'Pacific/Majuro', ('MH', 'Bikini & Kili', 'MH-KIL'): 'Pacific/Majuro',
 ('MH', 'Kwajalein', 'MH-KWA'): 'Pacific/Kwajalein', ('MH', 'Ralik chain', 'MH-L'): 'Pacific/Majuro',
 ('MH', 'Lae', 'MH-LAE'): 'Pacific/Port_Moresby', ('MH', 'Lib', 'MH-LIB'): 'America/Sao_Paulo',
 ('MH', 'Likiep', 'MH-LIK'): 'Pacific/Majuro', ('MH', 'Majuro', 'MH-MAJ'): 'Pacific/Majuro',
 ('MH', 'Maloelap', 'MH-MAL'): 'Pacific/Majuro', ('MH', 'Mejit', 'MH-MEJ'): 'Pacific/Majuro',
 ('MH', 'Mili', 'MH-MIL'): 'Pacific/Majuro', ('MH', 'Namdrik', 'MH-NMK'): 'Pacific/Majuro',
 ('MH', 'Namu', 'MH-NMU'): 'Pacific/Majuro', ('MH', 'Rongelap', 'MH-RON'): 'Pacific/Majuro',
 ('MK', 'Veles', 'MK-101'): 'Europe/Skopje', ('MK', 'Gradsko', 'MK-102'): 'Europe/Skopje',
 ('MK', 'Demir Kapija', 'MK-103'): 'Europe/Skopje', ('MK', 'Kavadarci', 'MK-104'): 'Europe/Skopje',
 ('MK', 'Lozovo', 'MK-105'): 'Europe/Skopje', ('MK', 'Negotino', 'MK-106'): 'Europe/Skopje',
 ('MK', 'Rosoman', 'MK-107'): 'Europe/Skopje', ('MK', 'Sveti Nikole', 'MK-108'): 'Europe/Skopje',
 ('MK', 'Čaška', 'MK-109'): 'Europe/Skopje', ('MK', 'Berovo', 'MK-201'): 'Europe/Skopje',
 ('MK', 'Vinica', 'MK-202'): 'Europe/Bratislava', ('MK', 'Delčevo', 'MK-203'): 'Europe/Skopje',
 ('MK', 'Zrnovci', 'MK-204'): 'Europe/Skopje', ('MK', 'Karbinci', 'MK-205'): 'Europe/Skopje',
 ('MK', 'Kočani', 'MK-206'): 'Europe/Sarajevo', ('MK', 'Makedonska Kamenica', 'MK-207'): 'Europe/Skopje',
 ('MK', 'Pehčevo', 'MK-208'): 'Europe/Skopje', ('MK', 'Kriva Palanka', 'MK-702'): 'Europe/Skopje',
 ('MK', 'Probištip', 'MK-209'): 'Europe/Skopje', ('MK', 'Kumanovo', 'MK-703'): 'Europe/Skopje',
 ('MK', 'Češinovo-Obleševo', 'MK-210'): 'Europe/Skopje', ('MK', 'Lipkovo', 'MK-704'): 'Europe/Skopje',
 ('MK', 'Štip', 'MK-211'): 'Europe/Skopje', ('MK', 'Rankovce', 'MK-705'): 'Europe/Bratislava',
 ('MK', 'Vevčani', 'MK-301'): 'Europe/Skopje', ('MK', 'Staro Nagoričane', 'MK-706'): 'Europe/Skopje',
 ('MK', 'Debar', 'MK-303'): 'Europe/Skopje', ('MK', 'Aerodrom †', 'MK-801'): 'Europe/Skopje',
 ('MK', 'Debrca', 'MK-304'): 'Europe/Skopje', ('MK', 'Aračinovo', 'MK-802'): 'Europe/Skopje',
 ('MK', 'Kičevo', 'MK-307'): 'Europe/Podgorica', ('MK', 'Butel †', 'MK-803'): 'Europe/Skopje',
 ('MK', 'Makedonski Brod', 'MK-308'): 'Europe/Skopje', ('MK', 'Gazi Baba †', 'MK-804'): 'Europe/Skopje',
 ('MK', 'Ohrid', 'MK-310'): 'Europe/Skopje', ('MK', 'Gjorče Petrov †', 'MK-805'): 'Europe/Skopje',
 ('MK', 'Plasnica', 'MK-311'): 'Europe/Podgorica', ('MK', 'Zelenikovo', 'MK-806'): 'Europe/Sofia',
 ('MK', 'Struga', 'MK-312'): 'Europe/Zagreb', ('MK', 'Ilinden', 'MK-807'): 'Europe/Skopje',
 ('MK', 'Centar Župa', 'MK-313'): 'Europe/Skopje', ('MK', 'Karpoš †', 'MK-808'): 'Europe/Skopje',
 ('MK', 'Bogdanci', 'MK-401'): 'Europe/Skopje', ('MK', 'Kisela Voda †', 'MK-809'): 'Europe/Vienna',
 ('MK', 'Bosilovo', 'MK-402'): 'Europe/Skopje', ('MK', 'Petrovec', 'MK-810'): 'Europe/Belgrade',
 ('MK', 'Valandovo', 'MK-403'): 'Europe/Skopje', ('MK', 'Saraj †', 'MK-811'): 'Europe/Skopje',
 ('MK', 'Vasilevo', 'MK-404'): 'Europe/Skopje', ('MK', 'Sopište', 'MK-812'): 'Europe/Skopje',
 ('MK', 'Gevgelija', 'MK-405'): 'Europe/Skopje', ('MK', 'Studeničani', 'MK-813'): 'Europe/Skopje',
 ('MK', 'Dojran', 'MK-406'): 'Europe/Skopje', ('MK', 'Centar †', 'MK-814'): 'Europe/Warsaw',
 ('MK', 'Konče', 'MK-407'): 'Europe/Ljubljana', ('MK', 'Čair †', 'MK-815'): 'Europe/Sarajevo',
 ('MK', 'Novo Selo', 'MK-408'): 'Europe/Zagreb', ('MK', 'Čučer-Sandevo', 'MK-816'): 'Europe/Skopje',
 ('MK', 'Radoviš', 'MK-409'): 'Europe/Skopje', ('MK', 'Šuto Orizari †', 'MK-817'): 'Europe/Skopje',
 ('MK', 'Strumica', 'MK-410'): 'Europe/Skopje', ('MK', 'Bitola', 'MK-501'): 'Europe/Skopje',
 ('MK', 'Demir Hisar', 'MK-502'): 'Europe/Skopje', ('MK', 'Dolneni', 'MK-503'): 'Europe/Skopje',
 ('MK', 'Krivogaštani', 'MK-504'): 'Europe/Skopje', ('MK', 'Kruševo', 'MK-505'): 'Europe/Skopje',
 ('MK', 'Mogila', 'MK-506'): 'Europe/Skopje', ('MK', 'Novaci', 'MK-507'): 'Europe/Bucharest',
 ('MK', 'Prilep', 'MK-508'): 'Europe/Skopje', ('MK', 'Resen', 'MK-509'): 'Europe/Belgrade',
 ('MK', 'Bogovinje', 'MK-601'): 'Europe/Skopje', ('MK', 'Brvenica', 'MK-602'): 'Europe/Belgrade',
 ('MK', 'Vrapčište', 'MK-603'): 'Europe/Skopje', ('MK', 'Gostivar', 'MK-604'): 'Europe/Skopje',
 ('MK', 'Želino', 'MK-605'): 'Europe/Zagreb', ('MK', 'Jegunovce', 'MK-606'): 'Europe/Skopje',
 ('MK', 'Mavrovo i Rostuše', 'MK-607'): 'Europe/Skopje', ('MK', 'Tearce', 'MK-608'): 'Europe/Skopje',
 ('MK', 'Tetovo', 'MK-609'): 'Europe/Sofia', ('MK', 'Kratovo', 'MK-701'): 'Europe/Skopje',
 ('ML', 'Ménaka', 'ML-9'): 'Africa/Bamako', ('ML', 'Ségou', 'ML-4'): 'Africa/Bamako',
 ('ML', 'Bamako', 'ML-BKO'): 'Africa/Bamako', ('ML', 'Mopti', 'ML-5'): 'Africa/Bamako',
 ('ML', 'Kayes', 'ML-1'): 'Africa/Bamako', ('ML', 'Tombouctou', 'ML-6'): 'Africa/Bamako',
 ('ML', 'Taoudénit', 'ML-10'): 'Africa/Bamako', ('ML', 'Gao', 'ML-7'): 'Africa/Bamako',
 ('ML', 'Koulikoro', 'ML-2'): 'Africa/Bamako', ('ML', 'Kidal', 'ML-8'): 'Africa/Bamako',
 ('ML', 'Sikasso', 'ML-3'): 'Africa/Bamako', ('MT', 'Kalkara', 'MT-21'): 'Europe/Malta',
 ('MT', 'Xgħajra', 'MT-63'): 'Europe/Malta', ('MT', 'Qala', 'MT-42'): 'Europe/Malta',
 ('MT', 'Kerċem', 'MT-22'): 'Europe/Malta', ('MT', 'Żabbar', 'MT-64'): 'Europe/Malta',
 ('MT', 'Attard', 'MT-01'): 'Europe/Malta', ('MT', 'Qormi', 'MT-43'): 'Europe/Malta',
 ('MT', 'Kirkop', 'MT-23'): 'Europe/Malta', ('MT', 'Żebbuġ Gozo', 'MT-65'): 'Europe/Malta',
 ('MT', 'Balzan', 'MT-02'): 'Europe/Malta', ('MT', 'Qrendi', 'MT-44'): 'Europe/Malta',
 ('MT', 'Lija', 'MT-24'): 'Europe/Malta', ('MT', 'Żebbuġ Malta', 'MT-66'): 'Europe/Malta',
 ('MT', 'Birgu', 'MT-03'): 'Europe/Malta', ('MT', 'Rabat Gozo', 'MT-45'): 'Europe/Malta',
 ('MT', 'Luqa', 'MT-25'): 'Europe/Malta', ('MT', 'Żejtun', 'MT-67'): 'Europe/Malta',
 ('MT', 'Birkirkara', 'MT-04'): 'Europe/Malta', ('MT', 'Rabat Malta', 'MT-46'): 'Europe/Malta',
 ('MT', 'Marsa', 'MT-26'): 'Europe/Paris', ('MT', 'Żurrieq', 'MT-68'): 'Europe/Malta',
 ('MT', 'Birżebbuġa', 'MT-05'): 'Europe/Malta', ('MT', 'Safi', 'MT-47'): 'Africa/Casablanca',
 ('MT', 'Marsaskala', 'MT-27'): 'Europe/Malta', ('MT', 'Xagħra', 'MT-61'): 'Europe/Malta',
 ('MT', 'Bormla', 'MT-06'): 'Europe/Malta', ('MT', "Saint Julian's", 'MT-48'): 'Europe/Malta',
 ('MT', 'Marsaxlokk', 'MT-28'): 'Europe/Malta', ('MT', 'Dingli', 'MT-07'): 'Europe/Malta',
 ('MT', 'Saint John', 'MT-49'): 'America/Moncton', ('MT', 'Mdina', 'MT-29'): 'Europe/Malta',
 ('MT', 'Fgura', 'MT-08'): 'Europe/Malta', ('MT', 'Saint Lawrence', 'MT-50'): 'America/New_York',
 ('MT', 'Mellieħa', 'MT-30'): 'Europe/Malta', ('MT', 'Floriana', 'MT-09'): 'Europe/Malta',
 ('MT', "Saint Paul's Bay", 'MT-51'): 'Europe/Malta', ('MT', 'Mġarr', 'MT-31'): 'Europe/Malta',
 ('MT', 'Fontana', 'MT-10'): 'America/Los_Angeles', ('MT', 'Sannat', 'MT-52'): 'Europe/Paris',
 ('MT', 'Mosta', 'MT-32'): 'Europe/Malta', ('MT', 'Xewkija', 'MT-62'): 'Europe/Malta',
 ('MT', 'Gudja', 'MT-11'): 'Europe/Malta', ('MT', "Saint Lucia's", 'MT-53'): 'America/St_Lucia',
 ('MT', 'Mqabba', 'MT-33'): 'Europe/Malta', ('MT', 'Gżira', 'MT-12'): 'Europe/Malta',
 ('MT', 'Santa Venera', 'MT-54'): 'Europe/Malta', ('MT', 'Msida', 'MT-34'): 'Europe/Malta',
 ('MT', 'Għajnsielem', 'MT-13'): 'Europe/Malta', ('MT', 'Siġġiewi', 'MT-55'): 'Europe/Malta',
 ('MT', 'Mtarfa', 'MT-35'): 'Europe/Malta', ('MT', 'Għarb', 'MT-14'): 'Europe/Malta',
 ('MT', 'Sliema', 'MT-56'): 'Europe/Malta', ('MT', 'Munxar', 'MT-36'): 'Europe/Malta',
 ('MT', 'Għargħur', 'MT-15'): 'Europe/Malta', ('MT', 'Swieqi', 'MT-57'): 'Europe/Malta',
 ('MT', 'Nadur', 'MT-37'): 'Europe/Malta', ('MT', 'Għasri', 'MT-16'): 'Europe/Malta',
 ('MT', "Ta' Xbiex", 'MT-58'): 'Europe/Malta', ('MT', 'Naxxar', 'MT-38'): 'Europe/Malta',
 ('MT', 'Għaxaq', 'MT-17'): 'Europe/Malta', ('MT', 'Tarxien', 'MT-59'): 'Europe/Malta',
 ('MT', 'Paola', 'MT-39'): 'Europe/Rome', ('MT', 'Ħamrun', 'MT-18'): 'Europe/Malta',
 ('MT', 'Valletta', 'MT-60'): 'Europe/Malta', ('MT', 'Pembroke', 'MT-40'): 'America/Toronto',
 ('MT', 'Iklin', 'MT-19'): 'Europe/Malta', ('MT', 'Pietà', 'MT-41'): 'Europe/Vatican',
 ('MT', 'Isla', 'MT-20'): 'Europe/Malta', ('MM', 'Shan', 'MM-17'): 'Europe/Paris',
 ('MM', 'Tanintharyi', 'MM-05'): 'Asia/Yangon', ('MM', 'Rakhine', 'MM-16'): 'Asia/Yangon',
 ('MM', 'Kayin', 'MM-13'): 'Asia/Yangon', ('MM', 'Nay Pyi Taw', 'MM-18'): 'Asia/Yangon',
 ('MM', 'Yangon', 'MM-06'): 'Asia/Yangon', ('MM', 'Sagaing', 'MM-01'): 'Asia/Yangon',
 ('MM', 'Chin', 'MM-14'): 'Asia/Shanghai', ('MM', 'Ayeyarwady', 'MM-07'): 'Asia/Yangon',
 ('MM', 'Bago', 'MM-02'): 'Asia/Yangon', ('MM', 'Mon', 'MM-15'): 'Europe/Brussels',
 ('MM', 'Kachin', 'MM-11'): 'Asia/Thimphu', ('MM', 'Magway', 'MM-03'): 'Asia/Yangon',
 ('MM', 'Kayah', 'MM-12'): 'Asia/Yangon', ('MM', 'Mandalay', 'MM-04'): 'Asia/Yangon',
 ('ME', 'Kotor', 'ME-10'): 'Europe/Podgorica', ('ME', 'Mojkovac', 'ME-11'): 'Europe/Podgorica',
 ('ME', 'Nikšić', 'ME-12'): 'Europe/Podgorica', ('ME', 'Plav', 'ME-13'): 'Europe/Prague',
 ('ME', 'Pljevlja', 'ME-14'): 'Europe/Podgorica', ('ME', 'Plužine', 'ME-15'): 'Europe/Sarajevo',
 ('ME', 'Podgorica', 'ME-16'): 'Europe/Podgorica', ('ME', 'Rožaje', 'ME-17'): 'Europe/Podgorica',
 ('ME', 'Šavnik', 'ME-18'): 'Europe/Podgorica', ('ME', 'Tivat', 'ME-19'): 'Europe/Podgorica',
 ('ME', 'Ulcinj', 'ME-20'): 'Europe/Podgorica', ('ME', 'Žabljak', 'ME-21'): 'Europe/Podgorica',
 ('ME', 'Gusinje', 'ME-22'): 'Europe/Podgorica', ('ME', 'Andrijevica', 'ME-01'): 'Europe/Podgorica',
 ('ME', 'Petnjica', 'ME-23'): 'Europe/Podgorica', ('ME', 'Bar', 'ME-02'): 'Europe/Podgorica',
 ('ME', 'Tuzi', 'ME-24'): 'Europe/Podgorica', ('ME', 'Berane', 'ME-03'): 'Europe/Podgorica',
 ('ME', 'Bijelo Polje', 'ME-04'): 'Europe/Podgorica', ('ME', 'Budva', 'ME-05'): 'Europe/Podgorica',
 ('ME', 'Cetinje', 'ME-06'): 'Europe/Podgorica', ('ME', 'Danilovgrad', 'ME-07'): 'Europe/Podgorica',
 ('ME', 'Herceg-Novi', 'ME-08'): 'Europe/Podgorica', ('ME', 'Kolašin', 'ME-09'): 'Europe/Podgorica',
 ('MN', 'Govĭ-Sümber', 'MN-064'): 'Asia/Ulaanbaatar', ('MN', 'Govĭ-Altay', 'MN-065'): 'Asia/Hovd',
 ('MN', 'Bulgan', 'MN-067'): 'Asia/Ulaanbaatar', ('MN', 'Bayanhongor', 'MN-069'): 'Asia/Ulaanbaatar',
 ('MN', 'Bayan-Ölgiy', 'MN-071'): 'Asia/Hovd', ('MN', 'Arhangay', 'MN-073'): 'Asia/Ulaanbaatar',
 ('MN', 'Ulaanbaatar', 'MN-1'): 'Asia/Ulaanbaatar', ('MN', 'Orhon', 'MN-035'): 'Asia/Ulaanbaatar',
 ('MN', 'Darhan uul', 'MN-037'): 'Asia/Ulaanbaatar', ('MN', 'Hentiy', 'MN-039'): 'Asia/Ulaanbaatar',
 ('MN', 'Hövsgöl', 'MN-041'): 'Asia/Ulaanbaatar', ('MN', 'Hovd', 'MN-043'): 'Asia/Hovd',
 ('MN', 'Uvs', 'MN-046'): 'Africa/Johannesburg', ('MN', 'Töv', 'MN-047'): 'Asia/Ulaanbaatar',
 ('MN', 'Selenge', 'MN-049'): 'Asia/Ulaanbaatar', ('MN', 'Sühbaatar', 'MN-051'): 'Asia/Choibalsan',
 ('MN', 'Ömnögovĭ', 'MN-053'): 'Asia/Ulaanbaatar', ('MN', 'Övörhangay', 'MN-055'): 'Asia/Ulaanbaatar',
 ('MN', 'Dzavhan', 'MN-057'): 'Asia/Hovd', ('MN', 'Dundgovĭ', 'MN-059'): 'Asia/Ulaanbaatar',
 ('MN', 'Dornod', 'MN-061'): 'Asia/Choibalsan', ('MN', 'Dornogovĭ', 'MN-063'): 'Asia/Ulaanbaatar',
 ('MZ', 'Gaza', 'MZ-G'): 'Asia/Gaza', ('MZ', 'Zambézia', 'MZ-Q'): 'Africa/Maputo',
 ('MZ', 'Inhambane', 'MZ-I'): 'Africa/Maputo', ('MZ', 'Sofala', 'MZ-S'): 'Africa/Maputo',
 ('MZ', 'Maputo', 'MZ-L'): 'Africa/Maputo', ('MZ', 'Tete', 'MZ-T'): 'Africa/Maputo',
 ('MZ', 'Maputo', 'MZ-MPM'): 'Africa/Maputo', ('MZ', 'Niassa', 'MZ-A'): 'Africa/Maputo',
 ('MZ', 'Nampula', 'MZ-N'): 'Africa/Maputo', ('MZ', 'Manica', 'MZ-B'): 'Africa/Maputo',
 ('MZ', 'Cabo Delgado', 'MZ-P'): 'Africa/Maputo', ('MR', 'Gorgol', 'MR-04'): 'Africa/Nouakchott',
 ('MR', 'Guidimaka', 'MR-10'): 'Africa/Nouakchott', ('MR', 'Brakna', 'MR-05'): 'Africa/Nouakchott',
 ('MR', 'Nouakchott Sud', 'MR-15'): 'Africa/Nouakchott', ('MR', 'Tiris Zemmour', 'MR-11'): 'Africa/Nouakchott',
 ('MR', 'Trarza', 'MR-06'): 'Africa/Nouakchott', ('MR', 'Hodh ech Chargui', 'MR-01'): 'Africa/Nouakchott',
 ('MR', 'Inchiri', 'MR-12'): 'Africa/Nouakchott', ('MR', 'Adrar', 'MR-07'): 'Africa/Algiers',
 ('MR', 'Hodh el Gharbi', 'MR-02'): 'Africa/Nouakchott', ('MR', 'Nouakchott Ouest', 'MR-13'): 'Africa/Nouakchott',
 ('MR', 'Dakhlet Nouâdhibou', 'MR-08'): 'Africa/Nouakchott', ('MR', 'Assaba', 'MR-03'): 'Africa/Nouakchott',
 ('MR', 'Nouakchott Nord', 'MR-14'): 'Africa/Nouakchott', ('MR', 'Tagant', 'MR-09'): 'Africa/Nouakchott',
 ('MU', 'Grand Port', 'MU-GP'): 'Indian/Mauritius', ('MU', 'Rivière du Rempart', 'MU-RR'): 'Indian/Mauritius',
 ('MU', 'Moka', 'MU-MO'): 'Europe/Tallinn', ('MU', 'Agalega Islands', 'MU-AG'): 'Etc/GMT-3',
 ('MU', 'Savanne', 'MU-SA'): 'Indian/Mauritius', ('MU', 'Pamplemousses', 'MU-PA'): 'Indian/Mauritius',
 ('MU', 'Black River', 'MU-BL'): 'America/New_York', ('MU', 'Port Louis', 'MU-PL'): 'Indian/Mauritius',
 ('MU', 'Cargados Carajos Shoals', 'MU-CC'): 'Indian/Mauritius', ('MU', 'Plaines Wilhems', 'MU-PW'): 'Indian/Mauritius',
 ('MU', 'Flacq', 'MU-FL'): 'Indian/Mauritius', ('MU', 'Rodrigues Island', 'MU-RO'): 'Indian/Mauritius',
 ('MW', 'Chikwawa', 'MW-CK'): 'Africa/Blantyre', ('MW', 'Ntcheu', 'MW-NU'): 'Africa/Blantyre',
 ('MW', 'Chiradzulu', 'MW-CR'): 'Africa/Blantyre', ('MW', 'Phalombe', 'MW-PH'): 'Africa/Blantyre',
 ('MW', 'Chitipa', 'MW-CT'): 'Africa/Blantyre', ('MW', 'Rumphi', 'MW-RU'): 'Africa/Blantyre',
 ('MW', 'Dedza', 'MW-DE'): 'Africa/Blantyre', ('MW', 'Southern Region', 'MW-S'): 'Africa/Blantyre',
 ('MW', 'Dowa', 'MW-DO'): 'Africa/Blantyre', ('MW', 'Salima', 'MW-SA'): 'Africa/Blantyre',
 ('MW', 'Karonga', 'MW-KR'): 'Africa/Blantyre', ('MW', 'Thyolo', 'MW-TH'): 'Africa/Blantyre',
 ('MW', 'Kasungu', 'MW-KS'): 'Africa/Blantyre', ('MW', 'Zomba', 'MW-ZO'): 'Africa/Blantyre',
 ('MW', 'Lilongwe', 'MW-LI'): 'Africa/Blantyre', ('MW', 'Likoma', 'MW-LK'): 'Africa/Blantyre',
 ('MW', 'Mchinji', 'MW-MC'): 'Africa/Blantyre', ('MW', 'Mangochi', 'MW-MG'): 'Africa/Blantyre',
 ('MW', 'Machinga', 'MW-MH'): 'Africa/Blantyre', ('MW', 'Mulanje', 'MW-MU'): 'Africa/Blantyre',
 ('MW', 'Mwanza', 'MW-MW'): 'Africa/Dar_es_Salaam', ('MW', 'Mzimba', 'MW-MZ'): 'Africa/Blantyre',
 ('MW', 'Northern Region', 'MW-N'): 'Africa/Accra', ('MW', 'Nkhata Bay', 'MW-NB'): 'Africa/Blantyre',
 ('MW', 'Neno', 'MW-NE'): 'Africa/Blantyre', ('MW', 'Ntchisi', 'MW-NI'): 'Africa/Blantyre',
 ('MW', 'Balaka', 'MW-BA'): 'Africa/Blantyre', ('MW', 'Nkhotakota', 'MW-NK'): 'Africa/Blantyre',
 ('MW', 'Blantyre', 'MW-BL'): 'Africa/Blantyre', ('MW', 'Nsanje', 'MW-NS'): 'Africa/Blantyre',
 ('MW', 'Central Region', 'MW-C'): 'Africa/Accra', ('MY', 'Sarawak', 'MY-13'): 'Asia/Kuching',
 ('MY', 'Wilayah Persekutuan Kuala Lumpur', 'MY-14'): 'Asia/Kuala_Lumpur',
 ('MY', 'Perlis', 'MY-09'): 'Asia/Kuala_Lumpur', ('MY', 'Sabah', 'MY-12'): 'Asia/Kuching',
 ('MY', 'Melaka', 'MY-04'): 'Asia/Kuala_Lumpur', ('MY', 'Wilayah Persekutuan Labuan', 'MY-15'): 'Asia/Kuching',
 ('MY', 'Selangor', 'MY-10'): 'Asia/Kuala_Lumpur', ('MY', 'Negeri Sembilan', 'MY-05'): 'Asia/Kuala_Lumpur',
 ('MY', 'Wilayah Persekutuan Putrajaya', 'MY-16'): 'Asia/Kuala_Lumpur', ('MY', 'Johor', 'MY-01'): 'Asia/Kuala_Lumpur',
 ('MY', 'Terengganu', 'MY-11'): 'Asia/Kuala_Lumpur', ('MY', 'Pahang', 'MY-06'): 'Asia/Kuala_Lumpur',
 ('MY', 'Kedah', 'MY-02'): 'Asia/Kuala_Lumpur', ('MY', 'Pulau Pinang', 'MY-07'): 'Asia/Kuala_Lumpur',
 ('MY', 'Kelantan', 'MY-03'): 'Asia/Kuala_Lumpur', ('MY', 'Perak', 'MY-08'): 'Asia/Kuala_Lumpur',
 ('NA', 'Kavango West', 'NA-KW'): 'Africa/Windhoek', ('NA', 'Hardap', 'NA-HA'): 'Africa/Windhoek',
 ('NA', 'Ohangwena', 'NA-OW'): 'Africa/Windhoek', ('NA', 'Otjozondjupa', 'NA-OD'): 'Africa/Windhoek',
 ('NA', '//Karas', 'NA-KA'): 'Africa/Windhoek', ('NA', 'Omaheke', 'NA-OH'): 'Africa/Windhoek',
 ('NA', 'Kavango East', 'NA-KE'): 'Africa/Windhoek', ('NA', 'Oshana', 'NA-ON'): 'Africa/Windhoek',
 ('NA', 'Khomas', 'NA-KH'): 'Africa/Windhoek', ('NA', 'Zambezi', 'NA-CA'): 'Africa/Windhoek',
 ('NA', 'Omusati', 'NA-OS'): 'Africa/Windhoek', ('NA', 'Kunene', 'NA-KU'): 'Africa/Windhoek',
 ('NA', 'Erongo', 'NA-ER'): 'Africa/Windhoek', ('NA', 'Oshikoto', 'NA-OT'): 'Africa/Windhoek',
 ('NE', 'Tahoua', 'NE-5'): 'Africa/Niamey', ('NE', 'Agadez', 'NE-1'): 'Africa/Niamey',
 ('NE', 'Tillabéri', 'NE-6'): 'Africa/Niamey', ('NE', 'Diffa', 'NE-2'): 'Africa/Niamey',
 ('NE', 'Zinder', 'NE-7'): 'Africa/Niamey', ('NE', 'Dosso', 'NE-3'): 'Africa/Niamey',
 ('NE', 'Niamey', 'NE-8'): 'Africa/Niamey', ('NE', 'Maradi', 'NE-4'): 'Africa/Niamey',
 ('NG', 'Jigawa', 'NG-JI'): 'Africa/Lagos', ('NG', 'Kaduna', 'NG-KD'): 'Africa/Lagos',
 ('NG', 'Kebbi', 'NG-KE'): 'Africa/Lagos', ('NG', 'Kano', 'NG-KN'): 'Africa/Lagos',
 ('NG', 'Kogi', 'NG-KO'): 'Africa/Lagos', ('NG', 'Abia', 'NG-AB'): 'Africa/Lagos',
 ('NG', 'Katsina', 'NG-KT'): 'Africa/Lagos', ('NG', 'Adamawa', 'NG-AD'): 'Africa/Lagos',
 ('NG', 'Kwara', 'NG-KW'): 'Africa/Lagos', ('NG', 'Akwa Ibom', 'NG-AK'): 'Africa/Lagos',
 ('NG', 'Lagos', 'NG-LA'): 'Africa/Lagos', ('NG', 'Anambra', 'NG-AN'): 'Africa/Lagos',
 ('NG', 'Nasarawa', 'NG-NA'): 'Africa/Lagos', ('NG', 'Bauchi', 'NG-BA'): 'Africa/Lagos',
 ('NG', 'Niger', 'NG-NI'): 'Africa/Niamey', ('NG', 'Benue', 'NG-BE'): 'Africa/Lagos',
 ('NG', 'Ogun', 'NG-OG'): 'Africa/Lagos', ('NG', 'Borno', 'NG-BO'): 'Africa/Lagos',
 ('NG', 'Ondo', 'NG-ON'): 'Africa/Lagos', ('NG', 'Bayelsa', 'NG-BY'): 'Africa/Lagos',
 ('NG', 'Osun', 'NG-OS'): 'Africa/Lagos', ('NG', 'Cross River', 'NG-CR'): 'Africa/Lagos',
 ('NG', 'Oyo', 'NG-OY'): 'Africa/Lagos', ('NG', 'Delta', 'NG-DE'): 'America/Chicago',
 ('NG', 'Plateau', 'NG-PL'): 'Africa/Lagos', ('NG', 'Ebonyi', 'NG-EB'): 'Africa/Lagos',
 ('NG', 'Rivers', 'NG-RI'): 'Africa/Lagos', ('NG', 'Edo', 'NG-ED'): 'Africa/Lagos',
 ('NG', 'Sokoto', 'NG-SO'): 'Africa/Lagos', ('NG', 'Ekiti', 'NG-EK'): 'Africa/Lagos',
 ('NG', 'Taraba', 'NG-TA'): 'Africa/Lagos', ('NG', 'Enugu', 'NG-EN'): 'Africa/Lagos',
 ('NG', 'Yobe', 'NG-YO'): 'Africa/Lagos', ('NG', 'Abuja Federal Capital Territory', 'NG-FC'): 'Africa/Lagos',
 ('NG', 'Zamfara', 'NG-ZA'): 'Africa/Lagos', ('NG', 'Gombe', 'NG-GO'): 'Africa/Lagos',
 ('NG', 'Imo', 'NG-IM'): 'Africa/Lagos', ('NI', 'Río San Juan', 'NI-SJ'): 'America/Managua',
 ('NI', 'Madriz', 'NI-MD'): 'America/Managua', ('NI', 'Managua', 'NI-MN'): 'America/Managua',
 ('NI', 'Estelí', 'NI-ES'): 'America/Managua', ('NI', 'Costa Caribe Sur', 'NI-AS'): 'America/Managua',
 ('NI', 'Masaya', 'NI-MS'): 'America/Managua', ('NI', 'Granada', 'NI-GR'): 'Europe/Madrid',
 ('NI', 'Boaco', 'NI-BO'): 'America/Managua', ('NI', 'Matagalpa', 'NI-MT'): 'America/Managua',
 ('NI', 'Jinotega', 'NI-JI'): 'America/Managua', ('NI', 'Carazo', 'NI-CA'): 'America/Managua',
 ('NI', 'Nueva Segovia', 'NI-NS'): 'America/Managua', ('NI', 'León', 'NI-LE'): 'Europe/Madrid',
 ('NI', 'Chinandega', 'NI-CI'): 'America/Managua', ('NI', 'Rivas', 'NI-RI'): 'America/Managua',
 ('NI', 'Costa Caribe Norte', 'NI-AN'): 'America/Managua', ('NI', 'Chontales', 'NI-CO'): 'America/Managua',
 ('NL', 'Utrecht', 'NL-UT'): 'Europe/Amsterdam', ('NL', 'Limburg', 'NL-LI'): 'Europe/Amsterdam',
 ('NL', 'Drenthe', 'NL-DR'): 'Europe/Amsterdam', ('NL', 'Aruba', 'NL-AW'): 'America/Aruba',
 ('NL', 'Zeeland', 'NL-ZE'): 'Europe/Amsterdam', ('NL', 'Noord-Brabant', 'NL-NB'): 'Europe/Amsterdam',
 ('NL', 'Flevoland', 'NL-FL'): 'Europe/Amsterdam', ('NL', 'Bonaire', 'NL-BQ1'): 'America/Kralendijk',
 ('NL', 'Zuid-Holland', 'NL-ZH'): 'Europe/Amsterdam', ('NL', 'Noord-Holland', 'NL-NH'): 'Europe/Amsterdam',
 ('NL', 'Fryslân', 'NL-FR'): 'Europe/Amsterdam', ('NL', 'Saba', 'NL-BQ2'): 'America/Kralendijk',
 ('NL', 'Overijssel', 'NL-OV'): 'Europe/Amsterdam', ('NL', 'Gelderland', 'NL-GE'): 'Europe/Amsterdam',
 ('NL', 'Sint Eustatius', 'NL-BQ3'): 'America/Kralendijk', ('NL', 'Sint Maarten', 'NL-SX'): 'America/Lower_Princes',
 ('NL', 'Groningen', 'NL-GR'): 'Europe/Amsterdam', ('NL', 'Curaçao', 'NL-CW'): 'America/Curacao',
 ('NO', 'Nordland', 'NO-18'): 'Europe/Oslo', ('NO', 'Vestfold og Telemark', 'NO-38'): 'Europe/Oslo',
 ('NO', 'Svalbard (Arctic Region)', 'NO-21'): 'America/Chicago', ('NO', 'Agder', 'NO-42'): 'Europe/Oslo',
 ('NO', 'Jan Mayen (Arctic Region)', 'NO-22'): 'America/Chicago', ('NO', 'Oslo', 'NO-03'): 'Europe/Oslo',
 ('NO', 'Vestland', 'NO-46'): 'Europe/Oslo', ('NO', 'Romssa ja Finnmárkku', 'NO-54'): 'Europe/Brussels',
 ('NO', 'Trööndelage', 'NO-50'): 'Europe/Oslo', ('NO', 'Viken', 'NO-30'): 'Europe/Oslo',
 ('NO', 'Rogaland', 'NO-11'): 'Europe/Oslo', ('NO', 'Innlandet', 'NO-34'): 'Europe/Oslo',
 ('NO', 'Møre og Romsdal', 'NO-15'): 'Europe/Oslo', ('NP', 'Province 1', 'NP-P1'): 'America/New_York',
 ('NP', 'Province 2', 'NP-P2'): 'America/New_York', ('NP', 'Bāgmatī', 'NP-P3'): 'Asia/Kathmandu',
 ('NP', 'Gandaki', 'NP-P4'): 'Asia/Kathmandu', ('NP', 'Province 5', 'NP-P5'): 'America/New_York',
 ('NP', 'Karnali', 'NP-P6'): 'Asia/Kathmandu', ('NP', 'Central', 'NP-1'): 'Africa/Lusaka',
 ('NP', 'Sudūr Pashchim', 'NP-P7'): 'Asia/Kathmandu', ('NP', 'Mid Western', 'NP-2'): 'Australia/Sydney',
 ('NP', 'Rapti', 'NP-RA'): 'Asia/Kathmandu', ('NP', 'Western', 'NP-3'): 'Africa/Nairobi',
 ('NP', 'Sagarmatha', 'NP-SA'): 'Asia/Shanghai', ('NP', 'Eastern', 'NP-4'): 'Africa/Nairobi',
 ('NP', 'Seti', 'NP-SE'): 'Asia/Kathmandu', ('NP', 'Far Western', 'NP-5'): 'Asia/Kathmandu',
 ('NP', 'Bagmati', 'NP-BA'): 'Asia/Kathmandu', ('NP', 'Bheri', 'NP-BH'): 'Asia/Kathmandu',
 ('NP', 'Dhawalagiri', 'NP-DH'): 'Asia/Kathmandu', ('NP', 'Gandaki', 'NP-GA'): 'Asia/Kathmandu',
 ('NP', 'Janakpur', 'NP-JA'): 'Asia/Kathmandu', ('NP', 'Karnali', 'NP-KA'): 'Asia/Kathmandu',
 ('NP', 'Kosi', 'NP-KO'): 'Asia/Kolkata', ('NP', 'Lumbini', 'NP-LU'): 'Asia/Kathmandu',
 ('NP', 'Mahakali', 'NP-MA'): 'Asia/Kathmandu', ('NP', 'Mechi', 'NP-ME'): 'Africa/Addis_Ababa',
 ('NP', 'Narayani', 'NP-NA'): 'Asia/Kolkata', ('NR', 'Aiwo', 'NR-01'): 'Pacific/Nauru',
 ('NR', 'Buada', 'NR-07'): 'Pacific/Nauru', ('NR', 'Anabar', 'NR-02'): 'Pacific/Nauru',
 ('NR', 'Nibok', 'NR-12'): 'Pacific/Nauru', ('NR', 'Denigomodu', 'NR-08'): 'Pacific/Nauru',
 ('NR', 'Anetan', 'NR-03'): 'Pacific/Nauru', ('NR', 'Uaboe', 'NR-13'): 'Pacific/Nauru',
 ('NR', 'Ewa', 'NR-09'): 'Pacific/Nauru', ('NR', 'Anibare', 'NR-04'): 'Pacific/Nauru',
 ('NR', 'Yaren', 'NR-14'): 'Pacific/Nauru', ('NR', 'Ijuw', 'NR-10'): 'Pacific/Nauru',
 ('NR', 'Baitsi', 'NR-05'): 'Pacific/Nauru', ('NR', 'Meneng', 'NR-11'): 'Pacific/Nauru',
 ('NR', 'Boe', 'NR-06'): 'Pacific/Nauru', ('NZ', 'Tasman', 'NZ-TAS'): 'Pacific/Auckland',
 ('NZ', 'Manawatu-Wanganui', 'NZ-MWT'): 'Pacific/Auckland', ('NZ', 'Canterbury', 'NZ-CAN'): 'Europe/London',
 ('NZ', 'Taranaki', 'NZ-TKI'): 'Pacific/Auckland', ('NZ', 'Nelson', 'NZ-NSN'): 'America/New_York',
 ('NZ', 'West Coast', 'NZ-WTC'): 'Pacific/Auckland', ('NZ', 'Chatham Islands Territory', 'NZ-CIT'): 'Asia/Kolkata',
 ('NZ', 'Wellington', 'NZ-WGN'): 'Pacific/Auckland', ('NZ', 'Northland', 'NZ-NTL'): 'Pacific/Auckland',
 ('NZ', 'Gisborne', 'NZ-GIS'): 'Pacific/Auckland', ('NZ', 'Waikato', 'NZ-WKO'): 'Pacific/Auckland',
 ('NZ', 'Otago', 'NZ-OTA'): 'Pacific/Auckland', ('NZ', "Hawke's Bay", 'NZ-HKB'): 'Pacific/Auckland',
 ('NZ', 'Auckland', 'NZ-AUK'): 'Pacific/Auckland', ('NZ', 'Southland', 'NZ-STL'): 'Pacific/Auckland',
 ('NZ', 'Marlborough', 'NZ-MBH'): 'America/New_York', ('NZ', 'Bay of Plenty', 'NZ-BOP'): 'Pacific/Auckland',
 ('OM', 'Janūb ash Sharqīyah', 'OM-SJ'): 'Asia/Muscat', ('OM', 'Shamāl al Bāţinah', 'OM-BS'): 'Asia/Muscat',
 ('OM', 'Shamāl ash Sharqīyah', 'OM-SS'): 'Asia/Riyadh', ('OM', 'Al Buraymī', 'OM-BU'): 'Asia/Muscat',
 ('OM', 'Al Wusţá', 'OM-WU'): 'Asia/Riyadh', ('OM', 'Ad Dākhilīyah', 'OM-DA'): 'Asia/Muscat',
 ('OM', 'Az̧ Z̧āhirah', 'OM-ZA'): 'Asia/Muscat', ('OM', 'Masqaţ', 'OM-MA'): 'Asia/Muscat',
 ('OM', 'Z̧ufār', 'OM-ZU'): 'Asia/Aden', ('OM', 'Musandam', 'OM-MU'): 'Asia/Muscat',
 ('OM', 'Janūb al Bāţinah', 'OM-BJ'): 'Asia/Muscat', ('PK', 'Khyber Pakhtunkhwa', 'PK-KP'): 'Asia/Karachi',
 ('PK', 'Punjab', 'PK-PB'): 'Asia/Kolkata', ('PK', 'Balochistan', 'PK-BA'): 'Asia/Karachi',
 ('PK', 'Sindh', 'PK-SD'): 'Asia/Kolkata', ('PK', 'Gilgit-Baltistan', 'PK-GB'): 'Asia/Karachi',
 ('PK', 'Islamabad', 'PK-IS'): 'Asia/Karachi', ('PK', 'Azad Jammu and Kashmir', 'PK-JK'): 'Asia/Karachi',
 ('PA', 'Bocas del Toro', 'PA-1'): 'America/Panama', ('PA', 'Herrera', 'PA-6'): 'Europe/Madrid',
 ('PA', 'Panamá Oeste', 'PA-10'): 'America/Panama', ('PA', 'Guna Yala', 'PA-KY'): 'America/Panama',
 ('PA', 'Los Santos', 'PA-7'): 'Europe/Madrid', ('PA', 'Coclé', 'PA-2'): 'America/Panama',
 ('PA', 'Ngöbe-Buglé', 'PA-NB'): 'America/Panama', ('PA', 'Panamá', 'PA-8'): 'America/Panama',
 ('PA', 'Colón', 'PA-3'): 'America/Panama', ('PA', 'Veraguas', 'PA-9'): 'America/Panama',
 ('PA', 'Chiriquí', 'PA-4'): 'America/Panama', ('PA', 'Emberá', 'PA-EM'): 'America/Panama',
 ('PA', 'Darién', 'PA-5'): 'America/Panama', ('PE', 'Pasco', 'PE-PAS'): 'America/Lima',
 ('PE', 'Piura', 'PE-PIU'): 'America/Lima', ('PE', 'Puno', 'PE-PUN'): 'America/Lima',
 ('PE', 'Amarumayu', 'PE-AMA'): 'America/Manaus', ('PE', 'San Martin', 'PE-SAM'): 'America/Marigot',
 ('PE', 'Ancash', 'PE-ANC'): 'America/Lima', ('PE', 'Tacna', 'PE-TAC'): 'America/Lima',
 ('PE', 'Apurimaq', 'PE-APU'): 'America/Lima', ('PE', 'Tumbes', 'PE-TUM'): 'America/Lima',
 ('PE', 'Arequipa', 'PE-ARE'): 'America/Lima', ('PE', 'Ucayali', 'PE-UCA'): 'America/Lima',
 ('PE', 'Ayacucho', 'PE-AYA'): 'America/Lima', ('PE', 'Cajamarca', 'PE-CAJ'): 'America/Lima',
 ('PE', 'El Callao', 'PE-CAL'): 'America/Caracas', ('PE', 'Cusco', 'PE-CUS'): 'America/Lima',
 ('PE', 'Huánuco', 'PE-HUC'): 'America/Lima', ('PE', 'Huancavelica', 'PE-HUV'): 'America/Lima',
 ('PE', 'Ica', 'PE-ICA'): 'America/Lima', ('PE', 'Hunin', 'PE-JUN'): 'Europe/Prague',
 ('PE', 'La Libertad', 'PE-LAL'): 'America/Lima', ('PE', 'Lambayeque', 'PE-LAM'): 'America/Lima',
 ('PE', 'Lima', 'PE-LIM'): 'America/Lima', ('PE', 'Lima hatun llaqta', 'PE-LMA'): 'America/Lima',
 ('PE', 'Loreto', 'PE-LOR'): 'America/Lima', ('PE', 'Madre de Dios', 'PE-MDD'): 'America/Lima',
 ('PE', 'Moquegua', 'PE-MOQ'): 'America/Lima', ('PH', 'Cagayan', 'PH-CAG'): 'Asia/Manila',
 ('PH', 'Pangasinan', 'PH-PAN'): 'Asia/Manila', ('PH', 'Camiguin', 'PH-CAM'): 'Asia/Manila',
 ('PH', 'Palawan', 'PH-PLW'): 'Asia/Manila', ('PH', 'Camarines Norte', 'PH-CAN'): 'Asia/Manila',
 ('PH', 'Quezon', 'PH-QUE'): 'Asia/Manila', ('PH', 'Capiz', 'PH-CAP'): 'Asia/Manila',
 ('PH', 'Quirino', 'PH-QUI'): 'Asia/Manila', ('PH', 'Camarines Sur', 'PH-CAS'): 'Asia/Manila',
 ('PH', 'Rizal', 'PH-RIZ'): 'Asia/Manila', ('PH', 'Catanduanes', 'PH-CAT'): 'Asia/Manila',
 ('PH', 'Romblon', 'PH-ROM'): 'Asia/Manila', ('PH', 'Cavite', 'PH-CAV'): 'Asia/Manila',
 ('PH', 'Sarangani', 'PH-SAR'): 'Asia/Manila', ('PH', 'Cebu', 'PH-CEB'): 'Asia/Manila',
 ('PH', 'South Cotabato', 'PH-SCO'): 'Asia/Manila', ('PH', 'National Capital Region', 'PH-00'): 'Asia/Manila',
 ('PH', 'Davao de Oro', 'PH-COM'): 'Asia/Manila', ('PH', 'Siquijor', 'PH-SIG'): 'Asia/Manila',
 ('PH', 'Ilocos (Region I)', 'PH-01'): 'Asia/Manila', ('PH', 'Davao Oriental', 'PH-DAO'): 'Asia/Manila',
 ('PH', 'Southern Leyte', 'PH-SLE'): 'Asia/Manila', ('PH', 'Cagayan Valley (Region II)', 'PH-02'): 'Asia/Manila',
 ('PH', 'Davao del Sur', 'PH-DAS'): 'Asia/Manila', ('PH', 'Sulu', 'PH-SLU'): 'Asia/Manila',
 ('PH', 'Central Luzon (Region III)', 'PH-03'): 'Asia/Manila', ('PH', 'Davao del Norte', 'PH-DAV'): 'Asia/Manila',
 ('PH', 'Sorsogon', 'PH-SOR'): 'Asia/Manila', ('PH', 'Bicol (Region V)', 'PH-05'): 'Asia/Manila',
 ('PH', 'Dinagat Islands', 'PH-DIN'): 'Asia/Manila', ('PH', 'Sultan Kudarat', 'PH-SUK'): 'Asia/Manila',
 ('PH', 'Western Visayas (Region VI)', 'PH-06'): 'Asia/Manila', ('PH', 'Davao Occidental', 'PH-DVO'): 'Asia/Manila',
 ('PH', 'Surigao del Norte', 'PH-SUN'): 'Asia/Manila', ('PH', 'Central Visayas (Region VII)', 'PH-07'): 'Asia/Manila',
 ('PH', 'Eastern Samar', 'PH-EAS'): 'Asia/Manila', ('PH', 'Surigao del Sur', 'PH-SUR'): 'Asia/Manila',
 ('PH', 'Eastern Visayas (Region VIII)', 'PH-08'): 'Asia/Manila', ('PH', 'Guimaras', 'PH-GUI'): 'Asia/Manila',
 ('PH', 'Tarlac', 'PH-TAR'): 'Asia/Manila', ('PH', 'Zamboanga Peninsula (Region IX)', 'PH-09'): 'Asia/Manila',
 ('PH', 'Ifugao', 'PH-IFU'): 'Asia/Manila', ('PH', 'Tawi-Tawi', 'PH-TAW'): 'Asia/Manila',
 ('PH', 'Northern Mindanao (Region X)', 'PH-10'): 'Asia/Manila', ('PH', 'Iloilo', 'PH-ILI'): 'Asia/Manila',
 ('PH', 'Samar', 'PH-WSA'): 'Asia/Manila', ('PH', 'Davao (Region XI)', 'PH-11'): 'Asia/Manila',
 ('PH', 'Ilocos Norte', 'PH-ILN'): 'Asia/Manila', ('PH', 'Zamboanga del Norte', 'PH-ZAN'): 'Asia/Manila',
 ('PH', 'Ilocos Sur', 'PH-ILS'): 'Asia/Manila', ('PH', 'Soccsksargen (Region XII)', 'PH-12'): 'Asia/Manila',
 ('PH', 'Zamboanga del Sur', 'PH-ZAS'): 'Asia/Manila', ('PH', 'Isabela', 'PH-ISA'): 'Asia/Manila',
 ('PH', 'Caraga (Region XIII)', 'PH-13'): 'Asia/Manila', ('PH', 'Zambales', 'PH-ZMB'): 'Asia/Manila',
 ('PH', 'Autonomous Region in Muslim Mindanao (ARMM)', 'PH-14'): 'Asia/Manila',
 ('PH', 'Kalinga', 'PH-KAL'): 'Asia/Manila', ('PH', 'Zamboanga Sibugay', 'PH-ZSI'): 'Asia/Manila',
 ('PH', 'Cordillera Administrative Region (CAR)', 'PH-15'): 'Asia/Manila', ('PH', 'Laguna', 'PH-LAG'): 'Asia/Manila',
 ('PH', 'Calabarzon (Region IV-A)', 'PH-40'): 'Asia/Manila', ('PH', 'Lanao del Norte', 'PH-LAN'): 'Asia/Manila',
 ('PH', 'Mimaropa (Region IV-B)', 'PH-41'): 'Asia/Manila', ('PH', 'Lanao del Sur', 'PH-LAS'): 'Asia/Manila',
 ('PH', 'Abra', 'PH-ABR'): 'Asia/Manila', ('PH', 'Leyte', 'PH-LEY'): 'Asia/Manila',
 ('PH', 'Agusan del Norte', 'PH-AGN'): 'Asia/Manila', ('PH', 'La Union', 'PH-LUN'): 'Asia/Manila',
 ('PH', 'Agusan del Sur', 'PH-AGS'): 'Asia/Manila', ('PH', 'Marinduque', 'PH-MAD'): 'Asia/Manila',
 ('PH', 'Aklan', 'PH-AKL'): 'Asia/Manila', ('PH', 'Maguindanao', 'PH-MAG'): 'Asia/Manila',
 ('PH', 'Albay', 'PH-ALB'): 'Asia/Manila', ('PH', 'Masbate', 'PH-MAS'): 'Asia/Manila',
 ('PH', 'Antique', 'PH-ANT'): 'Asia/Manila', ('PH', 'Mindoro Occidental', 'PH-MDC'): 'Asia/Manila',
 ('PH', 'Apayao', 'PH-APA'): 'Asia/Manila', ('PH', 'Mindoro Oriental', 'PH-MDR'): 'Asia/Manila',
 ('PH', 'Aurora', 'PH-AUR'): 'America/Chicago', ('PH', 'Mountain Province', 'PH-MOU'): 'Asia/Manila',
 ('PH', 'Bataan', 'PH-BAN'): 'Asia/Manila', ('PH', 'Misamis Occidental', 'PH-MSC'): 'Asia/Manila',
 ('PH', 'Basilan', 'PH-BAS'): 'Asia/Manila', ('PH', 'Misamis Oriental', 'PH-MSR'): 'Asia/Manila',
 ('PH', 'Benguet', 'PH-BEN'): 'Asia/Manila', ('PH', 'Cotabato', 'PH-NCO'): 'Asia/Manila',
 ('PH', 'Biliran', 'PH-BIL'): 'Asia/Manila', ('PH', 'Negros Occidental', 'PH-NEC'): 'Asia/Manila',
 ('PH', 'Bohol', 'PH-BOH'): 'Asia/Manila', ('PH', 'Negros Oriental', 'PH-NER'): 'Asia/Manila',
 ('PH', 'Batangas', 'PH-BTG'): 'Asia/Manila', ('PH', 'Northern Samar', 'PH-NSA'): 'Asia/Manila',
 ('PH', 'Batanes', 'PH-BTN'): 'Asia/Manila', ('PH', 'Nueva Ecija', 'PH-NUE'): 'Asia/Manila',
 ('PH', 'Nueva Vizcaya', 'PH-NUV'): 'Asia/Manila', ('PH', 'Bukidnon', 'PH-BUK'): 'Asia/Manila',
 ('PH', 'Pampanga', 'PH-PAM'): 'Asia/Manila', ('PH', 'Bulacan', 'PH-BUL'): 'Asia/Manila',
 ('PW', 'Ngeremlengui', 'PW-227'): 'Pacific/Palau', ('PW', 'Ngiwal', 'PW-228'): 'Pacific/Palau',
 ('PW', 'Ngarchelong', 'PW-218'): 'Pacific/Palau', ('PW', 'Ngchesar', 'PW-226'): 'Pacific/Palau',
 ('PW', 'Hatohobei', 'PW-050'): 'Pacific/Palau', ('PW', 'Peleliu', 'PW-350'): 'Pacific/Palau',
 ('PW', 'Ngardmau', 'PW-222'): 'Pacific/Palau', ('PW', 'Kayangel', 'PW-100'): 'Pacific/Palau',
 ('PW', 'Sonsorol', 'PW-370'): 'Pacific/Palau', ('PW', 'Aimeliik', 'PW-002'): 'Pacific/Palau',
 ('PW', 'Ngatpang', 'PW-224'): 'Pacific/Palau', ('PW', 'Koror', 'PW-150'): 'Pacific/Palau',
 ('PW', 'Airai', 'PW-004'): 'Pacific/Palau', ('PW', 'Melekeok', 'PW-212'): 'Pacific/Palau',
 ('PW', 'Angaur', 'PW-010'): 'Pacific/Palau', ('PW', 'Ngaraard', 'PW-214'): 'Pacific/Palau',
 ('PG', 'New Ireland', 'PG-NIK'): 'Pacific/Port_Moresby', ('PG', 'Northern', 'PG-NPP'): 'Africa/Accra',
 ('PG', 'Bougainville', 'PG-NSB'): 'Europe/Paris', ('PG', 'West Sepik', 'PG-SAN'): 'Pacific/Port_Moresby',
 ('PG', 'Southern Highlands', 'PG-SHM'): 'Pacific/Port_Moresby',
 ('PG', 'West New Britain', 'PG-WBK'): 'Pacific/Port_Moresby',
 ('PG', 'Western Highlands', 'PG-WHM'): 'Pacific/Port_Moresby', ('PG', 'Chimbu', 'PG-CPK'): 'Pacific/Port_Moresby',
 ('PG', 'Western', 'PG-WPD'): 'Africa/Nairobi', ('PG', 'Central', 'PG-CPM'): 'Africa/Lusaka',
 ('PG', 'East New Britain', 'PG-EBR'): 'Pacific/Port_Moresby',
 ('PG', 'Eastern Highlands', 'PG-EHG'): 'Pacific/Port_Moresby', ('PG', 'Enga', 'PG-EPW'): 'Pacific/Port_Moresby',
 ('PG', 'East Sepik', 'PG-ESW'): 'Pacific/Port_Moresby', ('PG', 'Gulf', 'PG-GPK'): 'America/Chicago',
 ('PG', 'Hela', 'PG-HLA'): 'Europe/Warsaw', ('PG', 'Jiwaka', 'PG-JWK'): 'Pacific/Port_Moresby',
 ('PG', 'Milne Bay', 'PG-MBA'): 'Pacific/Port_Moresby', ('PG', 'Morobe', 'PG-MPL'): 'Pacific/Port_Moresby',
 ('PG', 'Madang', 'PG-MPM'): 'Pacific/Port_Moresby', ('PG', 'Manus', 'PG-MRL'): 'Pacific/Port_Moresby',
 ('PG', 'National Capital District (Port Moresby)', 'PG-NCD'): 'Pacific/Port_Moresby',
 ('PL', 'Lubelskie', 'PL-06'): 'Europe/Warsaw', ('PL', 'Podkarpackie', 'PL-18'): 'Europe/Warsaw',
 ('PL', 'Lubuskie', 'PL-08'): 'Europe/Warsaw', ('PL', 'Warmińsko-mazurskie', 'PL-28'): 'Europe/Warsaw',
 ('PL', 'Podlaskie', 'PL-20'): 'Europe/Warsaw', ('PL', 'Łódzkie', 'PL-10'): 'Europe/Warsaw',
 ('PL', 'Wielkopolskie', 'PL-30'): 'Europe/Warsaw', ('PL', 'Pomorskie', 'PL-22'): 'Europe/Warsaw',
 ('PL', 'Małopolskie', 'PL-12'): 'Europe/Warsaw', ('PL', 'Zachodniopomorskie', 'PL-32'): 'Europe/Warsaw',
 ('PL', 'Dolnośląskie', 'PL-02'): 'Europe/Warsaw', ('PL', 'Śląskie', 'PL-24'): 'Europe/Warsaw',
 ('PL', 'Mazowieckie', 'PL-14'): 'Europe/Warsaw', ('PL', 'Kujawsko-pomorskie', 'PL-04'): 'Europe/Warsaw',
 ('PL', 'Świętokrzyskie', 'PL-26'): 'Europe/Warsaw', ('PL', 'Opolskie', 'PL-16'): 'Europe/Warsaw',
 ('KP', 'Hwanghae-bukto', 'KP-06'): 'Asia/Pyongyang', ('KP', "P'yǒngyang", 'KP-01'): 'Asia/Pyongyang',
 ('KP', 'Nampho', 'KP-14'): 'Asia/Pyongyang', ('KP', 'Kangweonto', 'KP-07'): 'Asia/Pyongyang',
 ('KP', "P'yǒngan-namdo", 'KP-02'): 'Asia/Pyongyang', ('KP', 'Hamgyǒng-namdo', 'KP-08'): 'Asia/Pyongyang',
 ('KP', "P'yǒngan-bukto", 'KP-03'): 'Asia/Pyongyang', ('KP', 'Hamgyǒng-bukto', 'KP-09'): 'Asia/Pyongyang',
 ('KP', 'Chagang-do', 'KP-04'): 'Asia/Pyongyang', ('KP', 'Ryanggang-do', 'KP-10'): 'Asia/Pyongyang',
 ('KP', 'Hwanghae-namdo', 'KP-05'): 'Asia/Pyongyang', ('KP', 'Raseon', 'KP-13'): 'Europe/Athens',
 ('PT', 'Braga', 'PT-03'): 'Europe/Lisbon', ('PT', 'Bragança', 'PT-04'): 'Europe/Lisbon',
 ('PT', 'Castelo Branco', 'PT-05'): 'Europe/Lisbon', ('PT', 'Coimbra', 'PT-06'): 'Europe/Lisbon',
 ('PT', 'Évora', 'PT-07'): 'Europe/Lisbon', ('PT', 'Faro', 'PT-08'): 'Europe/Lisbon',
 ('PT', 'Guarda', 'PT-09'): 'Europe/Lisbon', ('PT', 'Leiria', 'PT-10'): 'Europe/Lisbon',
 ('PT', 'Lisboa', 'PT-11'): 'Europe/Lisbon', ('PT', 'Portalegre', 'PT-12'): 'Europe/Lisbon',
 ('PT', 'Porto', 'PT-13'): 'Europe/Lisbon', ('PT', 'Santarém', 'PT-14'): 'Europe/Lisbon',
 ('PT', 'Setúbal', 'PT-15'): 'Europe/Lisbon', ('PT', 'Viana do Castelo', 'PT-16'): 'Europe/Lisbon',
 ('PT', 'Vila Real', 'PT-17'): 'Europe/Madrid', ('PT', 'Viseu', 'PT-18'): 'Europe/Lisbon',
 ('PT', 'Região Autónoma dos Açores', 'PT-20'): 'Atlantic/Azores',
 ('PT', 'Região Autónoma da Madeira', 'PT-30'): 'Atlantic/Madeira', ('PT', 'Aveiro', 'PT-01'): 'Europe/Lisbon',
 ('PT', 'Beja', 'PT-02'): 'Europe/Lisbon', ('PY', 'Central', 'PY-11'): 'Africa/Lusaka',
 ('PY', 'Caazapá', 'PY-6'): 'America/Asuncion', ('PY', 'Asunción', 'PY-ASU'): 'America/Asuncion',
 ('PY', 'Boquerón', 'PY-19'): 'America/Panama', ('PY', 'Ñeembucú', 'PY-12'): 'America/Asuncion',
 ('PY', 'Itapúa', 'PY-7'): 'America/Asuncion', ('PY', 'San Pedro', 'PY-2'): 'Europe/Madrid',
 ('PY', 'Amambay', 'PY-13'): 'America/Asuncion', ('PY', 'Misiones', 'PY-8'): 'America/Argentina/Cordoba',
 ('PY', 'Cordillera', 'PY-3'): 'Asia/Manila', ('PY', 'Canindeyú', 'PY-14'): 'America/Asuncion',
 ('PY', 'Concepción', 'PY-1'): 'America/Santiago', ('PY', 'Paraguarí', 'PY-9'): 'America/Asuncion',
 ('PY', 'Guairá', 'PY-4'): 'America/Asuncion', ('PY', 'Presidente Hayes', 'PY-15'): 'America/Asuncion',
 ('PY', 'Alto Paraná', 'PY-10'): 'America/Asuncion', ('PY', 'Caaguazú', 'PY-5'): 'America/Asuncion',
 ('PY', 'Alto Paraguay', 'PY-16'): 'America/Asuncion', ('PS', 'Rafah', 'PS-RFH'): 'Asia/Damascus',
 ('PS', 'Khan Yunis', 'PS-KYS'): 'Asia/Gaza', ('PS', 'Gaza', 'PS-GZA'): 'Asia/Gaza',
 ('PS', 'Salfit', 'PS-SLT'): 'Asia/Hebron', ('PS', 'Nablus', 'PS-NBS'): 'Asia/Hebron',
 ('PS', 'Hebron', 'PS-HBN'): 'Asia/Hebron', ('PS', 'Tubas', 'PS-TBS'): 'Asia/Hebron',
 ('PS', 'North Gaza', 'PS-NGZ'): 'Australia/Melbourne', ('PS', 'Jerusalem', 'PS-JEM'): 'Asia/Jerusalem',
 ('PS', 'Tulkarm', 'PS-TKM'): 'Asia/Hebron', ('PS', 'Qalqilya', 'PS-QQA'): 'Asia/Hebron',
 ('PS', 'Jenin', 'PS-JEN'): 'Europe/Warsaw', ('PS', 'Bethlehem', 'PS-BTH'): 'Asia/Hebron',
 ('PS', 'Ramallah', 'PS-RBH'): 'Asia/Hebron', ('PS', 'Jericho and Al Aghwar', 'PS-JRH'): 'Asia/Jerusalem',
 ('PS', 'Deir El Balah', 'PS-DEB'): 'Asia/Gaza', ('QA', 'Ad Dawḩah', 'QA-DA'): 'Asia/Aden',
 ('QA', 'Al Wakrah', 'QA-WA'): 'Asia/Qatar', ('QA', 'Al Khawr wa adh Dhakhīrah', 'QA-KH'): 'Asia/Qatar',
 ('QA', 'Az̧ Z̧a‘āyin', 'QA-ZA'): 'Asia/Baku', ('QA', 'Ash Shamāl', 'QA-MS'): 'Asia/Qatar',
 ('QA', 'Ar Rayyān', 'QA-RA'): 'Asia/Qatar', ('QA', 'Ash Shīḩānīyah', 'QA-SH'): 'Asia/Qatar',
 ('QA', 'Umm Şalāl', 'QA-US'): 'Asia/Qatar', ('RO', 'Ialomița', 'RO-IL'): 'Europe/Bucharest',
 ('RO', 'București', 'RO-B'): 'Europe/Bucharest', ('RO', 'Iași', 'RO-IS'): 'Europe/Bucharest',
 ('RO', 'Bacău', 'RO-BC'): 'Europe/Bucharest', ('RO', 'Mehedinți', 'RO-MH'): 'Europe/Bucharest',
 ('RO', 'Bihor', 'RO-BH'): 'Europe/Bucharest', ('RO', 'Maramureș', 'RO-MM'): 'Europe/Bucharest',
 ('RO', 'Bistrița-Năsăud', 'RO-BN'): 'Europe/Bucharest', ('RO', 'Mureș', 'RO-MS'): 'Europe/Bucharest',
 ('RO', 'Brăila', 'RO-BR'): 'Europe/Bucharest', ('RO', 'Neamț', 'RO-NT'): 'Europe/Bucharest',
 ('RO', 'Botoșani', 'RO-BT'): 'Europe/Bucharest', ('RO', 'Olt', 'RO-OT'): 'Europe/Bucharest',
 ('RO', 'Brașov', 'RO-BV'): 'Europe/Bucharest', ('RO', 'Prahova', 'RO-PH'): 'Europe/Bucharest',
 ('RO', 'Buzău', 'RO-BZ'): 'Europe/Bucharest', ('RO', 'Sibiu', 'RO-SB'): 'Europe/Bucharest',
 ('RO', 'Cluj', 'RO-CJ'): 'Europe/Bucharest', ('RO', 'Sălaj', 'RO-SJ'): 'Europe/Bucharest',
 ('RO', 'Călărași', 'RO-CL'): 'Europe/Bucharest', ('RO', 'Satu Mare', 'RO-SM'): 'Europe/Bucharest',
 ('RO', 'Caraș-Severin', 'RO-CS'): 'Europe/Bucharest', ('RO', 'Suceava', 'RO-SV'): 'Europe/Bucharest',
 ('RO', 'Constanța', 'RO-CT'): 'Europe/Bucharest', ('RO', 'Tulcea', 'RO-TL'): 'Europe/Bucharest',
 ('RO', 'Covasna', 'RO-CV'): 'Europe/Bucharest', ('RO', 'Timiș', 'RO-TM'): 'Europe/Bucharest',
 ('RO', 'Dâmbovița', 'RO-DB'): 'Europe/Bucharest', ('RO', 'Teleorman', 'RO-TR'): 'Europe/Bucharest',
 ('RO', 'Dolj', 'RO-DJ'): 'Europe/Bucharest', ('RO', 'Vâlcea', 'RO-VL'): 'Europe/Bucharest',
 ('RO', 'Gorj', 'RO-GJ'): 'Europe/Bucharest', ('RO', 'Vrancea', 'RO-VN'): 'Europe/Bucharest',
 ('RO', 'Galați', 'RO-GL'): 'Europe/Bucharest', ('RO', 'Vaslui', 'RO-VS'): 'Europe/Bucharest',
 ('RO', 'Giurgiu', 'RO-GR'): 'Europe/Bucharest', ('RO', 'Alba', 'RO-AB'): 'Europe/London',
 ('RO', 'Hunedoara', 'RO-HD'): 'Europe/Bucharest', ('RO', 'Argeș', 'RO-AG'): 'Europe/Bucharest',
 ('RO', 'Harghita', 'RO-HR'): 'Europe/Bucharest', ('RO', 'Arad', 'RO-AR'): 'Europe/Bucharest',
 ('RO', 'Ilfov', 'RO-IF'): 'Europe/Bucharest', ('RU', "Rostovskaja oblast'", 'RU-ROS'): 'Europe/Moscow',
 ('RU', "Rjazanskaja oblast'", 'RU-RYA'): 'Europe/Moscow', ('RU', 'Saha, Respublika', 'RU-SA'): 'Asia/Yakutsk',
 ('RU', "Sahalinskaja oblast'", 'RU-SAK'): 'Asia/Almaty', ('RU', "Samarskaja oblast'", 'RU-SAM'): 'Europe/Samara',
 ('RU', "Saratovskaja oblast'", 'RU-SAR'): 'Europe/Saratov',
 ('RU', 'Severnaja Osetija, Respublika', 'RU-SE'): 'Europe/Moscow',
 ('RU', "Smolenskaja oblast'", 'RU-SMO'): 'Europe/Moscow', ('RU', 'Sankt-Peterburg', 'RU-SPE'): 'Europe/Moscow',
 ('RU', "Stavropol'skij kraj", 'RU-STA'): 'Europe/Moscow',
 ('RU', "Sverdlovskaja oblast'", 'RU-SVE'): 'Asia/Yekaterinburg',
 ('RU', 'Tatarstan, Respublika', 'RU-TA'): 'Europe/Moscow', ('RU', "Tambovskaja oblast'", 'RU-TAM'): 'Europe/Moscow',
 ('RU', "Tomskaja oblast'", 'RU-TOM'): 'Europe/Minsk', ('RU', "Tul'skaja oblast'", 'RU-TUL'): 'Europe/Moscow',
 ('RU', "Tverskaja oblast'", 'RU-TVE'): 'Europe/Moscow',
 ('RU', "Chelyabinskaya oblast'", 'RU-CHE'): 'Asia/Yekaterinburg',
 ('RU', 'Tyva, Respublika', 'RU-TY'): 'Asia/Krasnoyarsk', ('RU', "Tjumenskaja oblast'", 'RU-TYU'): 'Asia/Yekaterinburg',
 ('RU', 'Udmurtskaja Respublika', 'RU-UD'): 'Europe/Samara',
 ('RU', "Ul'janovskaja oblast'", 'RU-ULY'): 'Europe/Ulyanovsk',
 ('RU', "Volgogradskaja oblast'", 'RU-VGG'): 'Europe/Volgograd',
 ('RU', 'Chukotskiy avtonomnyy okrug', 'RU-CHU'): 'Asia/Anadyr',
 ('RU', "Vladimirskaja oblast'", 'RU-VLA'): 'Europe/Moscow', ('RU', "Vologodskaja oblast'", 'RU-VLG'): 'Europe/Moscow',
 ('RU', "Voronezhskaya oblast'", 'RU-VOR'): 'Europe/Moscow',
 ('RU', 'Jamalo-Neneckij avtonomnyj okrug', 'RU-YAN'): 'Asia/Yekaterinburg',
 ('RU', "Jaroslavskaja oblast'", 'RU-YAR'): 'Europe/Moscow',
 ('RU', "Evrejskaja avtonomnaja oblast'", 'RU-YEV'): 'Asia/Vladivostok',
 ('RU', "Zabajkal'skij kraj", 'RU-ZAB'): 'Asia/Chita', ('RU', 'Chuvashskaya Respublika', 'RU-CU'): 'Europe/Moscow',
 ('RU', 'Dagestan, Respublika', 'RU-DA'): 'Europe/Moscow', ('RU', 'Ingushetiya, Respublika', 'RU-IN'): 'Europe/Moscow',
 ('RU', "Irkutskaja oblast'", 'RU-IRK'): 'Asia/Irkutsk', ('RU', "Ivanovskaja oblast'", 'RU-IVA'): 'Europe/Moscow',
 ('RU', 'Kamchatskiy kray', 'RU-KAM'): 'Asia/Kamchatka',
 ('RU', 'Kabardino-Balkarskaja Respublika', 'RU-KB'): 'Europe/Moscow',
 ('RU', 'Karachayevo-Cherkesskaya Respublika', 'RU-KC'): 'Europe/Moscow',
 ('RU', 'Krasnodarskij kraj', 'RU-KDA'): 'Europe/Moscow', ('RU', "Kemerovskaja oblast'", 'RU-KEM'): 'Asia/Novokuznetsk',
 ('RU', "Kaliningradskaja oblast'", 'RU-KGD'): 'Europe/Kaliningrad',
 ('RU', "Kurganskaja oblast'", 'RU-KGN'): 'Asia/Yekaterinburg',
 ('RU', 'Habarovskij kraj', 'RU-KHA'): 'Asia/Vladivostok',
 ('RU', 'Hanty-Mansijskij avtonomnyj okrug', 'RU-KHM'): 'Asia/Yekaterinburg',
 ('RU', "Kirovskaja oblast'", 'RU-KIR'): 'Europe/Samara', ('RU', 'Hakasija, Respublika', 'RU-KK'): 'Asia/Krasnoyarsk',
 ('RU', 'Kalmykija, Respublika', 'RU-KL'): 'Europe/Moscow', ('RU', "Kaluzhskaya oblast'", 'RU-KLU'): 'Europe/Moscow',
 ('RU', 'Komi, Respublika', 'RU-KO'): 'Asia/Tbilisi', ('RU', "Kostromskaja oblast'", 'RU-KOS'): 'Europe/Moscow',
 ('RU', 'Karelija, Respublika', 'RU-KR'): 'Europe/Moscow', ('RU', "Kurskaja oblast'", 'RU-KRS'): 'Europe/Moscow',
 ('RU', 'Krasnojarskij kraj', 'RU-KYA'): 'Asia/Krasnoyarsk',
 ('RU', "Leningradskaja oblast'", 'RU-LEN'): 'Europe/Moscow', ('RU', "Lipeckaja oblast'", 'RU-LIP'): 'Europe/Moscow',
 ('RU', "Magadanskaja oblast'", 'RU-MAG'): 'Asia/Magadan', ('RU', 'Marij Èl, Respublika', 'RU-ME'): 'Europe/Moscow',
 ('RU', 'Mordovija, Respublika', 'RU-MO'): 'Europe/Moscow', ('RU', "Moskovskaja oblast'", 'RU-MOS'): 'Europe/Samara',
 ('RU', 'Adygeja, Respublika', 'RU-AD'): 'Europe/Moscow', ('RU', 'Moskva', 'RU-MOW'): 'Europe/Moscow',
 ('RU', 'Altaj, Respublika', 'RU-AL'): 'Asia/Barnaul', ('RU', "Murmanskaja oblast'", 'RU-MUR'): 'Europe/Minsk',
 ('RU', 'Altajskij kraj', 'RU-ALT'): 'Asia/Barnaul',
 ('RU', 'Neneckij avtonomnyj okrug', 'RU-NEN'): 'Asia/Yekaterinburg',
 ('RU', "Amurskaja oblast'", 'RU-AMU'): 'Europe/Minsk', ('RU', "Novgorodskaja oblast'", 'RU-NGR'): 'Europe/Moscow',
 ('RU', "Arhangel'skaja oblast'", 'RU-ARK'): 'Europe/Moscow',
 ('RU', "Nizhegorodskaya oblast'", 'RU-NIZ'): 'Europe/Moscow',
 ('RU', "Astrahanskaja oblast'", 'RU-AST'): 'Europe/Astrakhan',
 ('RU', "Novosibirskaja oblast'", 'RU-NVS'): 'Asia/Novosibirsk',
 ('RU', 'Bashkortostan, Respublika', 'RU-BA'): 'Asia/Yekaterinburg',
 ('RU', "Omskaja oblast'", 'RU-OMS'): 'Europe/Minsk', ('RU', "Belgorodskaja oblast'", 'RU-BEL'): 'Europe/Moscow',
 ('RU', "Orenburgskaja oblast'", 'RU-ORE'): 'Asia/Yekaterinburg',
 ('RU', "Brjanskaja oblast'", 'RU-BRY'): 'Europe/Moscow', ('RU', "Orlovskaja oblast'", 'RU-ORL'): 'Europe/Moscow',
 ('RU', 'Burjatija, Respublika', 'RU-BU'): 'Asia/Irkutsk', ('RU', 'Permskij kraj', 'RU-PER'): 'Asia/Yekaterinburg',
 ('RU', 'Chechenskaya Respublika', 'RU-CE'): 'Europe/Moscow', ('RU', "Penzenskaja oblast'", 'RU-PNZ'): 'Europe/Moscow',
 ('RU', 'Primorskij kraj', 'RU-PRI'): 'Asia/Vladivostok', ('RU', "Pskovskaja oblast'", 'RU-PSK'): 'Europe/Moscow',
 ('RW', 'Western', 'RW-04'): 'Africa/Nairobi', ('RW', 'Southern', 'RW-05'): 'Africa/Lusaka',
 ('RW', 'City of Kigali', 'RW-01'): 'Europe/London', ('RW', 'Eastern', 'RW-02'): 'Africa/Nairobi',
 ('RW', 'Northern', 'RW-03'): 'Africa/Accra', ('SA', 'Al Qaşīm', 'SA-05'): 'Asia/Riyadh',
 ('SA', 'Najrān', 'SA-10'): 'Asia/Riyadh', ('SA', "Ḩā'il", 'SA-06'): 'Asia/Riyadh',
 ('SA', 'Ar Riyāḑ', 'SA-01'): 'Asia/Riyadh', ('SA', 'Al Bāḩah', 'SA-11'): 'Asia/Riyadh',
 ('SA', "'Asīr", 'SA-14'): 'Asia/Riyadh', ('SA', 'Tabūk', 'SA-07'): 'Asia/Riyadh',
 ('SA', 'Makkah al Mukarramah', 'SA-02'): 'Asia/Riyadh', ('SA', 'Al Jawf', 'SA-12'): 'Asia/Aden',
 ('SA', 'Al Ḩudūd ash Shamālīyah', 'SA-08'): 'Asia/Riyadh', ('SA', 'Al Madīnah al Munawwarah', 'SA-03'): 'Asia/Riyadh',
 ('SA', 'Jāzān', 'SA-09'): 'Asia/Riyadh', ('SA', 'Ash Sharqīyah', 'SA-04'): 'Asia/Riyadh',
 ('SD', 'Red Sea', 'SD-RS'): 'Etc/GMT-3', ('SD', 'South Kordofan', 'SD-KS'): 'Africa/Khartoum',
 ('SD', 'West Kordofan', 'SD-GK'): 'Africa/Khartoum', ('SD', 'East Darfur', 'SD-DE'): 'Africa/Khartoum',
 ('SD', 'Sennar', 'SD-SI'): 'Africa/Khartoum', ('SD', 'Blue Nile', 'SD-NB'): 'Africa/Addis_Ababa',
 ('SD', 'Gezira', 'SD-GZ'): 'Europe/Malta', ('SD', 'North Darfur', 'SD-DN'): 'Africa/Khartoum',
 ('SD', 'Northern', 'SD-NO'): 'Africa/Accra', ('SD', 'Kassala', 'SD-KA'): 'Africa/Khartoum',
 ('SD', 'South Darfur', 'SD-DS'): 'Africa/Khartoum', ('SD', 'North Kordofan', 'SD-KN'): 'Africa/Khartoum',
 ('SD', 'River Nile', 'SD-NR'): 'Asia/Singapore', ('SD', 'Khartoum', 'SD-KH'): 'Africa/Khartoum',
 ('SD', 'West Darfur', 'SD-DW'): 'Africa/Johannesburg', ('SD', 'White Nile', 'SD-NW'): 'Africa/Kampala',
 ('SD', 'Central Darfur', 'SD-DC'): 'Africa/Khartoum', ('SD', 'Gedaref', 'SD-GD'): 'Africa/Khartoum',
 ('SN', 'Kaffrine', 'SN-KA'): 'Africa/Dakar', ('SN', 'Sédhiou', 'SN-SE'): 'Africa/Dakar',
 ('SN', 'Kolda', 'SN-KD'): 'Africa/Dakar', ('SN', 'Saint-Louis', 'SN-SL'): 'America/Chicago',
 ('SN', 'Kédougou', 'SN-KE'): 'Africa/Dakar', ('SN', 'Diourbel', 'SN-DB'): 'Africa/Dakar',
 ('SN', 'Tambacounda', 'SN-TC'): 'Africa/Dakar', ('SN', 'Kaolack', 'SN-KL'): 'Africa/Dakar',
 ('SN', 'Dakar', 'SN-DK'): 'Africa/Dakar', ('SN', 'Thiès', 'SN-TH'): 'Africa/Dakar',
 ('SN', 'Louga', 'SN-LG'): 'Africa/Dakar', ('SN', 'Fatick', 'SN-FK'): 'Africa/Dakar',
 ('SN', 'Ziguinchor', 'SN-ZG'): 'Africa/Dakar', ('SN', 'Matam', 'SN-MT'): 'Africa/Dakar',
 ('SG', 'South West', 'SG-05'): 'Asia/Kuala_Lumpur', ('SG', 'Central Singapore', 'SG-01'): 'Asia/Singapore',
 ('SG', 'North East', 'SG-02'): 'Africa/Gaborone', ('SG', 'North West', 'SG-03'): 'Africa/Gaborone',
 ('SG', 'South East', 'SG-04'): 'Africa/Gaborone', ('SH', 'Tristan da Cunha', 'SH-TA'): 'Atlantic/St_Helena',
 ('SH', 'Saint Helena', 'SH-HL'): 'Atlantic/St_Helena', ('SH', 'Ascension', 'SH-AC'): 'Atlantic/St_Helena',
 ('SB', 'Malaita', 'SB-ML'): 'Pacific/Guadalcanal', ('SB', 'Choiseul', 'SB-CH'): 'Europe/Paris',
 ('SB', 'Rennell and Bellona', 'SB-RB'): 'Pacific/Guadalcanal',
 ('SB', 'Capital Territory (Honiara)', 'SB-CT'): 'Pacific/Guadalcanal',
 ('SB', 'Temotu', 'SB-TE'): 'Pacific/Guadalcanal', ('SB', 'Guadalcanal', 'SB-GU'): 'Pacific/Guadalcanal',
 ('SB', 'Western', 'SB-WE'): 'Africa/Nairobi', ('SB', 'Isabel', 'SB-IS'): 'America/Chicago',
 ('SB', 'Makira-Ulawa', 'SB-MK'): 'Pacific/Guadalcanal', ('SB', 'Central', 'SB-CE'): 'Africa/Lusaka',
 ('SL', 'Northern', 'SL-N'): 'Africa/Accra', ('SL', 'North Western', 'SL-NW'): 'Africa/Lusaka',
 ('SL', 'Southern', 'SL-S'): 'Africa/Lusaka', ('SL', 'Western Area (Freetown)', 'SL-W'): 'Africa/Freetown',
 ('SL', 'Eastern', 'SL-E'): 'Africa/Nairobi', ('SV', 'La Unión', 'SV-UN'): 'America/Tegucigalpa',
 ('SV', 'Santa Ana', 'SV-SA'): 'America/Los_Angeles', ('SV', 'Chalatenango', 'SV-CH'): 'America/El_Salvador',
 ('SV', 'Usulután', 'SV-US'): 'America/El_Salvador', ('SV', 'San Miguel', 'SV-SM'): 'America/Denver',
 ('SV', 'Cuscatlán', 'SV-CU'): 'America/El_Salvador', ('SV', 'Sonsonate', 'SV-SO'): 'America/El_Salvador',
 ('SV', 'La Libertad', 'SV-LI'): 'America/Lima', ('SV', 'San Salvador', 'SV-SS'): 'America/El_Salvador',
 ('SV', 'Morazán', 'SV-MO'): 'America/Tegucigalpa', ('SV', 'Ahuachapán', 'SV-AH'): 'America/El_Salvador',
 ('SV', 'San Vicente', 'SV-SV'): 'America/Bogota', ('SV', 'La Paz', 'SV-PA'): 'America/La_Paz',
 ('SV', 'Cabañas', 'SV-CA'): 'America/Tegucigalpa', ('SM', 'Montegiardino', 'SM-08'): 'Europe/San_Marino',
 ('SM', 'Domagnano', 'SM-03'): 'Europe/San_Marino', ('SM', 'Serravalle', 'SM-09'): 'Europe/San_Marino',
 ('SM', 'Faetano', 'SM-04'): 'Europe/San_Marino', ('SM', 'Fiorentino', 'SM-05'): 'Europe/San_Marino',
 ('SM', 'Borgo Maggiore', 'SM-06'): 'Europe/San_Marino', ('SM', 'Acquaviva', 'SM-01'): 'Europe/San_Marino',
 ('SM', 'Città di San Marino', 'SM-07'): 'Europe/San_Marino', ('SM', 'Chiesanuova', 'SM-02'): 'Europe/Rome',
 ('SO', 'Sool', 'SO-SO'): 'Africa/Mogadishu', ('SO', 'Mudug', 'SO-MU'): 'Africa/Mogadishu',
 ('SO', 'Galguduud', 'SO-GA'): 'Africa/Mogadishu', ('SO', 'Awdal', 'SO-AW'): 'Africa/Mogadishu',
 ('SO', 'Togdheer', 'SO-TO'): 'Africa/Mogadishu', ('SO', 'Nugaal', 'SO-NU'): 'Africa/Mogadishu',
 ('SO', 'Gedo', 'SO-GE'): 'Africa/Mogadishu', ('SO', 'Bakool', 'SO-BK'): 'Africa/Mogadishu',
 ('SO', 'Woqooyi Galbeed', 'SO-WO'): 'Africa/Mogadishu', ('SO', 'Sanaag', 'SO-SA'): 'Africa/Mogadishu',
 ('SO', 'Hiiraan', 'SO-HI'): 'Africa/Mogadishu', ('SO', 'Banaadir', 'SO-BN'): 'Africa/Mogadishu',
 ('SO', 'Shabeellaha Dhexe', 'SO-SD'): 'Africa/Mogadishu', ('SO', 'Jubbada Dhexe', 'SO-JD'): 'Africa/Mogadishu',
 ('SO', 'Bari', 'SO-BR'): 'Europe/Rome', ('SO', 'Shabeellaha Hoose', 'SO-SH'): 'Africa/Mogadishu',
 ('SO', 'Jubbada Hoose', 'SO-JH'): 'Africa/Mogadishu', ('SO', 'Bay', 'SO-BY'): 'Africa/Mogadishu',
 ('RS', 'Pčinjski okrug', 'RS-24'): 'Europe/Belgrade', ('RS', 'Severnobanatski okrug', 'RS-03'): 'Europe/Belgrade',
 ('RS', 'Kosovski okrug', 'RS-25'): 'Europe/Belgrade', ('RS', 'Južnobanatski okrug', 'RS-04'): 'Europe/Belgrade',
 ('RS', 'Pećki okrug', 'RS-26'): 'Europe/Belgrade', ('RS', 'Zapadnobački okrug', 'RS-05'): 'Europe/Belgrade',
 ('RS', 'Prizrenski okrug', 'RS-27'): 'Europe/Belgrade', ('RS', 'Južnobački okrug', 'RS-06'): 'Europe/Belgrade',
 ('RS', 'Kosovsko-Mitrovački okrug', 'RS-28'): 'Europe/Belgrade', ('RS', 'Sremski okrug', 'RS-07'): 'Europe/Belgrade',
 ('RS', 'Kosovsko-Pomoravski okrug', 'RS-29'): 'Europe/Belgrade', ('RS', 'Mačvanski okrug', 'RS-08'): 'Europe/Belgrade',
 ('RS', 'Kosovo-Metohija', 'RS-KM'): 'Europe/Belgrade', ('RS', 'Kolubarski okrug', 'RS-09'): 'Europe/Belgrade',
 ('RS', 'Vojvodina', 'RS-VO'): 'Europe/Belgrade', ('RS', 'Podunavski okrug', 'RS-10'): 'Europe/Belgrade',
 ('RS', 'Braničevski okrug', 'RS-11'): 'Europe/Belgrade', ('RS', 'Šumadijski okrug', 'RS-12'): 'Europe/Belgrade',
 ('RS', 'Pomoravski okrug', 'RS-13'): 'Europe/Belgrade', ('RS', 'Borski okrug', 'RS-14'): 'Europe/Belgrade',
 ('RS', 'Zaječarski okrug', 'RS-15'): 'Europe/Belgrade', ('RS', 'Zlatiborski okrug', 'RS-16'): 'Europe/Belgrade',
 ('RS', 'Moravički okrug', 'RS-17'): 'Europe/Belgrade', ('RS', 'Raški okrug', 'RS-18'): 'Europe/Belgrade',
 ('RS', 'Rasinski okrug', 'RS-19'): 'Europe/Belgrade', ('RS', 'Nišavski okrug', 'RS-20'): 'Europe/Belgrade',
 ('RS', 'Beograd', 'RS-00'): 'Europe/Belgrade', ('RS', 'Toplički okrug', 'RS-21'): 'Europe/Belgrade',
 ('RS', 'Severnobački okrug', 'RS-01'): 'Europe/Belgrade', ('RS', 'Pirotski okrug', 'RS-22'): 'Europe/Belgrade',
 ('RS', 'Srednjebanatski okrug', 'RS-02'): 'Europe/Belgrade', ('RS', 'Jablanički okrug', 'RS-23'): 'Europe/Belgrade',
 ('SS', 'Eastern Equatoria', 'SS-EE'): 'Africa/Juba', ('SS', 'Warrap', 'SS-WR'): 'Africa/Juba',
 ('SS', 'Western Equatoria', 'SS-EW'): 'Africa/Juba', ('SS', 'Jonglei', 'SS-JG'): 'Africa/Juba',
 ('SS', 'Northern Bahr el Ghazal', 'SS-BN'): 'Africa/Juba', ('SS', 'Lakes', 'SS-LK'): 'Africa/Juba',
 ('SS', 'Western Bahr el Ghazal', 'SS-BW'): 'Africa/Juba', ('SS', 'Upper Nile', 'SS-NU'): 'Africa/Juba',
 ('SS', 'Central Equatoria', 'SS-EC'): 'Africa/Juba', ('SS', 'Unity', 'SS-UY'): 'Africa/Juba',
 ('ST', 'Lobata', 'ST-05'): 'Africa/Sao_Tome', ('ST', 'Água Grande', 'ST-01'): 'Africa/Sao_Tome',
 ('ST', 'Mé-Zóchi', 'ST-06'): 'Africa/Sao_Tome', ('ST', 'Cantagalo', 'ST-02'): 'America/Sao_Paulo',
 ('ST', 'Príncipe', 'ST-P'): 'Africa/Sao_Tome', ('ST', 'Caué', 'ST-03'): 'Africa/Sao_Tome',
 ('ST', 'Lembá', 'ST-04'): 'Africa/Sao_Tome', ('SR', 'Sipaliwini', 'SR-SI'): 'America/Paramaribo',
 ('SR', 'Marowijne', 'SR-MA'): 'America/Paramaribo', ('SR', 'Wanica', 'SR-WA'): 'America/Paramaribo',
 ('SR', 'Nickerie', 'SR-NI'): 'America/Paramaribo', ('SR', 'Paramaribo', 'SR-PM'): 'America/Paramaribo',
 ('SR', 'Brokopondo', 'SR-BR'): 'America/Paramaribo', ('SR', 'Para', 'SR-PR'): 'America/Belem',
 ('SR', 'Commewijne', 'SR-CM'): 'America/Paramaribo', ('SR', 'Saramacca', 'SR-SA'): 'America/Paramaribo',
 ('SR', 'Coronie', 'SR-CR'): 'America/Paramaribo', ('SK', 'Prešovský kraj', 'SK-PV'): 'Europe/Bratislava',
 ('SK', 'Trnavský kraj', 'SK-TA'): 'Europe/Bratislava', ('SK', 'Banskobystrický kraj', 'SK-BC'): 'Europe/Bratislava',
 ('SK', 'Trenčiansky kraj', 'SK-TC'): 'Europe/Bratislava', ('SK', 'Bratislavský kraj', 'SK-BL'): 'Europe/Bratislava',
 ('SK', 'Žilinský kraj', 'SK-ZI'): 'Europe/Bratislava', ('SK', 'Košický kraj', 'SK-KI'): 'Europe/Bratislava',
 ('SK', 'Nitriansky kraj', 'SK-NI'): 'Europe/Bratislava', ('SI', 'Muta', 'SI-081'): 'Europe/Ljubljana',
 ('SI', 'Naklo', 'SI-082'): 'Europe/Ljubljana', ('SI', 'Gorje', 'SI-207'): 'Europe/Ljubljana',
 ('SI', 'Nazarje', 'SI-083'): 'Europe/Ljubljana', ('SI', 'Nova Gorica', 'SI-084'): 'Europe/Ljubljana',
 ('SI', 'Novo Mesto', 'SI-085'): 'Europe/Ljubljana', ('SI', 'Odranci', 'SI-086'): 'Europe/Ljubljana',
 ('SI', 'Ormož', 'SI-087'): 'Europe/Ljubljana', ('SI', 'Osilnica', 'SI-088'): 'Europe/Ljubljana',
 ('SI', 'Pesnica', 'SI-089'): 'Europe/Ljubljana', ('SI', 'Piran', 'SI-090'): 'Europe/Ljubljana',
 ('SI', 'Pivka', 'SI-091'): 'Europe/Ljubljana', ('SI', 'Podčetrtek', 'SI-092'): 'Europe/Ljubljana',
 ('SI', 'Podvelka', 'SI-093'): 'Europe/Ljubljana', ('SI', 'Postojna', 'SI-094'): 'Europe/Ljubljana',
 ('SI', 'Preddvor', 'SI-095'): 'Europe/Ljubljana', ('SI', 'Ptuj', 'SI-096'): 'Europe/Ljubljana',
 ('SI', 'Puconci', 'SI-097'): 'Europe/Ljubljana', ('SI', 'Rače-Fram', 'SI-098'): 'Europe/Ljubljana',
 ('SI', 'Radeče', 'SI-099'): 'Europe/Ljubljana', ('SI', 'Radenci', 'SI-100'): 'Europe/Ljubljana',
 ('SI', 'Radlje ob Dravi', 'SI-101'): 'Europe/Ljubljana', ('SI', 'Radovljica', 'SI-102'): 'Europe/Ljubljana',
 ('SI', 'Ravne na Koroškem', 'SI-103'): 'Europe/Ljubljana', ('SI', 'Ribnica', 'SI-104'): 'Europe/Podgorica',
 ('SI', 'Rogašovci', 'SI-105'): 'Europe/Ljubljana', ('SI', 'Rogaška Slatina', 'SI-106'): 'Europe/Ljubljana',
 ('SI', 'Rogatec', 'SI-107'): 'Europe/Ljubljana', ('SI', 'Ruše', 'SI-108'): 'Europe/Ljubljana',
 ('SI', 'Semič', 'SI-109'): 'Europe/Ljubljana', ('SI', 'Sevnica', 'SI-110'): 'Europe/Ljubljana',
 ('SI', 'Sežana', 'SI-111'): 'Europe/Ljubljana', ('SI', 'Slovenj Gradec', 'SI-112'): 'Europe/Ljubljana',
 ('SI', 'Slovenska Bistrica', 'SI-113'): 'Europe/Ljubljana', ('SI', 'Slovenske Konjice', 'SI-114'): 'Europe/Ljubljana',
 ('SI', 'Starše', 'SI-115'): 'Europe/Ljubljana', ('SI', 'Sveti Jurij ob Ščavnici', 'SI-116'): 'Europe/Ljubljana',
 ('SI', 'Šenčur', 'SI-117'): 'Europe/Ljubljana', ('SI', 'Šentilj', 'SI-118'): 'Europe/Ljubljana',
 ('SI', 'Šentjernej', 'SI-119'): 'Europe/Ljubljana', ('SI', 'Šentjur', 'SI-120'): 'Europe/Ljubljana',
 ('SI', 'Škocjan', 'SI-121'): 'Europe/Ljubljana', ('SI', 'Škofja Loka', 'SI-122'): 'Europe/Ljubljana',
 ('SI', 'Ivančna Gorica', 'SI-039'): 'Europe/Ljubljana', ('SI', 'Škofljica', 'SI-123'): 'Europe/Ljubljana',
 ('SI', 'Križevci', 'SI-166'): 'Europe/Ljubljana', ('SI', 'Log-Dragomer', 'SI-208'): 'Europe/Ljubljana',
 ('SI', 'Izola', 'SI-040'): 'Europe/Ljubljana', ('SI', 'Šmarje pri Jelšah', 'SI-124'): 'Europe/Ljubljana',
 ('SI', 'Lovrenc na Pohorju', 'SI-167'): 'Europe/Ljubljana', ('SI', 'Rečica ob Savinji', 'SI-209'): 'Europe/Ljubljana',
 ('SI', 'Jesenice', 'SI-041'): 'Europe/Ljubljana', ('SI', 'Šmartno ob Paki', 'SI-125'): 'Europe/Ljubljana',
 ('SI', 'Markovci', 'SI-168'): 'Europe/Ljubljana',
 ('SI', 'Sveti Jurij v Slovenskih goricah', 'SI-210'): 'Europe/Ljubljana',
 ('SI', 'Juršinci', 'SI-042'): 'Europe/Ljubljana', ('SI', 'Šoštanj', 'SI-126'): 'Europe/Ljubljana',
 ('SI', 'Miklavž na Dravskem polju', 'SI-169'): 'Europe/Ljubljana', ('SI', 'Šentrupert', 'SI-211'): 'Europe/Ljubljana',
 ('SI', 'Ajdovščina', 'SI-001'): 'Europe/Ljubljana', ('SI', 'Kamnik', 'SI-043'): 'Europe/Ljubljana',
 ('SI', 'Štore', 'SI-127'): 'Europe/Ljubljana', ('SI', 'Mirna Peč', 'SI-170'): 'Europe/Ljubljana',
 ('SI', 'Mirna', 'SI-212'): 'Europe/Ljubljana', ('SI', 'Beltinci', 'SI-002'): 'Europe/Ljubljana',
 ('SI', 'Kanal', 'SI-044'): 'Europe/Ljubljana', ('SI', 'Tolmin', 'SI-128'): 'Europe/Ljubljana',
 ('SI', 'Oplotnica', 'SI-171'): 'Europe/Ljubljana', ('SI', 'Ankaran', 'SI-213'): 'Europe/Ljubljana',
 ('SI', 'Bled', 'SI-003'): 'Europe/Ljubljana', ('SI', 'Kidričevo', 'SI-045'): 'Europe/Ljubljana',
 ('SI', 'Trbovlje', 'SI-129'): 'Europe/Ljubljana', ('SI', 'Podlehnik', 'SI-172'): 'Europe/Ljubljana',
 ('SI', 'Bohinj', 'SI-004'): 'Europe/Ljubljana', ('SI', 'Kobarid', 'SI-046'): 'Europe/Ljubljana',
 ('SI', 'Trebnje', 'SI-130'): 'Europe/Ljubljana', ('SI', 'Polzela', 'SI-173'): 'Europe/Ljubljana',
 ('SI', 'Borovnica', 'SI-005'): 'Europe/Ljubljana', ('SI', 'Kobilje', 'SI-047'): 'Europe/Ljubljana',
 ('SI', 'Tržič', 'SI-131'): 'Europe/Ljubljana', ('SI', 'Prebold', 'SI-174'): 'Europe/Ljubljana',
 ('SI', 'Bovec', 'SI-006'): 'Europe/Ljubljana', ('SI', 'Kočevje', 'SI-048'): 'Europe/Ljubljana',
 ('SI', 'Turnišče', 'SI-132'): 'Europe/Ljubljana', ('SI', 'Prevalje', 'SI-175'): 'Europe/Ljubljana',
 ('SI', 'Brda', 'SI-007'): 'Europe/Ljubljana', ('SI', 'Komen', 'SI-049'): 'Europe/Paris',
 ('SI', 'Velenje', 'SI-133'): 'Europe/Ljubljana', ('SI', 'Razkrižje', 'SI-176'): 'Europe/Ljubljana',
 ('SI', 'Brezovica', 'SI-008'): 'Europe/Bratislava', ('SI', 'Koper', 'SI-050'): 'Europe/Ljubljana',
 ('SI', 'Velike Lašče', 'SI-134'): 'Europe/Ljubljana', ('SI', 'Ribnica na Pohorju', 'SI-177'): 'Europe/Ljubljana',
 ('SI', 'Brežice', 'SI-009'): 'Europe/Ljubljana', ('SI', 'Kozje', 'SI-051'): 'Europe/Ljubljana',
 ('SI', 'Videm', 'SI-135'): 'Europe/Ljubljana', ('SI', 'Selnica ob Dravi', 'SI-178'): 'Europe/Ljubljana',
 ('SI', 'Tišina', 'SI-010'): 'Europe/Ljubljana', ('SI', 'Kranj', 'SI-052'): 'Europe/Ljubljana',
 ('SI', 'Vipava', 'SI-136'): 'Europe/Ljubljana', ('SI', 'Sodražica', 'SI-179'): 'Europe/Ljubljana',
 ('SI', 'Celje', 'SI-011'): 'Europe/Ljubljana', ('SI', 'Kranjska Gora', 'SI-053'): 'Europe/Ljubljana',
 ('SI', 'Vitanje', 'SI-137'): 'Europe/Ljubljana', ('SI', 'Solčava', 'SI-180'): 'Europe/Ljubljana',
 ('SI', 'Cerklje na Gorenjskem', 'SI-012'): 'Europe/Ljubljana', ('SI', 'Krško', 'SI-054'): 'Europe/Ljubljana',
 ('SI', 'Vodice', 'SI-138'): 'Europe/Zagreb', ('SI', 'Sveta Ana', 'SI-181'): 'Europe/Ljubljana',
 ('SI', 'Cerknica', 'SI-013'): 'Europe/Ljubljana', ('SI', 'Kungota', 'SI-055'): 'Europe/Ljubljana',
 ('SI', 'Vojnik', 'SI-139'): 'Europe/Ljubljana',
 ('SI', 'Sveti Andraž v Slovenskih goricah', 'SI-182'): 'Europe/Ljubljana',
 ('SI', 'Cerkno', 'SI-014'): 'Europe/Ljubljana', ('SI', 'Kuzma', 'SI-056'): 'Europe/Ljubljana',
 ('SI', 'Vrhnika', 'SI-140'): 'Europe/Ljubljana', ('SI', 'Šempeter-Vrtojba', 'SI-183'): 'Europe/Ljubljana',
 ('SI', 'Črenšovci', 'SI-015'): 'Europe/Ljubljana', ('SI', 'Laško', 'SI-057'): 'Europe/Ljubljana',
 ('SI', 'Mozirje', 'SI-079'): 'Europe/Ljubljana', ('SI', 'Vuzenica', 'SI-141'): 'Europe/Ljubljana',
 ('SI', 'Tabor', 'SI-184'): 'Europe/Prague', ('SI', 'Lenart', 'SI-058'): 'Europe/Ljubljana',
 ('SI', 'Črna na Koroškem', 'SI-016'): 'Europe/Ljubljana', ('SI', 'Zagorje ob Savi', 'SI-142'): 'Europe/Ljubljana',
 ('SI', 'Trnovska Vas', 'SI-185'): 'Europe/Ljubljana', ('SI', 'Lendava', 'SI-059'): 'Europe/Ljubljana',
 ('SI', 'Črnomelj', 'SI-017'): 'Europe/Ljubljana', ('SI', 'Zavrč', 'SI-143'): 'Europe/Ljubljana',
 ('SI', 'Trzin', 'SI-186'): 'Europe/Ljubljana', ('SI', 'Destrnik', 'SI-018'): 'Europe/Ljubljana',
 ('SI', 'Litija', 'SI-060'): 'Europe/Ljubljana', ('SI', 'Zreče', 'SI-144'): 'Europe/Ljubljana',
 ('SI', 'Velika Polana', 'SI-187'): 'Europe/Ljubljana', ('SI', 'Divača', 'SI-019'): 'Europe/Ljubljana',
 ('SI', 'Ljubljana', 'SI-061'): 'Europe/Ljubljana', ('SI', 'Železniki', 'SI-146'): 'Europe/Ljubljana',
 ('SI', 'Veržej', 'SI-188'): 'Europe/Ljubljana', ('SI', 'Dobrepolje', 'SI-020'): 'Europe/Ljubljana',
 ('SI', 'Ljubno', 'SI-062'): 'Europe/Ljubljana', ('SI', 'Murska Sobota', 'SI-080'): 'Europe/Ljubljana',
 ('SI', 'Žiri', 'SI-147'): 'Europe/Ljubljana', ('SI', 'Vransko', 'SI-189'): 'Europe/Ljubljana',
 ('SI', 'Dobrova-Polhov Gradec', 'SI-021'): 'Europe/Ljubljana', ('SI', 'Ljutomer', 'SI-063'): 'Europe/Ljubljana',
 ('SI', 'Benedikt', 'SI-148'): 'Europe/Ljubljana', ('SI', 'Žalec', 'SI-190'): 'Europe/Ljubljana',
 ('SI', 'Dol pri Ljubljani', 'SI-022'): 'Europe/Ljubljana', ('SI', 'Logatec', 'SI-064'): 'Europe/Ljubljana',
 ('SI', 'Bistrica ob Sotli', 'SI-149'): 'Europe/Ljubljana', ('SI', 'Žetale', 'SI-191'): 'Europe/Ljubljana',
 ('SI', 'Domžale', 'SI-023'): 'Europe/Ljubljana', ('SI', 'Loška dolina', 'SI-065'): 'Europe/Ljubljana',
 ('SI', 'Bloke', 'SI-150'): 'Europe/Ljubljana', ('SI', 'Žirovnica', 'SI-192'): 'Europe/Ljubljana',
 ('SI', 'Dornava', 'SI-024'): 'Europe/Ljubljana', ('SI', 'Loški Potok', 'SI-066'): 'Europe/Ljubljana',
 ('SI', 'Braslovče', 'SI-151'): 'Europe/Ljubljana', ('SI', 'Žužemberk', 'SI-193'): 'Europe/Ljubljana',
 ('SI', 'Dravograd', 'SI-025'): 'Europe/Ljubljana', ('SI', 'Luče', 'SI-067'): 'Europe/Ljubljana',
 ('SI', 'Cankova', 'SI-152'): 'Europe/Ljubljana', ('SI', 'Šmartno pri Litiji', 'SI-194'): 'Europe/Ljubljana',
 ('SI', 'Duplek', 'SI-026'): 'Europe/Ljubljana', ('SI', 'Lukovica', 'SI-068'): 'Europe/Ljubljana',
 ('SI', 'Cerkvenjak', 'SI-153'): 'Europe/Ljubljana', ('SI', 'Apače', 'SI-195'): 'Europe/Ljubljana',
 ('SI', 'Gorenja vas-Poljane', 'SI-027'): 'Europe/Ljubljana', ('SI', 'Majšperk', 'SI-069'): 'Europe/Ljubljana',
 ('SI', 'Dobje', 'SI-154'): 'Europe/Ljubljana', ('SI', 'Cirkulane', 'SI-196'): 'Europe/Ljubljana',
 ('SI', 'Gorišnica', 'SI-028'): 'Europe/Ljubljana', ('SI', 'Maribor', 'SI-070'): 'Europe/Ljubljana',
 ('SI', 'Dobrna', 'SI-155'): 'Europe/Ljubljana', ('SI', 'Komenda', 'SI-164'): 'Europe/Ljubljana',
 ('SI', 'Kosanjevica na Krki', 'SI-197'): 'Europe/Ljubljana', ('SI', 'Gornja Radgona', 'SI-029'): 'Europe/Ljubljana',
 ('SI', 'Medvode', 'SI-071'): 'Europe/Ljubljana', ('SI', 'Dobrovnik', 'SI-156'): 'Europe/Ljubljana',
 ('SI', 'Makole', 'SI-198'): 'Europe/Ljubljana', ('SI', 'Gornji Grad', 'SI-030'): 'Europe/Ljubljana',
 ('SI', 'Mengeš', 'SI-072'): 'Europe/Ljubljana', ('SI', 'Dolenjske Toplice', 'SI-157'): 'Europe/Ljubljana',
 ('SI', 'Mokronog-Trebelno', 'SI-199'): 'Europe/Ljubljana', ('SI', 'Gornji Petrovci', 'SI-031'): 'Europe/Ljubljana',
 ('SI', 'Metlika', 'SI-073'): 'Europe/Ljubljana', ('SI', 'Grad', 'SI-158'): 'Europe/Belgrade',
 ('SI', 'Poljčane', 'SI-200'): 'Europe/Ljubljana', ('SI', 'Grosuplje', 'SI-032'): 'Europe/Ljubljana',
 ('SI', 'Mežica', 'SI-074'): 'Europe/Ljubljana', ('SI', 'Hajdina', 'SI-159'): 'Europe/Ljubljana',
 ('SI', 'Renče-Vogrsko', 'SI-201'): 'Europe/Ljubljana', ('SI', 'Šalovci', 'SI-033'): 'Europe/Ljubljana',
 ('SI', 'Miren-Kostanjevica', 'SI-075'): 'Europe/Ljubljana', ('SI', 'Hoče-Slivnica', 'SI-160'): 'Europe/Ljubljana',
 ('SI', 'Kostel', 'SI-165'): 'Europe/Ljubljana', ('SI', 'Središče ob Dravi', 'SI-202'): 'Europe/Ljubljana',
 ('SI', 'Hrastnik', 'SI-034'): 'Europe/Ljubljana', ('SI', 'Mislinja', 'SI-076'): 'Europe/Ljubljana',
 ('SI', 'Hodoš', 'SI-161'): 'Europe/Ljubljana', ('SI', 'Straža', 'SI-203'): 'Europe/Ljubljana',
 ('SI', 'Hrpelje-Kozina', 'SI-035'): 'Europe/Ljubljana', ('SI', 'Moravče', 'SI-077'): 'Europe/Ljubljana',
 ('SI', 'Horjul', 'SI-162'): 'Europe/Ljubljana',
 ('SI', 'Sveta Trojica v Slovenskih goricah', 'SI-204'): 'Europe/Ljubljana',
 ('SI', 'Idrija', 'SI-036'): 'Europe/Ljubljana', ('SI', 'Moravske Toplice', 'SI-078'): 'Europe/Ljubljana',
 ('SI', 'Jezersko', 'SI-163'): 'Europe/Ljubljana', ('SI', 'Sveti Tomaž', 'SI-205'): 'Europe/Ljubljana',
 ('SI', 'Šmarješke Toplice', 'SI-206'): 'Europe/Ljubljana', ('SI', 'Ig', 'SI-037'): 'Europe/Ljubljana',
 ('SI', 'Ilirska Bistrica', 'SI-038'): 'Europe/Ljubljana',
 ('SE', 'Södermanlands län [SE-04]', 'SE-D'): 'Europe/Stockholm',
 ('SE', 'Östergötlands län [SE-05]', 'SE-E'): 'Europe/Stockholm',
 ('SE', 'Jönköpings län [SE-06]', 'SE-F'): 'Europe/Stockholm',
 ('SE', 'Kronobergs län [SE-07]', 'SE-G'): 'Europe/Stockholm', ('SE', 'Kalmar län [SE-08]', 'SE-H'): 'Europe/Stockholm',
 ('SE', 'Gotlands län [SE-09]', 'SE-I'): 'Europe/Stockholm', ('SE', 'Blekinge län [SE-10]', 'SE-K'): 'Europe/Stockholm',
 ('SE', 'Skåne län [SE-12]', 'SE-M'): 'Europe/Stockholm', ('SE', 'Hallands län [SE-13]', 'SE-N'): 'Europe/Stockholm',
 ('SE', 'Västra Götalands län [SE-14]', 'SE-O'): 'Europe/Stockholm',
 ('SE', 'Värmlands län [SE-17]', 'SE-S'): 'Europe/Stockholm', ('SE', 'Örebro län [SE-18]', 'SE-T'): 'Europe/Stockholm',
 ('SE', 'Västmanlands län [SE-19]', 'SE-U'): 'Europe/Stockholm',
 ('SE', 'Dalarnas län [SE-20]', 'SE-W'): 'Europe/Stockholm',
 ('SE', 'Gävleborgs län [SE-21]', 'SE-X'): 'Europe/Stockholm',
 ('SE', 'Västernorrlands län [SE-22]', 'SE-Y'): 'Europe/Stockholm',
 ('SE', 'Jämtlands län [SE-23]', 'SE-Z'): 'Europe/Stockholm',
 ('SE', 'Stockholms län [SE-01]', 'SE-AB'): 'Europe/Stockholm',
 ('SE', 'Västerbottens län [SE-24]', 'SE-AC'): 'Europe/Stockholm',
 ('SE', 'Norrbottens län [SE-25]', 'SE-BD'): 'Europe/Stockholm',
 ('SE', 'Uppsala län [SE-03]', 'SE-C'): 'Europe/Stockholm', ('SZ', 'Hhohho', 'SZ-HH'): 'Africa/Mbabane',
 ('SZ', 'Shiselweni', 'SZ-SH'): 'Africa/Mbabane', ('SZ', 'Manzini', 'SZ-MA'): 'Africa/Mbabane',
 ('SZ', 'Lubombo', 'SZ-LU'): 'Africa/Mbabane', ('SC', 'Beau Vallon', 'SC-08'): 'Indian/Mahe',
 ('SC', 'Bel Air', 'SC-09'): 'America/Los_Angeles', ('SC', 'Bel Ombre', 'SC-10'): 'Indian/Mahe',
 ('SC', 'Cascade', 'SC-11'): 'America/Denver', ('SC', 'Glacis', 'SC-12'): 'Indian/Mahe',
 ('SC', 'Grand Anse Mahe', 'SC-13'): 'Indian/Mahe', ('SC', 'Grand Anse Praslin', 'SC-14'): 'Indian/Mahe',
 ('SC', 'La Digue', 'SC-15'): 'Indian/Mahe', ('SC', 'English River', 'SC-16'): 'Indian/Mahe',
 ('SC', 'Mont Buxton', 'SC-17'): 'Indian/Mahe', ('SC', 'Mont Fleuri', 'SC-18'): 'Indian/Mahe',
 ('SC', 'Plaisance', 'SC-19'): 'Europe/Paris', ('SC', 'Pointe Larue', 'SC-20'): 'Indian/Mahe',
 ('SC', 'Port Glaud', 'SC-21'): 'Indian/Mahe', ('SC', 'Saint Louis', 'SC-22'): 'America/Chicago',
 ('SC', 'Anse aux Pins', 'SC-01'): 'Indian/Mahe', ('SC', 'Takamaka', 'SC-23'): 'Indian/Mahe',
 ('SC', 'Anse Boileau', 'SC-02'): 'Indian/Mahe', ('SC', 'Les Mamelles', 'SC-24'): 'Indian/Mahe',
 ('SC', 'Anse Etoile', 'SC-03'): 'Indian/Mahe', ('SC', 'Roche Caiman', 'SC-25'): 'Indian/Mahe',
 ('SC', 'Au Cap', 'SC-04'): 'Indian/Mahe', ('SC', 'Ile Perseverance I', 'SC-26'): 'America/Guyana',
 ('SC', 'Anse Royale', 'SC-05'): 'Indian/Mahe', ('SC', 'Ile Perseverance II', 'SC-27'): 'Europe/Paris',
 ('SC', 'Baie Lazare', 'SC-06'): 'Indian/Mahe', ('SC', 'Baie Sainte Anne', 'SC-07'): 'America/Moncton',
 ('SY', 'Al Qunayţirah', 'SY-QU'): 'Asia/Damascus', ('SY', 'Ḩimş', 'SY-HI'): 'Asia/Aden',
 ('SY', 'Ar Raqqah', 'SY-RA'): 'Asia/Damascus', ('SY', 'Ḩalab', 'SY-HL'): 'Asia/Damascus',
 ('SY', 'Dimashq', 'SY-DI'): 'Asia/Damascus', ('SY', 'Rīf Dimashq', 'SY-RD'): 'Asia/Damascus',
 ('SY', 'Ḩamāh', 'SY-HM'): 'Asia/Damascus', ('SY', "Dar'ā", 'SY-DR'): 'Asia/Damascus',
 ('SY', "As Suwaydā'", 'SY-SU'): 'Asia/Damascus', ('SY', 'Idlib', 'SY-ID'): 'Asia/Damascus',
 ('SY', 'Dayr az Zawr', 'SY-DY'): 'Asia/Damascus', ('SY', 'Ţarţūs', 'SY-TA'): 'Asia/Damascus',
 ('SY', 'Al Lādhiqīyah', 'SY-LA'): 'Asia/Damascus', ('SY', 'Al Ḩasakah', 'SY-HA'): 'Asia/Damascus',
 ('TD', 'Hadjer Lamis', 'TD-HL'): 'Africa/Ndjamena', ('TD', 'Kanem', 'TD-KA'): 'Africa/Ndjamena',
 ('TD', 'Al Buḩayrah', 'TD-LC'): 'Africa/Cairo', ('TD', 'Logone-Occidental', 'TD-LO'): 'Africa/Ndjamena',
 ('TD', 'Logone-Oriental', 'TD-LR'): 'Africa/Ndjamena', ('TD', 'Mandoul', 'TD-MA'): 'Africa/Ndjamena',
 ('TD', 'Moyen-Chari', 'TD-MC'): 'Africa/Ndjamena', ('TD', 'Mayo-Kebbi-Est', 'TD-ME'): 'Africa/Ndjamena',
 ('TD', 'Mayo-Kebbi-Ouest', 'TD-MO'): 'Africa/Ndjamena', ('TD', 'Madīnat Injamīnā', 'TD-ND'): 'Africa/Ndjamena',
 ('TD', 'Ouaddaï', 'TD-OD'): 'Africa/Ndjamena', ('TD', 'Salamat', 'TD-SA'): 'Africa/Ndjamena',
 ('TD', 'Sila', 'TD-SI'): 'Africa/Ndjamena', ('TD', 'Tandjilé', 'TD-TA'): 'Africa/Ndjamena',
 ('TD', 'Al Baţḩā’', 'TD-BA'): 'Asia/Aden', ('TD', 'Tibastī', 'TD-TI'): 'Africa/Douala',
 ('TD', 'Bahr el Ghazal', 'TD-BG'): 'Africa/Ndjamena', ('TD', 'Wadi Fira', 'TD-WF'): 'Africa/Ndjamena',
 ('TD', 'Borkou', 'TD-BO'): 'Africa/Ndjamena', ('TD', 'Chari-Baguirmi', 'TD-CB'): 'Africa/Ndjamena',
 ('TD', 'Ennedi-Est', 'TD-EE'): 'Africa/Ndjamena', ('TD', 'Ennedi-Ouest', 'TD-EO'): 'Africa/Ndjamena',
 ('TD', 'Guéra', 'TD-GR'): 'Africa/Ndjamena', ('TG', 'Centrale', 'TG-C'): 'Africa/Lome',
 ('TG', 'Kara', 'TG-K'): 'Africa/Lome', ('TG', 'Maritime (Région)', 'TG-M'): 'Africa/Lome',
 ('TG', 'Plateaux', 'TG-P'): 'Africa/Brazzaville', ('TG', 'Savanes', 'TG-S'): 'Africa/Abidjan',
 ('TH', 'Si Sa Ket', 'TH-33'): 'Asia/Bangkok', ('TH', 'Nakhon Si Thammarat', 'TH-80'): 'Asia/Bangkok',
 ('TH', 'Ubon Ratchathani', 'TH-34'): 'Asia/Bangkok', ('TH', 'Krabi', 'TH-81'): 'Asia/Bangkok',
 ('TH', 'Yasothon', 'TH-35'): 'Asia/Bangkok', ('TH', 'Phangnga', 'TH-82'): 'Asia/Bangkok',
 ('TH', 'Chaiyaphum', 'TH-36'): 'Asia/Bangkok', ('TH', 'Phuket', 'TH-83'): 'Asia/Bangkok',
 ('TH', 'Amnat Charoen', 'TH-37'): 'Asia/Bangkok', ('TH', 'Surat Thani', 'TH-84'): 'Asia/Bangkok',
 ('TH', 'Bueng Kan', 'TH-38'): 'Asia/Bangkok', ('TH', 'Ranong', 'TH-85'): 'Asia/Bangkok',
 ('TH', 'Nong Bua Lam Phu', 'TH-39'): 'Asia/Bangkok', ('TH', 'Chumphon', 'TH-86'): 'Asia/Bangkok',
 ('TH', 'Khon Kaen', 'TH-40'): 'Asia/Bangkok', ('TH', 'Songkhla', 'TH-90'): 'Asia/Bangkok',
 ('TH', 'Udon Thani', 'TH-41'): 'Asia/Bangkok', ('TH', 'Satun', 'TH-91'): 'Asia/Bangkok',
 ('TH', 'Loei', 'TH-42'): 'Europe/Brussels', ('TH', 'Trang', 'TH-92'): 'Asia/Bangkok',
 ('TH', 'Nong Khai', 'TH-43'): 'Asia/Bangkok', ('TH', 'Phatthalung', 'TH-93'): 'Asia/Bangkok',
 ('TH', 'Maha Sarakham', 'TH-44'): 'Asia/Bangkok', ('TH', 'Pattani', 'TH-94'): 'Asia/Bangkok',
 ('TH', 'Roi Et', 'TH-45'): 'Asia/Bangkok', ('TH', 'Yala', 'TH-95'): 'Asia/Bangkok',
 ('TH', 'Kalasin', 'TH-46'): 'Asia/Bangkok', ('TH', 'Narathiwat', 'TH-96'): 'Asia/Bangkok',
 ('TH', 'Sakon Nakhon', 'TH-47'): 'Asia/Bangkok', ('TH', 'Phatthaya', 'TH-S'): 'Asia/Bangkok',
 ('TH', 'Nakhon Phanom', 'TH-48'): 'Asia/Bangkok', ('TH', 'Mukdahan', 'TH-49'): 'Asia/Bangkok',
 ('TH', 'Chiang Mai', 'TH-50'): 'Asia/Bangkok', ('TH', 'Lamphun', 'TH-51'): 'Asia/Bangkok',
 ('TH', 'Lampang', 'TH-52'): 'Asia/Bangkok', ('TH', 'Uttaradit', 'TH-53'): 'Asia/Bangkok',
 ('TH', 'Phrae', 'TH-54'): 'Asia/Bangkok', ('TH', 'Nan', 'TH-55'): 'Europe/Rome',
 ('TH', 'Phayao', 'TH-56'): 'Asia/Bangkok', ('TH', 'Chiang Rai', 'TH-57'): 'Asia/Bangkok',
 ('TH', 'Mae Hong Son', 'TH-58'): 'Asia/Bangkok', ('TH', 'Nakhon Sawan', 'TH-60'): 'Asia/Bangkok',
 ('TH', 'Uthai Thani', 'TH-61'): 'Asia/Bangkok', ('TH', 'Kamphaeng Phet', 'TH-62'): 'Asia/Bangkok',
 ('TH', 'Tak', 'TH-63'): 'Asia/Kabul', ('TH', 'Sukhothai', 'TH-64'): 'Asia/Bangkok',
 ('TH', 'Phitsanulok', 'TH-65'): 'Asia/Bangkok', ('TH', 'Phichit', 'TH-66'): 'Asia/Bangkok',
 ('TH', 'Phetchabun', 'TH-67'): 'Asia/Bangkok', ('TH', 'Ratchaburi', 'TH-70'): 'Asia/Bangkok',
 ('TH', 'Kanchanaburi', 'TH-71'): 'Asia/Bangkok', ('TH', 'Suphan Buri', 'TH-72'): 'Asia/Bangkok',
 ('TH', 'Nakhon Pathom', 'TH-73'): 'Asia/Bangkok', ('TH', 'Samut Sakhon', 'TH-74'): 'Asia/Bangkok',
 ('TH', 'Samut Songkhram', 'TH-75'): 'Asia/Bangkok', ('TH', 'Phetchaburi', 'TH-76'): 'Asia/Bangkok',
 ('TH', 'Prachuap Khiri Khan', 'TH-77'): 'Asia/Bangkok', ('TH', 'Krung Thep Maha Nakhon', 'TH-10'): 'Asia/Bangkok',
 ('TH', 'Samut Prakan', 'TH-11'): 'Asia/Bangkok', ('TH', 'Nonthaburi', 'TH-12'): 'Asia/Bangkok',
 ('TH', 'Pathum Thani', 'TH-13'): 'Asia/Bangkok', ('TH', 'Phra Nakhon Si Ayutthaya', 'TH-14'): 'Asia/Bangkok',
 ('TH', 'Ang Thong', 'TH-15'): 'Asia/Bangkok', ('TH', 'Lop Buri', 'TH-16'): 'Asia/Bangkok',
 ('TH', 'Sing Buri', 'TH-17'): 'Asia/Bangkok', ('TH', 'Chai Nat', 'TH-18'): 'Asia/Bangkok',
 ('TH', 'Saraburi', 'TH-19'): 'Asia/Bangkok', ('TH', 'Chon Buri', 'TH-20'): 'Asia/Bangkok',
 ('TH', 'Rayong', 'TH-21'): 'Asia/Bangkok', ('TH', 'Chanthaburi', 'TH-22'): 'Asia/Bangkok',
 ('TH', 'Trat', 'TH-23'): 'Asia/Bangkok', ('TH', 'Chachoengsao', 'TH-24'): 'Asia/Bangkok',
 ('TH', 'Prachin Buri', 'TH-25'): 'Asia/Bangkok', ('TH', 'Nakhon Nayok', 'TH-26'): 'Asia/Bangkok',
 ('TH', 'Sa Kaeo', 'TH-27'): 'Asia/Bangkok', ('TH', 'Nakhon Ratchasima', 'TH-30'): 'Asia/Bangkok',
 ('TH', 'Buri Ram', 'TH-31'): 'Asia/Bangkok', ('TH', 'Surin', 'TH-32'): 'Europe/Paris',
 ('TJ', 'Dushanbe', 'TJ-DU'): 'Asia/Dushanbe', ('TJ', 'Kŭhistoni Badakhshon', 'TJ-GB'): 'Asia/Dushanbe',
 ('TJ', 'Khatlon', 'TJ-KT'): 'Asia/Dushanbe', ('TJ', 'nohiyahoi tobei jumhurí', 'TJ-RA'): 'Asia/Dushanbe',
 ('TJ', 'Sughd', 'TJ-SU'): 'Asia/Dushanbe', ('TM', 'Mary', 'TM-M'): 'Asia/Ashgabat',
 ('TM', 'Aşgabat', 'TM-S'): 'Asia/Ashgabat', ('TM', 'Ahal', 'TM-A'): 'Asia/Ashgabat',
 ('TM', 'Balkan', 'TM-B'): 'Europe/Sofia', ('TM', 'Daşoguz', 'TM-D'): 'Asia/Ashgabat',
 ('TM', 'Lebap', 'TM-L'): 'Asia/Ashgabat', ('TL', 'Oekusi-Ambenu', 'TL-OE'): 'Asia/Dili',
 ('TL', 'Ermera', 'TL-ER'): 'Asia/Dili', ('TL', 'Ainaro', 'TL-AN'): 'Asia/Dili', ('TL', 'Vikeke', 'TL-VI'): 'Asia/Dili',
 ('TL', 'Lautein', 'TL-LA'): 'Asia/Dili', ('TL', 'Baucau', 'TL-BA'): 'Asia/Dili',
 ('TL', 'Likisá', 'TL-LI'): 'Asia/Dili', ('TL', 'Bobonaro', 'TL-BO'): 'Asia/Dili',
 ('TL', 'Manufahi', 'TL-MF'): 'Asia/Dili', ('TL', 'Cova Lima', 'TL-CO'): 'Asia/Dili',
 ('TL', 'Manatuto', 'TL-MT'): 'Asia/Dili', ('TL', 'Díli', 'TL-DI'): 'Asia/Dili', ('TL', 'Aileu', 'TL-AL'): 'Asia/Dili',
 ('TO', "'Eua", 'TO-01'): 'Pacific/Tongatapu', ('TO', "Ha'apai", 'TO-02'): 'Pacific/Tongatapu',
 ('TO', 'Niuas', 'TO-03'): 'Pacific/Tongatapu', ('TO', 'Tongatapu', 'TO-04'): 'Pacific/Tongatapu',
 ('TO', "Vava'u", 'TO-05'): 'Pacific/Tongatapu', ('TT', 'Point Fortin', 'TT-PTF'): 'America/Port_of_Spain',
 ('TT', 'Diego Martin', 'TT-DMN'): 'America/Port_of_Spain',
 ('TT', 'Tunapuna-Piarco', 'TT-TUP'): 'America/Port_of_Spain', ('TT', 'San Fernando', 'TT-SFO'): 'Europe/Madrid',
 ('TT', 'Mayaro-Rio Claro', 'TT-MRC'): 'America/Port_of_Spain',
 ('TT', 'Sangre Grande', 'TT-SGE'): 'America/Port_of_Spain', ('TT', 'Penal-Debe', 'TT-PED'): 'America/Port_of_Spain',
 ('TT', 'Arima', 'TT-ARI'): 'America/Port_of_Spain', ('TT', 'Siparia', 'TT-SIP'): 'America/Port_of_Spain',
 ('TT', 'Port of Spain', 'TT-POS'): 'America/Port_of_Spain', ('TT', 'Chaguanas', 'TT-CHA'): 'America/Port_of_Spain',
 ('TT', 'San Juan-Laventille', 'TT-SJL'): 'America/Port_of_Spain',
 ('TT', 'Princes Town', 'TT-PRT'): 'America/Port_of_Spain',
 ('TT', 'Couva-Tabaquite-Talparo', 'TT-CTT'): 'America/Port_of_Spain',
 ('TT', 'Tobago', 'TT-TOB'): 'America/Port_of_Spain', ('TN', 'La Manouba', 'TN-14'): 'Africa/Tunis',
 ('TN', 'Nabeul', 'TN-21'): 'Africa/Tunis', ('TN', 'Zaghouan', 'TN-22'): 'Africa/Tunis',
 ('TN', 'Bizerte', 'TN-23'): 'Africa/Tunis', ('TN', 'Béja', 'TN-31'): 'Africa/Tunis',
 ('TN', 'Jendouba', 'TN-32'): 'Africa/Tunis', ('TN', 'Le Kef', 'TN-33'): 'Africa/Tunis',
 ('TN', 'Siliana', 'TN-34'): 'Africa/Tunis', ('TN', 'Kairouan', 'TN-41'): 'Africa/Tunis',
 ('TN', 'Kasserine', 'TN-42'): 'Africa/Tunis', ('TN', 'Sidi Bouzid', 'TN-43'): 'Africa/Tunis',
 ('TN', 'Sousse', 'TN-51'): 'Africa/Tunis', ('TN', 'Monastir', 'TN-52'): 'Europe/Rome',
 ('TN', 'Mahdia', 'TN-53'): 'Africa/Tunis', ('TN', 'Sfax', 'TN-61'): 'Africa/Tunis',
 ('TN', 'Gafsa', 'TN-71'): 'Africa/Tunis', ('TN', 'Tozeur', 'TN-72'): 'Africa/Tunis',
 ('TN', 'Kébili', 'TN-73'): 'Africa/Brazzaville', ('TN', 'Tunis', 'TN-11'): 'Africa/Tunis',
 ('TN', 'Gabès', 'TN-81'): 'Africa/Tunis', ('TN', "L'Ariana", 'TN-12'): 'Europe/Paris',
 ('TN', 'Médenine', 'TN-82'): 'Africa/Tunis', ('TN', 'Ben Arous', 'TN-13'): 'Africa/Tunis',
 ('TN', 'Tataouine', 'TN-83'): 'Africa/Tunis', ('TR', 'Adana', 'TR-01'): 'Europe/Istanbul',
 ('TR', 'Adıyaman', 'TR-02'): 'Europe/Istanbul', ('TR', 'Afyonkarahisar', 'TR-03'): 'Europe/Istanbul',
 ('TR', 'Ağrı', 'TR-04'): 'Europe/Istanbul', ('TR', 'Amasya', 'TR-05'): 'Europe/Istanbul',
 ('TR', 'Ankara', 'TR-06'): 'Europe/Istanbul', ('TR', 'Antalya', 'TR-07'): 'Europe/Istanbul',
 ('TR', 'Artvin', 'TR-08'): 'Europe/Istanbul', ('TR', 'Aydın', 'TR-09'): 'Europe/Istanbul',
 ('TR', 'Balıkesir', 'TR-10'): 'Europe/Istanbul', ('TR', 'Bilecik', 'TR-11'): 'Europe/Istanbul',
 ('TR', 'Bingöl', 'TR-12'): 'Europe/Istanbul', ('TR', 'Bitlis', 'TR-13'): 'Europe/Istanbul',
 ('TR', 'Bolu', 'TR-14'): 'Europe/Istanbul', ('TR', 'Burdur', 'TR-15'): 'Europe/Istanbul',
 ('TR', 'Bursa', 'TR-16'): 'Europe/Istanbul', ('TR', 'Çanakkale', 'TR-17'): 'Europe/Istanbul',
 ('TR', 'Tekirdağ', 'TR-59'): 'Europe/Istanbul', ('TR', 'Çankırı', 'TR-18'): 'Europe/Istanbul',
 ('TR', 'Tokat', 'TR-60'): 'Europe/Istanbul', ('TR', 'Çorum', 'TR-19'): 'Europe/Istanbul',
 ('TR', 'Trabzon', 'TR-61'): 'Europe/Istanbul', ('TR', 'Denizli', 'TR-20'): 'Europe/Istanbul',
 ('TR', 'Tunceli', 'TR-62'): 'Europe/Istanbul', ('TR', 'Diyarbakır', 'TR-21'): 'Europe/Istanbul',
 ('TR', 'Şanlıurfa', 'TR-63'): 'Europe/Istanbul', ('TR', 'Edirne', 'TR-22'): 'Europe/Istanbul',
 ('TR', 'Uşak', 'TR-64'): 'Europe/Istanbul', ('TR', 'Elazığ', 'TR-23'): 'Europe/Istanbul',
 ('TR', 'Van', 'TR-65'): 'Europe/Istanbul', ('TR', 'Erzincan', 'TR-24'): 'Europe/Istanbul',
 ('TR', 'Yozgat', 'TR-66'): 'Europe/Istanbul', ('TR', 'Erzurum', 'TR-25'): 'Europe/Istanbul',
 ('TR', 'Zonguldak', 'TR-67'): 'Europe/Istanbul', ('TR', 'Eskişehir', 'TR-26'): 'Europe/Istanbul',
 ('TR', 'Aksaray', 'TR-68'): 'Europe/Istanbul', ('TR', 'Gaziantep', 'TR-27'): 'Europe/Istanbul',
 ('TR', 'Bayburt', 'TR-69'): 'Europe/Istanbul', ('TR', 'Giresun', 'TR-28'): 'Europe/Istanbul',
 ('TR', 'Karaman', 'TR-70'): 'Europe/Istanbul', ('TR', 'Gümüşhane', 'TR-29'): 'Europe/Istanbul',
 ('TR', 'Kırıkkale', 'TR-71'): 'Europe/Istanbul', ('TR', 'Hakkâri', 'TR-30'): 'Europe/Istanbul',
 ('TR', 'Batman', 'TR-72'): 'Europe/Istanbul', ('TR', 'Hatay', 'TR-31'): 'Europe/Istanbul',
 ('TR', 'Şırnak', 'TR-73'): 'Europe/Istanbul', ('TR', 'Isparta', 'TR-32'): 'Europe/Istanbul',
 ('TR', 'Bartın', 'TR-74'): 'Europe/Istanbul', ('TR', 'Mersin', 'TR-33'): 'Europe/Istanbul',
 ('TR', 'Ardahan', 'TR-75'): 'Europe/Istanbul', ('TR', 'İstanbul', 'TR-34'): 'Europe/Istanbul',
 ('TR', 'Iğdır', 'TR-76'): 'Europe/Istanbul', ('TR', 'İzmir', 'TR-35'): 'Europe/Istanbul',
 ('TR', 'Yalova', 'TR-77'): 'Europe/Istanbul', ('TR', 'Kars', 'TR-36'): 'Europe/Istanbul',
 ('TR', 'Karabük', 'TR-78'): 'Europe/Istanbul', ('TR', 'Kastamonu', 'TR-37'): 'Europe/Istanbul',
 ('TR', 'Kilis', 'TR-79'): 'Europe/Istanbul', ('TR', 'Kayseri', 'TR-38'): 'Europe/Istanbul',
 ('TR', 'Osmaniye', 'TR-80'): 'Europe/Istanbul', ('TR', 'Kırklareli', 'TR-39'): 'Europe/Istanbul',
 ('TR', 'Düzce', 'TR-81'): 'Europe/Istanbul', ('TR', 'Kırşehir', 'TR-40'): 'Europe/Istanbul',
 ('TR', 'Kocaeli', 'TR-41'): 'Europe/Istanbul', ('TR', 'Konya', 'TR-42'): 'Europe/Istanbul',
 ('TR', 'Kütahya', 'TR-43'): 'Europe/Istanbul', ('TR', 'Malatya', 'TR-44'): 'Europe/Istanbul',
 ('TR', 'Manisa', 'TR-45'): 'Europe/Istanbul', ('TR', 'Kahramanmaraş', 'TR-46'): 'Europe/Istanbul',
 ('TR', 'Mardin', 'TR-47'): 'Europe/Istanbul', ('TR', 'Muğla', 'TR-48'): 'Europe/Istanbul',
 ('TR', 'Muş', 'TR-49'): 'Europe/Istanbul', ('TR', 'Nevşehir', 'TR-50'): 'Europe/Istanbul',
 ('TR', 'Niğde', 'TR-51'): 'Europe/Istanbul', ('TR', 'Ordu', 'TR-52'): 'Europe/Istanbul',
 ('TR', 'Rize', 'TR-53'): 'Europe/Istanbul', ('TR', 'Sakarya', 'TR-54'): 'Europe/Istanbul',
 ('TR', 'Samsun', 'TR-55'): 'Europe/Istanbul', ('TR', 'Siirt', 'TR-56'): 'Europe/Istanbul',
 ('TR', 'Sinop', 'TR-57'): 'Europe/Istanbul', ('TR', 'Sivas', 'TR-58'): 'Europe/Istanbul',
 ('TV', 'Nanumea', 'TV-NMA'): 'Pacific/Funafuti', ('TV', 'Funafuti', 'TV-FUN'): 'Pacific/Funafuti',
 ('TV', 'Nanumaga', 'TV-NMG'): 'Pacific/Funafuti', ('TV', 'Niutao', 'TV-NIT'): 'Pacific/Funafuti',
 ('TV', 'Nui', 'TV-NUI'): 'Pacific/Funafuti', ('TV', 'Nukufetau', 'TV-NKF'): 'Pacific/Funafuti',
 ('TV', 'Vaitupu', 'TV-VAI'): 'Pacific/Funafuti', ('TV', 'Nukulaelae', 'TV-NKL'): 'Pacific/Funafuti',
 ('TW', 'Tainan', 'TW-TNN'): 'Asia/Taipei', ('TW', 'Taipei', 'TW-TPE'): 'Asia/Taipei',
 ('TW', 'Taitung', 'TW-TTT'): 'Asia/Taipei', ('TW', 'Taichung', 'TW-TXG'): 'Asia/Taipei',
 ('TW', 'Yunlin', 'TW-YUN'): 'Asia/Taipei', ('TW', 'Changhua', 'TW-CHA'): 'Asia/Taipei',
 ('TW', 'Chiayi', 'TW-CYI'): 'Asia/Taipei', ('TW', 'Chiayi', 'TW-CYQ'): 'Asia/Taipei',
 ('TW', 'Hsinchu', 'TW-HSQ'): 'Asia/Taipei', ('TW', 'Hsinchu', 'TW-HSZ'): 'Asia/Taipei',
 ('TW', 'Hualien', 'TW-HUA'): 'Asia/Taipei', ('TW', 'Yilan', 'TW-ILA'): 'Asia/Shanghai',
 ('TW', 'Keelung', 'TW-KEE'): 'Asia/Taipei', ('TW', 'Kaohsiung', 'TW-KHH'): 'Asia/Taipei',
 ('TW', 'Kinmen', 'TW-KIN'): 'Asia/Taipei', ('TW', 'Lienchiang', 'TW-LIE'): 'Asia/Taipei',
 ('TW', 'Miaoli', 'TW-MIA'): 'Asia/Taipei', ('TW', 'Nantou', 'TW-NAN'): 'Asia/Taipei',
 ('TW', 'New Taipei', 'TW-NWT'): 'Asia/Taipei', ('TW', 'Penghu', 'TW-PEN'): 'Asia/Taipei',
 ('TW', 'Pingtung', 'TW-PIF'): 'Asia/Taipei', ('TW', 'Taoyuan', 'TW-TAO'): 'Asia/Taipei',
 ('TZ', 'Mtwara', 'TZ-17'): 'Africa/Dar_es_Salaam', ('TZ', 'Mwanza', 'TZ-18'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Coast', 'TZ-19'): 'Africa/Nairobi', ('TZ', 'Rukwa', 'TZ-20'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Ruvuma', 'TZ-21'): 'Africa/Dar_es_Salaam', ('TZ', 'Arusha', 'TZ-01'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Shinyanga', 'TZ-22'): 'Africa/Dar_es_Salaam', ('TZ', 'Dar es Salaam', 'TZ-02'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Singida', 'TZ-23'): 'Africa/Dar_es_Salaam', ('TZ', 'Dodoma', 'TZ-03'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Tabora', 'TZ-24'): 'Africa/Dar_es_Salaam', ('TZ', 'Iringa', 'TZ-04'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Tanga', 'TZ-25'): 'Pacific/Tongatapu', ('TZ', 'Kagera', 'TZ-05'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Manyara', 'TZ-26'): 'Africa/Dar_es_Salaam', ('TZ', 'Pemba North', 'TZ-06'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Geita', 'TZ-27'): 'Africa/Dar_es_Salaam', ('TZ', 'Zanzibar North', 'TZ-07'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Katavi', 'TZ-28'): 'Africa/Dar_es_Salaam', ('TZ', 'Kigoma', 'TZ-08'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Njombe', 'TZ-29'): 'Africa/Dar_es_Salaam', ('TZ', 'Kilimanjaro', 'TZ-09'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Simiyu', 'TZ-30'): 'Africa/Dar_es_Salaam', ('TZ', 'Pemba South', 'TZ-10'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Songwe', 'TZ-31'): 'Africa/Dar_es_Salaam', ('TZ', 'Zanzibar South', 'TZ-11'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Lindi', 'TZ-12'): 'Africa/Dar_es_Salaam', ('TZ', 'Mara', 'TZ-13'): 'Europe/Madrid',
 ('TZ', 'Mbeya', 'TZ-14'): 'Africa/Dar_es_Salaam', ('TZ', 'Zanzibar West', 'TZ-15'): 'Africa/Dar_es_Salaam',
 ('TZ', 'Morogoro', 'TZ-16'): 'Africa/Dar_es_Salaam', ('UG', 'Budaka', 'UG-217'): 'Africa/Kampala',
 ('UG', 'Kagadi', 'UG-427'): 'Africa/Kampala', ('UG', 'Bududa', 'UG-218'): 'Africa/Kampala',
 ('UG', 'Kakumiro', 'UG-428'): 'Africa/Kampala', ('UG', 'Bukedea', 'UG-219'): 'Africa/Kampala',
 ('UG', 'Rubanda', 'UG-429'): 'Africa/Kampala', ('UG', 'Bukwo', 'UG-220'): 'Africa/Kampala',
 ('UG', 'Bunyangabu', 'UG-430'): 'Africa/Kampala', ('UG', 'Butaleja', 'UG-221'): 'Africa/Kampala',
 ('UG', 'Rukiga', 'UG-431'): 'Africa/Kampala', ('UG', 'Kaliro', 'UG-222'): 'Africa/Kampala',
 ('UG', 'Kikuube', 'UG-432'): 'Africa/Kampala', ('UG', 'Manafwa', 'UG-223'): 'Africa/Kampala',
 ('UG', 'Kazo', 'UG-433'): 'Africa/Kampala', ('UG', 'Namutumba', 'UG-224'): 'Africa/Kampala',
 ('UG', 'Kitagwenda', 'UG-434'): 'Africa/Kampala', ('UG', 'Bulambuli', 'UG-225'): 'Africa/Kampala',
 ('UG', 'Rwampara', 'UG-435'): 'Africa/Kampala', ('UG', 'Buyende', 'UG-226'): 'Africa/Kampala',
 ('UG', 'Central', 'UG-C'): 'Africa/Lusaka', ('UG', 'Kibuku', 'UG-227'): 'Africa/Kampala',
 ('UG', 'Eastern', 'UG-E'): 'Africa/Nairobi', ('UG', 'Kween', 'UG-228'): 'Africa/Kampala',
 ('UG', 'Northern', 'UG-N'): 'Africa/Accra', ('UG', 'Luuka', 'UG-229'): 'Africa/Kampala',
 ('UG', 'Western', 'UG-W'): 'Africa/Nairobi', ('UG', 'Namayingo', 'UG-230'): 'Africa/Kampala',
 ('UG', 'Ngora', 'UG-231'): 'Africa/Kampala', ('UG', 'Serere', 'UG-232'): 'Africa/Kampala',
 ('UG', 'Butebo', 'UG-233'): 'Africa/Kampala', ('UG', 'Namisindwa', 'UG-234'): 'Africa/Kampala',
 ('UG', 'Bugweri', 'UG-235'): 'Africa/Kampala', ('UG', 'Rubirizi', 'UG-425'): 'Africa/Kampala',
 ('UG', 'Kapelebyong', 'UG-236'): 'Africa/Kampala', ('UG', 'Kalaki', 'UG-237'): 'Africa/Kampala',
 ('UG', 'Adjumani', 'UG-301'): 'Africa/Kampala', ('UG', 'Apac', 'UG-302'): 'Africa/Kampala',
 ('UG', 'Arua', 'UG-303'): 'Africa/Kampala', ('UG', 'Sheema', 'UG-426'): 'Africa/Kampala',
 ('UG', 'Gulu', 'UG-304'): 'Africa/Kampala', ('UG', 'Kitgum', 'UG-305'): 'Africa/Kampala',
 ('UG', 'Kotido', 'UG-306'): 'Africa/Kampala', ('UG', 'Lira', 'UG-307'): 'Europe/Rome',
 ('UG', 'Moroto', 'UG-308'): 'Africa/Kampala', ('UG', 'Moyo', 'UG-309'): 'Africa/Kampala',
 ('UG', 'Nebbi', 'UG-310'): 'Africa/Kampala', ('UG', 'Nakapiripirit', 'UG-311'): 'Africa/Kampala',
 ('UG', 'Pader', 'UG-312'): 'Africa/Kampala', ('UG', 'Yumbe', 'UG-313'): 'Africa/Kampala',
 ('UG', 'Abim', 'UG-314'): 'Africa/Kampala', ('UG', 'Amolatar', 'UG-315'): 'Africa/Kampala',
 ('UG', 'Amuru', 'UG-316'): 'Africa/Kampala', ('UG', 'Dokolo', 'UG-317'): 'Africa/Kampala',
 ('UG', 'Kaabong', 'UG-318'): 'Africa/Kampala', ('UG', 'Koboko', 'UG-319'): 'Africa/Kampala',
 ('UG', 'Maracha', 'UG-320'): 'Africa/Kampala', ('UG', 'Oyam', 'UG-321'): 'Africa/Kampala',
 ('UG', 'Kalangala', 'UG-101'): 'Africa/Kampala', ('UG', 'Agago', 'UG-322'): 'Africa/Kampala',
 ('G', 'Kampala', 'UG-102'): 'Africa/Kampala', ('UG', 'Alebtong', 'UG-323'): 'Africa/Kampala',
 ('UG', 'Kiboga', 'UG-103'): 'Africa/Kampala', ('UG', 'Amudat', 'UG-324'): 'Africa/Kampala',
 ('UG', 'Luwero', 'UG-104'): 'Africa/Kampala', ('UG', 'Kole', 'UG-325'): 'Africa/Kampala',
 ('UG', 'Masaka', 'UG-105'): 'Africa/Kampala', ('UG', 'Lamwo', 'UG-326'): 'Africa/Kampala',
 ('UG', 'Mpigi', 'UG-106'): 'Africa/Kampala', ('UG', 'Napak', 'UG-327'): 'Africa/Kampala',
 ('UG', 'Mubende', 'UG-107'): 'Africa/Kampala', ('UG', 'Nwoya', 'UG-328'): 'Africa/Kampala',
 ('UG', 'Mukono', 'UG-108'): 'Africa/Kampala', ('UG', 'Otuke', 'UG-329'): 'Africa/Kampala',
 ('UG', 'Nakasongola', 'UG-109'): 'Africa/Kampala', ('UG', 'Zombo', 'UG-330'): 'Africa/Kampala',
 ('UG', 'Rakai', 'UG-110'): 'Africa/Kampala', ('UG', 'Omoro', 'UG-331'): 'Africa/Kampala',
 ('UG', 'Sembabule', 'UG-111'): 'Africa/Kampala', ('UG', 'Pakwach', 'UG-332'): 'Africa/Kampala',
 ('UG', 'Kayunga', 'UG-112'): 'Africa/Kampala', ('UG', 'Kwania', 'UG-333'): 'Africa/Kampala',
 ('UG', 'Wakiso', 'UG-113'): 'Africa/Kampala', ('UG', 'Nabilatuk', 'UG-334'): 'Africa/Kampala',
 ('UG', 'Lyantonde', 'UG-114'): 'Africa/Kampala', ('UG', 'Karenga', 'UG-335'): 'Africa/Kampala',
 ('UG', 'Mityana', 'UG-115'): 'Africa/Kampala', ('UG', 'Madi-Okollo', 'UG-336'): 'Africa/Kampala',
 ('UG', 'Nakaseke', 'UG-116'): 'Africa/Kampala', ('UG', 'Obongi', 'UG-337'): 'Africa/Kampala',
 ('UG', 'Buikwe', 'UG-117'): 'Africa/Kampala', ('UG', 'Bundibugyo', 'UG-401'): 'Africa/Kampala',
 ('UG', 'Bukomansibi', 'UG-118'): 'Africa/Kampala', ('UG', 'Bushenyi', 'UG-402'): 'Africa/Kampala',
 ('UG', 'Butambala', 'UG-119'): 'Africa/Kampala', ('UG', 'Hoima', 'UG-403'): 'Africa/Kampala',
 ('UG', 'Buvuma', 'UG-120'): 'Africa/Kampala', ('UG', 'Kabale', 'UG-404'): 'Africa/Kampala',
 ('UG', 'Gomba', 'UG-121'): 'Europe/Budapest', ('UG', 'Kabarole', 'UG-405'): 'Africa/Kampala',
 ('UG', 'Kalungu', 'UG-122'): 'Africa/Kampala', ('UG', 'Kasese', 'UG-406'): 'Africa/Kampala',
 ('UG', 'Kyankwanzi', 'UG-123'): 'Africa/Kampala', ('UG', 'Kibaale', 'UG-407'): 'Africa/Kampala',
 ('UG', 'Lwengo', 'UG-124'): 'Africa/Kampala', ('UG', 'Kisoro', 'UG-408'): 'Africa/Kampala',
 ('UG', 'Kyotera', 'UG-125'): 'Africa/Kampala', ('UG', 'Masindi', 'UG-409'): 'Africa/Kampala',
 ('UG', 'Kasanda', 'UG-126'): 'Africa/Lubumbashi', ('UG', 'Mbarara', 'UG-410'): 'Africa/Kampala',
 ('UG', 'Bugiri', 'UG-201'): 'Africa/Kampala', ('UG', 'Ntungamo', 'UG-411'): 'Africa/Kampala',
 ('UG', 'Busia', 'UG-202'): 'Africa/Kampala', ('UG', 'Rukungiri', 'UG-412'): 'Africa/Kampala',
 ('UG', 'Iganga', 'UG-203'): 'Africa/Kampala', ('UG', 'Kamwenge', 'UG-413'): 'Africa/Kampala',
 ('UG', 'Jinja', 'UG-204'): 'Africa/Kampala', ('UG', 'Kanungu', 'UG-414'): 'Africa/Kampala',
 ('UG', 'Kamuli', 'UG-205'): 'Africa/Kampala', ('UG', 'Kyenjojo', 'UG-415'): 'Africa/Kampala',
 ('UG', 'Kapchorwa', 'UG-206'): 'Africa/Kampala', ('UG', 'Buliisa', 'UG-416'): 'Africa/Kampala',
 ('UG', 'Katakwi', 'UG-207'): 'Africa/Kampala', ('UG', 'Ibanda', 'UG-417'): 'Africa/Kampala',
 ('UG', 'Kumi', 'UG-208'): 'Africa/Kampala', ('UG', 'Isingiro', 'UG-418'): 'Africa/Kampala',
 ('UG', 'Mbale', 'UG-209'): 'Africa/Kampala', ('UG', 'Kiruhura', 'UG-419'): 'Africa/Kampala',
 ('UG', 'Pallisa', 'UG-210'): 'Africa/Kampala', ('UG', 'Buhweju', 'UG-420'): 'Africa/Kampala',
 ('UG', 'Soroti', 'UG-211'): 'Africa/Kampala', ('UG', 'Kiryandongo', 'UG-421'): 'Africa/Kampala',
 ('UG', 'Tororo', 'UG-212'): 'Africa/Kampala', ('UG', 'Kyegegwa', 'UG-422'): 'Africa/Kampala',
 ('UG', 'Kaberamaido', 'UG-213'): 'Africa/Kampala', ('UG', 'Mitooma', 'UG-423'): 'Africa/Kampala',
 ('UG', 'Mayuge', 'UG-214'): 'Africa/Kampala', ('UG', 'Ntoroko', 'UG-424'): 'Africa/Kampala',
 ('UG', 'Sironko', 'UG-215'): 'Africa/Kampala', ('UG', 'Amuria', 'UG-216'): 'Africa/Kampala',
 ('UA', 'Zakarpatska oblast', 'UA-21'): 'Europe/Kyiv', ('UA', 'Zaporizka oblast', 'UA-23'): 'Europe/Kyiv',
 ('UA', 'Ivano-Frankivska oblast', 'UA-26'): 'Europe/Kyiv', ('UA', 'Kyiv', 'UA-30'): 'Europe/Kyiv',
 ('UA', 'Kyivska oblast', 'UA-32'): 'Europe/Kyiv', ('UA', 'Kirovohradska oblast', 'UA-35'): 'Europe/Kyiv',
 ('UA', 'Sevastopol', 'UA-40'): 'Europe/Simferopol', ('UA', 'Avtonomna Respublika Krym', 'UA-43'): 'Europe/Simferopol',
 ('UA', 'Lvivska oblast', 'UA-46'): 'Europe/Kyiv', ('UA', 'Mykolaivska oblast', 'UA-48'): 'Europe/Kyiv',
 ('UA', 'Odeska oblast', 'UA-51'): 'Europe/Kyiv', ('UA', 'Poltavska oblast', 'UA-53'): 'Europe/Kyiv',
 ('UA', 'Rivnenska oblast', 'UA-56'): 'Europe/Kyiv', ('UA', 'Sumska oblast', 'UA-59'): 'Europe/Kyiv',
 ('UA', 'Ternopilska oblast', 'UA-61'): 'Europe/Kyiv', ('UA', 'Kharkivska oblast', 'UA-63'): 'Europe/Kyiv',
 ('UA', 'Vinnytska oblast', 'UA-05'): 'Europe/Kyiv', ('UA', 'Khersonska oblast', 'UA-65'): 'Europe/Kyiv',
 ('UA', 'Volynska oblast', 'UA-07'): 'Europe/Kyiv', ('UA', 'Khmelnytska oblast', 'UA-68'): 'Europe/Kyiv',
 ('UA', 'Luhanska oblast', 'UA-09'): 'Europe/Kyiv', ('UA', 'Cherkaska oblast', 'UA-71'): 'Europe/Kyiv',
 ('UA', 'Dnipropetrovska oblast', 'UA-12'): 'Europe/Kyiv', ('UA', 'Chernihivska oblast', 'UA-74'): 'Europe/Kyiv',
 ('UA', 'Donetska oblast', 'UA-14'): 'Europe/Kyiv', ('UA', 'Chernivetska oblast', 'UA-77'): 'Europe/Kyiv',
 ('UA', 'Zhytomyrska oblast', 'UA-18'): 'Europe/Kyiv', ('UM', 'Navassa Island', 'UM-76'): 'America/Port-au-Prince',
 ('UM', 'Palmyra Atoll', 'UM-95'): 'Etc/GMT+11', ('UM', 'Wake Island', 'UM-79'): 'Pacific/Wake',
 ('UM', 'Baker Island', 'UM-81'): 'Etc/GMT+12', ('UM', 'Howland Island', 'UM-84'): 'Etc/GMT+12',
 ('UM', 'Johnston Atoll', 'UM-67'): 'Pacific/Honolulu', ('UM', 'Jarvis Island', 'UM-86'): 'Etc/GMT+11',
 ('UM', 'Midway Islands', 'UM-71'): 'Pacific/Midway', ('UM', 'Kingman Reef', 'UM-89'): 'Etc/GMT+11',
 ('UY', 'Florida', 'UY-FD'): 'America/New_York', ('UY', 'Flores', 'UY-FS'): 'America/Montevideo',
 ('UY', 'Lavalleja', 'UY-LA'): 'America/Montevideo', ('UY', 'Maldonado', 'UY-MA'): 'America/Montevideo',
 ('UY', 'Montevideo', 'UY-MO'): 'America/Montevideo', ('UY', 'Paysandú', 'UY-PA'): 'America/Montevideo',
 ('UY', 'Río Negro', 'UY-RN'): 'America/Argentina/Salta', ('UY', 'Rocha', 'UY-RO'): 'America/Montevideo',
 ('UY', 'Rivera', 'UY-RV'): 'America/Montevideo', ('UY', 'Salto', 'UY-SA'): 'America/Montevideo',
 ('UY', 'San José', 'UY-SJ'): 'America/Costa_Rica', ('UY', 'Soriano', 'UY-SO'): 'America/Montevideo',
 ('UY', 'Tacuarembó', 'UY-TA'): 'America/Montevideo', ('UY', 'Treinta y Tres', 'UY-TT'): 'America/Montevideo',
 ('UY', 'Artigas', 'UY-AR'): 'America/Montevideo', ('UY', 'Canelones', 'UY-CA'): 'America/Montevideo',
 ('UY', 'Cerro Largo', 'UY-CL'): 'America/Montevideo', ('UY', 'Colonia', 'UY-CO'): 'America/Montevideo',
 ('UY', 'Durazno', 'UY-DU'): 'America/Montevideo', ('US', 'Pennsylvania', 'US-PA'): 'America/New_York',
 ('US', 'Louisiana', 'US-LA'): 'America/Chicago', ('US', 'Alaska', 'US-AK'): 'America/Anchorage',
 ('US', 'Puerto Rico', 'US-PR'): 'America/Puerto_Rico', ('US', 'Massachusetts', 'US-MA'): 'America/New_York',
 ('US', 'Alabama', 'US-AL'): 'America/Chicago', ('US', 'Rhode Island', 'US-RI'): 'America/New_York',
 ('US', 'Maryland', 'US-MD'): 'America/New_York', ('US', 'Arkansas', 'US-AR'): 'America/Chicago',
 ('US', 'South Carolina', 'US-SC'): 'America/New_York', ('US', 'Maine', 'US-ME'): 'America/New_York',
 ('US', 'American Samoa', 'US-AS'): 'Pacific/Pago_Pago', ('US', 'South Dakota', 'US-SD'): 'America/Chicago',
 ('US', 'Michigan', 'US-MI'): 'America/Detroit', ('US', 'Arizona', 'US-AZ'): 'America/Phoenix',
 ('US', 'Tennessee', 'US-TN'): 'America/Chicago', ('US', 'Minnesota', 'US-MN'): 'America/Chicago',
 ('US', 'California', 'US-CA'): 'America/Los_Angeles', ('US', 'Texas', 'US-TX'): 'America/Chicago',
 ('US', 'Missouri', 'US-MO'): 'America/Chicago', ('US', 'Colorado', 'US-CO'): 'America/Denver',
 ('US', 'United States Minor Outlying Islands', 'US-UM'): 'Pacific/Honolulu',
 ('US', 'Northern Mariana Islands', 'US-MP'): 'Pacific/Saipan', ('US', 'Connecticut', 'US-CT'): 'America/New_York',
 ('US', 'Utah', 'US-UT'): 'America/Denver', ('US', 'Mississippi', 'US-MS'): 'America/Chicago',
 ('US', 'District of Columbia', 'US-DC'): 'America/New_York', ('US', 'Virginia', 'US-VA'): 'America/New_York',
 ('US', 'Montana', 'US-MT'): 'America/Denver', ('US', 'Delaware', 'US-DE'): 'America/New_York',
 ('US', 'Virgin Islands, U.S.', 'US-VI'): 'America/St_Thomas', ('US', 'North Carolina', 'US-NC'): 'America/New_York',
 ('US', 'Florida', 'US-FL'): 'America/New_York', ('US', 'Vermont', 'US-VT'): 'America/New_York',
 ('US', 'North Dakota', 'US-ND'): 'America/Chicago', ('US', 'Georgia', 'US-GA'): 'America/New_York',
 ('US', 'Washington', 'US-WA'): 'America/New_York', ('US', 'Nebraska', 'US-NE'): 'America/Chicago',
 ('US', 'Guam', 'US-GU'): 'Pacific/Guam', ('US', 'Wisconsin', 'US-WI'): 'America/Chicago',
 ('US', 'New Hampshire', 'US-NH'): 'America/New_York', ('US', 'Hawaii', 'US-HI'): 'Pacific/Honolulu',
 ('US', 'West Virginia', 'US-WV'): 'America/New_York', ('US', 'New Jersey', 'US-NJ'): 'America/New_York',
 ('US', 'Iowa', 'US-IA'): 'America/Chicago', ('US', 'Wyoming', 'US-WY'): 'America/Denver',
 ('US', 'New Mexico', 'US-NM'): 'America/Denver', ('US', 'Idaho', 'US-ID'): 'America/Boise',
 ('US', 'Nevada', 'US-NV'): 'America/Los_Angeles', ('US', 'Illinois', 'US-IL'): 'America/Chicago',
 ('US', 'New York', 'US-NY'): 'America/New_York', ('US', 'Indiana', 'US-IN'): 'America/Indiana/Indianapolis',
 ('US', 'Ohio', 'US-OH'): 'America/New_York', ('US', 'Kansas', 'US-KS'): 'America/Chicago',
 ('US', 'Oklahoma', 'US-OK'): 'America/Chicago', ('US', 'Kentucky', 'US-KY'): 'America/New_York',
 ('US', 'Oregon', 'US-OR'): 'America/Los_Angeles', ('UZ', 'Buxoro', 'UZ-BU'): 'Asia/Samarkand',
 ('UZ', 'Toshkent', 'UZ-TO'): 'Asia/Tashkent', ('UZ', 'Qoraqalpog‘iston Respublikasi', 'UZ-QR'): 'Asia/Samarkand',
 ('UZ', 'Farg‘ona', 'UZ-FA'): 'Asia/Tashkent', ('UZ', 'Xorazm', 'UZ-XO'): 'Asia/Samarkand',
 ('UZ', 'Samarqand', 'UZ-SA'): 'Asia/Samarkand', ('UZ', 'Jizzax', 'UZ-JI'): 'Asia/Tashkent',
 ('UZ', 'Sirdaryo', 'UZ-SI'): 'Asia/Tashkent', ('UZ', 'Namangan', 'UZ-NG'): 'Asia/Tashkent',
 ('UZ', 'Surxondaryo', 'UZ-SU'): 'Asia/Samarkand', ('UZ', 'Navoiy', 'UZ-NW'): 'Asia/Samarkand',
 ('UZ', 'Andijon', 'UZ-AN'): 'Asia/Tashkent', ('UZ', 'Toshkent', 'UZ-TK'): 'Asia/Tashkent',
 ('UZ', 'Qashqadaryo', 'UZ-QA'): 'Asia/Samarkand', ('VC', 'Saint George', 'VC-04'): 'America/Grenada',
 ('VC', 'Saint Patrick', 'VC-05'): 'America/Grenada', ('VC', 'Grenadines', 'VC-06'): 'America/Grenada',
 ('VC', 'Charlotte', 'VC-01'): 'America/New_York', ('VC', 'Saint Andrew', 'VC-02'): 'America/Jamaica',
 ('VC', 'Saint David', 'VC-03'): 'America/Toronto', ('VE', 'Falcón', 'VE-I'): 'America/Caracas',
 ('VE', 'Guárico', 'VE-J'): 'America/Caracas', ('VE', 'Lara', 'VE-K'): 'America/Caracas',
 ('VE', 'Mérida', 'VE-L'): 'Europe/Madrid', ('VE', 'Miranda', 'VE-M'): 'America/Caracas',
 ('VE', 'Monagas', 'VE-N'): 'America/Caracas', ('VE', 'Nueva Esparta', 'VE-O'): 'America/Caracas',
 ('VE', 'Portuguesa', 'VE-P'): 'America/Caracas', ('VE', 'Sucre', 'VE-R'): 'America/La_Paz',
 ('VE', 'Táchira', 'VE-S'): 'America/Caracas', ('VE', 'Trujillo', 'VE-T'): 'Europe/Madrid',
 ('VE', 'Yaracuy', 'VE-U'): 'America/Caracas', ('VE', 'Zulia', 'VE-V'): 'America/Caracas',
 ('VE', 'Distrito Capital', 'VE-A'): 'America/Asuncion', ('VE', 'Dependencias Federales', 'VE-W'): 'America/Caracas',
 ('VE', 'Anzoátegui', 'VE-B'): 'America/Caracas', ('VE', 'La Guaira', 'VE-X'): 'America/Caracas',
 ('VE', 'Apure', 'VE-C'): 'America/Caracas', ('VE', 'Delta Amacuro', 'VE-Y'): 'America/Caracas',
 ('VE', 'Aragua', 'VE-D'): 'America/Caracas', ('VE', 'Amazonas', 'VE-Z'): 'America/Manaus',
 ('VE', 'Barinas', 'VE-E'): 'America/Caracas', ('VE', 'Bolívar', 'VE-F'): 'America/Guayaquil',
 ('VE', 'Carabobo', 'VE-G'): 'America/Caracas', ('VE', 'Cojedes', 'VE-H'): 'America/Caracas',
 ('VN', 'Sơn La', 'VN-05'): 'Asia/Bangkok', ('VN', 'Bình Phước', 'VN-58'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Khánh Hòa', 'VN-34'): 'Asia/Ho_Chi_Minh', ('VN', 'Yên Bái', 'VN-06'): 'Asia/Bangkok',
 ('VN', 'Cà Mau', 'VN-59'): 'Asia/Ho_Chi_Minh', ('VN', 'Lâm Đồng', 'VN-35'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Tuyên Quang', 'VN-07'): 'Asia/Bangkok', ('VN', 'Hải Dương', 'VN-61'): 'Asia/Bangkok',
 ('VN', 'Ninh Thuận', 'VN-36'): 'Asia/Ho_Chi_Minh', ('VN', 'Lạng Sơn', 'VN-09'): 'Asia/Bangkok',
 ('VN', 'Bình Dương', 'VN-57'): 'Asia/Ho_Chi_Minh', ('VN', 'Tây Ninh', 'VN-37'): 'Asia/Shanghai',
 ('VN', 'Hà Nam', 'VN-63'): 'Asia/Bangkok', ('VN', 'Quảng Ninh', 'VN-13'): 'Asia/Bangkok',
 ('VN', 'Hưng Yên', 'VN-66'): 'Asia/Bangkok', ('VN', 'Đồng Nai', 'VN-39'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Hòa Bình', 'VN-14'): 'Asia/Bangkok', ('VN', 'Nam Định', 'VN-67'): 'Asia/Bangkok',
 ('VN', 'Bình Thuận', 'VN-40'): 'Asia/Ho_Chi_Minh', ('VN', 'Ninh Bình', 'VN-18'): 'Asia/Bangkok',
 ('VN', 'Phú Thọ', 'VN-68'): 'Asia/Bangkok', ('VN', 'Long An', 'VN-41'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Thái Bình', 'VN-20'): 'Asia/Bangkok', ('VN', 'Thái Nguyên', 'VN-69'): 'Asia/Bangkok',
 ('VN', 'Bà Rịa - Vũng Tàu', 'VN-43'): 'Asia/Ho_Chi_Minh', ('VN', 'Thanh Hóa', 'VN-21'): 'Asia/Bangkok',
 ('VN', 'Vĩnh Phúc', 'VN-70'): 'Asia/Bangkok', ('VN', 'An Giang', 'VN-44'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Nghệ An', 'VN-22'): 'Asia/Bangkok', ('VN', 'Điện Biên', 'VN-71'): 'Asia/Bangkok',
 ('VN', 'Đồng Tháp', 'VN-45'): 'Asia/Ho_Chi_Minh', ('VN', 'Hà Tĩnh', 'VN-23'): 'Asia/Bangkok',
 ('VN', 'Đắk Nông', 'VN-72'): 'Asia/Ho_Chi_Minh', ('VN', 'Tiền Giang', 'VN-46'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Quảng Bình', 'VN-24'): 'Asia/Bangkok', ('VN', 'Hậu Giang', 'VN-73'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Kiến Giang', 'VN-47'): 'Asia/Ho_Chi_Minh', ('VN', 'Quảng Trị', 'VN-25'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Cần Thơ', 'VN-CT'): 'Asia/Ho_Chi_Minh', ('VN', 'Vĩnh Long', 'VN-49'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Thừa Thiên-Huế', 'VN-26'): 'Asia/Ho_Chi_Minh', ('VN', 'Đà Nẵng', 'VN-DN'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Bến Tre', 'VN-50'): 'Asia/Ho_Chi_Minh', ('VN', 'Quảng Nam', 'VN-27'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Hà Nội', 'VN-HN'): 'Asia/Bangkok', ('VN', 'Trà Vinh', 'VN-51'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Kon Tum', 'VN-28'): 'Asia/Ho_Chi_Minh', ('VN', 'Hải Phòng', 'VN-HP'): 'Asia/Bangkok',
 ('VN', 'Sóc Trăng', 'VN-52'): 'Asia/Ho_Chi_Minh', ('VN', 'Quảng Ngãi', 'VN-29'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Hồ Chí Minh', 'VN-SG'): 'Asia/Ho_Chi_Minh', ('VN', 'Bắc Kạn', 'VN-53'): 'Asia/Bangkok',
 ('VN', 'Gia Lai', 'VN-30'): 'Asia/Ho_Chi_Minh', ('VN', 'Lai Châu', 'VN-01'): 'Asia/Bangkok',
 ('VN', 'Bắc Giang', 'VN-54'): 'Asia/Bangkok', ('VN', 'Bình Định', 'VN-31'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Lào Cai', 'VN-02'): 'Asia/Bangkok', ('VN', 'Bạc Liêu', 'VN-55'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Phú Yên', 'VN-32'): 'Asia/Ho_Chi_Minh', ('VN', 'Hà Giang', 'VN-03'): 'Asia/Bangkok',
 ('VN', 'Bắc Ninh', 'VN-56'): 'Asia/Bangkok', ('VN', 'Đắk Lắk', 'VN-33'): 'Asia/Ho_Chi_Minh',
 ('VN', 'Cao Bằng', 'VN-04'): 'Asia/Bangkok', ('VU', 'Taféa', 'VU-TAE'): 'Pacific/Efate',
 ('VU', 'Malampa', 'VU-MAP'): 'Pacific/Efate', ('VU', 'Torba', 'VU-TOB'): 'Europe/Bucharest',
 ('VU', 'Pénama', 'VU-PAM'): 'Pacific/Efate', ('VU', 'Sanma', 'VU-SAM'): 'Pacific/Efate',
 ('VU', 'Shéfa', 'VU-SEE'): 'Pacific/Efate', ('WF', 'Sigave', 'WF-SG'): 'Pacific/Wallis',
 ('WF', 'Alo', 'WF-AL'): 'Pacific/Wallis', ('WF', 'Uvea', 'WF-UV'): 'Pacific/Wallis',
 ('WS', 'Vaisigano', 'WS-VS'): 'Pacific/Apia', ('WS', 'Gagaifomauga', 'WS-GI'): 'Pacific/Apia',
 ('WS', "A'ana", 'WS-AA'): 'Pacific/Niue', ('WS', 'Palauli', 'WS-PA'): 'Pacific/Apia',
 ('WS', 'Aiga-i-le-Tai', 'WS-AL'): 'Pacific/Apia', ('WS', "Satupa'itea", 'WS-SA'): 'Pacific/Apia',
 ('WS', 'Atua', 'WS-AT'): 'Africa/Accra', ('WS', 'Tuamasaga', 'WS-TU'): 'Pacific/Apia',
 ('WS', "Fa'asaleleaga", 'WS-FA'): 'Pacific/Apia', ('WS', "Va'a-o-Fonoti", 'WS-VF'): 'Pacific/Apia',
 ('WS', "Gaga'emauga", 'WS-GE'): 'Pacific/Apia', ('YE', 'Dhamār', 'YE-DH'): 'Asia/Aden',
 ('YE', 'Ḩaḑramawt', 'YE-HD'): 'Asia/Aden', ('YE', 'Ḩajjah', 'YE-HJ'): 'Asia/Aden',
 ('YE', 'Al Ḩudaydah', 'YE-HU'): 'Asia/Aden', ('YE', 'Ibb', 'YE-IB'): 'Asia/Aden',
 ('YE', 'Al Jawf', 'YE-JA'): 'Asia/Aden', ('YE', 'Laḩij', 'YE-LA'): 'Asia/Aden', ('YE', 'Ma’rib', 'YE-MA'): 'Asia/Aden',
 ('YE', 'Al Mahrah', 'YE-MR'): 'Asia/Aden', ('YE', 'Al Maḩwīt', 'YE-MW'): 'Asia/Aden',
 ('YE', 'Raymah', 'YE-RA'): 'Asia/Aden', ('YE', 'Amānat al ‘Āşimah [city]', 'YE-SA'): 'Asia/Aden',
 ('YE', 'Şāʻdah', 'YE-SD'): 'Asia/Aden', ('YE', 'Shabwah', 'YE-SH'): 'Asia/Aden',
 ('YE', 'Şanʻā’', 'YE-SN'): 'Asia/Aden', ('YE', 'Arkhabīl Suquţrá', 'YE-SU'): 'Asia/Aden',
 ('YE', 'Tāʻizz', 'YE-TA'): 'Asia/Aden', ('YE', 'Abyan', 'YE-AB'): 'Asia/Damascus',
 ('YE', '‘Adan', 'YE-AD'): 'Asia/Aden', ('YE', '‘Amrān', 'YE-AM'): 'Asia/Aden',
 ('YE', 'Al Bayḑā’', 'YE-BA'): 'Asia/Aden', ('YE', 'Aḑ Ḑāli‘', 'YE-DA'): 'Asia/Aden',
 ('ZA', 'Limpopo', 'ZA-LP'): 'Africa/Johannesburg', ('ZA', 'Eastern Cape', 'ZA-EC'): 'Africa/Johannesburg',
 ('ZA', 'Mpumalanga', 'ZA-MP'): 'Africa/Johannesburg', ('ZA', 'Free State', 'ZA-FS'): 'Africa/Johannesburg',
 ('ZA', 'Northern Cape', 'ZA-NC'): 'Africa/Johannesburg', ('ZA', 'Gauteng', 'ZA-GP'): 'Africa/Johannesburg',
 ('ZA', 'North-West', 'ZA-NW'): 'Africa/Gaborone', ('ZA', 'Kwazulu-Natal', 'ZA-KZN'): 'Africa/Johannesburg',
 ('ZA', 'Western Cape', 'ZA-WC'): 'Africa/Johannesburg', ('ZM', 'North-Western', 'ZM-06'): 'Africa/Lusaka',
 ('ZM', 'Western', 'ZM-01'): 'Africa/Nairobi', ('ZM', 'Southern', 'ZM-07'): 'Africa/Lusaka',
 ('ZM', 'Central', 'ZM-02'): 'Africa/Lusaka', ('ZM', 'Copperbelt', 'ZM-08'): 'Africa/Lusaka',
 ('ZM', 'Eastern', 'ZM-03'): 'Africa/Nairobi', ('ZM', 'Lusaka', 'ZM-09'): 'Africa/Lusaka',
 ('ZM', 'Luapula', 'ZM-04'): 'Africa/Lusaka', ('ZM', 'Muchinga', 'ZM-10'): 'Africa/Lusaka',
 ('ZM', 'Northern', 'ZM-05'): 'Africa/Accra', ('ZW', 'Bulawayo', 'ZW-BU'): 'Africa/Harare',
 ('ZW', 'Matabeleland North', 'ZW-MN'): 'Africa/Harare', ('ZW', 'Harare', 'ZW-HA'): 'Africa/Harare',
 ('ZW', 'Matabeleland South', 'ZW-MS'): 'Africa/Harare', ('ZW', 'Manicaland', 'ZW-MA'): 'Africa/Harare',
 ('ZW', 'Masvingo', 'ZW-MV'): 'Africa/Harare', ('ZW', 'Mashonaland Central', 'ZW-MC'): 'Africa/Harare',
 ('ZW', 'Mashonaland West', 'ZW-MW'): 'Africa/Harare', ('ZW', 'Mashonaland East', 'ZW-ME'): 'Africa/Harare',
 ('ZW', 'Midlands', 'ZW-MI'): 'Africa/Harare'}
